#!/usr/bin/env python
# encoding: utf-8

__all__ = ['register']

import codecs


def register():
    U2C = {
        u'\u0000': b'\x00',
        u'\u0001': b'\x01',
        u'\u0002': b'\x02',
        u'\u0003': b'\x03',
        u'\u0004': b'\x37',
        u'\u0005': b'\x2D',
        u'\u0006': b'\x2E',
        u'\u0007': b'\x2F',
        u'\u0008': b'\x16',
        u'\u0009': b'\x05',
        u'\u000A': b'\x15',
        u'\u000B': b'\x0B',
        u'\u000C': b'\x0C',
        u'\u000D': b'\x0D',
        u'\u0010': b'\x10',
        u'\u0011': b'\x11',
        u'\u0012': b'\x12',
        u'\u0013': b'\x13',
        u'\u0014': b'\x3C',
        u'\u0015': b'\x3D',
        u'\u0016': b'\x32',
        u'\u0017': b'\x26',
        u'\u0018': b'\x18',
        u'\u0019': b'\x19',
        u'\u001A': b'\x3F',
        u'\u001B': b'\x27',
        u'\u001C': b'\x1C',
        u'\u001D': b'\x1D',
        u'\u001E': b'\x1E',
        u'\u001F': b'\x1F',
        u'\u0020': b'\x40',
        u'\u0021': b'\x5A',
        u'\u0022': b'\x7F',
        u'\u0023': b'\x7B',
        u'\u0024': b'\xE0',
        u'\u0025': b'\x6C',
        u'\u0026': b'\x50',
        u'\u0027': b'\x7D',
        u'\u0028': b'\x4D',
        u'\u0029': b'\x5D',
        u'\u002A': b'\x5C',
        u'\u002B': b'\x4E',
        u'\u002C': b'\x6B',
        u'\u002D': b'\x60',
        u'\u002E': b'\x4B',
        u'\u002F': b'\x61',
        u'\u0030': b'\xF0',
        u'\u0031': b'\xF1',
        u'\u0032': b'\xF2',
        u'\u0033': b'\xF3',
        u'\u0034': b'\xF4',
        u'\u0035': b'\xF5',
        u'\u0036': b'\xF6',
        u'\u0037': b'\xF7',
        u'\u0038': b'\xF8',
        u'\u0039': b'\xF9',
        u'\u003A': b'\x7A',
        u'\u003B': b'\x5E',
        u'\u003C': b'\x4C',
        u'\u003D': b'\x7E',
        u'\u003E': b'\x6E',
        u'\u003F': b'\x6F',
        u'\u0040': b'\x7C',
        u'\u0041': b'\xC1',
        u'\u0042': b'\xC2',
        u'\u0043': b'\xC3',
        u'\u0044': b'\xC4',
        u'\u0045': b'\xC5',
        u'\u0046': b'\xC6',
        u'\u0047': b'\xC7',
        u'\u0048': b'\xC8',
        u'\u0049': b'\xC9',
        u'\u004A': b'\xD1',
        u'\u004B': b'\xD2',
        u'\u004C': b'\xD3',
        u'\u004D': b'\xD4',
        u'\u004E': b'\xD5',
        u'\u004F': b'\xD6',
        u'\u0050': b'\xD7',
        u'\u0051': b'\xD8',
        u'\u0052': b'\xD9',
        u'\u0053': b'\xE2',
        u'\u0054': b'\xE3',
        u'\u0055': b'\xE4',
        u'\u0056': b'\xE5',
        u'\u0057': b'\xE6',
        u'\u0058': b'\xE7',
        u'\u0059': b'\xE8',
        u'\u005A': b'\xE9',
        u'\u005B': b'\xBA',
        u'\u005C': b'\xB2',
        u'\u005D': b'\xBB',
        u'\u005E': b'\xB0',
        u'\u005F': b'\x6D',
        u'\u0060': b'\x79',
        u'\u0061': b'\x81',
        u'\u0062': b'\x82',
        u'\u0063': b'\x83',
        u'\u0064': b'\x84',
        u'\u0065': b'\x85',
        u'\u0066': b'\x86',
        u'\u0067': b'\x87',
        u'\u0068': b'\x88',
        u'\u0069': b'\x89',
        u'\u006A': b'\x91',
        u'\u006B': b'\x92',
        u'\u006C': b'\x93',
        u'\u006D': b'\x94',
        u'\u006E': b'\x95',
        u'\u006F': b'\x96',
        u'\u0070': b'\x97',
        u'\u0071': b'\x98',
        u'\u0072': b'\x99',
        u'\u0073': b'\xA2',
        u'\u0074': b'\xA3',
        u'\u0075': b'\xA4',
        u'\u0076': b'\xA5',
        u'\u0077': b'\xA6',
        u'\u0078': b'\xA7',
        u'\u0079': b'\xA8',
        u'\u007A': b'\xA9',
        u'\u007B': b'\xC0',
        u'\u007C': b'\x4F',
        u'\u007D': b'\xD0',
        u'\u007E': b'\xA0',
        u'\u007F': b'\x07',
        u'\u0080': b'\x20',
        u'\u0081': b'\x21',
        u'\u0082': b'\x22',
        u'\u0083': b'\x23',
        u'\u0084': b'\x24',
        u'\u0086': b'\x06',
        u'\u0087': b'\x17',
        u'\u0088': b'\x28',
        u'\u0089': b'\x29',
        u'\u008A': b'\x2A',
        u'\u008B': b'\x2B',
        u'\u008C': b'\x2C',
        u'\u008D': b'\x09',
        u'\u008E': b'\x0A',
        u'\u008F': b'\x1B',
        u'\u0090': b'\x30',
        u'\u0091': b'\x31',
        u'\u0092': b'\x1A',
        u'\u0093': b'\x33',
        u'\u0094': b'\x34',
        u'\u0095': b'\x35',
        u'\u0096': b'\x36',
        u'\u0097': b'\x08',
        u'\u0098': b'\x38',
        u'\u0099': b'\x39',
        u'\u009A': b'\x3A',
        u'\u009B': b'\x3B',
        u'\u009C': b'\x04',
        u'\u009D': b'\x14',
        u'\u009E': b'\x3E',
        u'\u009F': b'\xFF',
        u'\u00A3': b'\x4A',
        u'\u00A4': b'\x45\x88',
        u'\u00A5': b'\x5B',
        u'\u00A6': b'\x6A',
        u'\u00A7': b'\x44\x6A',
        u'\u00A8': b'\x44\x60',
        u'\u00AC': b'\x5F',
        u'\u00B0': b'\x44\xED',
        u'\u00B1': b'\x44\x4B',
        u'\u00B4': b'\x44\x50',
        u'\u00D7': b'\x44\x7A',
        u'\u00E0': b'\x46\x44',
        u'\u00E1': b'\x46\x42',
        u'\u00E8': b'\x46\x48',
        u'\u00E9': b'\x46\x46',
        u'\u00EA': b'\x46\x5A',
        u'\u00EC': b'\x46\x4C',
        u'\u00ED': b'\x46\x4A',
        u'\u00F2': b'\x46\x50',
        u'\u00F3': b'\x46\x4E',
        u'\u00F7': b'\x44\x7B',
        u'\u00F9': b'\x46\x54',
        u'\u00FA': b'\x46\x52',
        u'\u00FC': b'\x46\x59',
        u'\u0101': b'\x46\x41',
        u'\u0113': b'\x46\x45',
        u'\u011B': b'\x46\x47',
        u'\u012B': b'\x46\x49',
        u'\u014D': b'\x46\x4D',
        u'\u016B': b'\x46\x51',
        u'\u01CE': b'\x46\x43',
        u'\u01D0': b'\x46\x4B',
        u'\u01D2': b'\x46\x4F',
        u'\u01D4': b'\x46\x53',
        u'\u01D6': b'\x46\x55',
        u'\u01D8': b'\x46\x56',
        u'\u01DA': b'\x46\x57',
        u'\u01DC': b'\x46\x58',
        u'\u02C7': b'\x45\x46',
        u'\u02C9': b'\x45\x45',
        u'\u0391': b'\x41\x61',
        u'\u0392': b'\x41\x62',
        u'\u0393': b'\x41\x63',
        u'\u0394': b'\x41\x64',
        u'\u0395': b'\x41\x65',
        u'\u0396': b'\x41\x66',
        u'\u0397': b'\x41\x67',
        u'\u0398': b'\x41\x68',
        u'\u0399': b'\x41\x69',
        u'\u039A': b'\x41\x6A',
        u'\u039B': b'\x41\x6B',
        u'\u039C': b'\x41\x6C',
        u'\u039D': b'\x41\x6D',
        u'\u039E': b'\x41\x6E',
        u'\u039F': b'\x41\x6F',
        u'\u03A0': b'\x41\x70',
        u'\u03A1': b'\x41\x71',
        u'\u03A3': b'\x41\x72',
        u'\u03A4': b'\x41\x73',
        u'\u03A5': b'\x41\x74',
        u'\u03A6': b'\x41\x75',
        u'\u03A7': b'\x41\x76',
        u'\u03A8': b'\x41\x77',
        u'\u03A9': b'\x41\x78',
        u'\u03B1': b'\x41\x41',
        u'\u03B2': b'\x41\x42',
        u'\u03B3': b'\x41\x43',
        u'\u03B4': b'\x41\x44',
        u'\u03B5': b'\x41\x45',
        u'\u03B6': b'\x41\x46',
        u'\u03B7': b'\x41\x47',
        u'\u03B8': b'\x41\x48',
        u'\u03B9': b'\x41\x49',
        u'\u03BA': b'\x41\x4A',
        u'\u03BB': b'\x41\x4B',
        u'\u03BC': b'\x41\x4C',
        u'\u03BD': b'\x41\x4D',
        u'\u03BE': b'\x41\x4E',
        u'\u03BF': b'\x41\x4F',
        u'\u03C0': b'\x41\x50',
        u'\u03C1': b'\x41\x51',
        u'\u03C3': b'\x41\x52',
        u'\u03C4': b'\x41\x53',
        u'\u03C5': b'\x41\x54',
        u'\u03C6': b'\x41\x55',
        u'\u03C7': b'\x41\x56',
        u'\u03C8': b'\x41\x57',
        u'\u03C9': b'\x41\x58',
        u'\u0401': b'\x41\xC6',
        u'\u0410': b'\x41\xC0',
        u'\u0411': b'\x41\xC1',
        u'\u0412': b'\x41\xC2',
        u'\u0413': b'\x41\xC3',
        u'\u0414': b'\x41\xC4',
        u'\u0415': b'\x41\xC5',
        u'\u0416': b'\x41\xC7',
        u'\u0417': b'\x41\xC8',
        u'\u0418': b'\x41\xC9',
        u'\u0419': b'\x41\xCA',
        u'\u041A': b'\x41\xCB',
        u'\u041B': b'\x41\xCC',
        u'\u041C': b'\x41\xCD',
        u'\u041D': b'\x41\xCE',
        u'\u041E': b'\x41\xCF',
        u'\u041F': b'\x41\xD0',
        u'\u0420': b'\x41\xD1',
        u'\u0421': b'\x41\xD2',
        u'\u0422': b'\x41\xD3',
        u'\u0423': b'\x41\xD4',
        u'\u0424': b'\x41\xD5',
        u'\u0425': b'\x41\xD6',
        u'\u0426': b'\x41\xD7',
        u'\u0427': b'\x41\xD8',
        u'\u0428': b'\x41\xD9',
        u'\u0429': b'\x41\xDA',
        u'\u042A': b'\x41\xDB',
        u'\u042B': b'\x41\xDC',
        u'\u042C': b'\x41\xDD',
        u'\u042D': b'\x41\xDE',
        u'\u042E': b'\x41\xDF',
        u'\u042F': b'\x41\xE0',
        u'\u0430': b'\x41\x80',
        u'\u0431': b'\x41\x81',
        u'\u0432': b'\x41\x82',
        u'\u0433': b'\x41\x83',
        u'\u0434': b'\x41\x84',
        u'\u0435': b'\x41\x85',
        u'\u0436': b'\x41\x87',
        u'\u0437': b'\x41\x88',
        u'\u0438': b'\x41\x89',
        u'\u0439': b'\x41\x8A',
        u'\u043A': b'\x41\x8B',
        u'\u043B': b'\x41\x8C',
        u'\u043C': b'\x41\x8D',
        u'\u043D': b'\x41\x8E',
        u'\u043E': b'\x41\x8F',
        u'\u043F': b'\x41\x90',
        u'\u0440': b'\x41\x91',
        u'\u0441': b'\x41\x92',
        u'\u0442': b'\x41\x93',
        u'\u0443': b'\x41\x94',
        u'\u0444': b'\x41\x95',
        u'\u0445': b'\x41\x96',
        u'\u0446': b'\x41\x97',
        u'\u0447': b'\x41\x98',
        u'\u0448': b'\x41\x99',
        u'\u0449': b'\x41\x9A',
        u'\u044A': b'\x41\x9B',
        u'\u044B': b'\x41\x9C',
        u'\u044C': b'\x41\x9D',
        u'\u044D': b'\x41\x9E',
        u'\u044E': b'\x41\x9F',
        u'\u044F': b'\x41\xA0',
        u'\u0451': b'\x41\x86',
        u'\u2010': b'\x44\x5A',
        u'\u2015': b'\x44\x4A',
        u'\u2016': b'\x44\x7C',
        u'\u2018': b'\x44\x61',
        u'\u2019': b'\x44\x71',
        u'\u201C': b'\x44\x62',
        u'\u201D': b'\x44\x72',
        u'\u2025': b'\x44\x7E',
        u'\u2026': b'\x44\x7F',
        u'\u2030': b'\x45\x8B',
        u'\u2032': b'\x44\xEE',
        u'\u2033': b'\x44\xEF',
        u'\u203B': b'\x44\x6B',
        u'\u203E': b'\xA1',
        u'\u2103': b'\x44\x4E',
        u'\u2116': b'\x44\x6E',
        u'\u2121': b'\x44\x6F',
        u'\u2160': b'\x41\xF1',
        u'\u2161': b'\x41\xF2',
        u'\u2162': b'\x41\xF3',
        u'\u2163': b'\x41\xF4',
        u'\u2164': b'\x41\xF5',
        u'\u2165': b'\x41\xF6',
        u'\u2166': b'\x41\xF7',
        u'\u2167': b'\x41\xF8',
        u'\u2168': b'\x41\xF9',
        u'\u2169': b'\x41\xFA',
        u'\u216A': b'\x41\xFB',
        u'\u216B': b'\x41\xFC',
        u'\u2170': b'\x41\xB1',
        u'\u2171': b'\x41\xB2',
        u'\u2172': b'\x41\xB3',
        u'\u2173': b'\x41\xB4',
        u'\u2174': b'\x41\xB5',
        u'\u2175': b'\x41\xB6',
        u'\u2176': b'\x41\xB7',
        u'\u2177': b'\x41\xB8',
        u'\u2178': b'\x41\xB9',
        u'\u2179': b'\x41\xBA',
        u'\u2190': b'\x44\xF1',
        u'\u2191': b'\x44\xF2',
        u'\u2192': b'\x44\xF0',
        u'\u2193': b'\x44\xF3',
        u'\u2208': b'\x45\x69',
        u'\u220F': b'\x45\x66',
        u'\u2211': b'\x45\x65',
        u'\u221A': b'\x45\x6B',
        u'\u221D': b'\x45\x77',
        u'\u221E': b'\x44\x4D',
        u'\u2220': b'\x45\x6E',
        u'\u2225': b'\x45\x6D',
        u'\u2227': b'\x45\x63',
        u'\u2228': b'\x45\x64',
        u'\u2229': b'\x45\x68',
        u'\u222A': b'\x45\x67',
        u'\u222B': b'\x45\x71',
        u'\u222E': b'\x45\x72',
        u'\u2234': b'\x44\x68',
        u'\u2235': b'\x44\x78',
        u'\u2236': b'\x45\x62',
        u'\u2237': b'\x45\x6A',
        u'\u223D': b'\x45\x76',
        u'\u2248': b'\x45\x75',
        u'\u224C': b'\x45\x74',
        u'\u2260': b'\x44\x4C',
        u'\u2261': b'\x45\x73',
        u'\u2264': b'\x44\x67',
        u'\u2265': b'\x44\x77',
        u'\u226E': b'\x45\x79',
        u'\u226F': b'\x45\x7A',
        u'\u2299': b'\x45\x70',
        u'\u22A5': b'\x45\x6C',
        u'\u2312': b'\x45\x6F',
        u'\u2460': b'\x45\xE1',
        u'\u2461': b'\x45\xE2',
        u'\u2462': b'\x45\xE3',
        u'\u2463': b'\x45\xE4',
        u'\u2464': b'\x45\xE5',
        u'\u2465': b'\x45\xE6',
        u'\u2466': b'\x45\xE7',
        u'\u2467': b'\x45\xE8',
        u'\u2468': b'\x45\xE9',
        u'\u2469': b'\x45\xEA',
        u'\u2474': b'\x45\xC5',
        u'\u2475': b'\x45\xC6',
        u'\u2476': b'\x45\xC7',
        u'\u2477': b'\x45\xC8',
        u'\u2478': b'\x45\xC9',
        u'\u2479': b'\x45\xCA',
        u'\u247A': b'\x45\xCB',
        u'\u247B': b'\x45\xCC',
        u'\u247C': b'\x45\xCD',
        u'\u247D': b'\x45\xCE',
        u'\u247E': b'\x45\xCF',
        u'\u247F': b'\x45\xD0',
        u'\u2480': b'\x45\xD1',
        u'\u2481': b'\x45\xD2',
        u'\u2482': b'\x45\xD3',
        u'\u2483': b'\x45\xD4',
        u'\u2484': b'\x45\xD5',
        u'\u2485': b'\x45\xD6',
        u'\u2486': b'\x45\xD7',
        u'\u2487': b'\x45\xD8',
        u'\u2488': b'\x45\xB1',
        u'\u2489': b'\x45\xB2',
        u'\u248A': b'\x45\xB3',
        u'\u248B': b'\x45\xB4',
        u'\u248C': b'\x45\xB5',
        u'\u248D': b'\x45\xB6',
        u'\u248E': b'\x45\xB7',
        u'\u248F': b'\x45\xB8',
        u'\u2490': b'\x45\xB9',
        u'\u2491': b'\x45\xBA',
        u'\u2492': b'\x45\xBB',
        u'\u2493': b'\x45\xBC',
        u'\u2494': b'\x45\xBD',
        u'\u2495': b'\x45\xBE',
        u'\u2496': b'\x45\xBF',
        u'\u2497': b'\x45\xC0',
        u'\u2498': b'\x45\xC1',
        u'\u2499': b'\x45\xC2',
        u'\u249A': b'\x45\xC3',
        u'\u249B': b'\x45\xC4',
        u'\u2500': b'\x46\xA4',
        u'\u2501': b'\x46\xA5',
        u'\u2502': b'\x46\xA6',
        u'\u2503': b'\x46\xA7',
        u'\u2504': b'\x46\xA8',
        u'\u2505': b'\x46\xA9',
        u'\u2506': b'\x46\xAA',
        u'\u2507': b'\x46\xAB',
        u'\u2508': b'\x46\xAC',
        u'\u2509': b'\x46\xAD',
        u'\u250A': b'\x46\xAE',
        u'\u250B': b'\x46\xAF',
        u'\u250C': b'\x46\xB0',
        u'\u250D': b'\x46\xB1',
        u'\u250E': b'\x46\xB2',
        u'\u250F': b'\x46\xB3',
        u'\u2510': b'\x46\xB4',
        u'\u2511': b'\x46\xB5',
        u'\u2512': b'\x46\xB6',
        u'\u2513': b'\x46\xB7',
        u'\u2514': b'\x46\xB8',
        u'\u2515': b'\x46\xB9',
        u'\u2516': b'\x46\xBA',
        u'\u2517': b'\x46\xBB',
        u'\u2518': b'\x46\xBC',
        u'\u2519': b'\x46\xBD',
        u'\u251A': b'\x46\xBE',
        u'\u251B': b'\x46\xBF',
        u'\u251C': b'\x46\xC0',
        u'\u251D': b'\x46\xC1',
        u'\u251E': b'\x46\xC2',
        u'\u251F': b'\x46\xC3',
        u'\u2520': b'\x46\xC4',
        u'\u2521': b'\x46\xC5',
        u'\u2522': b'\x46\xC6',
        u'\u2523': b'\x46\xC7',
        u'\u2524': b'\x46\xC8',
        u'\u2525': b'\x46\xC9',
        u'\u2526': b'\x46\xCA',
        u'\u2527': b'\x46\xCB',
        u'\u2528': b'\x46\xCC',
        u'\u2529': b'\x46\xCD',
        u'\u252A': b'\x46\xCE',
        u'\u252B': b'\x46\xCF',
        u'\u252C': b'\x46\xD0',
        u'\u252D': b'\x46\xD1',
        u'\u252E': b'\x46\xD2',
        u'\u252F': b'\x46\xD3',
        u'\u2530': b'\x46\xD4',
        u'\u2531': b'\x46\xD5',
        u'\u2532': b'\x46\xD6',
        u'\u2533': b'\x46\xD7',
        u'\u2534': b'\x46\xD8',
        u'\u2535': b'\x46\xD9',
        u'\u2536': b'\x46\xDA',
        u'\u2537': b'\x46\xDB',
        u'\u2538': b'\x46\xDC',
        u'\u2539': b'\x46\xDD',
        u'\u253A': b'\x46\xDE',
        u'\u253B': b'\x46\xDF',
        u'\u253C': b'\x46\xE0',
        u'\u253D': b'\x46\xE1',
        u'\u253E': b'\x46\xE2',
        u'\u253F': b'\x46\xE3',
        u'\u2540': b'\x46\xE4',
        u'\u2541': b'\x46\xE5',
        u'\u2542': b'\x46\xE6',
        u'\u2543': b'\x46\xE7',
        u'\u2544': b'\x46\xE8',
        u'\u2545': b'\x46\xE9',
        u'\u2546': b'\x46\xEA',
        u'\u2547': b'\x46\xEB',
        u'\u2548': b'\x46\xEC',
        u'\u2549': b'\x46\xED',
        u'\u254A': b'\x46\xEE',
        u'\u254B': b'\x46\xEF',
        u'\u25A0': b'\x44\xEA',
        u'\u25A1': b'\x44\xE9',
        u'\u25B2': b'\x44\xE3',
        u'\u25B3': b'\x44\xE2',
        u'\u25BC': b'\x44\xEC',
        u'\u25BD': b'\x44\xEB',
        u'\u25C6': b'\x44\xE8',
        u'\u25C7': b'\x44\xE7',
        u'\u25CB': b'\x44\xE0',
        u'\u25CE': b'\x44\xE4',
        u'\u25CF': b'\x44\xE1',
        u'\u2605': b'\x44\xE6',
        u'\u2606': b'\x44\xE5',
        u'\u2640': b'\x44\x79',
        u'\u2642': b'\x44\x69',
        u'\u3000': b'\x40\x40',
        u'\u3001': b'\x43\x44',
        u'\u3002': b'\x43\x41',
        u'\u3003': b'\x44\x5B',
        u'\u3005': b'\x44\x5D',
        u'\u3006': b'\x44\x5E',
        u'\u3007': b'\x44\x5F',
        u'\u3008': b'\x44\x64',
        u'\u3009': b'\x44\x74',
        u'\u300A': b'\x44\x65',
        u'\u300B': b'\x44\x75',
        u'\u300C': b'\x43\x42',
        u'\u300D': b'\x43\x43',
        u'\u300E': b'\x44\x42',
        u'\u300F': b'\x44\x43',
        u'\u3010': b'\x44\x66',
        u'\u3011': b'\x44\x76',
        u'\u3012': b'\x44\x6C',
        u'\u3013': b'\x44\x7D',
        u'\u3014': b'\x44\x63',
        u'\u3015': b'\x44\x73',
        u'\u3016': b'\x45\x5B',
        u'\u3017': b'\x45\x5C',
        u'\u3041': b'\x44\x47',
        u'\u3042': b'\x44\x81',
        u'\u3043': b'\x44\x48',
        u'\u3044': b'\x44\x82',
        u'\u3045': b'\x44\x49',
        u'\u3046': b'\x44\x83',
        u'\u3047': b'\x44\x51',
        u'\u3048': b'\x44\x84',
        u'\u3049': b'\x44\x52',
        u'\u304A': b'\x44\x85',
        u'\u304B': b'\x44\x86',
        u'\u304C': b'\x44\xC0',
        u'\u304D': b'\x44\x87',
        u'\u304E': b'\x44\xC1',
        u'\u304F': b'\x44\x88',
        u'\u3050': b'\x44\xC2',
        u'\u3051': b'\x44\x89',
        u'\u3052': b'\x44\xC3',
        u'\u3053': b'\x44\x8A',
        u'\u3054': b'\x44\xC4',
        u'\u3055': b'\x44\x8C',
        u'\u3056': b'\x44\xC5',
        u'\u3057': b'\x44\x8D',
        u'\u3058': b'\x44\xC6',
        u'\u3059': b'\x44\x8E',
        u'\u305A': b'\x44\xC7',
        u'\u305B': b'\x44\x8F',
        u'\u305C': b'\x44\xC8',
        u'\u305D': b'\x44\x90',
        u'\u305E': b'\x44\xC9',
        u'\u305F': b'\x44\x91',
        u'\u3060': b'\x44\xCA',
        u'\u3061': b'\x44\x92',
        u'\u3062': b'\x44\xCB',
        u'\u3063': b'\x44\x56',
        u'\u3064': b'\x44\x93',
        u'\u3065': b'\x44\xCC',
        u'\u3066': b'\x44\x94',
        u'\u3067': b'\x44\xCD',
        u'\u3068': b'\x44\x95',
        u'\u3069': b'\x44\xCE',
        u'\u306A': b'\x44\x96',
        u'\u306B': b'\x44\x97',
        u'\u306C': b'\x44\x98',
        u'\u306D': b'\x44\x99',
        u'\u306E': b'\x44\x9A',
        u'\u306F': b'\x44\x9D',
        u'\u3070': b'\x44\xCF',
        u'\u3071': b'\x44\xD5',
        u'\u3072': b'\x44\x9E',
        u'\u3073': b'\x44\xD0',
        u'\u3074': b'\x44\xD6',
        u'\u3075': b'\x44\x9F',
        u'\u3076': b'\x44\xD1',
        u'\u3077': b'\x44\xD7',
        u'\u3078': b'\x44\xA2',
        u'\u3079': b'\x44\xD2',
        u'\u307A': b'\x44\xD8',
        u'\u307B': b'\x44\xA3',
        u'\u307C': b'\x44\xD3',
        u'\u307D': b'\x44\xD9',
        u'\u307E': b'\x44\xA4',
        u'\u307F': b'\x44\xA5',
        u'\u3080': b'\x44\xA6',
        u'\u3081': b'\x44\xA7',
        u'\u3082': b'\x44\xA8',
        u'\u3083': b'\x44\x53',
        u'\u3084': b'\x44\xA9',
        u'\u3085': b'\x44\x54',
        u'\u3086': b'\x44\xAA',
        u'\u3087': b'\x44\x55',
        u'\u3088': b'\x44\xAC',
        u'\u3089': b'\x44\xAD',
        u'\u308A': b'\x44\xAE',
        u'\u308B': b'\x44\xAF',
        u'\u308C': b'\x44\xBA',
        u'\u308D': b'\x44\xBB',
        u'\u308E': b'\x44\x57',
        u'\u308F': b'\x44\xBC',
        u'\u3090': b'\x44\xDA',
        u'\u3091': b'\x44\xDB',
        u'\u3092': b'\x44\x46',
        u'\u3093': b'\x44\xBD',
        u'\u309B': b'\x43\xBE',
        u'\u309C': b'\x43\xBF',
        u'\u309D': b'\x44\xDC',
        u'\u309E': b'\x44\xDD',
        u'\u30A1': b'\x43\x47',
        u'\u30A2': b'\x43\x81',
        u'\u30A3': b'\x43\x48',
        u'\u30A4': b'\x43\x82',
        u'\u30A5': b'\x43\x49',
        u'\u30A6': b'\x43\x83',
        u'\u30A7': b'\x43\x51',
        u'\u30A8': b'\x43\x84',
        u'\u30A9': b'\x43\x52',
        u'\u30AA': b'\x43\x85',
        u'\u30AB': b'\x43\x86',
        u'\u30AC': b'\x43\xC0',
        u'\u30AD': b'\x43\x87',
        u'\u30AE': b'\x43\xC1',
        u'\u30AF': b'\x43\x88',
        u'\u30B0': b'\x43\xC2',
        u'\u30B1': b'\x43\x89',
        u'\u30B2': b'\x43\xC3',
        u'\u30B3': b'\x43\x8A',
        u'\u30B4': b'\x43\xC4',
        u'\u30B5': b'\x43\x8C',
        u'\u30B6': b'\x43\xC5',
        u'\u30B7': b'\x43\x8D',
        u'\u30B8': b'\x43\xC6',
        u'\u30B9': b'\x43\x8E',
        u'\u30BA': b'\x43\xC7',
        u'\u30BB': b'\x43\x8F',
        u'\u30BC': b'\x43\xC8',
        u'\u30BD': b'\x43\x90',
        u'\u30BE': b'\x43\xC9',
        u'\u30BF': b'\x43\x91',
        u'\u30C0': b'\x43\xCA',
        u'\u30C1': b'\x43\x92',
        u'\u30C2': b'\x43\xCB',
        u'\u30C3': b'\x43\x56',
        u'\u30C4': b'\x43\x93',
        u'\u30C5': b'\x43\xCC',
        u'\u30C6': b'\x43\x94',
        u'\u30C7': b'\x43\xCD',
        u'\u30C8': b'\x43\x95',
        u'\u30C9': b'\x43\xCE',
        u'\u30CA': b'\x43\x96',
        u'\u30CB': b'\x43\x97',
        u'\u30CC': b'\x43\x98',
        u'\u30CD': b'\x43\x99',
        u'\u30CE': b'\x43\x9A',
        u'\u30CF': b'\x43\x9D',
        u'\u30D0': b'\x43\xCF',
        u'\u30D1': b'\x43\xD5',
        u'\u30D2': b'\x43\x9E',
        u'\u30D3': b'\x43\xD0',
        u'\u30D4': b'\x43\xD6',
        u'\u30D5': b'\x43\x9F',
        u'\u30D6': b'\x43\xD1',
        u'\u30D7': b'\x43\xD7',
        u'\u30D8': b'\x43\xA2',
        u'\u30D9': b'\x43\xD2',
        u'\u30DA': b'\x43\xD8',
        u'\u30DB': b'\x43\xA3',
        u'\u30DC': b'\x43\xD3',
        u'\u30DD': b'\x43\xD9',
        u'\u30DE': b'\x43\xA4',
        u'\u30DF': b'\x43\xA5',
        u'\u30E0': b'\x43\xA6',
        u'\u30E1': b'\x43\xA7',
        u'\u30E2': b'\x43\xA8',
        u'\u30E3': b'\x43\x53',
        u'\u30E4': b'\x43\xA9',
        u'\u30E5': b'\x43\x54',
        u'\u30E6': b'\x43\xAA',
        u'\u30E7': b'\x43\x55',
        u'\u30E8': b'\x43\xAC',
        u'\u30E9': b'\x43\xAD',
        u'\u30EA': b'\x43\xAE',
        u'\u30EB': b'\x43\xAF',
        u'\u30EC': b'\x43\xBA',
        u'\u30ED': b'\x43\xBB',
        u'\u30EE': b'\x43\x57',
        u'\u30EF': b'\x43\xBC',
        u'\u30F0': b'\x43\xDA',
        u'\u30F1': b'\x43\xDB',
        u'\u30F2': b'\x43\x46',
        u'\u30F3': b'\x43\xBD',
        u'\u30F4': b'\x43\xD4',
        u'\u30F5': b'\x43\x59',
        u'\u30F6': b'\x43\x5A',
        u'\u30FB': b'\x43\x45',
        u'\u30FC': b'\x43\x58',
        u'\u30FD': b'\x43\xDC',
        u'\u30FE': b'\x43\xDD',
        u'\u3105': b'\x46\x65',
        u'\u3106': b'\x46\x66',
        u'\u3107': b'\x46\x67',
        u'\u3108': b'\x46\x68',
        u'\u3109': b'\x46\x69',
        u'\u310A': b'\x46\x6A',
        u'\u310B': b'\x46\x6B',
        u'\u310C': b'\x46\x6C',
        u'\u310D': b'\x46\x6D',
        u'\u310E': b'\x46\x6E',
        u'\u310F': b'\x46\x6F',
        u'\u3110': b'\x46\x70',
        u'\u3111': b'\x46\x71',
        u'\u3112': b'\x46\x72',
        u'\u3113': b'\x46\x73',
        u'\u3114': b'\x46\x74',
        u'\u3115': b'\x46\x75',
        u'\u3116': b'\x46\x76',
        u'\u3117': b'\x46\x77',
        u'\u3118': b'\x46\x78',
        u'\u3119': b'\x46\x79',
        u'\u311A': b'\x46\x7A',
        u'\u311B': b'\x46\x7B',
        u'\u311C': b'\x46\x7C',
        u'\u311D': b'\x46\x7D',
        u'\u311E': b'\x46\x7E',
        u'\u311F': b'\x46\x7F',
        u'\u3120': b'\x46\x80',
        u'\u3121': b'\x46\x81',
        u'\u3122': b'\x46\x82',
        u'\u3123': b'\x46\x83',
        u'\u3124': b'\x46\x84',
        u'\u3125': b'\x46\x85',
        u'\u3126': b'\x46\x86',
        u'\u3127': b'\x46\x87',
        u'\u3128': b'\x46\x88',
        u'\u3129': b'\x46\x89',
        u'\u3220': b'\x45\xF1',
        u'\u3221': b'\x45\xF2',
        u'\u3222': b'\x45\xF3',
        u'\u3223': b'\x45\xF4',
        u'\u3224': b'\x45\xF5',
        u'\u3225': b'\x45\xF6',
        u'\u3226': b'\x45\xF7',
        u'\u3227': b'\x45\xF8',
        u'\u3228': b'\x45\xF9',
        u'\u3229': b'\x45\xFA',
        u'\u3231': b'\x44\x6D',
        u'\u4E00': b'\x59\xBA',
        u'\u4E01': b'\x4B\xA0',
        u'\u4E03': b'\x53\xDE',
        u'\u4E07': b'\x57\x93',
        u'\u4E08': b'\x5B\x69',
        u'\u4E09': b'\x54\xFC',
        u'\u4E0A': b'\x55\x6F',
        u'\u4E0B': b'\x58\x62',
        u'\u4E0C': b'\x5C\xA1',
        u'\u4E0D': b'\x49\xBA',
        u'\u4E0E': b'\x5A\x8C',
        u'\u4E10': b'\x5C\xA3',
        u'\u4E11': b'\x4A\x94',
        u'\u4E13': b'\x5C\x48',
        u'\u4E14': b'\x54\x72',
        u'\u4E15': b'\x5C\xA6',
        u'\u4E16': b'\x55\xBF',
        u'\u4E18': b'\x54\x91',
        u'\u4E19': b'\x49\x9C',
        u'\u4E1A': b'\x59\xB4',
        u'\u4E1B': b'\x4A\xD3',
        u'\u4E1C': b'\x4B\xAA',
        u'\u4E1D': b'\x56\x5F',
        u'\u4E1E': b'\x5C\xA8',
        u'\u4E22': b'\x4B\xA9',
        u'\u4E24': b'\x51\x5D',
        u'\u4E25': b'\x59\x6F',
        u'\u4E27': b'\x55\x45',
        u'\u4E28': b'\x5C\xAC',
        u'\u4E2A': b'\x4C\xF5',
        u'\u4E2B': b'\x59\x5E',
        u'\u4E2C': b'\x62\x7C',
        u'\u4E2D': b'\x5B\xCF',
        u'\u4E30': b'\x4C\x82',
        u'\u4E32': b'\x4A\xAD',
        u'\u4E34': b'\x51\x79',
        u'\u4E36': b'\x5C\xBB',
        u'\u4E38': b'\x57\x89',
        u'\u4E39': b'\x4B\x44',
        u'\u4E3A': b'\x57\xA9',
        u'\u4E3B': b'\x5B\xF6',
        u'\u4E3D': b'\x50\xF5',
        u'\u4E3E': b'\x4F\xD8',
        u'\u4E3F': b'\x5C\xAE',
        u'\u4E43': b'\x52\xCA',
        u'\u4E45': b'\x4F\xC2',
        u'\u4E47': b'\x5C\xB0',
        u'\u4E48': b'\x52\x54',
        u'\u4E49': b'\x59\xE4',
        u'\u4E4B': b'\x5B\xAD',
        u'\u4E4C': b'\x57\xD9',
        u'\u4E4D': b'\x5B\x47',
        u'\u4E4E': b'\x4D\xF4',
        u'\u4E4F': b'\x4C\x46',
        u'\u4E50': b'\x50\xD5',
        u'\u4E52': b'\x53\xB8',
        u'\u4E53': b'\x53\x72',
        u'\u4E54': b'\x54\x67',
        u'\u4E56': b'\x4D\x74',
        u'\u4E58': b'\x4A\x6B',
        u'\u4E59': b'\x59\xD1',
        u'\u4E5C': b'\x5C\xBE',
        u'\u4E5D': b'\x4F\xC4',
        u'\u4E5E': b'\x53\xF1',
        u'\u4E5F': b'\x59\xB1',
        u'\u4E60': b'\x58\x50',
        u'\u4E61': b'\x58\x88',
        u'\u4E66': b'\x55\xE8',
        u'\u4E69': b'\x5C\xBF',
        u'\u4E70': b'\x51\xF1',
        u'\u4E71': b'\x51\xD1',
        u'\u4E73': b'\x54\xE8',
        u'\u4E7E': b'\x54\x4C',
        u'\u4E86': b'\x51\x6B',
        u'\u4E88': b'\x5A\x89',
        u'\u4E89': b'\x5B\x9A',
        u'\u4E8B': b'\x55\xC1',
        u'\u4E8C': b'\x4B\xFD',
        u'\u4E8D': b'\x5C\xA0',
        u'\u4E8E': b'\x5A\x7A',
        u'\u4E8F': b'\x50\x98',
        u'\u4E91': b'\x5A\xC5',
        u'\u4E92': b'\x4E\x45',
        u'\u4E93': b'\x5C\xC0',
        u'\u4E94': b'\x57\xE4',
        u'\u4E95': b'\x4F\xAD',
        u'\u4E98': b'\x5C\xA7',
        u'\u4E9A': b'\x59\x67',
        u'\u4E9B': b'\x58\xA8',
        u'\u4E9F': b'\x5C\xBC',
        u'\u4EA0': b'\x5D\x90',
        u'\u4EA1': b'\x57\x97',
        u'\u4EA2': b'\x50\x5A',
        u'\u4EA4': b'\x4F\x5B',
        u'\u4EA5': b'\x4D\xA4',
        u'\u4EA6': b'\x59\xDF',
        u'\u4EA7': b'\x49\xF9',
        u'\u4EA8': b'\x4D\xDF',
        u'\u4EA9': b'\x52\xB5',
        u'\u4EAB': b'\x58\x8E',
        u'\u4EAC': b'\x4F\xA8',
        u'\u4EAD': b'\x57\x44',
        u'\u4EAE': b'\x51\x61',
        u'\u4EB2': b'\x54\x77',
        u'\u4EB3': b'\x5D\x92',
        u'\u4EB5': b'\x5D\x95',
        u'\u4EBA': b'\x54\xCA',
        u'\u4EBB': b'\x5C\xE8',
        u'\u4EBF': b'\x59\xD9',
        u'\u4EC0': b'\x55\xB1',
        u'\u4EC1': b'\x54\xC9',
        u'\u4EC2': b'\x5C\xEB',
        u'\u4EC3': b'\x5C\xE9',
        u'\u4EC4': b'\x5C\xC5',
        u'\u4EC5': b'\x4F\x97',
        u'\u4EC6': b'\x53\xCC',
        u'\u4EC7': b'\x4A\x91',
        u'\u4EC9': b'\x5C\xEA',
        u'\u4ECA': b'\x4F\x92',
        u'\u4ECB': b'\x4F\x8A',
        u'\u4ECD': b'\x54\xD3',
        u'\u4ECE': b'\x4A\xD2',
        u'\u4ED1': b'\x51\xD7',
        u'\u4ED3': b'\x49\xD5',
        u'\u4ED4': b'\x5C\x70',
        u'\u4ED5': b'\x55\xCA',
        u'\u4ED6': b'\x56\x9C',
        u'\u4ED7': b'\x5B\x6C',
        u'\u4ED8': b'\x4C\xB5',
        u'\u4ED9': b'\x58\x69',
        u'\u4EDD': b'\x5D\x7A',
        u'\u4EDE': b'\x5C\xEF',
        u'\u4EDF': b'\x54\x4A',
        u'\u4EE1': b'\x5C\xED',
        u'\u4EE3': b'\x4A\xF9',
        u'\u4EE4': b'\x51\x8F',
        u'\u4EE5': b'\x59\xD3',
        u'\u4EE8': b'\x5C\xEC',
        u'\u4EEA': b'\x59\xC6',
        u'\u4EEB': b'\x5C\xEE',
        u'\u4EEC': b'\x52\x67',
        u'\u4EF0': b'\x59\x97',
        u'\u4EF2': b'\x5B\xD8',
        u'\u4EF3': b'\x5C\xF1',
        u'\u4EF5': b'\x5C\xF4',
        u'\u4EF6': b'\x4E\xFD',
        u'\u4EF7': b'\x4E\xDA',
        u'\u4EFB': b'\x54\xCD',
        u'\u4EFD': b'\x4C\x7D',
        u'\u4EFF': b'\x4C\x62',
        u'\u4F01': b'\x53\xF2',
        u'\u4F09': b'\x5C\xF7',
        u'\u4F0A': b'\x59\xC0',
        u'\u4F0D': b'\x57\xE8',
        u'\u4F0E': b'\x4E\xBE',
        u'\u4F0F': b'\x4C\x9D',
        u'\u4F10': b'\x4C\x45',
        u'\u4F11': b'\x58\xDC',
        u'\u4F17': b'\x5B\xD9',
        u'\u4F18': b'\x5A\x65',
        u'\u4F19': b'\x4E\x90',
        u'\u4F1A': b'\x4E\x82',
        u'\u4F1B': b'\x5C\xF0',
        u'\u4F1E': b'\x55\x41',
        u'\u4F1F': b'\x57\xAF',
        u'\u4F20': b'\x4A\xAA',
        u'\u4F22': b'\x5C\xF2',
        u'\u4F24': b'\x55\x6B',
        u'\u4F25': b'\x5C\xF5',
        u'\u4F26': b'\x51\xD6',
        u'\u4F27': b'\x5C\xF6',
        u'\u4F2A': b'\x57\xB0',
        u'\u4F2B': b'\x5C\xF8',
        u'\u4F2F': b'\x49\xAD',
        u'\u4F30': b'\x4D\x60',
        u'\u4F32': b'\x5D\x43',
        u'\u4F34': b'\x48\xE8',
        u'\u4F36': b'\x51\x87',
        u'\u4F38': b'\x55\x8D',
        u'\u4F3A': b'\x56\x65',
        u'\u4F3C': b'\x56\x66',
        u'\u4F3D': b'\x5D\x44',
        u'\u4F43': b'\x4B\x89',
        u'\u4F46': b'\x4B\x4B',
        u'\u4F4D': b'\x57\xBA',
        u'\u4F4E': b'\x4B\x6D',
        u'\u4F4F': b'\x5C\x41',
        u'\u4F50': b'\x5C\x95',
        u'\u4F51': b'\x5A\x73',
        u'\u4F53': b'\x56\xE4',
        u'\u4F55': b'\x4D\xCD',
        u'\u4F57': b'\x5D\x42',
        u'\u4F58': b'\x5D\x7C',
        u'\u4F59': b'\x5A\x81',
        u'\u4F5A': b'\x5C\xFC',
        u'\u4F5B': b'\x4C\x91',
        u'\u4F5C': b'\x5C\x98',
        u'\u4F5D': b'\x5C\xFD',
        u'\u4F5E': b'\x5C\xF9',
        u'\u4F5F': b'\x5D\x41',
        u'\u4F60': b'\x52\xE2',
        u'\u4F63': b'\x5A\x56',
        u'\u4F64': b'\x5C\xF3',
        u'\u4F65': b'\x5D\x7D',
        u'\u4F67': b'\x5C\xFA',
        u'\u4F69': b'\x53\x86',
        u'\u4F6C': b'\x50\xCF',
        u'\u4F6F': b'\x59\x91',
        u'\u4F70': b'\x48\xDA',
        u'\u4F73': b'\x4E\xD0',
        u'\u4F74': b'\x5D\x46',
        u'\u4F76': b'\x5D\x45',
        u'\u4F7B': b'\x5D\x4C',
        u'\u4F7C': b'\x5D\x4E',
        u'\u4F7E': b'\x5D\x4B',
        u'\u4F7F': b'\x55\xB8',
        u'\u4F83': b'\x5D\x49',
        u'\u4F84': b'\x5B\xB5',
        u'\u4F88': b'\x4A\x7E',
        u'\u4F89': b'\x5D\x48',
        u'\u4F8B': b'\x50\xFC',
        u'\u4F8D': b'\x55\xCB',
        u'\u4F8F': b'\x5D\x4A',
        u'\u4F91': b'\x5D\x47',
        u'\u4F94': b'\x5D\x50',
        u'\u4F97': b'\x4B\xB0',
        u'\u4F9B': b'\x4D\x49',
        u'\u4F9D': b'\x59\xBF',
        u'\u4FA0': b'\x58\x60',
        u'\u4FA3': b'\x51\xC1',
        u'\u4FA5': b'\x4F\x64',
        u'\u4FA6': b'\x5B\x8D',
        u'\u4FA7': b'\x49\xDF',
        u'\u4FA8': b'\x54\x68',
        u'\u4FA9': b'\x50\x8C',
        u'\u4FAA': b'\x5D\x4D',
        u'\u4FAC': b'\x5D\x4F',
        u'\u4FAE': b'\x57\xE9',
        u'\u4FAF': b'\x4D\xED',
        u'\u4FB5': b'\x54\x76',
        u'\u4FBF': b'\x49\x84',
        u'\u4FC3': b'\x4A\xD8',
        u'\u4FC4': b'\x4B\xEC',
        u'\u4FC5': b'\x5D\x54',
        u'\u4FCA': b'\x50\x41',
        u'\u4FCE': b'\x5D\x7E',
        u'\u4FCF': b'\x54\x6E',
        u'\u4FD0': b'\x50\xFD',
        u'\u4FD1': b'\x5D\x58',
        u'\u4FD7': b'\x56\x77',
        u'\u4FD8': b'\x4C\x9E',
        u'\u4FDA': b'\x5D\x55',
        u'\u4FDC': b'\x5D\x57',
        u'\u4FDD': b'\x49\x43',
        u'\u4FDE': b'\x5A\x82',
        u'\u4FDF': b'\x5D\x59',
        u'\u4FE1': b'\x58\xC4',
        u'\u4FE3': b'\x5D\x56',
        u'\u4FE6': b'\x5D\x51',
        u'\u4FE8': b'\x5D\x52',
        u'\u4FE9': b'\x51\x49',
        u'\u4FEA': b'\x5D\x53',
        u'\u4FED': b'\x4E\xF2',
        u'\u4FEE': b'\x58\xDD',
        u'\u4FEF': b'\x4C\xA8',
        u'\u4FF1': b'\x4F\xE2',
        u'\u4FF3': b'\x5D\x5D',
        u'\u4FF8': b'\x5D\x5A',
        u'\u4FFA': b'\x48\xB2',
        u'\u4FFE': b'\x5D\x62',
        u'\u500C': b'\x5D\x64',
        u'\u500D': b'\x49\x56',
        u'\u500F': b'\x5D\x5F',
        u'\u5012': b'\x4B\x59',
        u'\u5014': b'\x4F\xF2',
        u'\u5018': b'\x56\xC7',
        u'\u5019': b'\x4D\xF1',
        u'\u501A': b'\x59\xCF',
        u'\u501C': b'\x5D\x63',
        u'\u501F': b'\x4F\x89',
        u'\u5021': b'\x4A\x4B',
        u'\u5025': b'\x5D\x65',
        u'\u5026': b'\x4F\xEA',
        u'\u5028': b'\x5D\x66',
        u'\u5029': b'\x5D\x5B',
        u'\u502A': b'\x52\xDE',
        u'\u502C': b'\x5D\x5E',
        u'\u502D': b'\x5D\x61',
        u'\u502E': b'\x5D\x60',
        u'\u503A': b'\x5B\x4E',
        u'\u503C': b'\x5B\xB4',
        u'\u503E': b'\x54\x84',
        u'\u5043': b'\x5D\x68',
        u'\u5047': b'\x4E\xD8',
        u'\u5048': b'\x5D\x6A',
        u'\u504C': b'\x5D\x5C',
        u'\u504E': b'\x5D\x6B',
        u'\u504F': b'\x53\xAA',
        u'\u5055': b'\x5D\x69',
        u'\u505A': b'\x5C\x97',
        u'\u505C': b'\x57\x43',
        u'\u5065': b'\x4F\x41',
        u'\u506C': b'\x5D\x6C',
        u'\u5076': b'\x53\x5C',
        u'\u5077': b'\x57\x55',
        u'\u507B': b'\x5D\x6D',
        u'\u507E': b'\x5D\x67',
        u'\u507F': b'\x4A\x45',
        u'\u5080': b'\x50\x9F',
        u'\u5085': b'\x4C\xB4',
        u'\u5088': b'\x50\xFB',
        u'\u508D': b'\x48\xF7',
        u'\u50A3': b'\x4A\xF5',
        u'\u50A5': b'\x5D\x6E',
        u'\u50A7': b'\x5D\x6F',
        u'\u50A8': b'\x4A\xA1',
        u'\u50A9': b'\x5D\x70',
        u'\u50AC': b'\x4A\xDE',
        u'\u50B2': b'\x48\xC0',
        u'\u50BA': b'\x5D\x71',
        u'\u50BB': b'\x55\x55',
        u'\u50CF': b'\x58\x92',
        u'\u50D6': b'\x5D\x72',
        u'\u50DA': b'\x51\x65',
        u'\u50E6': b'\x5D\x76',
        u'\u50E7': b'\x55\x4E',
        u'\u50EC': b'\x5D\x75',
        u'\u50ED': b'\x5D\x74',
        u'\u50EE': b'\x5D\x77',
        u'\u50F3': b'\x56\x7B',
        u'\u50F5': b'\x4F\x49',
        u'\u50FB': b'\x53\xA6',
        u'\u5106': b'\x5D\x73',
        u'\u5107': b'\x5D\x78',
        u'\u510B': b'\x5D\x79',
        u'\u5112': b'\x54\xE4',
        u'\u5121': b'\x50\xDB',
        u'\u513F': b'\x4B\xF8',
        u'\u5140': b'\x5C\xA2',
        u'\u5141': b'\x5A\xC9',
        u'\u5143': b'\x5A\xA9',
        u'\u5144': b'\x58\xD5',
        u'\u5145': b'\x4A\x85',
        u'\u5146': b'\x5B\x77',
        u'\u5148': b'\x58\x68',
        u'\u5149': b'\x4D\x83',
        u'\u514B': b'\x50\x6B',
        u'\u514D': b'\x52\x83',
        u'\u5151': b'\x4B\xD1',
        u'\u5154': b'\x57\x63',
        u'\u5155': b'\x5D\x8F',
        u'\u5156': b'\x5D\x91',
        u'\u515A': b'\x4B\x53',
        u'\u515C': b'\x4B\xB4',
        u'\u5162': b'\x4F\xA3',
        u'\u5165': b'\x54\xEA',
        u'\u5168': b'\x54\xAA',
        u'\u516B': b'\x48\xCA',
        u'\u516C': b'\x4D\x4B',
        u'\u516D': b'\x51\x9A',
        u'\u516E': b'\x5D\x83',
        u'\u5170': b'\x50\xBB',
        u'\u5171': b'\x4D\x52',
        u'\u5173': b'\x4D\x78',
        u'\u5174': b'\x58\xCA',
        u'\u5175': b'\x49\x99',
        u'\u5176': b'\x53\xE3',
        u'\u5177': b'\x4F\xDE',
        u'\u5178': b'\x4B\x85',
        u'\u5179': b'\x5C\x68',
        u'\u517B': b'\x59\x99',
        u'\u517C': b'\x4E\xE5',
        u'\u517D': b'\x55\xDD',
        u'\u5180': b'\x4E\xBC',
        u'\u5181': b'\x5D\x87',
        u'\u5182': b'\x5C\xE6',
        u'\u5185': b'\x52\xD9',
        u'\u5188': b'\x4C\xD3',
        u'\u5189': b'\x54\xBC',
        u'\u518C': b'\x49\xE0',
        u'\u518D': b'\x5A\xD8',
        u'\u5192': b'\x52\x50',
        u'\u5195': b'\x52\x82',
        u'\u5196': b'\x5D\xA1',
        u'\u5197': b'\x54\xDE',
        u'\u5199': b'\x58\xB3',
        u'\u519B': b'\x4F\xFB',
        u'\u519C': b'\x53\x49',
        u'\u51A0': b'\x4D\x7A',
        u'\u51A2': b'\x5D\xA2',
        u'\u51A4': b'\x5A\xA8',
        u'\u51A5': b'\x5D\xA3',
        u'\u51AB': b'\x5D\x9C',
        u'\u51AC': b'\x4B\xAB',
        u'\u51AF': b'\x4C\x8C',
        u'\u51B0': b'\x49\x9A',
        u'\u51B1': b'\x5D\x9D',
        u'\u51B2': b'\x4A\x86',
        u'\u51B3': b'\x4F\xF5',
        u'\u51B5': b'\x50\x97',
        u'\u51B6': b'\x59\xB0',
        u'\u51B7': b'\x50\xE3',
        u'\u51BB': b'\x4B\xB2',
        u'\u51BC': b'\x5D\x9F',
        u'\u51BD': b'\x5D\x9E',
        u'\u51C0': b'\x4F\xBA',
        u'\u51C4': b'\x53\xDF',
        u'\u51C6': b'\x5C\x5C',
        u'\u51C7': b'\x5D\xA0',
        u'\u51C9': b'\x51\x59',
        u'\u51CB': b'\x4B\x93',
        u'\u51CC': b'\x51\x89',
        u'\u51CF': b'\x4E\xF4',
        u'\u51D1': b'\x4A\xD4',
        u'\u51DB': b'\x51\x7D',
        u'\u51DD': b'\x52\xFC',
        u'\u51E0': b'\x4E\xB7',
        u'\u51E1': b'\x4C\x52',
        u'\u51E4': b'\x4C\x90',
        u'\u51EB': b'\x5D\x8D',
        u'\u51ED': b'\x53\xBD',
        u'\u51EF': b'\x50\x4D',
        u'\u51F0': b'\x4E\x6B',
        u'\u51F3': b'\x4B\x6A',
        u'\u51F5': b'\x5E\x69',
        u'\u51F6': b'\x58\xD6',
        u'\u51F8': b'\x57\x59',
        u'\u51F9': b'\x48\xBB',
        u'\u51FA': b'\x4A\x97',
        u'\u51FB': b'\x4E\x98',
        u'\u51FC': b'\x5E\x6A',
        u'\u51FD': b'\x4D\xAE',
        u'\u51FF': b'\x5A\xE3',
        u'\u5200': b'\x4B\x56',
        u'\u5201': b'\x4B\x94',
        u'\u5202': b'\x5C\xD5',
        u'\u5203': b'\x54\xCF',
        u'\u5206': b'\x4C\x76',
        u'\u5207': b'\x54\x70',
        u'\u5208': b'\x5C\xD6',
        u'\u520A': b'\x50\x4F',
        u'\u520D': b'\x5E\x5B',
        u'\u520E': b'\x5C\xD7',
        u'\u5211': b'\x58\xCB',
        u'\u5212': b'\x4E\x4E',
        u'\u5216': b'\x66\x5E',
        u'\u5217': b'\x51\x70',
        u'\u5218': b'\x51\x96',
        u'\u5219': b'\x5A\xF1',
        u'\u521A': b'\x4C\xD4',
        u'\u521B': b'\x4A\xB3',
        u'\u521D': b'\x4A\x96',
        u'\u5220': b'\x55\x5E',
        u'\u5224': b'\x53\x70',
        u'\u5228': b'\x53\x79',
        u'\u5229': b'\x50\xFA',
        u'\u522B': b'\x49\x91',
        u'\u522D': b'\x5C\xD8',
        u'\u522E': b'\x4D\x6E',
        u'\u5230': b'\x4B\x5D',
        u'\u5233': b'\x5C\xD9',
        u'\u5236': b'\x5B\xC5',
        u'\u5237': b'\x56\x42',
        u'\u5238': b'\x54\xAE',
        u'\u5239': b'\x55\x52',
        u'\u523A': b'\x4A\xCB',
        u'\u523B': b'\x50\x6C',
        u'\u523D': b'\x4D\x95',
        u'\u523F': b'\x5C\xDA',
        u'\u5240': b'\x5C\xDB',
        u'\u5241': b'\x4B\xE6',
        u'\u5242': b'\x4E\xC0',
        u'\u5243': b'\x56\xE9',
        u'\u524A': b'\x58\x98',
        u'\u524C': b'\x5C\xDC',
        u'\u524D': b'\x54\x50',
        u'\u5250': b'\x4D\x70',
        u'\u5251': b'\x4F\x43',
        u'\u5254': b'\x56\xDD',
        u'\u5256': b'\x53\xC9',
        u'\u525C': b'\x5C\xDF',
        u'\u525E': b'\x5C\xDD',
        u'\u5261': b'\x5C\xDE',
        u'\u5265': b'\x48\xFD',
        u'\u5267': b'\x4F\xE6',
        u'\u5269': b'\x55\xA2',
        u'\u526A': b'\x4E\xF3',
        u'\u526F': b'\x4C\xB0',
        u'\u5272': b'\x4C\xED',
        u'\u527D': b'\x5C\xE1',
        u'\u527F': b'\x4F\x6B',
        u'\u5281': b'\x5C\xE3',
        u'\u5282': b'\x5C\xE2',
        u'\u5288': b'\x53\x9D',
        u'\u5290': b'\x5C\xE4',
        u'\u5293': b'\x5C\xE5',
        u'\u529B': b'\x51\x46',
        u'\u529D': b'\x54\xAF',
        u'\u529E': b'\x48\xEB',
        u'\u529F': b'\x4D\x46',
        u'\u52A0': b'\x4E\xD2',
        u'\u52A1': b'\x57\xF0',
        u'\u52A2': b'\x5E\x5D',
        u'\u52A3': b'\x51\x73',
        u'\u52A8': b'\x4B\xAE',
        u'\u52A9': b'\x5B\xF9',
        u'\u52AA': b'\x53\x4C',
        u'\u52AB': b'\x4F\x79',
        u'\u52AC': b'\x5E\x5E',
        u'\u52AD': b'\x5E\x5F',
        u'\u52B1': b'\x50\xF7',
        u'\u52B2': b'\x4F\xA1',
        u'\u52B3': b'\x50\xCC',
        u'\u52BE': b'\x5E\x60',
        u'\u52BF': b'\x55\xC5',
        u'\u52C3': b'\x49\xA9',
        u'\u52C7': b'\x5A\x62',
        u'\u52C9': b'\x52\x84',
        u'\u52CB': b'\x59\x4B',
        u'\u52D0': b'\x5E\x62',
        u'\u52D2': b'\x50\xD4',
        u'\u52D6': b'\x5E\x63',
        u'\u52D8': b'\x50\x51',
        u'\u52DF': b'\x52\xBB',
        u'\u52E4': b'\x54\x7A',
        u'\u52F0': b'\x5E\x64',
        u'\u52F9': b'\x5D\x89',
        u'\u52FA': b'\x55\x77',
        u'\u52FE': b'\x4D\x54',
        u'\u52FF': b'\x57\xEF',
        u'\u5300': b'\x5A\xC7',
        u'\u5305': b'\x48\xFB',
        u'\u5306': b'\x4A\xD1',
        u'\u5308': b'\x58\xD8',
        u'\u530D': b'\x5D\x8A',
        u'\u530F': b'\x5F\xCA',
        u'\u5310': b'\x5D\x8C',
        u'\u5315': b'\x5C\xAF',
        u'\u5316': b'\x4E\x4F',
        u'\u5317': b'\x49\x51',
        u'\u5319': b'\x4A\x77',
        u'\u531A': b'\x5C\xCD',
        u'\u531D': b'\x5A\xD0',
        u'\u5320': b'\x4F\x53',
        u'\u5321': b'\x50\x90',
        u'\u5323': b'\x58\x5B',
        u'\u5326': b'\x5C\xCF',
        u'\u532A': b'\x4C\x6B',
        u'\u532E': b'\x5C\xD0',
        u'\u5339': b'\x53\xA4',
        u'\u533A': b'\x54\x99',
        u'\u533B': b'\x59\xBC',
        u'\u533E': b'\x5C\xD1',
        u'\u533F': b'\x52\xE3',
        u'\u5341': b'\x55\xAD',
        u'\u5343': b'\x54\x47',
        u'\u5345': b'\x5C\xA5',
        u'\u5347': b'\x55\x9E',
        u'\u5348': b'\x57\xE6',
        u'\u5349': b'\x4E\x7C',
        u'\u534A': b'\x48\xEA',
        u'\u534E': b'\x4E\x4A',
        u'\u534F': b'\x58\xAC',
        u'\u5351': b'\x49\x50',
        u'\u5352': b'\x5C\x85',
        u'\u5353': b'\x5C\x5F',
        u'\u5355': b'\x4B\x45',
        u'\u5356': b'\x51\xF3',
        u'\u5357': b'\x52\xCE',
        u'\u535A': b'\x49\xA8',
        u'\u535C': b'\x49\xB6',
        u'\u535E': b'\x49\x86',
        u'\u535F': b'\x60\x52',
        u'\u5360': b'\x5B\x5C',
        u'\u5361': b'\x50\x48',
        u'\u5362': b'\x51\xAB',
        u'\u5363': b'\x5C\xD4',
        u'\u5364': b'\x51\xB0',
        u'\u5366': b'\x5C\xD3',
        u'\u5367': b'\x57\xD3',
        u'\u5369': b'\x5D\xDF',
        u'\u536B': b'\x57\xBF',
        u'\u536E': b'\x5C\xB3',
        u'\u536F': b'\x52\x4E',
        u'\u5370': b'\x5A\x41',
        u'\u5371': b'\x57\xA2',
        u'\u5373': b'\x4E\xB3',
        u'\u5374': b'\x54\xB3',
        u'\u5375': b'\x51\xD0',
        u'\u5377': b'\x4F\xEC',
        u'\u5378': b'\x58\xB5',
        u'\u537A': b'\x5D\xE0',
        u'\u537F': b'\x54\x85',
        u'\u5382': b'\x4A\x47',
        u'\u5384': b'\x4B\xF1',
        u'\u5385': b'\x56\xFB',
        u'\u5386': b'\x50\xF9',
        u'\u5389': b'\x50\xF6',
        u'\u538B': b'\x59\x59',
        u'\u538C': b'\x59\x82',
        u'\u538D': b'\x5C\xC6',
        u'\u5395': b'\x49\xDD',
        u'\u5398': b'\x50\xE4',
        u'\u539A': b'\x4D\xF0',
        u'\u539D': b'\x5C\xC7',
        u'\u539F': b'\x5A\xAC',
        u'\u53A2': b'\x58\x82',
        u'\u53A3': b'\x5C\xC8',
        u'\u53A5': b'\x5C\xC9',
        u'\u53A6': b'\x58\x63',
        u'\u53A8': b'\x4A\x99',
        u'\u53A9': b'\x4F\xC6',
        u'\u53AE': b'\x5C\xCA',
        u'\u53B6': b'\x5E\x6C',
        u'\u53BB': b'\x54\xA4',
        u'\u53BF': b'\x58\x78',
        u'\u53C1': b'\x54\xFD',
        u'\u53C2': b'\x49\xCD',
        u'\u53C8': b'\x5A\x76',
        u'\u53C9': b'\x49\xE5',
        u'\u53CA': b'\x4E\xAF',
        u'\u53CB': b'\x5A\x71',
        u'\u53CC': b'\x56\x4B',
        u'\u53CD': b'\x4C\x54',
        u'\u53D1': b'\x4C\x42',
        u'\u53D4': b'\x55\xE4',
        u'\u53D6': b'\x54\xA0',
        u'\u53D7': b'\x55\xDB',
        u'\u53D8': b'\x49\x85',
        u'\u53D9': b'\x58\xEF',
        u'\u53DB': b'\x53\x71',
        u'\u53DF': b'\x5E\x65',
        u'\u53E0': b'\x4B\x9F',
        u'\u53E3': b'\x50\x7A',
        u'\u53E4': b'\x4D\x65',
        u'\u53E5': b'\x4F\xE3',
        u'\u53E6': b'\x51\x8E',
        u'\u53E8': b'\x60\x56',
        u'\u53E9': b'\x60\x55',
        u'\u53EA': b'\x5B\xBA',
        u'\u53EB': b'\x4F\x70',
        u'\u53EC': b'\x5B\x79',
        u'\u53ED': b'\x48\xC7',
        u'\u53EE': b'\x4B\xA2',
        u'\u53EF': b'\x50\x69',
        u'\u53F0': b'\x56\xA7',
        u'\u53F1': b'\x60\x53',
        u'\u53F2': b'\x55\xB6',
        u'\u53F3': b'\x5A\x72',
        u'\u53F5': b'\x5C\xCE',
        u'\u53F6': b'\x59\xB5',
        u'\u53F7': b'\x4D\xC4',
        u'\u53F8': b'\x56\x5E',
        u'\u53F9': b'\x56\xBD',
        u'\u53FB': b'\x60\x57',
        u'\u53FC': b'\x4B\x91',
        u'\u53FD': b'\x60\x54',
        u'\u5401': b'\x5A\x96',
        u'\u5403': b'\x4A\x74',
        u'\u5404': b'\x4C\xF6',
        u'\u5406': b'\x60\x5A',
        u'\u5408': b'\x4D\xCE',
        u'\u5409': b'\x4E\xA9',
        u'\u540A': b'\x4B\x96',
        u'\u540C': b'\x57\x4C',
        u'\u540D': b'\x52\x9C',
        u'\u540E': b'\x4D\xF2',
        u'\u540F': b'\x50\xF3',
        u'\u5410': b'\x57\x62',
        u'\u5411': b'\x58\x93',
        u'\u5412': b'\x60\x58',
        u'\u5413': b'\x58\x65',
        u'\u5415': b'\x51\xBF',
        u'\u5416': b'\x60\x59',
        u'\u5417': b'\x51\xEF',
        u'\u541B': b'\x4F\xFC',
        u'\u541D': b'\x51\x7F',
        u'\u541E': b'\x57\x6C',
        u'\u541F': b'\x59\xF6',
        u'\u5420': b'\x4C\x6D',
        u'\u5421': b'\x60\x61',
        u'\u5423': b'\x60\x64',
        u'\u5426': b'\x4C\x92',
        u'\u5427': b'\x48\xC8',
        u'\u5428': b'\x4B\xD5',
        u'\u5429': b'\x4C\x74',
        u'\u542B': b'\x4D\xAB',
        u'\u542C': b'\x56\xFC',
        u'\u542D': b'\x50\x74',
        u'\u542E': b'\x56\x51',
        u'\u542F': b'\x53\xF3',
        u'\u5431': b'\x5B\xA7',
        u'\u5432': b'\x60\x65',
        u'\u5434': b'\x57\xE1',
        u'\u5435': b'\x4A\x53',
        u'\u5438': b'\x57\xFB',
        u'\u5439': b'\x4A\xB4',
        u'\u543B': b'\x57\xC6',
        u'\u543C': b'\x4D\xEF',
        u'\u543E': b'\x57\xE0',
        u'\u5440': b'\x59\x5D',
        u'\u5443': b'\x60\x60',
        u'\u5446': b'\x4A\xF3',
        u'\u5448': b'\x4A\x6A',
        u'\u544A': b'\x4C\xE5',
        u'\u544B': b'\x60\x5B',
        u'\u5450': b'\x52\xC4',
        u'\u5452': b'\x60\x5C',
        u'\u5453': b'\x60\x5D',
        u'\u5454': b'\x60\x5E',
        u'\u5455': b'\x53\x5B',
        u'\u5456': b'\x60\x5F',
        u'\u5457': b'\x60\x62',
        u'\u5458': b'\x5A\xB0',
        u'\u5459': b'\x60\x63',
        u'\u545B': b'\x54\x5A',
        u'\u545C': b'\x57\xD7',
        u'\u5462': b'\x52\xD7',
        u'\u5464': b'\x60\x6A',
        u'\u5466': b'\x60\x6F',
        u'\u5468': b'\x5B\xDB',
        u'\u5471': b'\x60\x69',
        u'\u5472': b'\x60\x7A',
        u'\u5473': b'\x57\xB5',
        u'\u5475': b'\x4D\xC6',
        u'\u5476': b'\x60\x6E',
        u'\u5477': b'\x60\x68',
        u'\u5478': b'\x53\x7E',
        u'\u547B': b'\x55\x8C',
        u'\u547C': b'\x4D\xF3',
        u'\u547D': b'\x52\x9D',
        u'\u5480': b'\x4F\xD6',
        u'\u5482': b'\x60\x66',
        u'\u5484': b'\x60\x6D',
        u'\u5486': b'\x53\x78',
        u'\u548B': b'\x5B\x46',
        u'\u548C': b'\x4D\xCC',
        u'\u548E': b'\x4F\xCB',
        u'\u548F': b'\x5A\x5D',
        u'\u5490': b'\x4C\xBF',
        u'\u5492': b'\x5B\xE3',
        u'\u5494': b'\x60\x67',
        u'\u5495': b'\x4D\x5E',
        u'\u5496': b'\x50\x47',
        u'\u5499': b'\x51\x9D',
        u'\u549A': b'\x60\x6B',
        u'\u549B': b'\x60\x6C',
        u'\u549D': b'\x60\x70',
        u'\u54A3': b'\x60\x7B',
        u'\u54A4': b'\x60\x86',
        u'\u54A6': b'\x60\x77',
        u'\u54A7': b'\x60\x76',
        u'\u54A8': b'\x5C\x69',
        u'\u54A9': b'\x60\x84',
        u'\u54AA': b'\x60\x85',
        u'\u54AB': b'\x63\x8C',
        u'\u54AC': b'\x59\xA6',
        u'\u54AD': b'\x60\x72',
        u'\u54AF': b'\x50\x49',
        u'\u54B1': b'\x5A\xDA',
        u'\u54B3': b'\x50\x68',
        u'\u54B4': b'\x60\x74',
        u'\u54B8': b'\x58\x6C',
        u'\u54BB': b'\x60\x7D',
        u'\u54BD': b'\x59\x6A',
        u'\u54BF': b'\x60\x7E',
        u'\u54C0': b'\x48\xA6',
        u'\u54C1': b'\x53\xB6',
        u'\u54C2': b'\x60\x73',
        u'\u54C4': b'\x4D\xE4',
        u'\u54C6': b'\x4B\xDE',
        u'\u54C7': b'\x57\x7B',
        u'\u54C8': b'\x4D\x9F',
        u'\u54C9': b'\x5A\xD4',
        u'\u54CC': b'\x60\x7F',
        u'\u54CD': b'\x58\x8D',
        u'\u54CE': b'\x48\xA4',
        u'\u54CF': b'\x60\x88',
        u'\u54D0': b'\x60\x71',
        u'\u54D1': b'\x59\x66',
        u'\u54D2': b'\x60\x75',
        u'\u54D3': b'\x60\x78',
        u'\u54D4': b'\x60\x79',
        u'\u54D5': b'\x60\x7C',
        u'\u54D7': b'\x4E\x49',
        u'\u54D9': b'\x60\x81',
        u'\u54DA': b'\x60\x82',
        u'\u54DC': b'\x60\x83',
        u'\u54DD': b'\x60\x87',
        u'\u54DE': b'\x60\x89',
        u'\u54DF': b'\x5A\x54',
        u'\u54E5': b'\x4C\xE6',
        u'\u54E6': b'\x53\x56',
        u'\u54E7': b'\x60\x8B',
        u'\u54E8': b'\x55\x7A',
        u'\u54E9': b'\x51\x48',
        u'\u54EA': b'\x52\xC3',
        u'\u54ED': b'\x50\x7E',
        u'\u54EE': b'\x58\x99',
        u'\u54F2': b'\x5B\x7C',
        u'\u54F3': b'\x60\x8F',
        u'\u54FA': b'\x49\xB7',
        u'\u54FC': b'\x4D\xDE',
        u'\u54FD': b'\x60\x8D',
        u'\u54FF': b'\x5E\x61',
        u'\u5501': b'\x59\x85',
        u'\u5506': b'\x56\x95',
        u'\u5507': b'\x4A\xBC',
        u'\u5509': b'\x48\xA5',
        u'\u550F': b'\x60\x92',
        u'\u5510': b'\x56\xC5',
        u'\u5511': b'\x60\x93',
        u'\u5514': b'\x60\x8E',
        u'\u551B': b'\x60\x8A',
        u'\u5520': b'\x60\x8C',
        u'\u5522': b'\x60\x90',
        u'\u5523': b'\x60\x91',
        u'\u5524': b'\x4E\x5D',
        u'\u5527': b'\x60\x94',
        u'\u552A': b'\x60\x95',
        u'\u552C': b'\x4E\x43',
        u'\u552E': b'\x55\xDA',
        u'\u552F': b'\x57\xA7',
        u'\u5530': b'\x60\xA6',
        u'\u5531': b'\x4A\x4A',
        u'\u5533': b'\x60\xA5',
        u'\u5537': b'\x60\xA0',
        u'\u553C': b'\x60\x9F',
        u'\u553E': b'\x57\x79',
        u'\u553F': b'\x60\x9D',
        u'\u5541': b'\x60\x9B',
        u'\u5543': b'\x50\x70',
        u'\u5544': b'\x5C\x64',
        u'\u5546': b'\x55\x6C',
        u'\u5549': b'\x60\x99',
        u'\u554A': b'\x48\xA0',
        u'\u5550': b'\x60\x9E',
        u'\u5555': b'\x60\x9C',
        u'\u5556': b'\x60\xA1',
        u'\u555C': b'\x60\xA7',
        u'\u5561': b'\x4C\x68',
        u'\u5564': b'\x53\xA0',
        u'\u5565': b'\x55\x56',
        u'\u5566': b'\x50\xB1',
        u'\u5567': b'\x60\x96',
        u'\u556A': b'\x53\x5E',
        u'\u556C': b'\x5C\xC3',
        u'\u556D': b'\x60\x9A',
        u'\u556E': b'\x52\xF5',
        u'\u5575': b'\x60\xA2',
        u'\u5576': b'\x60\xA3',
        u'\u5577': b'\x60\xA4',
        u'\u5578': b'\x58\xA4',
        u'\u557B': b'\x60\xB3',
        u'\u557C': b'\x56\xE3',
        u'\u557E': b'\x60\xB0',
        u'\u5580': b'\x50\x46',
        u'\u5581': b'\x60\xAE',
        u'\u5582': b'\x57\xB8',
        u'\u5583': b'\x60\xAA',
        u'\u5584': b'\x55\x66',
        u'\u5587': b'\x50\xAD',
        u'\u5588': b'\x60\xAD',
        u'\u5589': b'\x4D\xEC',
        u'\u558A': b'\x4D\xAF',
        u'\u558B': b'\x60\xA8',
        u'\u558F': b'\x60\x97',
        u'\u5591': b'\x60\xB2',
        u'\u5594': b'\x60\xB7',
        u'\u5598': b'\x4A\xAC',
        u'\u5599': b'\x60\xB8',
        u'\u559C': b'\x58\x52',
        u'\u559D': b'\x4D\xC7',
        u'\u559F': b'\x60\xAF',
        u'\u55A7': b'\x58\xF9',
        u'\u55B1': b'\x60\xAB',
        u'\u55B3': b'\x5A\xFA',
        u'\u55B5': b'\x60\x98',
        u'\u55B7': b'\x53\x88',
        u'\u55B9': b'\x60\xAC',
        u'\u55BB': b'\x5A\x98',
        u'\u55BD': b'\x60\xB5',
        u'\u55BE': b'\x60\xB6',
        u'\u55C4': b'\x60\xC3',
        u'\u55C5': b'\x58\xE0',
        u'\u55C9': b'\x60\xBB',
        u'\u55CC': b'\x60\xC8',
        u'\u55CD': b'\x60\xC9',
        u'\u55D1': b'\x60\xBD',
        u'\u55D2': b'\x60\xA9',
        u'\u55D3': b'\x55\x44',
        u'\u55D4': b'\x60\xC0',
        u'\u55D6': b'\x60\xB1',
        u'\u55DC': b'\x55\xC7',
        u'\u55DD': b'\x60\xC2',
        u'\u55DF': b'\x60\xB4',
        u'\u55E1': b'\x57\xCA',
        u'\u55E3': b'\x56\x63',
        u'\u55E4': b'\x60\xCC',
        u'\u55E5': b'\x60\xC5',
        u'\u55E6': b'\x60\xC1',
        u'\u55E8': b'\x60\xCA',
        u'\u55EA': b'\x60\xB9',
        u'\u55EB': b'\x60\xBE',
        u'\u55EC': b'\x60\xBF',
        u'\u55EF': b'\x60\xC4',
        u'\u55F2': b'\x60\xC6',
        u'\u55F3': b'\x60\xC7',
        u'\u55F5': b'\x60\xCB',
        u'\u55F7': b'\x60\xBA',
        u'\u55FD': b'\x56\x74',
        u'\u55FE': b'\x60\xD4',
        u'\u5600': b'\x60\xD5',
        u'\u5601': b'\x60\xD1',
        u'\u5608': b'\x60\xCF',
        u'\u5609': b'\x4E\xCD',
        u'\u560C': b'\x60\xD0',
        u'\u560E': b'\x4C\xC1',
        u'\u560F': b'\x5C\xC4',
        u'\u5618': b'\x58\xE9',
        u'\u561B': b'\x51\xEE',
        u'\u561E': b'\x60\xCE',
        u'\u561F': b'\x60\xBC',
        u'\u5623': b'\x60\xD3',
        u'\u5624': b'\x60\xD2',
        u'\u5627': b'\x60\xD6',
        u'\u562C': b'\x60\xDB',
        u'\u562D': b'\x60\xD7',
        u'\u5631': b'\x5B\xF5',
        u'\u5632': b'\x4A\x50',
        u'\u5634': b'\x5C\x8D',
        u'\u5636': b'\x56\x5B',
        u'\u5639': b'\x60\xD9',
        u'\u563B': b'\x57\xFA',
        u'\u563F': b'\x4D\xD8',
        u'\u564C': b'\x60\xE0',
        u'\u564D': b'\x60\xDC',
        u'\u564E': b'\x59\xAC',
        u'\u5654': b'\x60\xE1',
        u'\u5657': b'\x60\xDA',
        u'\u5658': b'\x60\xD8',
        u'\u5659': b'\x60\xDE',
        u'\u565C': b'\x60\xDF',
        u'\u5662': b'\x60\xDD',
        u'\u5664': b'\x60\xE3',
        u'\u5668': b'\x53\xF6',
        u'\u5669': b'\x5C\xAB',
        u'\u566A': b'\x5A\xEA',
        u'\u566B': b'\x60\xE5',
        u'\u566C': b'\x55\xC8',
        u'\u5671': b'\x60\xE4',
        u'\u5676': b'\x4C\xC0',
        u'\u567B': b'\x60\xE6',
        u'\u567C': b'\x60\xE7',
        u'\u5685': b'\x60\xE8',
        u'\u5686': b'\x60\xE2',
        u'\u568E': b'\x4D\xBE',
        u'\u568F': b'\x56\xE6',
        u'\u5693': b'\x60\xE9',
        u'\u56A3': b'\x58\x9A',
        u'\u56AF': b'\x60\xEA',
        u'\u56B7': b'\x54\xC1',
        u'\u56BC': b'\x4F\x60',
        u'\u56CA': b'\x52\xD1',
        u'\u56D4': b'\x60\xEB',
        u'\u56D7': b'\x60\xEC',
        u'\u56DA': b'\x54\x95',
        u'\u56DB': b'\x56\x64',
        u'\u56DD': b'\x60\xED',
        u'\u56DE': b'\x4E\x78',
        u'\u56DF': b'\x5C\xB5',
        u'\u56E0': b'\x59\xF1',
        u'\u56E1': b'\x60\xEE',
        u'\u56E2': b'\x57\x65',
        u'\u56E4': b'\x4B\xD9',
        u'\u56EB': b'\x60\xF0',
        u'\u56ED': b'\x5A\xAF',
        u'\u56F0': b'\x50\xA6',
        u'\u56F1': b'\x4A\xD0',
        u'\u56F4': b'\x57\xA6',
        u'\u56F5': b'\x60\xEF',
        u'\u56F9': b'\x60\xF1',
        u'\u56FA': b'\x4D\x6C',
        u'\u56FD': b'\x4D\x9B',
        u'\u56FE': b'\x57\x5C',
        u'\u56FF': b'\x60\xF2',
        u'\u5703': b'\x53\xD3',
        u'\u5704': b'\x60\xF3',
        u'\u5706': b'\x5A\xB1',
        u'\u5708': b'\x54\xA5',
        u'\u5709': b'\x60\xF5',
        u'\u570A': b'\x60\xF4',
        u'\u571C': b'\x60\xF6',
        u'\u571F': b'\x57\x61',
        u'\u5723': b'\x55\xA4',
        u'\u5728': b'\x5A\xD9',
        u'\u5729': b'\x5E\x77',
        u'\u572A': b'\x5E\x79',
        u'\u572C': b'\x5E\x78',
        u'\u572D': b'\x4D\x88',
        u'\u572E': b'\x5E\x7C',
        u'\u572F': b'\x5E\x7D',
        u'\u5730': b'\x4B\x78',
        u'\u5733': b'\x5E\x7A',
        u'\u5739': b'\x5E\x7B',
        u'\u573A': b'\x4A\x41',
        u'\u573B': b'\x5E\x7F',
        u'\u573E': b'\x4E\x99',
        u'\u5740': b'\x5B\xB6',
        u'\u5742': b'\x5E\x81',
        u'\u5747': b'\x4F\xF8',
        u'\u574A': b'\x4C\x5B',
        u'\u574C': b'\x5E\x70',
        u'\u574D': b'\x56\xAD',
        u'\u574E': b'\x50\x52',
        u'\u574F': b'\x4E\x55',
        u'\u5750': b'\x5C\x99',
        u'\u5751': b'\x50\x73',
        u'\u5757': b'\x50\x8A',
        u'\u575A': b'\x4E\xE0',
        u'\u575B': b'\x56\xB2',
        u'\u575C': b'\x5E\x7E',
        u'\u575D': b'\x48\xD2',
        u'\u575E': b'\x57\xEA',
        u'\u575F': b'\x4C\x78',
        u'\u5760': b'\x5C\x59',
        u'\u5761': b'\x53\xC1',
        u'\u5764': b'\x50\xA3',
        u'\u5766': b'\x56\xB8',
        u'\u5768': b'\x5E\x88',
        u'\u5769': b'\x5E\x82',
        u'\u576A': b'\x53\xB9',
        u'\u576B': b'\x5E\x84',
        u'\u576D': b'\x5E\x89',
        u'\u576F': b'\x53\x98',
        u'\u5773': b'\x5E\x8B',
        u'\u5776': b'\x5E\x8A',
        u'\u5777': b'\x50\x60',
        u'\u577B': b'\x5E\x87',
        u'\u577C': b'\x5E\x86',
        u'\u5782': b'\x4A\xB8',
        u'\u5783': b'\x50\xAB',
        u'\u5784': b'\x51\xA1',
        u'\u5785': b'\x5E\x83',
        u'\u5786': b'\x5E\x85',
        u'\u578B': b'\x58\xCC',
        u'\u578C': b'\x5E\x8E',
        u'\u5792': b'\x50\xDC',
        u'\u5793': b'\x5E\x93',
        u'\u579B': b'\x4B\xE1',
        u'\u57A0': b'\x5E\x94',
        u'\u57A1': b'\x5E\x72',
        u'\u57A2': b'\x4D\x58',
        u'\u57A3': b'\x5A\xAA',
        u'\u57A4': b'\x5E\x8D',
        u'\u57A6': b'\x50\x71',
        u'\u57A7': b'\x5E\x91',
        u'\u57A9': b'\x5E\x71',
        u'\u57AB': b'\x4B\x87',
        u'\u57AD': b'\x5E\x8C',
        u'\u57AE': b'\x50\x86',
        u'\u57B2': b'\x5E\x8F',
        u'\u57B4': b'\x5E\x92',
        u'\u57B8': b'\x5E\x9A',
        u'\u57C2': b'\x4D\x41',
        u'\u57C3': b'\x48\xA2',
        u'\u57CB': b'\x51\xF0',
        u'\u57CE': b'\x4A\x67',
        u'\u57CF': b'\x5E\x90',
        u'\u57D2': b'\x5E\x99',
        u'\u57D4': b'\x53\xD1',
        u'\u57D5': b'\x5E\x95',
        u'\u57D8': b'\x5E\x96',
        u'\u57D9': b'\x5E\x98',
        u'\u57DA': b'\x5E\x97',
        u'\u57DD': b'\x5E\x9F',
        u'\u57DF': b'\x5A\x93',
        u'\u57E0': b'\x49\xB9',
        u'\u57E4': b'\x5E\x9E',
        u'\u57ED': b'\x5E\xA3',
        u'\u57EF': b'\x5E\x9C',
        u'\u57F4': b'\x5E\x9B',
        u'\u57F8': b'\x5E\x9D',
        u'\u57F9': b'\x53\x81',
        u'\u57FA': b'\x4E\x9A',
        u'\u57FD': b'\x5E\xA2',
        u'\u5800': b'\x5E\xA4',
        u'\u5802': b'\x56\xC2',
        u'\u5806': b'\x4B\xD0',
        u'\u5807': b'\x5F\x60',
        u'\u580B': b'\x5E\xA0',
        u'\u580D': b'\x5E\xA1',
        u'\u5811': b'\x54\x55',
        u'\u5815': b'\x4B\xE8',
        u'\u5819': b'\x5E\xA6',
        u'\u581E': b'\x5E\xA5',
        u'\u5820': b'\x5E\xA8',
        u'\u5821': b'\x49\x44',
        u'\u5824': b'\x4B\x6C',
        u'\u582A': b'\x50\x50',
        u'\u5830': b'\x59\x7F',
        u'\u5835': b'\x4B\xC1',
        u'\u5844': b'\x5E\xA7',
        u'\u584C': b'\x56\x9B',
        u'\u584D': b'\x66\x94',
        u'\u5851': b'\x56\x7C',
        u'\u5854': b'\x56\x9F',
        u'\u5858': b'\x56\xC0',
        u'\u585E': b'\x54\xFA',
        u'\u5865': b'\x5E\xA9',
        u'\u586B': b'\x56\xED',
        u'\u586C': b'\x5E\xAA',
        u'\u587E': b'\x5E\x73',
        u'\u5880': b'\x5E\xAE',
        u'\u5881': b'\x5E\xAB',
        u'\u5883': b'\x4F\xB2',
        u'\u5885': b'\x55\xFA',
        u'\u5889': b'\x5E\xAC',
        u'\u5892': b'\x55\x6A',
        u'\u5893': b'\x52\xB8',
        u'\u5899': b'\x54\x5D',
        u'\u589A': b'\x5E\xAD',
        u'\u589E': b'\x5A\xF5',
        u'\u589F': b'\x58\xE5',
        u'\u58A8': b'\x52\xAA',
        u'\u58A9': b'\x4B\xD4',
        u'\u58BC': b'\x5E\x74',
        u'\u58C1': b'\x49\x7A',
        u'\u58C5': b'\x5E\x75',
        u'\u58D1': b'\x5E\x76',
        u'\u58D5': b'\x4D\xBD',
        u'\u58E4': b'\x54\xBF',
        u'\u58EB': b'\x55\xBE',
        u'\u58EC': b'\x54\xC8',
        u'\u58EE': b'\x5C\x53',
        u'\u58F0': b'\x55\x9A',
        u'\u58F3': b'\x50\x67',
        u'\u58F6': b'\x4D\xF7',
        u'\u58F9': b'\x59\xBB',
        u'\u5902': b'\x61\xB9',
        u'\u5904': b'\x4A\xA5',
        u'\u5907': b'\x49\x58',
        u'\u590D': b'\x4C\xB3',
        u'\u590F': b'\x58\x64',
        u'\u5914': b'\x5D\x88',
        u'\u5915': b'\x58\x46',
        u'\u5916': b'\x57\x83',
        u'\u5919': b'\x5D\x8E',
        u'\u591A': b'\x4B\xDF',
        u'\u591C': b'\x59\xB8',
        u'\u591F': b'\x4D\x5B',
        u'\u5924': b'\x61\xB8',
        u'\u5925': b'\x61\xB6',
        u'\u5927': b'\x4A\xF2',
        u'\u5929': b'\x56\xEB',
        u'\u592A': b'\x56\xAA',
        u'\u592B': b'\x4C\x93',
        u'\u592D': b'\x5C\xB1',
        u'\u592E': b'\x59\x8C',
        u'\u592F': b'\x4D\xBA',
        u'\u5931': b'\x55\xA6',
        u'\u5934': b'\x57\x57',
        u'\u5937': b'\x59\xC3',
        u'\u5938': b'\x50\x85',
        u'\u5939': b'\x4E\xCF',
        u'\u593A': b'\x4B\xE0',
        u'\u593C': b'\x5F\xC4',
        u'\u5941': b'\x5F\xC5',
        u'\u5942': b'\x5E\x5C',
        u'\u5944': b'\x59\x79',
        u'\u5947': b'\x53\xE5',
        u'\u5948': b'\x52\xCD',
        u'\u5949': b'\x4C\x8F',
        u'\u594B': b'\x4C\x7C',
        u'\u594E': b'\x50\x9D',
        u'\u594F': b'\x5C\x81',
        u'\u5951': b'\x53\xF4',
        u'\u5954': b'\x49\x5C',
        u'\u5955': b'\x5F\xC7',
        u'\u5956': b'\x4F\x51',
        u'\u5957': b'\x56\xD6',
        u'\u5958': b'\x5F\xC9',
        u'\u595A': b'\x5F\xC8',
        u'\u5960': b'\x4B\x8D',
        u'\u5962': b'\x55\x7D',
        u'\u5965': b'\x48\xC1',
        u'\u5973': b'\x53\x4E',
        u'\u5974': b'\x53\x4B',
        u'\u5976': b'\x52\xCB',
        u'\u5978': b'\x4E\xE8',
        u'\u5979': b'\x56\x9E',
        u'\u597D': b'\x4D\xC2',
        u'\u5981': b'\x63\x9A',
        u'\u5982': b'\x54\xE6',
        u'\u5983': b'\x63\x9B',
        u'\u5984': b'\x57\x9E',
        u'\u5986': b'\x5C\x51',
        u'\u5987': b'\x4C\xBD',
        u'\u5988': b'\x51\xE7',
        u'\u598A': b'\x54\xD0',
        u'\u598D': b'\x63\x9C',
        u'\u5992': b'\x4B\xC9',
        u'\u5993': b'\x4E\xCA',
        u'\u5996': b'\x59\x9E',
        u'\u5997': b'\x63\xA0',
        u'\u5999': b'\x52\x8F',
        u'\u599E': b'\x63\xA3',
        u'\u59A3': b'\x63\x9F',
        u'\u59A4': b'\x63\xA4',
        u'\u59A5': b'\x57\x77',
        u'\u59A8': b'\x4C\x61',
        u'\u59A9': b'\x63\x9D',
        u'\u59AA': b'\x63\x9E',
        u'\u59AB': b'\x63\xA2',
        u'\u59AE': b'\x52\xDC',
        u'\u59AF': b'\x63\xA7',
        u'\u59B2': b'\x63\xA6',
        u'\u59B9': b'\x52\x63',
        u'\u59BB': b'\x53\xDD',
        u'\u59BE': b'\x63\xA9',
        u'\u59C6': b'\x52\xB6',
        u'\u59CA': b'\x63\xA1',
        u'\u59CB': b'\x55\xBB',
        u'\u59D0': b'\x4F\x84',
        u'\u59D1': b'\x4D\x63',
        u'\u59D2': b'\x63\xA5',
        u'\u59D3': b'\x58\xD4',
        u'\u59D4': b'\x57\xAE',
        u'\u59D7': b'\x63\xA8',
        u'\u59D8': b'\x63\xAF',
        u'\u59DA': b'\x59\xA5',
        u'\u59DC': b'\x4F\x4A',
        u'\u59DD': b'\x63\xAC',
        u'\u59E3': b'\x63\xAE',
        u'\u59E5': b'\x50\xD0',
        u'\u59E8': b'\x59\xCB',
        u'\u59EC': b'\x4E\xA6',
        u'\u59F9': b'\x63\xB0',
        u'\u59FB': b'\x59\xF5',
        u'\u59FF': b'\x5C\x6B',
        u'\u5A01': b'\x57\x9F',
        u'\u5A03': b'\x57\x7E',
        u'\u5A04': b'\x51\xA5',
        u'\u5A05': b'\x63\xAA',
        u'\u5A06': b'\x63\xAB',
        u'\u5A07': b'\x4F\x5F',
        u'\u5A08': b'\x63\xAD',
        u'\u5A09': b'\x63\xB2',
        u'\u5A0C': b'\x63\xB1',
        u'\u5A11': b'\x63\xB5',
        u'\u5A13': b'\x63\xB7',
        u'\u5A18': b'\x52\xEE',
        u'\u5A1C': b'\x52\xC7',
        u'\u5A1F': b'\x4F\xE9',
        u'\u5A20': b'\x55\x90',
        u'\u5A23': b'\x63\xB6',
        u'\u5A25': b'\x4B\xEF',
        u'\u5A29': b'\x52\x85',
        u'\u5A31': b'\x5A\x8A',
        u'\u5A32': b'\x63\xB3',
        u'\u5A34': b'\x63\xB4',
        u'\u5A36': b'\x54\xA1',
        u'\u5A3C': b'\x63\xBC',
        u'\u5A40': b'\x63\xB8',
        u'\u5A46': b'\x53\xC4',
        u'\u5A49': b'\x57\x92',
        u'\u5A4A': b'\x63\xBA',
        u'\u5A55': b'\x63\xBB',
        u'\u5A5A': b'\x4E\x8A',
        u'\u5A62': b'\x63\xBD',
        u'\u5A67': b'\x63\xB9',
        u'\u5A6A': b'\x50\xB6',
        u'\u5A74': b'\x5A\x44',
        u'\u5A75': b'\x63\xBE',
        u'\u5A76': b'\x55\x95',
        u'\u5A77': b'\x63\xC2',
        u'\u5A7A': b'\x63\xC3',
        u'\u5A7F': b'\x58\xF5',
        u'\u5A92': b'\x52\x5D',
        u'\u5A9A': b'\x52\x64',
        u'\u5A9B': b'\x63\xC1',
        u'\u5AAA': b'\x63\xC0',
        u'\u5AB2': b'\x63\xC6',
        u'\u5AB3': b'\x58\x51',
        u'\u5AB5': b'\x66\x95',
        u'\u5AB8': b'\x63\xC9',
        u'\u5ABE': b'\x63\xC4',
        u'\u5AC1': b'\x4E\xDD',
        u'\u5AC2': b'\x55\x49',
        u'\u5AC9': b'\x4E\xB4',
        u'\u5ACC': b'\x58\x73',
        u'\u5AD2': b'\x63\xC7',
        u'\u5AD4': b'\x63\xC8',
        u'\u5AD6': b'\x63\xCD',
        u'\u5AD8': b'\x63\xCF',
        u'\u5ADC': b'\x63\xD0',
        u'\u5AE0': b'\x63\xCA',
        u'\u5AE1': b'\x4B\x75',
        u'\u5AE3': b'\x63\xCB',
        u'\u5AE6': b'\x63\xCE',
        u'\u5AE9': b'\x52\xDA',
        u'\u5AEB': b'\x63\xC5',
        u'\u5AF1': b'\x63\xCC',
        u'\u5B09': b'\x63\xD1',
        u'\u5B16': b'\x63\xD3',
        u'\u5B17': b'\x63\xD2',
        u'\u5B32': b'\x63\xD4',
        u'\u5B34': b'\x5D\x99',
        u'\u5B37': b'\x63\xD5',
        u'\u5B40': b'\x63\xD6',
        u'\u5B50': b'\x5C\x73',
        u'\u5B51': b'\x63\xDC',
        u'\u5B53': b'\x63\xDD',
        u'\u5B54': b'\x50\x77',
        u'\u5B55': b'\x5A\xCF',
        u'\u5B57': b'\x5C\x76',
        u'\u5B58': b'\x4A\xE5',
        u'\u5B59': b'\x56\x90',
        u'\u5B5A': b'\x63\xD9',
        u'\u5B5B': b'\x5C\xC2',
        u'\u5B5C': b'\x5C\x6E',
        u'\u5B5D': b'\x58\xA1',
        u'\u5B5F': b'\x52\x6F',
        u'\u5B62': b'\x63\xDE',
        u'\u5B63': b'\x4E\xBD',
        u'\u5B64': b'\x4D\x62',
        u'\u5B65': b'\x63\xDA',
        u'\u5B66': b'\x59\x47',
        u'\u5B69': b'\x4D\xA1',
        u'\u5B6A': b'\x51\xCE',
        u'\u5B6C': b'\x5C\xAA',
        u'\u5B70': b'\x55\xEA',
        u'\u5B71': b'\x63\x8F',
        u'\u5B73': b'\x63\xDB',
        u'\u5B75': b'\x4C\x96',
        u'\u5B7A': b'\x54\xE5',
        u'\u5B7D': b'\x52\xF4',
        u'\u5B80': b'\x63\x52',
        u'\u5B81': b'\x52\xFD',
        u'\u5B83': b'\x56\x9D',
        u'\u5B84': b'\x63\x53',
        u'\u5B85': b'\x5B\x4C',
        u'\u5B87': b'\x5A\x8F',
        u'\u5B88': b'\x55\xD7',
        u'\u5B89': b'\x48\xB1',
        u'\u5B8B': b'\x56\x6E',
        u'\u5B8C': b'\x57\x8B',
        u'\u5B8F': b'\x4D\xE9',
        u'\u5B93': b'\x63\x55',
        u'\u5B95': b'\x63\x54',
        u'\u5B97': b'\x5C\x7A',
        u'\u5B98': b'\x4D\x79',
        u'\u5B99': b'\x5B\xE5',
        u'\u5B9A': b'\x4B\xA7',
        u'\u5B9B': b'\x57\x91',
        u'\u5B9C': b'\x59\xCA',
        u'\u5B9D': b'\x49\x46',
        u'\u5B9E': b'\x55\xB4',
        u'\u5BA0': b'\x4A\x89',
        u'\u5BA1': b'\x55\x94',
        u'\u5BA2': b'\x50\x6D',
        u'\u5BA3': b'\x58\xFA',
        u'\u5BA4': b'\x55\xD1',
        u'\u5BA5': b'\x63\x56',
        u'\u5BA6': b'\x4E\x62',
        u'\u5BAA': b'\x58\x7C',
        u'\u5BAB': b'\x4D\x4C',
        u'\u5BB0': b'\x5A\xD6',
        u'\u5BB3': b'\x4D\xA5',
        u'\u5BB4': b'\x59\x88',
        u'\u5BB5': b'\x58\x9D',
        u'\u5BB6': b'\x4E\xD1',
        u'\u5BB8': b'\x63\x57',
        u'\u5BB9': b'\x54\xDC',
        u'\u5BBD': b'\x50\x8E',
        u'\u5BBE': b'\x49\x97',
        u'\u5BBF': b'\x56\x7E',
        u'\u5BC2': b'\x4E\xC4',
        u'\u5BC4': b'\x4E\xC3',
        u'\u5BC5': b'\x59\xF9',
        u'\u5BC6': b'\x52\x7C',
        u'\u5BC7': b'\x50\x7C',
        u'\u5BCC': b'\x4C\xBA',
        u'\u5BD0': b'\x52\x62',
        u'\u5BD2': b'\x4D\xAD',
        u'\u5BD3': b'\x5A\xA1',
        u'\u5BDD': b'\x54\x7E',
        u'\u5BDE': b'\x52\xAE',
        u'\u5BDF': b'\x49\xEB',
        u'\u5BE1': b'\x4D\x71',
        u'\u5BE4': b'\x63\x5B',
        u'\u5BE5': b'\x51\x68',
        u'\u5BE8': b'\x5B\x4F',
        u'\u5BEE': b'\x63\x5C',
        u'\u5BF0': b'\x63\x5E',
        u'\u5BF8': b'\x4A\xE6',
        u'\u5BF9': b'\x4B\xD3',
        u'\u5BFA': b'\x56\x62',
        u'\u5BFB': b'\x59\x50',
        u'\u5BFC': b'\x4B\x5C',
        u'\u5BFF': b'\x55\xD8',
        u'\u5C01': b'\x4C\x83',
        u'\u5C04': b'\x55\x85',
        u'\u5C06': b'\x4F\x4B',
        u'\u5C09': b'\x57\xBD',
        u'\u5C0A': b'\x5C\x91',
        u'\u5C0F': b'\x58\xA0',
        u'\u5C11': b'\x55\x79',
        u'\u5C14': b'\x4B\xFA',
        u'\u5C15': b'\x63\xD7',
        u'\u5C16': b'\x4E\xE1',
        u'\u5C18': b'\x4A\x5E',
        u'\u5C1A': b'\x55\x70',
        u'\u5C1C': b'\x63\xD8',
        u'\u5C1D': b'\x4A\x42',
        u'\u5C22': b'\x5F\xCB',
        u'\u5C24': b'\x5A\x68',
        u'\u5C25': b'\x5F\xCC',
        u'\u5C27': b'\x59\xA1',
        u'\u5C2C': b'\x5F\xCD',
        u'\u5C31': b'\x4F\xCC',
        u'\u5C34': b'\x5F\xCE',
        u'\u5C38': b'\x55\xAB',
        u'\u5C39': b'\x59\xFB',
        u'\u5C3A': b'\x4A\x7F',
        u'\u5C3B': b'\x63\x8B',
        u'\u5C3C': b'\x52\xE0',
        u'\u5C3D': b'\x4F\xA0',
        u'\u5C3E': b'\x57\xB1',
        u'\u5C3F': b'\x52\xF1',
        u'\u5C40': b'\x4F\xD5',
        u'\u5C41': b'\x53\xA7',
        u'\u5C42': b'\x49\xE2',
        u'\u5C45': b'\x4F\xD2',
        u'\u5C48': b'\x54\x9D',
        u'\u5C49': b'\x56\xEA',
        u'\u5C4A': b'\x4F\x8D',
        u'\u5C4B': b'\x57\xDC',
        u'\u5C4E': b'\x55\xB9',
        u'\u5C4F': b'\x53\xC0',
        u'\u5C50': b'\x63\x8D',
        u'\u5C51': b'\x58\xBB',
        u'\u5C55': b'\x5B\x59',
        u'\u5C59': b'\x63\x8E',
        u'\u5C5E': b'\x55\xF3',
        u'\u5C60': b'\x57\x60',
        u'\u5C61': b'\x51\xC4',
        u'\u5C63': b'\x63\x90',
        u'\u5C65': b'\x51\xC3',
        u'\u5C66': b'\x63\x91',
        u'\u5C6E': b'\x63\x99',
        u'\u5C6F': b'\x57\x6D',
        u'\u5C71': b'\x55\x5D',
        u'\u5C79': b'\x59\xD8',
        u'\u5C7A': b'\x61\x48',
        u'\u5C7F': b'\x5A\x8D',
        u'\u5C81': b'\x56\x8B',
        u'\u5C82': b'\x53\xF0',
        u'\u5C88': b'\x61\x4C',
        u'\u5C8C': b'\x61\x47',
        u'\u5C8D': b'\x61\x49',
        u'\u5C90': b'\x61\x4A',
        u'\u5C91': b'\x61\x4F',
        u'\u5C94': b'\x49\xEC',
        u'\u5C96': b'\x61\x4B',
        u'\u5C97': b'\x4C\xD9',
        u'\u5C98': b'\x61\x4D',
        u'\u5C99': b'\x61\x4E',
        u'\u5C9A': b'\x61\x50',
        u'\u5C9B': b'\x4B\x5A',
        u'\u5C9C': b'\x61\x51',
        u'\u5CA2': b'\x61\x53',
        u'\u5CA3': b'\x61\x58',
        u'\u5CA9': b'\x59\x72',
        u'\u5CAB': b'\x61\x56',
        u'\u5CAC': b'\x61\x55',
        u'\u5CAD': b'\x51\x8C',
        u'\u5CB1': b'\x61\x57',
        u'\u5CB3': b'\x5A\xBF',
        u'\u5CB5': b'\x61\x52',
        u'\u5CB7': b'\x61\x5A',
        u'\u5CB8': b'\x48\xB5',
        u'\u5CBD': b'\x61\x54',
        u'\u5CBF': b'\x50\x9A',
        u'\u5CC1': b'\x61\x59',
        u'\u5CC4': b'\x61\x5B',
        u'\u5CCB': b'\x61\x5E',
        u'\u5CD2': b'\x61\x5C',
        u'\u5CD9': b'\x5B\xC4',
        u'\u5CE1': b'\x58\x5F',
        u'\u5CE4': b'\x61\x5D',
        u'\u5CE5': b'\x61\x5F',
        u'\u5CE6': b'\x51\xCC',
        u'\u5CE8': b'\x4B\xEA',
        u'\u5CEA': b'\x5A\x99',
        u'\u5CED': b'\x54\x6D',
        u'\u5CF0': b'\x4C\x86',
        u'\u5CFB': b'\x4F\xFD',
        u'\u5D02': b'\x61\x60',
        u'\u5D03': b'\x61\x61',
        u'\u5D06': b'\x61\x67',
        u'\u5D07': b'\x4A\x88',
        u'\u5D0E': b'\x53\xE8',
        u'\u5D14': b'\x4A\xDD',
        u'\u5D16': b'\x59\x62',
        u'\u5D1B': b'\x61\x68',
        u'\u5D1E': b'\x61\x66',
        u'\u5D24': b'\x61\x65',
        u'\u5D26': b'\x61\x63',
        u'\u5D27': b'\x61\x62',
        u'\u5D29': b'\x49\x60',
        u'\u5D2D': b'\x5B\x58',
        u'\u5D2E': b'\x61\x64',
        u'\u5D34': b'\x61\x6B',
        u'\u5D3D': b'\x61\x6C',
        u'\u5D3E': b'\x61\x6A',
        u'\u5D47': b'\x68\x9B',
        u'\u5D4A': b'\x61\x73',
        u'\u5D4B': b'\x61\x72',
        u'\u5D4C': b'\x54\x56',
        u'\u5D58': b'\x61\x69',
        u'\u5D5B': b'\x61\x6E',
        u'\u5D5D': b'\x61\x70',
        u'\u5D69': b'\x61\x74',
        u'\u5D6B': b'\x61\x71',
        u'\u5D6C': b'\x61\x6D',
        u'\u5D6F': b'\x61\x6F',
        u'\u5D74': b'\x61\x75',
        u'\u5D82': b'\x61\x76',
        u'\u5D99': b'\x61\x77',
        u'\u5D9D': b'\x61\x78',
        u'\u5DB7': b'\x61\x7A',
        u'\u5DC5': b'\x61\x7B',
        u'\u5DCD': b'\x57\xA0',
        u'\u5DDB': b'\x64\x7D',
        u'\u5DDD': b'\x4A\xA7',
        u'\u5DDE': b'\x5B\xDC',
        u'\u5DE1': b'\x59\x52',
        u'\u5DE2': b'\x4A\x52',
        u'\u5DE5': b'\x4D\x44',
        u'\u5DE6': b'\x5C\x94',
        u'\u5DE7': b'\x54\x69',
        u'\u5DE8': b'\x4F\xDD',
        u'\u5DE9': b'\x4D\x4E',
        u'\u5DEB': b'\x57\xD6',
        u'\u5DEE': b'\x49\xED',
        u'\u5DEF': b'\x5E\x6F',
        u'\u5DF1': b'\x4E\xB9',
        u'\u5DF2': b'\x59\xD0',
        u'\u5DF3': b'\x56\x68',
        u'\u5DF4': b'\x48\xCC',
        u'\u5DF7': b'\x58\x90',
        u'\u5DFD': b'\x5D\x84',
        u'\u5DFE': b'\x4F\x8E',
        u'\u5E01': b'\x49\x72',
        u'\u5E02': b'\x55\xCF',
        u'\u5E03': b'\x49\xBB',
        u'\u5E05': b'\x56\x47',
        u'\u5E06': b'\x4C\x4B',
        u'\u5E08': b'\x55\xA5',
        u'\u5E0C': b'\x58\x43',
        u'\u5E0F': b'\x60\xF7',
        u'\u5E10': b'\x5B\x6A',
        u'\u5E11': b'\x60\xFA',
        u'\u5E14': b'\x60\xF9',
        u'\u5E15': b'\x53\x61',
        u'\u5E16': b'\x56\xFA',
        u'\u5E18': b'\x51\x51',
        u'\u5E19': b'\x60\xF8',
        u'\u5E1A': b'\x5B\xE2',
        u'\u5E1B': b'\x49\xAE',
        u'\u5E1C': b'\x5B\xC3',
        u'\u5E1D': b'\x4B\x7B',
        u'\u5E26': b'\x4A\xF7',
        u'\u5E27': b'\x5B\xA0',
        u'\u5E2D': b'\x58\x4F',
        u'\u5E2E': b'\x48\xEE',
        u'\u5E31': b'\x60\xFB',
        u'\u5E37': b'\x61\x41',
        u'\u5E38': b'\x4A\x43',
        u'\u5E3B': b'\x60\xFC',
        u'\u5E3C': b'\x60\xFD',
        u'\u5E3D': b'\x52\x51',
        u'\u5E42': b'\x52\x7D',
        u'\u5E44': b'\x61\x42',
        u'\u5E45': b'\x4C\x9A',
        u'\u5E4C': b'\x4E\x6F',
        u'\u5E54': b'\x61\x43',
        u'\u5E55': b'\x52\xBA',
        u'\u5E5B': b'\x61\x44',
        u'\u5E5E': b'\x61\x45',
        u'\u5E61': b'\x61\x46',
        u'\u5E62': b'\x4A\xB0',
        u'\u5E72': b'\x4C\xC8',
        u'\u5E73': b'\x53\xBC',
        u'\u5E74': b'\x52\xE9',
        u'\u5E76': b'\x49\xA1',
        u'\u5E78': b'\x58\xD1',
        u'\u5E7A': b'\x64\x7B',
        u'\u5E7B': b'\x4E\x63',
        u'\u5E7C': b'\x5A\x77',
        u'\u5E7D': b'\x5A\x64',
        u'\u5E7F': b'\x4D\x84',
        u'\u5E80': b'\x61\xCE',
        u'\u5E84': b'\x5C\x4F',
        u'\u5E86': b'\x54\x8D',
        u'\u5E87': b'\x49\x73',
        u'\u5E8A': b'\x4A\xB1',
        u'\u5E8B': b'\x61\xD0',
        u'\u5E8F': b'\x58\xF1',
        u'\u5E90': b'\x51\xAD',
        u'\u5E91': b'\x61\xCF',
        u'\u5E93': b'\x50\x83',
        u'\u5E94': b'\x5A\x46',
        u'\u5E95': b'\x4B\x77',
        u'\u5E96': b'\x61\xD1',
        u'\u5E97': b'\x4B\x8B',
        u'\u5E99': b'\x52\x8E',
        u'\u5E9A': b'\x4C\xFC',
        u'\u5E9C': b'\x4C\xAD',
        u'\u5E9E': b'\x53\x73',
        u'\u5E9F': b'\x4C\x6F',
        u'\u5EA0': b'\x61\xD3',
        u'\u5EA5': b'\x61\xD2',
        u'\u5EA6': b'\x4B\xC7',
        u'\u5EA7': b'\x5C\x9A',
        u'\u5EAD': b'\x57\x45',
        u'\u5EB3': b'\x61\xD7',
        u'\u5EB5': b'\x61\xD5',
        u'\u5EB6': b'\x55\xFB',
        u'\u5EB7': b'\x50\x55',
        u'\u5EB8': b'\x5A\x59',
        u'\u5EB9': b'\x61\xD4',
        u'\u5EBE': b'\x61\xD6',
        u'\u5EC9': b'\x51\x4E',
        u'\u5ECA': b'\x50\xC7',
        u'\u5ED1': b'\x61\xDA',
        u'\u5ED2': b'\x61\xD9',
        u'\u5ED3': b'\x50\xA9',
        u'\u5ED6': b'\x51\x6E',
        u'\u5EDB': b'\x61\xDB',
        u'\u5EE8': b'\x61\xDC',
        u'\u5EEA': b'\x61\xDD',
        u'\u5EF4': b'\x5E\x68',
        u'\u5EF6': b'\x59\x73',
        u'\u5EF7': b'\x57\x42',
        u'\u5EFA': b'\x4F\x48',
        u'\u5EFE': b'\x5F\xC2',
        u'\u5EFF': b'\x5C\xA4',
        u'\u5F00': b'\x50\x4A',
        u'\u5F01': b'\x5E\x6D',
        u'\u5F02': b'\x59\xEB',
        u'\u5F03': b'\x53\xF9',
        u'\u5F04': b'\x53\x4A',
        u'\u5F08': b'\x5F\xC3',
        u'\u5F0A': b'\x49\x77',
        u'\u5F0B': b'\x60\x4E',
        u'\u5F0F': b'\x55\xBC',
        u'\u5F11': b'\x60\x51',
        u'\u5F13': b'\x4D\x4D',
        u'\u5F15': b'\x59\xFC',
        u'\u5F17': b'\x4C\xA4',
        u'\u5F18': b'\x4D\xEA',
        u'\u5F1B': b'\x4A\x7A',
        u'\u5F1F': b'\x4B\x7C',
        u'\u5F20': b'\x5B\x65',
        u'\u5F25': b'\x52\x76',
        u'\u5F26': b'\x58\x72',
        u'\u5F27': b'\x4E\x41',
        u'\u5F29': b'\x63\x94',
        u'\u5F2A': b'\x63\x93',
        u'\u5F2D': b'\x63\x95',
        u'\u5F2F': b'\x57\x85',
        u'\u5F31': b'\x54\xF4',
        u'\u5F39': b'\x4B\x4F',
        u'\u5F3A': b'\x54\x5F',
        u'\u5F3C': b'\x63\x97',
        u'\u5F40': b'\x66\xAF',
        u'\u5F50': b'\x63\x87',
        u'\u5F52': b'\x4D\x8A',
        u'\u5F53': b'\x4B\x51',
        u'\u5F55': b'\x51\xBB',
        u'\u5F56': b'\x63\x89',
        u'\u5F57': b'\x63\x88',
        u'\u5F58': b'\x63\x8A',
        u'\u5F5D': b'\x59\xCC',
        u'\u5F61': b'\x61\x8B',
        u'\u5F62': b'\x58\xCD',
        u'\u5F64': b'\x57\x4E',
        u'\u5F66': b'\x59\x86',
        u'\u5F69': b'\x49\xC9',
        u'\u5F6A': b'\x49\x8C',
        u'\u5F6C': b'\x49\x93',
        u'\u5F6D': b'\x53\x8E',
        u'\u5F70': b'\x5B\x63',
        u'\u5F71': b'\x5A\x50',
        u'\u5F73': b'\x61\x7C',
        u'\u5F77': b'\x61\x7D',
        u'\u5F79': b'\x59\xDA',
        u'\u5F7B': b'\x4A\x59',
        u'\u5F7C': b'\x49\x6B',
        u'\u5F80': b'\x57\x9A',
        u'\u5F81': b'\x5B\x98',
        u'\u5F82': b'\x61\x7E',
        u'\u5F84': b'\x4F\xB5',
        u'\u5F85': b'\x4A\xFC',
        u'\u5F87': b'\x61\x7F',
        u'\u5F88': b'\x4D\xDB',
        u'\u5F89': b'\x61\x81',
        u'\u5F8A': b'\x4E\x52',
        u'\u5F8B': b'\x51\xC8',
        u'\u5F8C': b'\x61\x82',
        u'\u5F90': b'\x58\xEB',
        u'\u5F92': b'\x57\x5D',
        u'\u5F95': b'\x61\x83',
        u'\u5F97': b'\x4B\x63',
        u'\u5F98': b'\x53\x67',
        u'\u5F99': b'\x61\x84',
        u'\u5F9C': b'\x61\x85',
        u'\u5FA1': b'\x5A\x9A',
        u'\u5FA8': b'\x61\x86',
        u'\u5FAA': b'\x59\x4D',
        u'\u5FAD': b'\x61\x87',
        u'\u5FAE': b'\x57\xA1',
        u'\u5FB5': b'\x61\x88',
        u'\u5FB7': b'\x4B\x62',
        u'\u5FBC': b'\x61\x89',
        u'\u5FBD': b'\x4E\x75',
        u'\u5FC3': b'\x58\xC3',
        u'\u5FC4': b'\x61\xDF',
        u'\u5FC5': b'\x49\x78',
        u'\u5FC6': b'\x59\xE3',
        u'\u5FC9': b'\x61\xE0',
        u'\u5FCC': b'\x4E\xC8',
        u'\u5FCD': b'\x54\xCB',
        u'\u5FCF': b'\x61\xE2',
        u'\u5FD0': b'\x66\xFD',
        u'\u5FD1': b'\x66\xFC',
        u'\u5FD2': b'\x60\x4F',
        u'\u5FD6': b'\x61\xE1',
        u'\u5FD7': b'\x5B\xBD',
        u'\u5FD8': b'\x57\x9D',
        u'\u5FD9': b'\x52\x46',
        u'\u5FDD': b'\x62\x63',
        u'\u5FE0': b'\x5B\xD1',
        u'\u5FE1': b'\x61\xE6',
        u'\u5FE4': b'\x61\xE7',
        u'\u5FE7': b'\x5A\x67',
        u'\u5FEA': b'\x61\xEB',
        u'\u5FEB': b'\x50\x8D',
        u'\u5FED': b'\x61\xEC',
        u'\u5FEE': b'\x61\xE4',
        u'\u5FF1': b'\x4A\x60',
        u'\u5FF5': b'\x52\xED',
        u'\u5FF8': b'\x61\xED',
        u'\u5FFB': b'\x58\xC2',
        u'\u5FFD': b'\x4D\xF5',
        u'\u5FFE': b'\x61\xE8',
        u'\u5FFF': b'\x4C\x7E',
        u'\u6000': b'\x4E\x53',
        u'\u6001': b'\x56\xAB',
        u'\u6002': b'\x56\x6B',
        u'\u6003': b'\x61\xE3',
        u'\u6004': b'\x61\xE5',
        u'\u6005': b'\x61\xE9',
        u'\u6006': b'\x61\xEA',
        u'\u600A': b'\x61\xF6',
        u'\u600D': b'\x61\xF3',
        u'\u600E': b'\x5A\xF4',
        u'\u600F': b'\x61\xF2',
        u'\u6012': b'\x53\x4D',
        u'\u6014': b'\x5B\x9B',
        u'\u6015': b'\x53\x62',
        u'\u6016': b'\x49\xBF',
        u'\u6019': b'\x61\xEE',
        u'\u601B': b'\x61\xF1',
        u'\u601C': b'\x51\x4F',
        u'\u601D': b'\x56\x5C',
        u'\u6020': b'\x4B\x41',
        u'\u6021': b'\x61\xF8',
        u'\u6025': b'\x4E\xB0',
        u'\u6026': b'\x61\xF0',
        u'\u6027': b'\x58\xD3',
        u'\u6028': b'\x5A\xB8',
        u'\u6029': b'\x61\xF4',
        u'\u602A': b'\x4D\x76',
        u'\u602B': b'\x61\xF5',
        u'\u602F': b'\x54\x73',
        u'\u6035': b'\x61\xEF',
        u'\u603B': b'\x5C\x7C',
        u'\u603C': b'\x67\x41',
        u'\u603F': b'\x61\xF7',
        u'\u6041': b'\x67\x45',
        u'\u6042': b'\x61\xFD',
        u'\u6043': b'\x55\xD0',
        u'\u604B': b'\x51\x55',
        u'\u604D': b'\x4E\x70',
        u'\u6050': b'\x50\x76',
        u'\u6052': b'\x4D\xE2',
        u'\u6055': b'\x56\x41',
        u'\u6059': b'\x67\x46',
        u'\u605A': b'\x67\x43',
        u'\u605D': b'\x67\x42',
        u'\u6062': b'\x4E\x76',
        u'\u6063': b'\x67\x47',
        u'\u6064': b'\x58\xF3',
        u'\u6067': b'\x67\x44',
        u'\u6068': b'\x4D\xDD',
        u'\u6069': b'\x4B\xF6',
        u'\u606A': b'\x62\x41',
        u'\u606B': b'\x4B\xB1',
        u'\u606C': b'\x56\xF0',
        u'\u606D': b'\x4D\x47',
        u'\u606F': b'\x58\x42',
        u'\u6070': b'\x54\x41',
        u'\u6073': b'\x50\x72',
        u'\u6076': b'\x4B\xF0',
        u'\u6078': b'\x61\xF9',
        u'\u6079': b'\x61\xFA',
        u'\u607A': b'\x61\xFC',
        u'\u607B': b'\x61\xFB',
        u'\u607C': b'\x52\xD4',
        u'\u607D': b'\x62\x42',
        u'\u607F': b'\x5A\x61',
        u'\u6083': b'\x62\x47',
        u'\u6084': b'\x54\x64',
        u'\u6089': b'\x58\x44',
        u'\u608C': b'\x62\x49',
        u'\u608D': b'\x4D\xB6',
        u'\u6092': b'\x62\x48',
        u'\u6094': b'\x4E\x7A',
        u'\u6096': b'\x62\x43',
        u'\u609A': b'\x62\x44',
        u'\u609B': b'\x62\x4A',
        u'\u609D': b'\x62\x46',
        u'\u609F': b'\x57\xF1',
        u'\u60A0': b'\x5A\x66',
        u'\u60A3': b'\x4E\x5C',
        u'\u60A6': b'\x5A\xC2',
        u'\u60A8': b'\x52\xF9',
        u'\u60AB': b'\x67\x48',
        u'\u60AC': b'\x58\xFB',
        u'\u60AD': b'\x62\x45',
        u'\u60AF': b'\x52\x96',
        u'\u60B1': b'\x62\x4D',
        u'\u60B2': b'\x49\x4F',
        u'\u60B4': b'\x62\x52',
        u'\u60B8': b'\x4E\xC1',
        u'\u60BB': b'\x62\x4C',
        u'\u60BC': b'\x4B\x5F',
        u'\u60C5': b'\x54\x8A',
        u'\u60C6': b'\x62\x50',
        u'\u60CA': b'\x4F\xA9',
        u'\u60CB': b'\x57\x90',
        u'\u60D1': b'\x4E\x94',
        u'\u60D5': b'\x56\xE7',
        u'\u60D8': b'\x62\x4F',
        u'\u60DA': b'\x62\x51',
        u'\u60DC': b'\x58\x47',
        u'\u60DD': b'\x62\x4E',
        u'\u60DF': b'\x57\xA8',
        u'\u60E0': b'\x4E\x7D',
        u'\u60E6': b'\x4B\x8C',
        u'\u60E7': b'\x4F\xE4',
        u'\u60E8': b'\x49\xD1',
        u'\u60E9': b'\x4A\x6D',
        u'\u60EB': b'\x49\x59',
        u'\u60EC': b'\x62\x4B',
        u'\u60ED': b'\x49\xD0',
        u'\u60EE': b'\x4B\x4C',
        u'\u60EF': b'\x4D\x7F',
        u'\u60F0': b'\x4B\xE7',
        u'\u60F3': b'\x58\x8C',
        u'\u60F4': b'\x62\x57',
        u'\u60F6': b'\x4E\x6C',
        u'\u60F9': b'\x54\xC6',
        u'\u60FA': b'\x58\xC9',
        u'\u6100': b'\x62\x58',
        u'\u6101': b'\x4A\x8F',
        u'\u6106': b'\x67\x49',
        u'\u6108': b'\x5A\x9B',
        u'\u6109': b'\x5A\x85',
        u'\u610D': b'\x67\x4A',
        u'\u610E': b'\x62\x59',
        u'\u610F': b'\x59\xE1',
        u'\u6115': b'\x62\x55',
        u'\u611A': b'\x5A\x7E',
        u'\u611F': b'\x4C\xCF',
        u'\u6120': b'\x62\x53',
        u'\u6123': b'\x62\x56',
        u'\u6124': b'\x4C\x7F',
        u'\u6126': b'\x62\x54',
        u'\u6127': b'\x50\xA1',
        u'\u612B': b'\x62\x5A',
        u'\u613F': b'\x5A\xB7',
        u'\u6148': b'\x4A\xC7',
        u'\u614A': b'\x62\x5B',
        u'\u614C': b'\x4E\x65',
        u'\u614E': b'\x55\x98',
        u'\u6151': b'\x55\x86',
        u'\u6155': b'\x52\xBC',
        u'\u615D': b'\x67\x4B',
        u'\u6162': b'\x51\xFC',
        u'\u6167': b'\x4E\x7B',
        u'\u6168': b'\x50\x4E',
        u'\u6170': b'\x57\xBE',
        u'\u6175': b'\x62\x5C',
        u'\u6177': b'\x50\x56',
        u'\u618B': b'\x49\x90',
        u'\u618E': b'\x5A\xF6',
        u'\u6194': b'\x62\x5E',
        u'\u619D': b'\x67\x4D',
        u'\u61A7': b'\x62\x5F',
        u'\u61A8': b'\x4D\xA8',
        u'\u61A9': b'\x67\x4C',
        u'\u61AC': b'\x62\x5D',
        u'\u61B7': b'\x62\x60',
        u'\u61BE': b'\x4D\xB5',
        u'\u61C2': b'\x4B\xAD',
        u'\u61C8': b'\x58\xB7',
        u'\u61CA': b'\x48\xC2',
        u'\u61CB': b'\x67\x4E',
        u'\u61D1': b'\x67\x4F',
        u'\u61D2': b'\x50\xC0',
        u'\u61D4': b'\x62\x61',
        u'\u61E6': b'\x53\x53',
        u'\u61F5': b'\x62\x62',
        u'\u61FF': b'\x5E\xB1',
        u'\u6206': b'\x67\x50',
        u'\u6208': b'\x4C\xE9',
        u'\u620A': b'\x57\xEB',
        u'\u620B': b'\x65\xA6',
        u'\u620C': b'\x58\xE6',
        u'\u620D': b'\x55\xF8',
        u'\u620E': b'\x54\xD5',
        u'\u620F': b'\x58\x57',
        u'\u6210': b'\x4A\x69',
        u'\u6211': b'\x57\xD1',
        u'\u6212': b'\x4F\x85',
        u'\u6215': b'\x62\x7E',
        u'\u6216': b'\x4E\x93',
        u'\u6217': b'\x65\xA7',
        u'\u6218': b'\x5B\x5D',
        u'\u621A': b'\x53\xDC',
        u'\u621B': b'\x65\xA8',
        u'\u621F': b'\x65\xA9',
        u'\u6221': b'\x65\xAB',
        u'\u6222': b'\x65\xAA',
        u'\u6224': b'\x65\xAD',
        u'\u6225': b'\x65\xAC',
        u'\u622A': b'\x4F\x78',
        u'\u622C': b'\x65\xAE',
        u'\u622E': b'\x51\xBD',
        u'\u6233': b'\x4A\xC0',
        u'\u6234': b'\x4A\xF6',
        u'\u6237': b'\x4E\x47',
        u'\u623D': b'\x66\xE5',
        u'\u623E': b'\x66\xE4',
        u'\u623F': b'\x4C\x5F',
        u'\u6240': b'\x56\x9A',
        u'\u6241': b'\x49\x83',
        u'\u6243': b'\x66\xE6',
        u'\u6247': b'\x55\x68',
        u'\u6248': b'\x66\xE7',
        u'\u6249': b'\x66\xE8',
        u'\u624B': b'\x55\xD5',
        u'\u624C': b'\x5F\xCF',
        u'\u624D': b'\x49\xC4',
        u'\u624E': b'\x5A\xF9',
        u'\u6251': b'\x53\xCA',
        u'\u6252': b'\x48\xC6',
        u'\u6253': b'\x4A\xF1',
        u'\u6254': b'\x54\xD2',
        u'\u6258': b'\x57\x70',
        u'\u625B': b'\x50\x58',
        u'\u6263': b'\x50\x7B',
        u'\u6266': b'\x54\x44',
        u'\u6267': b'\x5B\xB3',
        u'\u6269': b'\x50\xA8',
        u'\u626A': b'\x5F\xD0',
        u'\u626B': b'\x55\x48',
        u'\u626C': b'\x59\x90',
        u'\u626D': b'\x53\x44',
        u'\u626E': b'\x48\xE6',
        u'\u626F': b'\x4A\x56',
        u'\u6270': b'\x54\xC4',
        u'\u6273': b'\x48\xE1',
        u'\u6276': b'\x4C\x97',
        u'\u6279': b'\x53\x9B',
        u'\u627C': b'\x4B\xF2',
        u'\u627E': b'\x5B\x72',
        u'\u627F': b'\x4A\x70',
        u'\u6280': b'\x4E\xBB',
        u'\u6284': b'\x4A\x4D',
        u'\u6289': b'\x4F\xF0',
        u'\u628A': b'\x48\xD0',
        u'\u6291': b'\x59\xD5',
        u'\u6292': b'\x55\xE2',
        u'\u6293': b'\x5C\x45',
        u'\u6295': b'\x57\x56',
        u'\u6296': b'\x4B\xB5',
        u'\u6297': b'\x50\x59',
        u'\u6298': b'\x5B\x7B',
        u'\u629A': b'\x4C\xA6',
        u'\u629B': b'\x53\x77',
        u'\u629F': b'\x5F\xD1',
        u'\u62A0': b'\x50\x79',
        u'\u62A1': b'\x51\xD4',
        u'\u62A2': b'\x54\x60',
        u'\u62A4': b'\x4E\x44',
        u'\u62A5': b'\x49\x48',
        u'\u62A8': b'\x53\x8B',
        u'\u62AB': b'\x53\x9C',
        u'\u62AC': b'\x56\xA6',
        u'\u62B1': b'\x49\x47',
        u'\u62B5': b'\x4B\x76',
        u'\u62B9': b'\x52\xA7',
        u'\u62BB': b'\x5F\xD2',
        u'\u62BC': b'\x59\x5A',
        u'\u62BD': b'\x4A\x8A',
        u'\u62BF': b'\x52\x93',
        u'\u62C2': b'\x4C\x98',
        u'\u62C4': b'\x5B\xF3',
        u'\u62C5': b'\x4B\x43',
        u'\u62C6': b'\x49\xEF',
        u'\u62C7': b'\x52\xB3',
        u'\u62C8': b'\x52\xE8',
        u'\u62C9': b'\x50\xAC',
        u'\u62CA': b'\x5F\xD3',
        u'\u62CC': b'\x48\xE7',
        u'\u62CD': b'\x53\x64',
        u'\u62CE': b'\x51\x81',
        u'\u62D0': b'\x4D\x75',
        u'\u62D2': b'\x4F\xDB',
        u'\u62D3': b'\x57\x78',
        u'\u62D4': b'\x48\xCD',
        u'\u62D6': b'\x57\x6F',
        u'\u62D7': b'\x5F\xD5',
        u'\u62D8': b'\x4F\xCF',
        u'\u62D9': b'\x5C\x5E',
        u'\u62DA': b'\x5F\xD4',
        u'\u62DB': b'\x5B\x70',
        u'\u62DC': b'\x48\xDC',
        u'\u62DF': b'\x52\xE1',
        u'\u62E2': b'\x51\xA2',
        u'\u62E3': b'\x4E\xEF',
        u'\u62E5': b'\x5A\x55',
        u'\u62E6': b'\x50\xB8',
        u'\u62E7': b'\x53\x41',
        u'\u62E8': b'\x49\xA5',
        u'\u62E9': b'\x5A\xF0',
        u'\u62EC': b'\x50\xA7',
        u'\u62ED': b'\x55\xC2',
        u'\u62EE': b'\x5F\xD6',
        u'\u62EF': b'\x5B\x9D',
        u'\u62F1': b'\x4D\x50',
        u'\u62F3': b'\x54\xAC',
        u'\u62F4': b'\x56\x49',
        u'\u62F6': b'\x5F\xD8',
        u'\u62F7': b'\x50\x5D',
        u'\u62FC': b'\x53\xB3',
        u'\u62FD': b'\x5C\x47',
        u'\u62FE': b'\x55\xAF',
        u'\u62FF': b'\x52\xC2',
        u'\u6301': b'\x4A\x76',
        u'\u6302': b'\x4D\x72',
        u'\u6307': b'\x5B\xB7',
        u'\u6308': b'\x65\xFB',
        u'\u6309': b'\x48\xB3',
        u'\u630E': b'\x50\x87',
        u'\u6311': b'\x56\xF3',
        u'\u6316': b'\x57\x7A',
        u'\u631A': b'\x5B\xBE',
        u'\u631B': b'\x51\xCD',
        u'\u631D': b'\x57\xCD',
        u'\u631E': b'\x56\xA1',
        u'\u631F': b'\x58\xAD',
        u'\u6320': b'\x52\xD2',
        u'\u6321': b'\x4B\x52',
        u'\u6322': b'\x5F\xD7',
        u'\u6323': b'\x5B\x96',
        u'\u6324': b'\x4E\xB6',
        u'\u6325': b'\x4E\x73',
        u'\u6328': b'\x48\xA3',
        u'\u632A': b'\x53\x52',
        u'\u632B': b'\x4A\xEB',
        u'\u632F': b'\x5B\x92',
        u'\u6332': b'\x65\xFC',
        u'\u6339': b'\x5F\xD9',
        u'\u633A': b'\x57\x46',
        u'\u633D': b'\x57\x8D',
        u'\u6342': b'\x57\xE5',
        u'\u6343': b'\x5F\xDB',
        u'\u6345': b'\x57\x51',
        u'\u6346': b'\x50\xA5',
        u'\u6349': b'\x5C\x5D',
        u'\u634B': b'\x5F\xDA',
        u'\u634C': b'\x48\xC5',
        u'\u634D': b'\x4D\xB3',
        u'\u634E': b'\x55\x73',
        u'\u634F': b'\x52\xF2',
        u'\u6350': b'\x4F\xE7',
        u'\u6355': b'\x49\xB5',
        u'\u635E': b'\x50\xCB',
        u'\u635F': b'\x56\x91',
        u'\u6361': b'\x4E\xF0',
        u'\u6362': b'\x4E\x5B',
        u'\u6363': b'\x4B\x57',
        u'\u6367': b'\x53\x96',
        u'\u6369': b'\x5F\xE5',
        u'\u636D': b'\x5F\xE2',
        u'\u636E': b'\x4F\xDC',
        u'\u6371': b'\x5F\xDE',
        u'\u6376': b'\x4A\xB6',
        u'\u6377': b'\x4F\x7D',
        u'\u637A': b'\x5F\xDF',
        u'\u637B': b'\x52\xEC',
        u'\u6380': b'\x58\x66',
        u'\u6382': b'\x4B\x81',
        u'\u6387': b'\x4B\xDD',
        u'\u6388': b'\x55\xD9',
        u'\u6389': b'\x4B\x95',
        u'\u638A': b'\x5F\xE4',
        u'\u638C': b'\x5B\x66',
        u'\u638E': b'\x5F\xE0',
        u'\u638F': b'\x56\xCC',
        u'\u6390': b'\x53\xFD',
        u'\u6392': b'\x53\x65',
        u'\u6396': b'\x59\xB3',
        u'\u6398': b'\x4F\xF1',
        u'\u63A0': b'\x51\xD2',
        u'\u63A2': b'\x56\xBC',
        u'\u63A3': b'\x4A\x58',
        u'\u63A5': b'\x4F\x73',
        u'\u63A7': b'\x50\x78',
        u'\u63A8': b'\x57\x66',
        u'\u63A9': b'\x59\x7A',
        u'\u63AA': b'\x4A\xEA',
        u'\u63AC': b'\x5F\xE3',
        u'\u63AD': b'\x5F\xDC',
        u'\u63AE': b'\x5F\xE6',
        u'\u63B0': b'\x65\xFD',
        u'\u63B3': b'\x51\xAF',
        u'\u63B4': b'\x5F\xE1',
        u'\u63B7': b'\x5B\xBF',
        u'\u63B8': b'\x4B\x47',
        u'\u63BA': b'\x49\xF3',
        u'\u63BC': b'\x5F\xE7',
        u'\u63BE': b'\x5F\xF1',
        u'\u63C4': b'\x5F\xEC',
        u'\u63C6': b'\x5F\xF0',
        u'\u63C9': b'\x54\xDF',
        u'\u63CD': b'\x5C\x82',
        u'\u63CE': b'\x5F\xEE',
        u'\u63CF': b'\x52\x89',
        u'\u63D0': b'\x56\xE0',
        u'\u63D2': b'\x49\xE4',
        u'\u63D6': b'\x59\xBD',
        u'\u63DE': b'\x5F\xED',
        u'\u63E0': b'\x5F\xEA',
        u'\u63E1': b'\x57\xD4',
        u'\u63E3': b'\x4A\xA6',
        u'\u63E9': b'\x50\x4B',
        u'\u63EA': b'\x4F\xBD',
        u'\u63ED': b'\x4F\x72',
        u'\u63F2': b'\x5F\xE8',
        u'\u63F4': b'\x5A\xAD',
        u'\u63F6': b'\x5F\xDD',
        u'\u63F8': b'\x5F\xE9',
        u'\u63FD': b'\x50\xBE',
        u'\u63FF': b'\x5F\xEB',
        u'\u6400': b'\x49\xF2',
        u'\u6401': b'\x4C\xE8',
        u'\u6402': b'\x51\xA6',
        u'\u6405': b'\x4F\x61',
        u'\u640B': b'\x5F\xF4',
        u'\u640C': b'\x5F\xF7',
        u'\u640F': b'\x49\xAA',
        u'\u6410': b'\x4A\xA3',
        u'\u6413': b'\x4A\xE9',
        u'\u6414': b'\x55\x46',
        u'\u641B': b'\x5F\xF5',
        u'\u641C': b'\x56\x71',
        u'\u641E': b'\x4C\xE2',
        u'\u6420': b'\x5F\xF6',
        u'\u6421': b'\x5F\xF9',
        u'\u6426': b'\x5F\xF8',
        u'\u642A': b'\x56\xC1',
        u'\u642C': b'\x48\xE0',
        u'\u642D': b'\x4A\xED',
        u'\u6434': b'\x63\x5A',
        u'\u643A': b'\x58\xAE',
        u'\u643D': b'\x49\xEA',
        u'\u643F': b'\x66\x41',
        u'\u6441': b'\x5F\xF3',
        u'\u6444': b'\x55\x84',
        u'\u6445': b'\x5F\xF2',
        u'\u6446': b'\x48\xD9',
        u'\u6447': b'\x59\xA0',
        u'\u6448': b'\x49\x98',
        u'\u644A': b'\x56\xAE',
        u'\u6452': b'\x5F\xEF',
        u'\u6454': b'\x56\x44',
        u'\u6458': b'\x5B\x4A',
        u'\u645E': b'\x5F\xFA',
        u'\u6467': b'\x4A\xDC',
        u'\u6469': b'\x52\xA5',
        u'\u646D': b'\x5F\xFC',
        u'\u6478': b'\x52\x9F',
        u'\u6479': b'\x52\xA0',
        u'\u647A': b'\x60\x41',
        u'\u6482': b'\x51\x6C',
        u'\u6484': b'\x5F\xFB',
        u'\u6485': b'\x4F\xEE',
        u'\u6487': b'\x53\xB1',
        u'\u6491': b'\x4A\x65',
        u'\u6492': b'\x54\xF5',
        u'\u6495': b'\x56\x5A',
        u'\u6496': b'\x5F\xFD',
        u'\u6499': b'\x60\x44',
        u'\u649E': b'\x5C\x52',
        u'\u64A4': b'\x4A\x57',
        u'\u64A9': b'\x51\x63',
        u'\u64AC': b'\x54\x6B',
        u'\u64AD': b'\x49\xA4',
        u'\u64AE': b'\x4A\xE8',
        u'\u64B0': b'\x5C\x4B',
        u'\u64B5': b'\x52\xEB',
        u'\u64B7': b'\x60\x42',
        u'\u64B8': b'\x60\x43',
        u'\u64BA': b'\x60\x45',
        u'\u64BC': b'\x4D\xB2',
        u'\u64C0': b'\x60\x46',
        u'\u64C2': b'\x50\xDD',
        u'\u64C5': b'\x55\x63',
        u'\u64CD': b'\x49\xD8',
        u'\u64CE': b'\x54\x87',
        u'\u64D0': b'\x60\x47',
        u'\u64D2': b'\x54\x7C',
        u'\u64D7': b'\x60\x48',
        u'\u64D8': b'\x66\x42',
        u'\u64DE': b'\x56\x73',
        u'\u64E2': b'\x60\x4A',
        u'\u64E4': b'\x60\x49',
        u'\u64E6': b'\x49\xC0',
        u'\u6500': b'\x53\x6A',
        u'\u6509': b'\x60\x4B',
        u'\u6512': b'\x5A\xDB',
        u'\u6518': b'\x54\xC0',
        u'\u6525': b'\x60\x4C',
        u'\u652B': b'\x4F\xEF',
        u'\u652E': b'\x60\x4D',
        u'\u652F': b'\x5B\xA6',
        u'\u6534': b'\x65\xB6',
        u'\u6535': b'\x66\x56',
        u'\u6536': b'\x55\xD4',
        u'\u6538': b'\x5C\xFB',
        u'\u6539': b'\x4C\xC3',
        u'\u653B': b'\x4D\x45',
        u'\u653E': b'\x4C\x65',
        u'\u653F': b'\x5B\x9F',
        u'\u6545': b'\x4D\x6A',
        u'\u6548': b'\x58\xA6',
        u'\u6549': b'\x6A\xCC',
        u'\u654C': b'\x4B\x70',
        u'\u654F': b'\x52\x95',
        u'\u6551': b'\x4F\xC7',
        u'\u6555': b'\x66\x57',
        u'\u6556': b'\x48\xBC',
        u'\u6559': b'\x4F\x6C',
        u'\u655B': b'\x51\x52',
        u'\u655D': b'\x49\x76',
        u'\u655E': b'\x4A\x48',
        u'\u6562': b'\x4C\xD1',
        u'\u6563': b'\x55\x42',
        u'\u6566': b'\x4B\xD7',
        u'\u656B': b'\x66\x58',
        u'\u656C': b'\x4F\xB3',
        u'\u6570': b'\x55\xFC',
        u'\u6572': b'\x54\x63',
        u'\u6574': b'\x5B\x9C',
        u'\u6577': b'\x4C\x94',
        u'\u6587': b'\x57\xC3',
        u'\u658B': b'\x5B\x4B',
        u'\u658C': b'\x49\x94',
        u'\u6590': b'\x66\xB2',
        u'\u6591': b'\x48\xDE',
        u'\u6593': b'\x66\xB4',
        u'\u6597': b'\x4B\xB6',
        u'\u6599': b'\x51\x6F',
        u'\u659B': b'\x6B\x9B',
        u'\u659C': b'\x58\xB0',
        u'\u659F': b'\x5B\x86',
        u'\u65A1': b'\x57\xD2',
        u'\u65A4': b'\x4F\x90',
        u'\u65A5': b'\x4A\x83',
        u'\u65A7': b'\x4C\xAA',
        u'\u65A9': b'\x5B\x56',
        u'\u65AB': b'\x67\x5D',
        u'\u65AD': b'\x4B\xCE',
        u'\u65AF': b'\x56\x59',
        u'\u65B0': b'\x58\xC1',
        u'\u65B9': b'\x4C\x5D',
        u'\u65BC': b'\x66\xB5',
        u'\u65BD': b'\x55\xA8',
        u'\u65C1': b'\x53\x74',
        u'\u65C3': b'\x66\xB8',
        u'\u65C4': b'\x66\xB7',
        u'\u65C5': b'\x51\xC2',
        u'\u65C6': b'\x66\xB6',
        u'\u65CB': b'\x58\xFC',
        u'\u65CC': b'\x66\xB9',
        u'\u65CE': b'\x66\xBA',
        u'\u65CF': b'\x5C\x86',
        u'\u65D2': b'\x66\xBB',
        u'\u65D6': b'\x66\xBC',
        u'\u65D7': b'\x53\xEB',
        u'\u65E0': b'\x57\xDD',
        u'\u65E2': b'\x4E\xC7',
        u'\u65E5': b'\x54\xD4',
        u'\u65E6': b'\x4B\x49',
        u'\u65E7': b'\x4F\xC8',
        u'\u65E8': b'\x5B\xBB',
        u'\u65E9': b'\x5A\xE6',
        u'\u65EC': b'\x59\x4E',
        u'\u65ED': b'\x58\xF0',
        u'\u65EE': b'\x65\xB7',
        u'\u65EF': b'\x65\xB8',
        u'\u65F0': b'\x65\xB9',
        u'\u65F1': b'\x4D\xB4',
        u'\u65F6': b'\x55\xB0',
        u'\u65F7': b'\x50\x96',
        u'\u65FA': b'\x57\x9B',
        u'\u6600': b'\x65\xBF',
        u'\u6602': b'\x48\xB9',
        u'\u6603': b'\x65\xBD',
        u'\u6606': b'\x50\xA4',
        u'\u660A': b'\x65\xBA',
        u'\u660C': b'\x49\xFC',
        u'\u660E': b'\x52\x98',
        u'\u660F': b'\x4E\x89',
        u'\u6613': b'\x59\xD6',
        u'\u6614': b'\x57\xF3',
        u'\u6615': b'\x65\xBE',
        u'\u6619': b'\x65\xBB',
        u'\u661D': b'\x65\xC2',
        u'\u661F': b'\x58\xC6',
        u'\u6620': b'\x5A\x53',
        u'\u6625': b'\x4A\xB9',
        u'\u6627': b'\x52\x61',
        u'\u6628': b'\x5C\x93',
        u'\u662D': b'\x5B\x71',
        u'\u662F': b'\x55\xC6',
        u'\u6631': b'\x65\xC4',
        u'\u6634': b'\x65\xC3',
        u'\u6635': b'\x65\xC6',
        u'\u6636': b'\x65\xC5',
        u'\u663C': b'\x5B\xE6',
        u'\u663E': b'\x58\x74',
        u'\u6641': b'\x65\xCA',
        u'\u6643': b'\x4E\x6E',
        u'\u664B': b'\x4F\x9B',
        u'\u664C': b'\x55\x6E',
        u'\u664F': b'\x65\xCB',
        u'\u6652': b'\x55\x59',
        u'\u6653': b'\x58\x9F',
        u'\u6654': b'\x65\xC9',
        u'\u6655': b'\x5A\xCD',
        u'\u6656': b'\x65\xCC',
        u'\u6657': b'\x65\xCE',
        u'\u665A': b'\x57\x8E',
        u'\u665F': b'\x65\xC8',
        u'\u6661': b'\x65\xCD',
        u'\u6664': b'\x57\xED',
        u'\u6666': b'\x4E\x7E',
        u'\u6668': b'\x4A\x5F',
        u'\u666E': b'\x53\xD4',
        u'\u666F': b'\x4F\xAF',
        u'\u6670': b'\x57\xF9',
        u'\u6674': b'\x54\x88',
        u'\u6676': b'\x4F\xA6',
        u'\u6677': b'\x65\xCF',
        u'\u667A': b'\x5B\xC6',
        u'\u667E': b'\x51\x60',
        u'\u6682': b'\x5A\xDC',
        u'\u6684': b'\x65\xD0',
        u'\u6687': b'\x58\x5E',
        u'\u668C': b'\x65\xD1',
        u'\u6691': b'\x55\xED',
        u'\u6696': b'\x53\x4F',
        u'\u6697': b'\x48\xB4',
        u'\u669D': b'\x65\xD3',
        u'\u66A7': b'\x65\xD2',
        u'\u66A8': b'\x6A\xDE',
        u'\u66AE': b'\x52\xB9',
        u'\u66B4': b'\x49\x49',
        u'\u66B9': b'\x63\x7F',
        u'\u66BE': b'\x65\xD4',
        u'\u66D9': b'\x55\xEE',
        u'\u66DB': b'\x65\xD5',
        u'\u66DC': b'\x65\xD6',
        u'\u66DD': b'\x53\xD7',
        u'\u66E6': b'\x65\xD7',
        u'\u66E9': b'\x65\xD8',
        u'\u66F0': b'\x5A\xBA',
        u'\u66F2': b'\x54\x9B',
        u'\u66F3': b'\x59\xB6',
        u'\u66F4': b'\x4C\xFB',
        u'\u66F7': b'\x65\xC1',
        u'\u66F9': b'\x49\xDB',
        u'\u66FC': b'\x51\xFB',
        u'\u66FE': b'\x5A\xF7',
        u'\u66FF': b'\x56\xE5',
        u'\u6700': b'\x5C\x8F',
        u'\u6708': b'\x5A\xC1',
        u'\u6709': b'\x5A\x70',
        u'\u670A': b'\x66\x63',
        u'\u670B': b'\x53\x94',
        u'\u670D': b'\x4C\x9F',
        u'\u6710': b'\x66\x74',
        u'\u6714': b'\x56\x57',
        u'\u6715': b'\x66\x7E',
        u'\u6717': b'\x50\xC9',
        u'\u671B': b'\x57\x9C',
        u'\u671D': b'\x4A\x4F',
        u'\u671F': b'\x53\xD9',
        u'\u6726': b'\x66\x9D',
        u'\u6728': b'\x52\xBD',
        u'\u672A': b'\x57\xB3',
        u'\u672B': b'\x52\xA8',
        u'\u672C': b'\x49\x5E',
        u'\u672D': b'\x5A\xFC',
        u'\u672F': b'\x55\xF4',
        u'\u6731': b'\x5B\xEB',
        u'\u6734': b'\x53\xD2',
        u'\u6735': b'\x4B\xE3',
        u'\u673A': b'\x4E\x9B',
        u'\u673D': b'\x58\xDF',
        u'\u6740': b'\x55\x51',
        u'\u6742': b'\x5A\xD2',
        u'\u6743': b'\x54\xA7',
        u'\u6746': b'\x4C\xCA',
        u'\u6748': b'\x64\xBD',
        u'\u6749': b'\x55\x5C',
        u'\u674C': b'\x64\xBA',
        u'\u674E': b'\x50\xED',
        u'\u674F': b'\x58\xD2',
        u'\u6750': b'\x49\xC3',
        u'\u6751': b'\x4A\xE4',
        u'\u6753': b'\x64\xBB',
        u'\u6756': b'\x5B\x68',
        u'\u675C': b'\x4B\xC4',
        u'\u675E': b'\x64\xBC',
        u'\u675F': b'\x55\xF7',
        u'\u6760': b'\x4C\xDB',
        u'\u6761': b'\x56\xF4',
        u'\u6765': b'\x50\xB3',
        u'\u6768': b'\x59\x8F',
        u'\u6769': b'\x64\xBE',
        u'\u676A': b'\x64\xC1',
        u'\u676D': b'\x4D\xBB',
        u'\u676F': b'\x49\x4D',
        u'\u6770': b'\x4F\x7C',
        u'\u6772': b'\x65\xBC',
        u'\u6773': b'\x64\xC2',
        u'\u6775': b'\x64\xC5',
        u'\u6777': b'\x64\xCA',
        u'\u677C': b'\x64\xCB',
        u'\u677E': b'\x56\x69',
        u'\u677F': b'\x48\xE4',
        u'\u6781': b'\x4E\xAA',
        u'\u6784': b'\x4D\x59',
        u'\u6787': b'\x64\xC0',
        u'\u6789': b'\x57\x98',
        u'\u678B': b'\x64\xC9',
        u'\u6790': b'\x57\xF5',
        u'\u6795': b'\x5B\x8E',
        u'\u6797': b'\x51\x76',
        u'\u6798': b'\x64\xC3',
        u'\u679A': b'\x52\x56',
        u'\u679C': b'\x4D\x9C',
        u'\u679D': b'\x5B\xA5',
        u'\u679E': b'\x64\xC7',
        u'\u67A2': b'\x55\xDF',
        u'\u67A3': b'\x5A\xE5',
        u'\u67A5': b'\x64\xBF',
        u'\u67A7': b'\x64\xC4',
        u'\u67A8': b'\x64\xC6',
        u'\u67AA': b'\x54\x59',
        u'\u67AB': b'\x4C\x84',
        u'\u67AD': b'\x64\xC8',
        u'\u67AF': b'\x50\x7D',
        u'\u67B0': b'\x64\xD1',
        u'\u67B3': b'\x64\xD6',
        u'\u67B5': b'\x64\xD4',
        u'\u67B6': b'\x4E\xDB',
        u'\u67B7': b'\x4E\xCE',
        u'\u67B8': b'\x64\xDA',
        u'\u67C1': b'\x64\xDD',
        u'\u67C3': b'\x64\xD9',
        u'\u67C4': b'\x49\x9B',
        u'\u67CF': b'\x48\xD7',
        u'\u67D0': b'\x52\xB2',
        u'\u67D1': b'\x4C\xCB',
        u'\u67D2': b'\x53\xE1',
        u'\u67D3': b'\x54\xBD',
        u'\u67D4': b'\x54\xE0',
        u'\u67D8': b'\x64\xCE',
        u'\u67D9': b'\x64\xD3',
        u'\u67DA': b'\x64\xD5',
        u'\u67DC': b'\x4D\x92',
        u'\u67DD': b'\x64\xD7',
        u'\u67DE': b'\x5C\x96',
        u'\u67E0': b'\x52\xFA',
        u'\u67E2': b'\x64\xDB',
        u'\u67E5': b'\x49\xE8',
        u'\u67E9': b'\x64\xD0',
        u'\u67EC': b'\x4E\xEC',
        u'\u67EF': b'\x50\x62',
        u'\u67F0': b'\x64\xCC',
        u'\u67F1': b'\x5B\xF8',
        u'\u67F3': b'\x51\x99',
        u'\u67F4': b'\x49\xF0',
        u'\u67FD': b'\x64\xDE',
        u'\u67FF': b'\x55\xC0',
        u'\u6800': b'\x64\xD8',
        u'\u6805': b'\x5B\x44',
        u'\u6807': b'\x49\x8B',
        u'\u6808': b'\x5B\x5B',
        u'\u6809': b'\x64\xCD',
        u'\u680A': b'\x64\xCF',
        u'\u680B': b'\x4B\xAF',
        u'\u680C': b'\x64\xD2',
        u'\u680E': b'\x64\xDC',
        u'\u680F': b'\x50\xB7',
        u'\u6811': b'\x55\xF6',
        u'\u6813': b'\x56\x48',
        u'\u6816': b'\x53\xDB',
        u'\u6817': b'\x50\xF4',
        u'\u681D': b'\x64\xE8',
        u'\u6821': b'\x58\xA2',
        u'\u6829': b'\x64\xF1',
        u'\u682A': b'\x5B\xE9',
        u'\u6832': b'\x64\xDF',
        u'\u6833': b'\x64\xE0',
        u'\u6837': b'\x59\x9A',
        u'\u6838': b'\x4D\xCA',
        u'\u6839': b'\x4C\xF8',
        u'\u683C': b'\x4C\xF0',
        u'\u683D': b'\x5A\xD3',
        u'\u683E': b'\x64\xEE',
        u'\u6840': b'\x64\xED',
        u'\u6841': b'\x64\xEB',
        u'\u6842': b'\x4D\x91',
        u'\u6843': b'\x56\xD1',
        u'\u6844': b'\x64\xE5',
        u'\u6845': b'\x57\xA5',
        u'\u6846': b'\x50\x93',
        u'\u6848': b'\x48\xB7',
        u'\u6849': b'\x64\xF0',
        u'\u684A': b'\x64\xEF',
        u'\u684C': b'\x5C\x60',
        u'\u684E': b'\x64\xE3',
        u'\u6850': b'\x57\x49',
        u'\u6851': b'\x55\x43',
        u'\u6853': b'\x4E\x58',
        u'\u6854': b'\x4F\x7B',
        u'\u6855': b'\x64\xE9',
        u'\u6860': b'\x64\xE1',
        u'\u6861': b'\x64\xE2',
        u'\u6862': b'\x64\xE4',
        u'\u6863': b'\x4B\x55',
        u'\u6864': b'\x64\xE6',
        u'\u6865': b'\x54\x65',
        u'\u6866': b'\x64\xEA',
        u'\u6867': b'\x64\xEC',
        u'\u6868': b'\x4F\x50',
        u'\u6869': b'\x5C\x4E',
        u'\u686B': b'\x64\xF7',
        u'\u6874': b'\x64\xF4',
        u'\u6876': b'\x57\x50',
        u'\u6877': b'\x64\xF5',
        u'\u6881': b'\x51\x5A',
        u'\u6883': b'\x64\xE7',
        u'\u6885': b'\x52\x57',
        u'\u6886': b'\x48\xEF',
        u'\u688F': b'\x64\xF3',
        u'\u6893': b'\x64\xF6',
        u'\u6897': b'\x4D\x43',
        u'\u68A2': b'\x55\x72',
        u'\u68A6': b'\x52\x6E',
        u'\u68A7': b'\x57\xDF',
        u'\u68A8': b'\x50\xE5',
        u'\u68AD': b'\x56\x94',
        u'\u68AF': b'\x56\xDC',
        u'\u68B0': b'\x58\xB4',
        u'\u68B3': b'\x55\xE0',
        u'\u68B5': b'\x64\xF2',
        u'\u68C0': b'\x4E\xEB',
        u'\u68C2': b'\x64\xF8',
        u'\u68C9': b'\x52\x7E',
        u'\u68CB': b'\x53\xE4',
        u'\u68CD': b'\x4D\x98',
        u'\u68D2': b'\x48\xF3',
        u'\u68D5': b'\x5C\x78',
        u'\u68D8': b'\x4E\xAB',
        u'\u68DA': b'\x53\x90',
        u'\u68E0': b'\x56\xC3',
        u'\u68E3': b'\x65\x46',
        u'\u68EE': b'\x55\x4D',
        u'\u68F0': b'\x65\x42',
        u'\u68F1': b'\x50\xE1',
        u'\u68F5': b'\x50\x63',
        u'\u68F9': b'\x64\xFD',
        u'\u68FA': b'\x4D\x77',
        u'\u68FC': b'\x64\xFA',
        u'\u6901': b'\x65\x44',
        u'\u6905': b'\x59\xCD',
        u'\u690B': b'\x65\x43',
        u'\u690D': b'\x5B\xB1',
        u'\u690E': b'\x5C\x55',
        u'\u6910': b'\x65\x47',
        u'\u6912': b'\x4F\x57',
        u'\u691F': b'\x64\xFB',
        u'\u6920': b'\x64\xFC',
        u'\u6924': b'\x65\x41',
        u'\u692D': b'\x57\x76',
        u'\u6930': b'\x59\xAB',
        u'\u6934': b'\x65\x52',
        u'\u6939': b'\x65\x49',
        u'\u693D': b'\x4A\xA9',
        u'\u693F': b'\x4A\xBA',
        u'\u6942': b'\x65\x4B',
        u'\u6954': b'\x58\xA7',
        u'\u6957': b'\x65\x45',
        u'\u695A': b'\x4A\x9F',
        u'\u695D': b'\x65\x4C',
        u'\u695E': b'\x50\xE2',
        u'\u6960': b'\x65\x4A',
        u'\u6963': b'\x65\x59',
        u'\u6966': b'\x65\x58',
        u'\u696B': b'\x65\x4E',
        u'\u696E': b'\x64\xF9',
        u'\u6971': b'\x65\x48',
        u'\u6977': b'\x50\x4C',
        u'\u6978': b'\x65\x51',
        u'\u6979': b'\x65\x5A',
        u'\u697C': b'\x51\xA4',
        u'\u6980': b'\x65\x4F',
        u'\u6982': b'\x4C\xC4',
        u'\u6984': b'\x65\x4D',
        u'\u6986': b'\x5A\x7C',
        u'\u6987': b'\x65\x54',
        u'\u6988': b'\x65\x55',
        u'\u6989': b'\x65\x57',
        u'\u698D': b'\x65\x67',
        u'\u6994': b'\x50\xC5',
        u'\u6995': b'\x65\x65',
        u'\u6998': b'\x65\x50',
        u'\u699B': b'\x65\x5B',
        u'\u699C': b'\x48\xF0',
        u'\u69A7': b'\x65\x5C',
        u'\u69A8': b'\x5B\x45',
        u'\u69AB': b'\x65\x5E',
        u'\u69AD': b'\x65\x5F',
        u'\u69B1': b'\x65\x61',
        u'\u69B4': b'\x51\x92',
        u'\u69B7': b'\x54\xB5',
        u'\u69BB': b'\x65\x5D',
        u'\u69C1': b'\x65\x62',
        u'\u69CA': b'\x65\x63',
        u'\u69CC': b'\x65\x53',
        u'\u69CE': b'\x65\x56',
        u'\u69D0': b'\x4E\x51',
        u'\u69D4': b'\x65\x60',
        u'\u69DB': b'\x4E\xF6',
        u'\u69DF': b'\x65\x64',
        u'\u69E0': b'\x65\x66',
        u'\u69ED': b'\x65\x6A',
        u'\u69F2': b'\x65\x6E',
        u'\u69FD': b'\x49\xDA',
        u'\u69FF': b'\x65\x68',
        u'\u6A0A': b'\x4C\x4E',
        u'\u6A17': b'\x65\x6B',
        u'\u6A18': b'\x65\x6C',
        u'\u6A1F': b'\x5B\x61',
        u'\u6A21': b'\x52\xA2',
        u'\u6A28': b'\x65\x78',
        u'\u6A2A': b'\x4D\xE0',
        u'\u6A2F': b'\x65\x69',
        u'\u6A31': b'\x5A\x43',
        u'\u6A35': b'\x65\x74',
        u'\u6A3D': b'\x65\x77',
        u'\u6A3E': b'\x65\x70',
        u'\u6A44': b'\x65\x6F',
        u'\u6A47': b'\x54\x61',
        u'\u6A50': b'\x65\x72',
        u'\u6A58': b'\x65\x79',
        u'\u6A59': b'\x4A\x68',
        u'\u6A5B': b'\x65\x73',
        u'\u6A61': b'\x58\x91',
        u'\u6A65': b'\x65\x6D',
        u'\u6A71': b'\x4A\x98',
        u'\u6A79': b'\x65\x76',
        u'\u6A7C': b'\x65\x7A',
        u'\u6A80': b'\x56\xB3',
        u'\u6A84': b'\x58\x4D',
        u'\u6A8E': b'\x65\x75',
        u'\u6A90': b'\x65\x7C',
        u'\u6A91': b'\x65\x7B',
        u'\u6A97': b'\x65\x7E',
        u'\u6AA0': b'\x65\x71',
        u'\u6AA9': b'\x65\x7D',
        u'\u6AAB': b'\x65\x7F',
        u'\u6AAC': b'\x52\x6A',
        u'\u6B20': b'\x54\x57',
        u'\u6B21': b'\x4A\xCD',
        u'\u6B22': b'\x4E\x56',
        u'\u6B23': b'\x58\xBF',
        u'\u6B24': b'\x66\xA2',
        u'\u6B27': b'\x53\x57',
        u'\u6B32': b'\x5A\x9C',
        u'\u6B37': b'\x66\xA3',
        u'\u6B39': b'\x66\xA4',
        u'\u6B3A': b'\x53\xDA',
        u'\u6B3E': b'\x50\x8F',
        u'\u6B43': b'\x66\xA5',
        u'\u6B46': b'\x66\xA6',
        u'\u6B47': b'\x58\xA9',
        u'\u6B49': b'\x54\x58',
        u'\u6B4C': b'\x4C\xE7',
        u'\u6B59': b'\x66\xA7',
        u'\u6B62': b'\x5B\xB8',
        u'\u6B63': b'\x5B\x9E',
        u'\u6B64': b'\x4A\xCA',
        u'\u6B65': b'\x49\xBC',
        u'\u6B66': b'\x57\xE3',
        u'\u6B67': b'\x53\xE6',
        u'\u6B6A': b'\x57\x82',
        u'\u6B79': b'\x4A\xF4',
        u'\u6B7B': b'\x56\x60',
        u'\u6B7C': b'\x4E\xDE',
        u'\u6B81': b'\x65\x83',
        u'\u6B82': b'\x65\x84',
        u'\u6B83': b'\x59\x8B',
        u'\u6B84': b'\x65\x86',
        u'\u6B86': b'\x4A\xF8',
        u'\u6B87': b'\x65\x85',
        u'\u6B89': b'\x59\x53',
        u'\u6B8A': b'\x55\xE1',
        u'\u6B8B': b'\x49\xCF',
        u'\u6B8D': b'\x65\x89',
        u'\u6B92': b'\x65\x87',
        u'\u6B93': b'\x65\x88',
        u'\u6B96': b'\x5B\xB2',
        u'\u6B9A': b'\x65\x8A',
        u'\u6B9B': b'\x65\x8B',
        u'\u6BA1': b'\x65\x8C',
        u'\u6BAA': b'\x65\x8D',
        u'\u6BB3': b'\x66\xAE',
        u'\u6BB4': b'\x53\x59',
        u'\u6BB5': b'\x4B\xCD',
        u'\u6BB7': b'\x59\xF2',
        u'\u6BBF': b'\x4B\x8F',
        u'\u6BC1': b'\x4E\x79',
        u'\u6BC2': b'\x66\xB0',
        u'\u6BC5': b'\x59\xE2',
        u'\u6BCB': b'\x57\xE2',
        u'\u6BCD': b'\x52\xB7',
        u'\u6BCF': b'\x52\x5F',
        u'\u6BD2': b'\x4B\xBD',
        u'\u6BD3': b'\x5C\xB8',
        u'\u6BD4': b'\x49\x68',
        u'\u6BD5': b'\x49\x6F',
        u'\u6BD6': b'\x49\x71',
        u'\u6BD7': b'\x53\x9F',
        u'\u6BD9': b'\x49\x70',
        u'\u6BDB': b'\x52\x4B',
        u'\u6BE1': b'\x5B\x51',
        u'\u6BEA': b'\x66\x44',
        u'\u6BEB': b'\x4D\xC0',
        u'\u6BEF': b'\x56\xB9',
        u'\u6BF3': b'\x66\x45',
        u'\u6BF5': b'\x66\x47',
        u'\u6BF9': b'\x66\x48',
        u'\u6BFD': b'\x66\x46',
        u'\u6C05': b'\x66\x49',
        u'\u6C06': b'\x66\x4B',
        u'\u6C07': b'\x66\x4A',
        u'\u6C0D': b'\x66\x4C',
        u'\u6C0F': b'\x55\xCE',
        u'\u6C10': b'\x5C\xB4',
        u'\u6C11': b'\x52\x92',
        u'\u6C13': b'\x52\x45',
        u'\u6C14': b'\x53\xF7',
        u'\u6C15': b'\x66\x4D',
        u'\u6C16': b'\x52\xC9',
        u'\u6C18': b'\x66\x4E',
        u'\u6C19': b'\x66\x4F',
        u'\u6C1A': b'\x66\x50',
        u'\u6C1B': b'\x4C\x75',
        u'\u6C1F': b'\x4C\x9B',
        u'\u6C21': b'\x66\x51',
        u'\u6C22': b'\x54\x83',
        u'\u6C24': b'\x66\x53',
        u'\u6C26': b'\x4D\xA3',
        u'\u6C27': b'\x59\x96',
        u'\u6C28': b'\x48\xB0',
        u'\u6C29': b'\x66\x52',
        u'\u6C2A': b'\x66\x54',
        u'\u6C2E': b'\x4B\x4A',
        u'\u6C2F': b'\x51\xC7',
        u'\u6C30': b'\x54\x89',
        u'\u6C32': b'\x66\x55',
        u'\u6C34': b'\x56\x4E',
        u'\u6C35': b'\x62\x7F',
        u'\u6C38': b'\x5A\x60',
        u'\u6C3D': b'\x5D\x7B',
        u'\u6C40': b'\x57\x41',
        u'\u6C41': b'\x5B\xAC',
        u'\u6C42': b'\x54\x94',
        u'\u6C46': b'\x5D\x81',
        u'\u6C47': b'\x4E\x84',
        u'\u6C49': b'\x4D\xB9',
        u'\u6C4A': b'\x62\x83',
        u'\u6C50': b'\x58\x4B',
        u'\u6C54': b'\x62\x81',
        u'\u6C55': b'\x55\x67',
        u'\u6C57': b'\x4D\xB8',
        u'\u6C5B': b'\x59\x54',
        u'\u6C5C': b'\x62\x82',
        u'\u6C5D': b'\x54\xE9',
        u'\u6C5E': b'\x4D\x4F',
        u'\u6C5F': b'\x4F\x4D',
        u'\u6C60': b'\x4A\x78',
        u'\u6C61': b'\x57\xDA',
        u'\u6C64': b'\x56\xBF',
        u'\u6C68': b'\x62\x89',
        u'\u6C69': b'\x62\x8A',
        u'\u6C6A': b'\x57\x95',
        u'\u6C70': b'\x56\xAC',
        u'\u6C72': b'\x4E\xB2',
        u'\u6C74': b'\x62\x8B',
        u'\u6C76': b'\x62\x8C',
        u'\u6C79': b'\x58\xD9',
        u'\u6C7D': b'\x53\xFA',
        u'\u6C7E': b'\x4C\x7A',
        u'\u6C81': b'\x54\x7F',
        u'\u6C82': b'\x59\xC9',
        u'\u6C83': b'\x57\xD5',
        u'\u6C85': b'\x62\x85',
        u'\u6C86': b'\x62\x8D',
        u'\u6C88': b'\x55\x93',
        u'\u6C89': b'\x4A\x61',
        u'\u6C8C': b'\x62\x88',
        u'\u6C8F': b'\x53\xE2',
        u'\u6C90': b'\x62\x86',
        u'\u6C93': b'\x67\x53',
        u'\u6C94': b'\x62\x87',
        u'\u6C99': b'\x55\x53',
        u'\u6C9B': b'\x53\x87',
        u'\u6C9F': b'\x4D\x55',
        u'\u6CA1': b'\x52\x5B',
        u'\u6CA3': b'\x62\x84',
        u'\u6CA4': b'\x53\x5D',
        u'\u6CA5': b'\x51\x44',
        u'\u6CA6': b'\x51\xD8',
        u'\u6CA7': b'\x49\xD6',
        u'\u6CA9': b'\x62\x8E',
        u'\u6CAA': b'\x4E\x46',
        u'\u6CAB': b'\x52\xAC',
        u'\u6CAD': b'\x62\x91',
        u'\u6CAE': b'\x4F\xD9',
        u'\u6CB1': b'\x62\x9C',
        u'\u6CB2': b'\x62\x96',
        u'\u6CB3': b'\x4D\xD2',
        u'\u6CB8': b'\x4C\x70',
        u'\u6CB9': b'\x5A\x6D',
        u'\u6CBB': b'\x5B\xCD',
        u'\u6CBC': b'\x5B\x73',
        u'\u6CBD': b'\x4D\x61',
        u'\u6CBE': b'\x5B\x54',
        u'\u6CBF': b'\x59\x78',
        u'\u6CC4': b'\x58\xB8',
        u'\u6CC5': b'\x54\x97',
        u'\u6CC9': b'\x54\xA9',
        u'\u6CCA': b'\x49\xB3',
        u'\u6CCC': b'\x52\x7A',
        u'\u6CD0': b'\x62\x8F',
        u'\u6CD3': b'\x62\x9D',
        u'\u6CD4': b'\x62\x90',
        u'\u6CD5': b'\x4C\x48',
        u'\u6CD6': b'\x62\x98',
        u'\u6CD7': b'\x62\x95',
        u'\u6CDB': b'\x4C\x5A',
        u'\u6CDE': b'\x53\x42',
        u'\u6CE0': b'\x62\x97',
        u'\u6CE1': b'\x53\x7D',
        u'\u6CE2': b'\x49\xA7',
        u'\u6CE3': b'\x53\xFB',
        u'\u6CE5': b'\x52\xDF',
        u'\u6CE8': b'\x5C\x42',
        u'\u6CEA': b'\x50\xE0',
        u'\u6CEB': b'\x62\x9A',
        u'\u6CEE': b'\x62\x9B',
        u'\u6CEF': b'\x62\x9E',
        u'\u6CF0': b'\x56\xA8',
        u'\u6CF1': b'\x62\x94',
        u'\u6CF3': b'\x5A\x5E',
        u'\u6CF5': b'\x49\x63',
        u'\u6CF6': b'\x67\x54',
        u'\u6CF7': b'\x62\x92',
        u'\u6CF8': b'\x62\x93',
        u'\u6CFA': b'\x62\x99',
        u'\u6CFB': b'\x58\xB9',
        u'\u6CFC': b'\x53\xC2',
        u'\u6CFD': b'\x5A\xF2',
        u'\u6CFE': b'\x62\x9F',
        u'\u6D01': b'\x4F\x81',
        u'\u6D04': b'\x62\xA6',
        u'\u6D07': b'\x62\xA5',
        u'\u6D0B': b'\x59\x94',
        u'\u6D0C': b'\x62\xA2',
        u'\u6D0E': b'\x62\xA8',
        u'\u6D12': b'\x54\xF6',
        u'\u6D17': b'\x58\x54',
        u'\u6D19': b'\x62\xA7',
        u'\u6D1A': b'\x62\xAD',
        u'\u6D1B': b'\x51\xE4',
        u'\u6D1E': b'\x4B\xB3',
        u'\u6D25': b'\x4F\x93',
        u'\u6D27': b'\x62\xA1',
        u'\u6D2A': b'\x4D\xE8',
        u'\u6D2B': b'\x62\xA9',
        u'\u6D2E': b'\x62\xAB',
        u'\u6D31': b'\x4B\xFC',
        u'\u6D32': b'\x5B\xDD',
        u'\u6D33': b'\x62\xB1',
        u'\u6D35': b'\x62\xAC',
        u'\u6D39': b'\x62\xA0',
        u'\u6D3B': b'\x4E\x8F',
        u'\u6D3C': b'\x57\x7D',
        u'\u6D3D': b'\x54\x42',
        u'\u6D3E': b'\x53\x69',
        u'\u6D41': b'\x51\x98',
        u'\u6D43': b'\x62\xA3',
        u'\u6D45': b'\x54\x53',
        u'\u6D46': b'\x4F\x4C',
        u'\u6D47': b'\x4F\x5D',
        u'\u6D48': b'\x62\xA4',
        u'\u6D4A': b'\x5C\x67',
        u'\u6D4B': b'\x49\xE1',
        u'\u6D4D': b'\x62\xAA',
        u'\u6D4E': b'\x4E\xC2',
        u'\u6D4F': b'\x62\xAE',
        u'\u6D51': b'\x4E\x8C',
        u'\u6D52': b'\x62\xAF',
        u'\u6D53': b'\x53\x48',
        u'\u6D54': b'\x62\xB0',
        u'\u6D59': b'\x5B\x84',
        u'\u6D5A': b'\x50\x43',
        u'\u6D5C': b'\x62\xB9',
        u'\u6D5E': b'\x62\xB6',
        u'\u6D60': b'\x62\xBA',
        u'\u6D63': b'\x62\xBC',
        u'\u6D66': b'\x53\xD5',
        u'\u6D69': b'\x4D\xC5',
        u'\u6D6A': b'\x50\xCA',
        u'\u6D6E': b'\x4C\xA0',
        u'\u6D6F': b'\x62\xB3',
        u'\u6D74': b'\x5A\xA0',
        u'\u6D77': b'\x4D\xA2',
        u'\u6D78': b'\x4F\x9F',
        u'\u6D7C': b'\x62\xBB',
        u'\u6D82': b'\x57\x5F',
        u'\u6D85': b'\x52\xF8',
        u'\u6D88': b'\x58\x9C',
        u'\u6D89': b'\x55\x87',
        u'\u6D8C': b'\x5A\x5F',
        u'\u6D8E': b'\x58\x71',
        u'\u6D91': b'\x62\xB2',
        u'\u6D93': b'\x62\xB7',
        u'\u6D94': b'\x62\xB8',
        u'\u6D95': b'\x56\xE8',
        u'\u6D9B': b'\x56\xCD',
        u'\u6D9D': b'\x50\xD3',
        u'\u6D9E': b'\x62\xB4',
        u'\u6D9F': b'\x51\x50',
        u'\u6DA0': b'\x62\xB5',
        u'\u6DA1': b'\x57\xCF',
        u'\u6DA3': b'\x4E\x61',
        u'\u6DA4': b'\x4B\x73',
        u'\u6DA6': b'\x54\xF2',
        u'\u6DA7': b'\x4F\x47',
        u'\u6DA8': b'\x5B\x67',
        u'\u6DA9': b'\x55\x4C',
        u'\u6DAA': b'\x4C\xA1',
        u'\u6DAB': b'\x62\xC9',
        u'\u6DAE': b'\x62\xCB',
        u'\u6DAF': b'\x59\x64',
        u'\u6DB2': b'\x59\xB9',
        u'\u6DB5': b'\x4D\xAC',
        u'\u6DB8': b'\x4D\xD3',
        u'\u6DBF': b'\x62\xC2',
        u'\u6DC0': b'\x4B\x8E',
        u'\u6DC4': b'\x5C\x6D',
        u'\u6DC5': b'\x62\xBF',
        u'\u6DC6': b'\x58\x9E',
        u'\u6DC7': b'\x62\xBE',
        u'\u6DCB': b'\x51\x7C',
        u'\u6DCC': b'\x56\xC9',
        u'\u6DD1': b'\x55\xE6',
        u'\u6DD6': b'\x52\xD6',
        u'\u6DD8': b'\x56\xD3',
        u'\u6DD9': b'\x62\xC7',
        u'\u6DDD': b'\x62\xC6',
        u'\u6DDE': b'\x62\xC0',
        u'\u6DE0': b'\x62\xC3',
        u'\u6DE1': b'\x4B\x4D',
        u'\u6DE4': b'\x5A\x79',
        u'\u6DE6': b'\x62\xC5',
        u'\u6DEB': b'\x59\xF8',
        u'\u6DEC': b'\x4A\xE2',
        u'\u6DEE': b'\x4E\x54',
        u'\u6DF1': b'\x55\x8F',
        u'\u6DF3': b'\x4A\xBD',
        u'\u6DF7': b'\x4E\x8D',
        u'\u6DF9': b'\x59\x6D',
        u'\u6DFB': b'\x56\xEC',
        u'\u6DFC': b'\x67\x55',
        u'\u6E05': b'\x54\x86',
        u'\u6E0A': b'\x5A\xA7',
        u'\u6E0C': b'\x62\xCA',
        u'\u6E0D': b'\x5C\x75',
        u'\u6E0E': b'\x62\xC1',
        u'\u6E10': b'\x4F\x45',
        u'\u6E11': b'\x62\xC4',
        u'\u6E14': b'\x5A\x87',
        u'\u6E16': b'\x62\xC8',
        u'\u6E17': b'\x55\x99',
        u'\u6E1A': b'\x62\xBD',
        u'\u6E1D': b'\x5A\x86',
        u'\u6E20': b'\x54\x9F',
        u'\u6E21': b'\x4B\xC8',
        u'\u6E23': b'\x5A\xFB',
        u'\u6E24': b'\x49\xB2',
        u'\u6E25': b'\x62\xD6',
        u'\u6E29': b'\x57\xC1',
        u'\u6E2B': b'\x62\xCC',
        u'\u6E2D': b'\x57\xBB',
        u'\u6E2F': b'\x4C\xDA',
        u'\u6E32': b'\x62\xD5',
        u'\u6E34': b'\x50\x6A',
        u'\u6E38': b'\x5A\x6E',
        u'\u6E3A': b'\x52\x8D',
        u'\u6E43': b'\x53\x68',
        u'\u6E44': b'\x62\xD7',
        u'\u6E4D': b'\x57\x64',
        u'\u6E4E': b'\x62\xCE',
        u'\u6E53': b'\x62\xD3',
        u'\u6E54': b'\x62\xD4',
        u'\u6E56': b'\x4D\xFD',
        u'\u6E58': b'\x58\x87',
        u'\u6E5B': b'\x5B\x5F',
        u'\u6E5F': b'\x62\xD1',
        u'\u6E6B': b'\x62\xCF',
        u'\u6E6E': b'\x62\xCD',
        u'\u6E7E': b'\x57\x86',
        u'\u6E7F': b'\x55\xA9',
        u'\u6E83': b'\x50\xA2',
        u'\u6E85': b'\x4F\x46',
        u'\u6E86': b'\x62\xD2',
        u'\u6E89': b'\x4C\xC7',
        u'\u6E8F': b'\x62\xE6',
        u'\u6E90': b'\x5A\xB3',
        u'\u6E98': b'\x62\xDA',
        u'\u6E9C': b'\x51\x90',
        u'\u6E9F': b'\x62\xE8',
        u'\u6EA2': b'\x59\xE6',
        u'\u6EA5': b'\x62\xDE',
        u'\u6EA7': b'\x62\xDF',
        u'\u6EAA': b'\x58\x4A',
        u'\u6EAF': b'\x56\x7D',
        u'\u6EB1': b'\x62\xD9',
        u'\u6EB2': b'\x62\xD0',
        u'\u6EB4': b'\x62\xE4',
        u'\u6EB6': b'\x54\xDB',
        u'\u6EB7': b'\x62\xE2',
        u'\u6EBA': b'\x52\xE6',
        u'\u6EBB': b'\x62\xE1',
        u'\u6EBD': b'\x62\xE0',
        u'\u6EC1': b'\x4A\x9D',
        u'\u6EC2': b'\x62\xE7',
        u'\u6EC7': b'\x4B\x82',
        u'\u6ECB': b'\x5C\x6C',
        u'\u6ECF': b'\x62\xE5',
        u'\u6ED1': b'\x4E\x4C',
        u'\u6ED3': b'\x5C\x72',
        u'\u6ED4': b'\x56\xCE',
        u'\u6ED5': b'\x66\x99',
        u'\u6ED7': b'\x62\xE3',
        u'\u6EDA': b'\x4D\x97',
        u'\u6EDE': b'\x5B\xCC',
        u'\u6EDF': b'\x62\xD8',
        u'\u6EE0': b'\x62\xDB',
        u'\u6EE1': b'\x51\xF9',
        u'\u6EE2': b'\x62\xDD',
        u'\u6EE4': b'\x51\xCA',
        u'\u6EE5': b'\x50\xC3',
        u'\u6EE6': b'\x51\xCF',
        u'\u6EE8': b'\x49\x96',
        u'\u6EE9': b'\x56\xB1',
        u'\u6EF4': b'\x4B\x6E',
        u'\u6EF9': b'\x62\xEE',
        u'\u6F02': b'\x53\xAE',
        u'\u6F06': b'\x53\xE0',
        u'\u6F09': b'\x62\xF4',
        u'\u6F0F': b'\x51\xA8',
        u'\u6F13': b'\x50\xEB',
        u'\u6F14': b'\x59\x7D',
        u'\u6F15': b'\x62\xED',
        u'\u6F20': b'\x52\xAD',
        u'\u6F24': b'\x62\xEC',
        u'\u6F29': b'\x62\xF5',
        u'\u6F2A': b'\x62\xF3',
        u'\u6F2B': b'\x51\xFD',
        u'\u6F2D': b'\x62\xDC',
        u'\u6F2F': b'\x62\xEF',
        u'\u6F31': b'\x55\xFD',
        u'\u6F33': b'\x5B\x64',
        u'\u6F36': b'\x62\xF0',
        u'\u6F3E': b'\x59\x9B',
        u'\u6F46': b'\x62\xEA',
        u'\u6F47': b'\x62\xEB',
        u'\u6F4B': b'\x62\xF1',
        u'\u6F4D': b'\x57\xAA',
        u'\u6F58': b'\x53\x6B',
        u'\u6F5C': b'\x54\x51',
        u'\u6F5E': b'\x51\xB9',
        u'\u6F62': b'\x62\xE9',
        u'\u6F66': b'\x51\x6A',
        u'\u6F6D': b'\x56\xB5',
        u'\u6F6E': b'\x4A\x51',
        u'\u6F72': b'\x62\xFA',
        u'\u6F74': b'\x62\xF2',
        u'\u6F78': b'\x62\xF9',
        u'\u6F7A': b'\x62\xFC',
        u'\u6F7C': b'\x62\xFB',
        u'\u6F84': b'\x4A\x6E',
        u'\u6F88': b'\x4A\x5A',
        u'\u6F89': b'\x62\xF6',
        u'\u6F8C': b'\x62\xF8',
        u'\u6F8D': b'\x62\xF7',
        u'\u6F8E': b'\x53\x8D',
        u'\u6F9C': b'\x50\xBC',
        u'\u6FA1': b'\x5A\xE7',
        u'\u6FA7': b'\x63\x42',
        u'\u6FB3': b'\x48\xC3',
        u'\u6FB6': b'\x63\x44',
        u'\u6FB9': b'\x63\x43',
        u'\u6FC0': b'\x4E\xA3',
        u'\u6FC2': b'\x63\x45',
        u'\u6FC9': b'\x63\x41',
        u'\u6FD1': b'\x62\xFD',
        u'\u6FD2': b'\x49\x95',
        u'\u6FDE': b'\x63\x48',
        u'\u6FE0': b'\x63\x49',
        u'\u6FE1': b'\x63\x46',
        u'\u6FEE': b'\x63\x47',
        u'\u6FEF': b'\x63\x4A',
        u'\u7011': b'\x53\xD8',
        u'\u701A': b'\x63\x4B',
        u'\u701B': b'\x63\x4D',
        u'\u7023': b'\x63\x4C',
        u'\u7035': b'\x63\x4F',
        u'\u7039': b'\x63\x4E',
        u'\u704C': b'\x4D\x81',
        u'\u704F': b'\x63\x50',
        u'\u705E': b'\x63\x51',
        u'\u706B': b'\x4E\x91',
        u'\u706C': b'\x66\xE0',
        u'\u706D': b'\x52\x91',
        u'\u706F': b'\x4B\x66',
        u'\u7070': b'\x4E\x72',
        u'\u7075': b'\x51\x8A',
        u'\u7076': b'\x5A\xED',
        u'\u7078': b'\x4F\xC3',
        u'\u707C': b'\x5C\x66',
        u'\u707E': b'\x5A\xD5',
        u'\u707F': b'\x49\xD2',
        u'\u7080': b'\x66\xBD',
        u'\u7085': b'\x65\xC0',
        u'\u7089': b'\x51\xAE',
        u'\u708A': b'\x4A\xB5',
        u'\u708E': b'\x59\x77',
        u'\u7092': b'\x4A\x54',
        u'\u7094': b'\x54\xB1',
        u'\u7095': b'\x50\x5B',
        u'\u7096': b'\x66\xBF',
        u'\u7099': b'\x5B\xCA',
        u'\u709C': b'\x66\xBE',
        u'\u709D': b'\x66\xC0',
        u'\u70AB': b'\x66\xC4',
        u'\u70AC': b'\x4F\xE5',
        u'\u70AD': b'\x56\xBE',
        u'\u70AE': b'\x53\x7A',
        u'\u70AF': b'\x4F\xBB',
        u'\u70B1': b'\x66\xC5',
        u'\u70B3': b'\x49\x9F',
        u'\u70B7': b'\x66\xC3',
        u'\u70B8': b'\x5B\x48',
        u'\u70B9': b'\x4B\x84',
        u'\u70BB': b'\x66\xC1',
        u'\u70BC': b'\x51\x56',
        u'\u70BD': b'\x4A\x84',
        u'\u70C0': b'\x66\xC2',
        u'\u70C1': b'\x56\x58',
        u'\u70C2': b'\x50\xC2',
        u'\u70C3': b'\x56\xFD',
        u'\u70C8': b'\x51\x72',
        u'\u70CA': b'\x66\xC7',
        u'\u70D8': b'\x4D\xE5',
        u'\u70D9': b'\x50\xD2',
        u'\u70DB': b'\x5B\xF1',
        u'\u70DF': b'\x59\x6C',
        u'\u70E4': b'\x50\x5E',
        u'\u70E6': b'\x4C\x53',
        u'\u70E7': b'\x55\x75',
        u'\u70E8': b'\x66\xC6',
        u'\u70E9': b'\x4E\x83',
        u'\u70EB': b'\x56\xCB',
        u'\u70EC': b'\x4F\x9E',
        u'\u70ED': b'\x54\xC7',
        u'\u70EF': b'\x58\x49',
        u'\u70F7': b'\x57\x8A',
        u'\u70F9': b'\x53\x8C',
        u'\u70FD': b'\x4C\x8A',
        u'\u7109': b'\x59\x69',
        u'\u710A': b'\x4D\xB7',
        u'\u7110': b'\x66\xC8',
        u'\u7113': b'\x66\xC9',
        u'\u7115': b'\x4E\x60',
        u'\u7116': b'\x66\xCA',
        u'\u7118': b'\x66\xE1',
        u'\u7119': b'\x49\x5A',
        u'\u711A': b'\x4C\x79',
        u'\u7126': b'\x4F\x59',
        u'\u712F': b'\x66\xCB',
        u'\u7130': b'\x59\x87',
        u'\u7131': b'\x66\xCC',
        u'\u7136': b'\x54\xBA',
        u'\u7145': b'\x66\xD0',
        u'\u714A': b'\x66\xD2',
        u'\u714C': b'\x4E\x6D',
        u'\u714E': b'\x4E\xE4',
        u'\u715C': b'\x66\xCE',
        u'\u715E': b'\x55\x57',
        u'\u7164': b'\x52\x5A',
        u'\u7166': b'\x66\xE2',
        u'\u7167': b'\x5B\x75',
        u'\u7168': b'\x66\xCF',
        u'\u716E': b'\x5B\xF2',
        u'\u7172': b'\x66\xD1',
        u'\u7173': b'\x66\xCD',
        u'\u7178': b'\x66\xD3',
        u'\u717A': b'\x66\xD4',
        u'\u717D': b'\x55\x5F',
        u'\u7184': b'\x58\x48',
        u'\u718A': b'\x58\xDB',
        u'\u718F': b'\x59\x4C',
        u'\u7194': b'\x54\xDA',
        u'\u7198': b'\x66\xD5',
        u'\u7199': b'\x57\xF4',
        u'\u719F': b'\x55\xEB',
        u'\u71A0': b'\x66\xD9',
        u'\u71A8': b'\x66\xD8',
        u'\u71AC': b'\x48\xBD',
        u'\u71B3': b'\x66\xD6',
        u'\u71B5': b'\x66\xD7',
        u'\u71B9': b'\x66\xE3',
        u'\u71C3': b'\x54\xBB',
        u'\u71CE': b'\x51\x67',
        u'\u71D4': b'\x66\xDB',
        u'\u71D5': b'\x59\x81',
        u'\u71E0': b'\x66\xDA',
        u'\u71E5': b'\x5A\xEE',
        u'\u71E7': b'\x66\xDC',
        u'\u71EE': b'\x5E\x66',
        u'\u71F9': b'\x66\xDD',
        u'\u7206': b'\x49\x4C',
        u'\u721D': b'\x66\xDE',
        u'\u7228': b'\x66\xDF',
        u'\u722A': b'\x5C\x46',
        u'\u722C': b'\x53\x60',
        u'\u7230': b'\x66\x5C',
        u'\u7231': b'\x48\xAD',
        u'\u7235': b'\x4F\xF3',
        u'\u7236': b'\x4C\xB7',
        u'\u7237': b'\x59\xAE',
        u'\u7238': b'\x48\xD5',
        u'\u7239': b'\x4B\x9A',
        u'\u723B': b'\x5C\xB2',
        u'\u723D': b'\x56\x4C',
        u'\u723F': b'\x62\x7D',
        u'\u7247': b'\x53\xAB',
        u'\u7248': b'\x48\xE5',
        u'\u724C': b'\x53\x66',
        u'\u724D': b'\x66\x59',
        u'\u7252': b'\x66\x5A',
        u'\u7256': b'\x66\x5B',
        u'\u7259': b'\x59\x60',
        u'\u725B': b'\x53\x43',
        u'\u725D': b'\x65\xF1',
        u'\u725F': b'\x52\xB1',
        u'\u7261': b'\x52\xB4',
        u'\u7262': b'\x50\xCD',
        u'\u7266': b'\x65\xF2',
        u'\u7267': b'\x52\xC0',
        u'\u7269': b'\x57\xEE',
        u'\u726E': b'\x65\xEF',
        u'\u726F': b'\x65\xF3',
        u'\u7272': b'\x55\x9D',
        u'\u7275': b'\x54\x43',
        u'\u7279': b'\x56\xD7',
        u'\u727A': b'\x57\xFD',
        u'\u727E': b'\x65\xF4',
        u'\u727F': b'\x65\xF5',
        u'\u7280': b'\x58\x4C',
        u'\u7281': b'\x50\xE6',
        u'\u7284': b'\x65\xF6',
        u'\u728A': b'\x4B\xBE',
        u'\u728B': b'\x65\xF7',
        u'\u728D': b'\x65\xF8',
        u'\u728F': b'\x65\xF9',
        u'\u7292': b'\x65\xFA',
        u'\u729F': b'\x65\xF0',
        u'\u72AC': b'\x54\xAD',
        u'\u72AD': b'\x61\x8C',
        u'\u72AF': b'\x4C\x58',
        u'\u72B0': b'\x61\x8D',
        u'\u72B4': b'\x61\x8E',
        u'\u72B6': b'\x5C\x54',
        u'\u72B7': b'\x61\x8F',
        u'\u72B8': b'\x61\x90',
        u'\u72B9': b'\x5A\x6C',
        u'\u72C1': b'\x61\x92',
        u'\u72C2': b'\x50\x92',
        u'\u72C3': b'\x61\x91',
        u'\u72C4': b'\x4B\x72',
        u'\u72C8': b'\x49\x57',
        u'\u72CD': b'\x61\x94',
        u'\u72CE': b'\x61\x93',
        u'\u72D0': b'\x4D\xFB',
        u'\u72D2': b'\x61\x95',
        u'\u72D7': b'\x4D\x57',
        u'\u72D9': b'\x4F\xD0',
        u'\u72DE': b'\x52\xFB',
        u'\u72E0': b'\x4D\xDC',
        u'\u72E1': b'\x4F\x66',
        u'\u72E8': b'\x61\x96',
        u'\u72E9': b'\x61\x98',
        u'\u72EC': b'\x4B\xBF',
        u'\u72ED': b'\x58\x61',
        u'\u72EE': b'\x55\xA7',
        u'\u72EF': b'\x61\x97',
        u'\u72F0': b'\x5B\x99',
        u'\u72F1': b'\x5A\x9D',
        u'\u72F2': b'\x61\x99',
        u'\u72F3': b'\x61\x9D',
        u'\u72F4': b'\x61\x9A',
        u'\u72F7': b'\x61\x9B',
        u'\u72F8': b'\x50\xE9',
        u'\u72FA': b'\x61\x9F',
        u'\u72FB': b'\x61\xA0',
        u'\u72FC': b'\x50\xC6',
        u'\u7301': b'\x61\x9C',
        u'\u7303': b'\x61\x9E',
        u'\u730A': b'\x61\xA4',
        u'\u730E': b'\x51\x74',
        u'\u7313': b'\x61\xA2',
        u'\u7315': b'\x61\xA7',
        u'\u7316': b'\x49\xFD',
        u'\u7317': b'\x61\xA1',
        u'\u731B': b'\x52\x6D',
        u'\u731C': b'\x49\xC1',
        u'\u731D': b'\x61\xA6',
        u'\u731E': b'\x61\xA5',
        u'\u7321': b'\x61\xA3',
        u'\u7322': b'\x61\xA8',
        u'\u7325': b'\x61\xAA',
        u'\u7329': b'\x58\xC8',
        u'\u732A': b'\x5B\xEC',
        u'\u732B': b'\x52\x48',
        u'\u732C': b'\x61\xAB',
        u'\u732E': b'\x58\x77',
        u'\u7331': b'\x61\xAD',
        u'\u7334': b'\x4D\xEE',
        u'\u7337': b'\x65\x81',
        u'\u7338': b'\x61\xAC',
        u'\u7339': b'\x61\xA9',
        u'\u733E': b'\x4E\x4B',
        u'\u733F': b'\x5A\xB2',
        u'\u734D': b'\x61\xAF',
        u'\u7350': b'\x61\xAE',
        u'\u7352': b'\x65\x82',
        u'\u7357': b'\x61\xB0',
        u'\u7360': b'\x61\xB1',
        u'\u736C': b'\x61\xB2',
        u'\u736D': b'\x56\xA0',
        u'\u736F': b'\x61\xB3',
        u'\u737E': b'\x61\xB4',
        u'\u7384': b'\x58\xFD',
        u'\u7387': b'\x51\xC9',
        u'\u7389': b'\x5A\x92',
        u'\u738B': b'\x57\x96',
        u'\u738E': b'\x64\x81',
        u'\u7391': b'\x64\x82',
        u'\u7396': b'\x4F\xC0',
        u'\u739B': b'\x51\xE9',
        u'\u739F': b'\x64\x85',
        u'\u73A2': b'\x64\x84',
        u'\u73A9': b'\x57\x87',
        u'\u73AB': b'\x52\x55',
        u'\u73AE': b'\x64\x83',
        u'\u73AF': b'\x4E\x57',
        u'\u73B0': b'\x58\x76',
        u'\u73B2': b'\x51\x82',
        u'\u73B3': b'\x64\x8A',
        u'\u73B7': b'\x64\x89',
        u'\u73BA': b'\x64\x95',
        u'\u73BB': b'\x49\xA2',
        u'\u73C0': b'\x64\x8B',
        u'\u73C2': b'\x64\x87',
        u'\u73C8': b'\x64\x8D',
        u'\u73C9': b'\x64\x8C',
        u'\u73CA': b'\x55\x5A',
        u'\u73CD': b'\x5B\x85',
        u'\u73CF': b'\x64\x86',
        u'\u73D0': b'\x4C\x49',
        u'\u73D1': b'\x64\x88',
        u'\u73D9': b'\x64\x8F',
        u'\u73DE': b'\x64\x94',
        u'\u73E0': b'\x5B\xE8',
        u'\u73E5': b'\x64\x8E',
        u'\u73E7': b'\x64\x93',
        u'\u73E9': b'\x64\x92',
        u'\u73ED': b'\x48\xDF',
        u'\u73F2': b'\x64\x96',
        u'\u7403': b'\x54\x93',
        u'\u7405': b'\x50\xC4',
        u'\u7406': b'\x50\xEC',
        u'\u7409': b'\x51\x91',
        u'\u740A': b'\x64\x91',
        u'\u740F': b'\x64\x97',
        u'\u7410': b'\x56\x97',
        u'\u741A': b'\x64\xA1',
        u'\u741B': b'\x64\xA0',
        u'\u7422': b'\x5C\x61',
        u'\u7425': b'\x64\x9B',
        u'\u7426': b'\x64\x9A',
        u'\u7428': b'\x64\x9C',
        u'\u742A': b'\x64\x98',
        u'\u742C': b'\x64\x9F',
        u'\u742E': b'\x64\x9E',
        u'\u7430': b'\x64\x9D',
        u'\u7433': b'\x51\x75',
        u'\u7434': b'\x54\x79',
        u'\u7435': b'\x53\x9E',
        u'\u7436': b'\x53\x63',
        u'\u743C': b'\x54\x8E',
        u'\u7441': b'\x64\xA2',
        u'\u7455': b'\x64\xA5',
        u'\u7457': b'\x64\xA4',
        u'\u7459': b'\x64\xA6',
        u'\u745A': b'\x4D\xF6',
        u'\u745B': b'\x64\x99',
        u'\u745C': b'\x64\xA3',
        u'\u745E': b'\x54\xEF',
        u'\u745F': b'\x55\x4A',
        u'\u746D': b'\x64\xA8',
        u'\u7470': b'\x4D\x86',
        u'\u7476': b'\x59\x9F',
        u'\u7477': b'\x64\xA7',
        u'\u747E': b'\x64\xA9',
        u'\u7480': b'\x64\xAC',
        u'\u7481': b'\x64\xAD',
        u'\u7483': b'\x51\x47',
        u'\u7487': b'\x64\xAE',
        u'\u748B': b'\x64\xAF',
        u'\u748E': b'\x64\xAB',
        u'\u7490': b'\x64\xB3',
        u'\u749C': b'\x64\xAA',
        u'\u749E': b'\x64\xB0',
        u'\u74A7': b'\x64\xB4',
        u'\u74A8': b'\x64\xB1',
        u'\u74A9': b'\x64\xB2',
        u'\u74BA': b'\x64\xB6',
        u'\u74D2': b'\x64\xB5',
        u'\u74DC': b'\x4D\x6F',
        u'\u74DE': b'\x68\xAB',
        u'\u74E0': b'\x68\xAC',
        u'\u74E2': b'\x53\xAF',
        u'\u74E3': b'\x48\xE9',
        u'\u74E4': b'\x54\xBE',
        u'\u74E6': b'\x57\x7F',
        u'\u74EE': b'\x57\xCC',
        u'\u74EF': b'\x65\xB0',
        u'\u74F4': b'\x65\xB1',
        u'\u74F6': b'\x53\xBE',
        u'\u74F7': b'\x4A\xC8',
        u'\u74FF': b'\x65\xB2',
        u'\u7504': b'\x5B\x88',
        u'\u750D': b'\x5F\x9A',
        u'\u750F': b'\x65\xB3',
        u'\u7511': b'\x65\xB4',
        u'\u7513': b'\x65\xB5',
        u'\u7518': b'\x4C\xC9',
        u'\u7519': b'\x60\x50',
        u'\u751A': b'\x55\x96',
        u'\u751C': b'\x56\xEF',
        u'\u751F': b'\x55\x9B',
        u'\u7525': b'\x55\x9C',
        u'\u7528': b'\x5A\x63',
        u'\u7529': b'\x56\x46',
        u'\u752B': b'\x4C\xA5',
        u'\u752C': b'\x68\xAD',
        u'\u752D': b'\x49\x62',
        u'\u752F': b'\x63\x58',
        u'\u7530': b'\x56\xEE',
        u'\u7531': b'\x5A\x69',
        u'\u7532': b'\x4E\xD6',
        u'\u7533': b'\x55\x8B',
        u'\u7535': b'\x4B\x88',
        u'\u7537': b'\x52\xCF',
        u'\u7538': b'\x4B\x8A',
        u'\u753A': b'\x67\xAD',
        u'\u753B': b'\x4E\x4D',
        u'\u753E': b'\x64\x7E',
        u'\u7540': b'\x67\xAE',
        u'\u7545': b'\x4A\x49',
        u'\u7548': b'\x67\xB1',
        u'\u754B': b'\x67\xB0',
        u'\u754C': b'\x4F\x88',
        u'\u754E': b'\x67\xAF',
        u'\u754F': b'\x57\xB6',
        u'\u7554': b'\x53\x6F',
        u'\u7559': b'\x51\x95',
        u'\u755A': b'\x5E\x6E',
        u'\u755B': b'\x67\xB2',
        u'\u755C': b'\x58\xF2',
        u'\u7565': b'\x51\xD3',
        u'\u7566': b'\x53\xE7',
        u'\u756A': b'\x4C\x4C',
        u'\u7572': b'\x67\xB3',
        u'\u7574': b'\x4A\x8C',
        u'\u7578': b'\x4E\x9C',
        u'\u7579': b'\x67\xB4',
        u'\u757F': b'\x64\x7C',
        u'\u7583': b'\x67\xB5',
        u'\u7586': b'\x4F\x4E',
        u'\u758B': b'\x69\x83',
        u'\u758F': b'\x55\xE7',
        u'\u7591': b'\x59\xC8',
        u'\u7592': b'\x68\xD9',
        u'\u7594': b'\x68\xDA',
        u'\u7596': b'\x68\xDB',
        u'\u7597': b'\x51\x66',
        u'\u7599': b'\x4C\xEC',
        u'\u759A': b'\x4F\xCD',
        u'\u759D': b'\x68\xDD',
        u'\u759F': b'\x53\x51',
        u'\u75A0': b'\x68\xDC',
        u'\u75A1': b'\x59\x92',
        u'\u75A3': b'\x68\xDF',
        u'\u75A4': b'\x48\xCB',
        u'\u75A5': b'\x4F\x8B',
        u'\u75AB': b'\x59\xDE',
        u'\u75AC': b'\x68\xDE',
        u'\u75AE': b'\x4A\xAE',
        u'\u75AF': b'\x4C\x89',
        u'\u75B0': b'\x68\xE5',
        u'\u75B1': b'\x68\xE4',
        u'\u75B2': b'\x53\xA2',
        u'\u75B3': b'\x68\xE0',
        u'\u75B4': b'\x68\xE1',
        u'\u75B5': b'\x4A\xC2',
        u'\u75B8': b'\x68\xE2',
        u'\u75B9': b'\x5B\x8F',
        u'\u75BC': b'\x56\xDA',
        u'\u75BD': b'\x4F\xD1',
        u'\u75BE': b'\x4E\xB1',
        u'\u75C2': b'\x68\xE7',
        u'\u75C3': b'\x68\xE6',
        u'\u75C4': b'\x68\xE3',
        u'\u75C5': b'\x49\xA0',
        u'\u75C7': b'\x5B\xA1',
        u'\u75C8': b'\x5A\x58',
        u'\u75C9': b'\x4F\xB6',
        u'\u75CA': b'\x54\xAB',
        u'\u75CD': b'\x68\xE9',
        u'\u75D2': b'\x59\x98',
        u'\u75D4': b'\x5B\xCB',
        u'\u75D5': b'\x4D\xDA',
        u'\u75D6': b'\x68\xE8',
        u'\u75D8': b'\x4B\xBA',
        u'\u75DB': b'\x57\x54',
        u'\u75DE': b'\x53\xA5',
        u'\u75E2': b'\x51\x41',
        u'\u75E3': b'\x68\xEA',
        u'\u75E4': b'\x68\xED',
        u'\u75E6': b'\x68\xEC',
        u'\u75E7': b'\x68\xEF',
        u'\u75E8': b'\x68\xEB',
        u'\u75EA': b'\x4E\x5E',
        u'\u75EB': b'\x68\xEE',
        u'\u75F0': b'\x56\xB4',
        u'\u75F1': b'\x68\xF1',
        u'\u75F4': b'\x4A\x75',
        u'\u75F9': b'\x49\x74',
        u'\u75FC': b'\x68\xF2',
        u'\u75FF': b'\x68\xF3',
        u'\u7600': b'\x68\xF5',
        u'\u7601': b'\x4A\xE0',
        u'\u7603': b'\x68\xF0',
        u'\u7605': b'\x68\xF6',
        u'\u760A': b'\x68\xF9',
        u'\u760C': b'\x68\xF7',
        u'\u7610': b'\x68\xF4',
        u'\u7615': b'\x68\xFC',
        u'\u7617': b'\x68\xF8',
        u'\u7618': b'\x68\xFB',
        u'\u7619': b'\x68\xFD',
        u'\u761B': b'\x69\x41',
        u'\u761F': b'\x57\xC0',
        u'\u7620': b'\x69\x44',
        u'\u7622': b'\x69\x43',
        u'\u7624': b'\x51\x97',
        u'\u7625': b'\x68\xFA',
        u'\u7626': b'\x55\xDC',
        u'\u7629': b'\x4A\xF0',
        u'\u762A': b'\x49\x92',
        u'\u762B': b'\x56\xB0',
        u'\u762D': b'\x69\x46',
        u'\u7630': b'\x69\x47',
        u'\u7633': b'\x69\x4C',
        u'\u7634': b'\x5B\x6E',
        u'\u7635': b'\x69\x49',
        u'\u7638': b'\x54\xB2',
        u'\u763C': b'\x69\x42',
        u'\u763E': b'\x69\x4B',
        u'\u763F': b'\x69\x48',
        u'\u7640': b'\x69\x45',
        u'\u7643': b'\x69\x4A',
        u'\u764C': b'\x48\xA8',
        u'\u764D': b'\x69\x4D',
        u'\u7654': b'\x69\x4F',
        u'\u7656': b'\x69\x51',
        u'\u765C': b'\x69\x50',
        u'\u765E': b'\x69\x4E',
        u'\u7663': b'\x59\x42',
        u'\u766B': b'\x69\x52',
        u'\u766F': b'\x69\x53',
        u'\u7678': b'\x4D\x90',
        u'\u767B': b'\x4B\x67',
        u'\u767D': b'\x48\xD6',
        u'\u767E': b'\x48\xD8',
        u'\u7682': b'\x5A\xEC',
        u'\u7684': b'\x4B\x64',
        u'\u7686': b'\x4F\x74',
        u'\u7687': b'\x4E\x6A',
        u'\u7688': b'\x68\xA6',
        u'\u768B': b'\x4C\xDD',
        u'\u768E': b'\x68\xA7',
        u'\u7691': b'\x48\xA7',
        u'\u7693': b'\x68\xA8',
        u'\u7696': b'\x57\x8F',
        u'\u7699': b'\x68\xA9',
        u'\u76A4': b'\x68\xAA',
        u'\u76AE': b'\x53\xA3',
        u'\u76B1': b'\x5B\xE4',
        u'\u76B2': b'\x69\x85',
        u'\u76B4': b'\x69\x86',
        u'\u76BF': b'\x52\x94',
        u'\u76C2': b'\x5A\x7B',
        u'\u76C5': b'\x5B\xD0',
        u'\u76C6': b'\x53\x89',
        u'\u76C8': b'\x5A\x4F',
        u'\u76CA': b'\x59\xE5',
        u'\u76CD': b'\x67\xC0',
        u'\u76CE': b'\x48\xBA',
        u'\u76CF': b'\x5B\x55',
        u'\u76D0': b'\x59\x6E',
        u'\u76D1': b'\x4E\xDF',
        u'\u76D2': b'\x4D\xCF',
        u'\u76D4': b'\x50\x99',
        u'\u76D6': b'\x4C\xC6',
        u'\u76D7': b'\x4B\x61',
        u'\u76D8': b'\x53\x6C',
        u'\u76DB': b'\x55\xA1',
        u'\u76DF': b'\x52\x6B',
        u'\u76E5': b'\x67\xC1',
        u'\u76EE': b'\x52\xBE',
        u'\u76EF': b'\x4B\xA1',
        u'\u76F1': b'\x67\x8D',
        u'\u76F2': b'\x52\x44',
        u'\u76F4': b'\x5B\xB0',
        u'\u76F8': b'\x58\x81',
        u'\u76F9': b'\x67\x90',
        u'\u76FC': b'\x53\x6E',
        u'\u76FE': b'\x4B\xDB',
        u'\u7701': b'\x55\xA0',
        u'\u7704': b'\x67\x8E',
        u'\u7707': b'\x67\x91',
        u'\u7708': b'\x67\x92',
        u'\u7709': b'\x52\x5C',
        u'\u770B': b'\x50\x54',
        u'\u770D': b'\x67\x8F',
        u'\u7719': b'\x67\x95',
        u'\u771A': b'\x67\x93',
        u'\u771F': b'\x5B\x87',
        u'\u7720': b'\x52\x7F',
        u'\u7722': b'\x67\x94',
        u'\u7726': b'\x67\x97',
        u'\u7728': b'\x5B\x43',
        u'\u7729': b'\x59\x43',
        u'\u772D': b'\x67\x96',
        u'\u772F': b'\x52\x70',
        u'\u7735': b'\x67\x98',
        u'\u7736': b'\x50\x95',
        u'\u7737': b'\x4F\xEB',
        u'\u7738': b'\x67\x99',
        u'\u773A': b'\x56\xF6',
        u'\u773C': b'\x59\x7B',
        u'\u7740': b'\x5C\x65',
        u'\u7741': b'\x5B\x97',
        u'\u7743': b'\x67\x9D',
        u'\u7747': b'\x67\x9C',
        u'\u7750': b'\x67\x9A',
        u'\u7751': b'\x67\x9B',
        u'\u775A': b'\x67\x9E',
        u'\u775B': b'\x4F\xA5',
        u'\u7761': b'\x56\x4F',
        u'\u7762': b'\x67\xA0',
        u'\u7763': b'\x4B\xBC',
        u'\u7765': b'\x67\xA1',
        u'\u7766': b'\x52\xBF',
        u'\u7768': b'\x67\x9F',
        u'\u776B': b'\x4F\x7E',
        u'\u776C': b'\x49\xC6',
        u'\u7779': b'\x4B\xC2',
        u'\u777D': b'\x67\xA4',
        u'\u777E': b'\x5C\xB9',
        u'\u777F': b'\x67\xA2',
        u'\u7780': b'\x67\xA5',
        u'\u7784': b'\x52\x8A',
        u'\u7785': b'\x4A\x93',
        u'\u778C': b'\x67\xA6',
        u'\u778D': b'\x67\xA3',
        u'\u778E': b'\x58\x59',
        u'\u7791': b'\x67\xA7',
        u'\u7792': b'\x51\xF6',
        u'\u779F': b'\x67\xA8',
        u'\u77A0': b'\x67\xA9',
        u'\u77A2': b'\x5F\xAA',
        u'\u77A5': b'\x53\xB2',
        u'\u77A7': b'\x54\x66',
        u'\u77A9': b'\x5B\xF4',
        u'\u77AA': b'\x4B\x69',
        u'\u77AC': b'\x56\x52',
        u'\u77B0': b'\x67\xAA',
        u'\u77B3': b'\x57\x4B',
        u'\u77B5': b'\x67\xAB',
        u'\u77BB': b'\x5B\x50',
        u'\u77BD': b'\x67\xAC',
        u'\u77BF': b'\x6B\xC3',
        u'\u77CD': b'\x5E\x67',
        u'\u77D7': b'\x4A\xA2',
        u'\u77DB': b'\x52\x4C',
        u'\u77DC': b'\x69\x87',
        u'\u77E2': b'\x55\xB7',
        u'\u77E3': b'\x59\xD2',
        u'\u77E5': b'\x5B\xA9',
        u'\u77E7': b'\x68\x93',
        u'\u77E9': b'\x4F\xD7',
        u'\u77EB': b'\x4F\x63',
        u'\u77EC': b'\x68\x94',
        u'\u77ED': b'\x4B\xCB',
        u'\u77EE': b'\x48\xAA',
        u'\u77F3': b'\x55\xAE',
        u'\u77F6': b'\x67\x56',
        u'\u77F8': b'\x67\x57',
        u'\u77FD': b'\x57\xF8',
        u'\u77FE': b'\x4C\x4F',
        u'\u77FF': b'\x50\x94',
        u'\u7800': b'\x67\x58',
        u'\u7801': b'\x51\xEA',
        u'\u7802': b'\x55\x50',
        u'\u7809': b'\x67\x59',
        u'\u780C': b'\x53\xF5',
        u'\u780D': b'\x50\x53',
        u'\u7811': b'\x67\x5C',
        u'\u7812': b'\x53\x99',
        u'\u7814': b'\x59\x70',
        u'\u7816': b'\x5C\x49',
        u'\u7817': b'\x67\x5A',
        u'\u7818': b'\x67\x5B',
        u'\u781A': b'\x59\x83',
        u'\u781C': b'\x67\x5F',
        u'\u781D': b'\x67\x60',
        u'\u781F': b'\x67\x64',
        u'\u7823': b'\x67\x68',
        u'\u7825': b'\x67\x66',
        u'\u7826': b'\x67\x6E',
        u'\u7827': b'\x5B\x89',
        u'\u7829': b'\x67\x69',
        u'\u782C': b'\x67\x67',
        u'\u782D': b'\x67\x5E',
        u'\u7830': b'\x53\x8A',
        u'\u7834': b'\x53\xC5',
        u'\u7837': b'\x55\x8A',
        u'\u7838': b'\x5A\xD1',
        u'\u7839': b'\x67\x61',
        u'\u783A': b'\x67\x62',
        u'\u783B': b'\x67\x63',
        u'\u783C': b'\x67\x65',
        u'\u783E': b'\x50\xF8',
        u'\u7840': b'\x4A\xA0',
        u'\u7845': b'\x4D\x89',
        u'\u7847': b'\x67\x70',
        u'\u784C': b'\x67\x71',
        u'\u784E': b'\x67\x6A',
        u'\u7850': b'\x67\x6F',
        u'\u7852': b'\x57\xF7',
        u'\u7855': b'\x56\x56',
        u'\u7856': b'\x67\x6C',
        u'\u7857': b'\x67\x6D',
        u'\u785D': b'\x58\x96',
        u'\u786A': b'\x67\x72',
        u'\u786B': b'\x51\x93',
        u'\u786C': b'\x5A\x52',
        u'\u786D': b'\x67\x6B',
        u'\u786E': b'\x54\xB6',
        u'\u7877': b'\x4E\xEE',
        u'\u787C': b'\x53\x91',
        u'\u7887': b'\x67\x76',
        u'\u7889': b'\x4B\x90',
        u'\u788C': b'\x51\xB4',
        u'\u788D': b'\x48\xAC',
        u'\u788E': b'\x56\x8A',
        u'\u7891': b'\x49\x4E',
        u'\u7893': b'\x67\x74',
        u'\u7897': b'\x57\x8C',
        u'\u7898': b'\x4B\x83',
        u'\u789A': b'\x67\x75',
        u'\u789B': b'\x67\x73',
        u'\u789C': b'\x67\x77',
        u'\u789F': b'\x4B\x9B',
        u'\u78A1': b'\x67\x78',
        u'\u78A3': b'\x67\x79',
        u'\u78A5': b'\x67\x7C',
        u'\u78A7': b'\x49\x6C',
        u'\u78B0': b'\x53\x97',
        u'\u78B1': b'\x4E\xED',
        u'\u78B2': b'\x67\x7A',
        u'\u78B3': b'\x56\xBB',
        u'\u78B4': b'\x49\xE9',
        u'\u78B9': b'\x67\x7B',
        u'\u78BE': b'\x52\xEA',
        u'\u78C1': b'\x4A\xC4',
        u'\u78C5': b'\x48\xF4',
        u'\u78C9': b'\x67\x7F',
        u'\u78CA': b'\x50\xD9',
        u'\u78CB': b'\x4A\xE7',
        u'\u78D0': b'\x53\x6D',
        u'\u78D4': b'\x67\x7D',
        u'\u78D5': b'\x50\x64',
        u'\u78D9': b'\x67\x7E',
        u'\u78E8': b'\x52\xA4',
        u'\u78EC': b'\x67\x81',
        u'\u78F2': b'\x67\x82',
        u'\u78F4': b'\x67\x84',
        u'\u78F7': b'\x51\x77',
        u'\u78FA': b'\x4E\x67',
        u'\u7901': b'\x4F\x58',
        u'\u7905': b'\x67\x83',
        u'\u7913': b'\x67\x85',
        u'\u791E': b'\x67\x87',
        u'\u7924': b'\x67\x86',
        u'\u7934': b'\x67\x88',
        u'\u793A': b'\x55\xBD',
        u'\u793B': b'\x66\xE9',
        u'\u793C': b'\x50\xF0',
        u'\u793E': b'\x55\x88',
        u'\u7940': b'\x66\xEA',
        u'\u7941': b'\x53\xED',
        u'\u7946': b'\x66\xEB',
        u'\u7948': b'\x53\xEC',
        u'\u7949': b'\x66\xEC',
        u'\u7953': b'\x66\xEF',
        u'\u7956': b'\x5C\x87',
        u'\u7957': b'\x66\xF2',
        u'\u795A': b'\x66\xF0',
        u'\u795B': b'\x66\xED',
        u'\u795C': b'\x66\xEE',
        u'\u795D': b'\x5C\x43',
        u'\u795E': b'\x55\x92',
        u'\u795F': b'\x56\x8F',
        u'\u7960': b'\x66\xF3',
        u'\u7962': b'\x66\xF1',
        u'\u7965': b'\x58\x8A',
        u'\u7967': b'\x66\xF5',
        u'\u7968': b'\x53\xB0',
        u'\u796D': b'\x4E\xBF',
        u'\u796F': b'\x66\xF4',
        u'\u7977': b'\x4B\x5B',
        u'\u7978': b'\x4E\x97',
        u'\u797A': b'\x66\xF6',
        u'\u7980': b'\x5D\x98',
        u'\u7981': b'\x4F\x9C',
        u'\u7984': b'\x51\xBA',
        u'\u7985': b'\x66\xF7',
        u'\u798A': b'\x66\xF8',
        u'\u798F': b'\x4C\xA2',
        u'\u799A': b'\x66\xF9',
        u'\u79A7': b'\x66\xFA',
        u'\u79B3': b'\x66\xFB',
        u'\u79B9': b'\x5A\x8E',
        u'\u79BA': b'\x5C\xAD',
        u'\u79BB': b'\x50\xEA',
        u'\u79BD': b'\x54\x7D',
        u'\u79BE': b'\x4D\xCB',
        u'\u79C0': b'\x58\xE2',
        u'\u79C1': b'\x56\x5D',
        u'\u79C3': b'\x57\x5A',
        u'\u79C6': b'\x4C\xD0',
        u'\u79C9': b'\x49\x9D',
        u'\u79CB': b'\x54\x90',
        u'\u79CD': b'\x5B\xD5',
        u'\u79D1': b'\x50\x66',
        u'\u79D2': b'\x52\x8C',
        u'\u79D5': b'\x68\x96',
        u'\u79D8': b'\x52\x78',
        u'\u79DF': b'\x5C\x83',
        u'\u79E3': b'\x68\x98',
        u'\u79E4': b'\x4A\x73',
        u'\u79E6': b'\x54\x78',
        u'\u79E7': b'\x59\x8E',
        u'\u79E9': b'\x5B\xC7',
        u'\u79EB': b'\x68\x99',
        u'\u79ED': b'\x68\x97',
        u'\u79EF': b'\x4E\x9E',
        u'\u79F0': b'\x4A\x66',
        u'\u79F8': b'\x4F\x75',
        u'\u79FB': b'\x59\xC5',
        u'\u79FD': b'\x4E\x81',
        u'\u7A00': b'\x58\x41',
        u'\u7A02': b'\x68\x9D',
        u'\u7A03': b'\x68\x9C',
        u'\u7A06': b'\x68\x9A',
        u'\u7A0B': b'\x4A\x6C',
        u'\u7A0D': b'\x55\x74',
        u'\u7A0E': b'\x56\x50',
        u'\u7A14': b'\x68\x9F',
        u'\u7A17': b'\x48\xDD',
        u'\u7A1A': b'\x5B\xC8',
        u'\u7A1E': b'\x68\x9E',
        u'\u7A20': b'\x4A\x8E',
        u'\u7A23': b'\x6B\xD4',
        u'\u7A33': b'\x57\xC7',
        u'\u7A37': b'\x68\xA1',
        u'\u7A39': b'\x68\xA0',
        u'\u7A3B': b'\x4B\x5E',
        u'\u7A3C': b'\x4E\xD9',
        u'\u7A3D': b'\x4E\x9D',
        u'\u7A3F': b'\x4C\xE4',
        u'\u7A46': b'\x52\xC1',
        u'\u7A51': b'\x68\xA2',
        u'\u7A57': b'\x56\x8C',
        u'\u7A70': b'\x68\xA5',
        u'\u7A74': b'\x59\x48',
        u'\u7A76': b'\x4F\xBE',
        u'\u7A77': b'\x54\x8F',
        u'\u7A78': b'\x69\x56',
        u'\u7A79': b'\x69\x57',
        u'\u7A7A': b'\x50\x75',
        u'\u7A7F': b'\x4A\xA8',
        u'\u7A80': b'\x69\x58',
        u'\u7A81': b'\x57\x5B',
        u'\u7A83': b'\x54\x74',
        u'\u7A84': b'\x5B\x4D',
        u'\u7A86': b'\x69\x59',
        u'\u7A88': b'\x69\x5A',
        u'\u7A8D': b'\x54\x6F',
        u'\u7A91': b'\x59\xA3',
        u'\u7A92': b'\x5B\xCE',
        u'\u7A95': b'\x69\x5B',
        u'\u7A96': b'\x4F\x71',
        u'\u7A97': b'\x4A\xAF',
        u'\u7A98': b'\x4F\xBC',
        u'\u7A9C': b'\x4A\xDB',
        u'\u7A9D': b'\x57\xD0',
        u'\u7A9F': b'\x50\x7F',
        u'\u7AA0': b'\x69\x5D',
        u'\u7AA5': b'\x50\x9B',
        u'\u7AA6': b'\x69\x5C',
        u'\u7AA8': b'\x69\x5F',
        u'\u7AAC': b'\x69\x5E',
        u'\u7AAD': b'\x69\x60',
        u'\u7AB3': b'\x69\x61',
        u'\u7ABF': b'\x51\x9F',
        u'\u7ACB': b'\x51\x42',
        u'\u7AD6': b'\x55\xF9',
        u'\u7AD9': b'\x5B\x5E',
        u'\u7ADE': b'\x4F\xB9',
        u'\u7ADF': b'\x4F\xB8',
        u'\u7AE0': b'\x5B\x62',
        u'\u7AE3': b'\x50\x42',
        u'\u7AE5': b'\x57\x4F',
        u'\u7AE6': b'\x69\x55',
        u'\u7AED': b'\x4F\x7F',
        u'\u7AEF': b'\x4B\xCA',
        u'\u7AF9': b'\x5B\xF0',
        u'\u7AFA': b'\x6A\x63',
        u'\u7AFD': b'\x6A\x64',
        u'\u7AFF': b'\x4C\xCC',
        u'\u7B03': b'\x6A\x66',
        u'\u7B04': b'\x6A\x67',
        u'\u7B06': b'\x48\xC9',
        u'\u7B08': b'\x6A\x65',
        u'\u7B0A': b'\x6A\x69',
        u'\u7B0B': b'\x56\x92',
        u'\u7B0F': b'\x6A\x6B',
        u'\u7B11': b'\x58\xA5',
        u'\u7B14': b'\x49\x6A',
        u'\u7B15': b'\x6A\x68',
        u'\u7B19': b'\x6A\x6F',
        u'\u7B1B': b'\x4B\x71',
        u'\u7B1E': b'\x6A\x77',
        u'\u7B20': b'\x6A\x72',
        u'\u7B24': b'\x6A\x74',
        u'\u7B25': b'\x6A\x73',
        u'\u7B26': b'\x4C\x9C',
        u'\u7B28': b'\x49\x5F',
        u'\u7B2A': b'\x6A\x6E',
        u'\u7B2B': b'\x6A\x6A',
        u'\u7B2C': b'\x4B\x7A',
        u'\u7B2E': b'\x6A\x70',
        u'\u7B31': b'\x6A\x71',
        u'\u7B33': b'\x6A\x75',
        u'\u7B38': b'\x6A\x6D',
        u'\u7B3A': b'\x4E\xE2',
        u'\u7B3C': b'\x51\x9E',
        u'\u7B3E': b'\x6A\x76',
        u'\u7B45': b'\x6A\x7A',
        u'\u7B47': b'\x6A\x6C',
        u'\u7B49': b'\x4B\x68',
        u'\u7B4B': b'\x4F\x8F',
        u'\u7B4C': b'\x6A\x7C',
        u'\u7B4F': b'\x4C\x44',
        u'\u7B50': b'\x50\x91',
        u'\u7B51': b'\x5B\xFD',
        u'\u7B52': b'\x57\x52',
        u'\u7B54': b'\x4A\xEF',
        u'\u7B56': b'\x49\xDE',
        u'\u7B58': b'\x6A\x78',
        u'\u7B5A': b'\x6A\x79',
        u'\u7B5B': b'\x55\x58',
        u'\u7B5D': b'\x6A\x7D',
        u'\u7B60': b'\x6A\x7E',
        u'\u7B62': b'\x6A\x82',
        u'\u7B6E': b'\x6A\x7F',
        u'\u7B71': b'\x6A\x84',
        u'\u7B72': b'\x6A\x83',
        u'\u7B75': b'\x6A\x7B',
        u'\u7B77': b'\x50\x8B',
        u'\u7B79': b'\x4A\x90',
        u'\u7B7B': b'\x6A\x81',
        u'\u7B7E': b'\x54\x49',
        u'\u7B80': b'\x4E\xF1',
        u'\u7B85': b'\x6A\x8C',
        u'\u7B8D': b'\x4D\x5F',
        u'\u7B90': b'\x6A\x85',
        u'\u7B94': b'\x49\xAC',
        u'\u7B95': b'\x4E\x9F',
        u'\u7B97': b'\x56\x84',
        u'\u7B9C': b'\x6A\x8E',
        u'\u7B9D': b'\x6A\x8A',
        u'\u7BA1': b'\x4D\x7C',
        u'\u7BA2': b'\x6A\x8F',
        u'\u7BA6': b'\x6A\x86',
        u'\u7BA7': b'\x6A\x87',
        u'\u7BA8': b'\x6A\x8B',
        u'\u7BA9': b'\x51\xE0',
        u'\u7BAA': b'\x6A\x8D',
        u'\u7BAB': b'\x6A\x90',
        u'\u7BAC': b'\x6A\x89',
        u'\u7BAD': b'\x4E\xFC',
        u'\u7BB1': b'\x58\x85',
        u'\u7BB4': b'\x6A\x91',
        u'\u7BB8': b'\x6A\x88',
        u'\u7BC1': b'\x6A\x93',
        u'\u7BC6': b'\x5C\x4D',
        u'\u7BC7': b'\x53\xA9',
        u'\u7BCC': b'\x6A\x94',
        u'\u7BD1': b'\x6A\x92',
        u'\u7BD3': b'\x51\xA7',
        u'\u7BD9': b'\x4C\xDC',
        u'\u7BDA': b'\x6A\x96',
        u'\u7BDD': b'\x6A\x95',
        u'\u7BE1': b'\x4A\xDA',
        u'\u7BE5': b'\x6A\x97',
        u'\u7BE6': b'\x6A\x98',
        u'\u7BEA': b'\x6A\x99',
        u'\u7BEE': b'\x50\xB9',
        u'\u7BF1': b'\x50\xE8',
        u'\u7BF7': b'\x53\x92',
        u'\u7BFC': b'\x6A\x9C',
        u'\u7BFE': b'\x6A\x9B',
        u'\u7C07': b'\x4A\xD7',
        u'\u7C0B': b'\x6A\x9F',
        u'\u7C0C': b'\x6A\x9A',
        u'\u7C0F': b'\x6A\x9D',
        u'\u7C16': b'\x6A\x9E',
        u'\u7C1F': b'\x6A\xA0',
        u'\u7C26': b'\x6A\xA2',
        u'\u7C27': b'\x4E\x69',
        u'\u7C2A': b'\x6A\xA1',
        u'\u7C38': b'\x6A\xA3',
        u'\u7C3F': b'\x49\xBD',
        u'\u7C40': b'\x6A\xA5',
        u'\u7C41': b'\x6A\xA4',
        u'\u7C4D': b'\x4E\xAD',
        u'\u7C73': b'\x52\x77',
        u'\u7C74': b'\x5D\x82',
        u'\u7C7B': b'\x50\xDF',
        u'\u7C7C': b'\x6A\xCB',
        u'\u7C7D': b'\x5C\x71',
        u'\u7C89': b'\x4C\x7B',
        u'\u7C91': b'\x6A\xCD',
        u'\u7C92': b'\x51\x43',
        u'\u7C95': b'\x53\xC8',
        u'\u7C97': b'\x4A\xD5',
        u'\u7C98': b'\x5B\x53',
        u'\u7C9C': b'\x6A\xCF',
        u'\u7C9D': b'\x6A\xCE',
        u'\u7C9E': b'\x6A\xD0',
        u'\u7C9F': b'\x56\x7A',
        u'\u7CA2': b'\x6A\xD1',
        u'\u7CA4': b'\x5A\xC0',
        u'\u7CA5': b'\x5B\xDF',
        u'\u7CAA': b'\x4C\x81',
        u'\u7CAE': b'\x51\x58',
        u'\u7CB1': b'\x51\x5B',
        u'\u7CB2': b'\x6A\xD2',
        u'\u7CB3': b'\x4F\xAB',
        u'\u7CB9': b'\x4A\xE1',
        u'\u7CBC': b'\x6A\xD3',
        u'\u7CBD': b'\x6A\xD4',
        u'\u7CBE': b'\x4F\xAA',
        u'\u7CC1': b'\x6A\xD5',
        u'\u7CC5': b'\x6A\xDA',
        u'\u7CC7': b'\x6A\xD6',
        u'\u7CC8': b'\x6A\xD9',
        u'\u7CCA': b'\x4D\xFC',
        u'\u7CCC': b'\x6A\xD7',
        u'\u7CCD': b'\x6A\xD8',
        u'\u7CD5': b'\x4C\xE1',
        u'\u7CD6': b'\x56\xC6',
        u'\u7CD7': b'\x6A\xDB',
        u'\u7CD9': b'\x49\xD9',
        u'\u7CDC': b'\x52\x73',
        u'\u7CDF': b'\x5A\xE2',
        u'\u7CE0': b'\x50\x57',
        u'\u7CE8': b'\x6A\xDC',
        u'\u7CEF': b'\x53\x54',
        u'\u7CF8': b'\x6A\xE8',
        u'\u7CFB': b'\x58\x55',
        u'\u7D0A': b'\x57\xC8',
        u'\u7D20': b'\x56\x78',
        u'\u7D22': b'\x56\x98',
        u'\u7D27': b'\x4F\x95',
        u'\u7D2B': b'\x5C\x6F',
        u'\u7D2F': b'\x50\xDA',
        u'\u7D6E': b'\x58\xF4',
        u'\u7D77': b'\x6A\xE9',
        u'\u7DA6': b'\x6A\xEA',
        u'\u7DAE': b'\x6A\xEB',
        u'\u7E3B': b'\x6C\x84',
        u'\u7E41': b'\x4C\x51',
        u'\u7E47': b'\x6A\xEC',
        u'\u7E82': b'\x5C\x8C',
        u'\u7E9B': b'\x6A\xED',
        u'\u7E9F': b'\x63\xF8',
        u'\u7EA0': b'\x4F\xBF',
        u'\u7EA1': b'\x63\xF9',
        u'\u7EA2': b'\x4D\xEB',
        u'\u7EA3': b'\x63\xFA',
        u'\u7EA4': b'\x58\x6B',
        u'\u7EA5': b'\x63\xFB',
        u'\u7EA6': b'\x5A\xBB',
        u'\u7EA7': b'\x4E\xB5',
        u'\u7EA8': b'\x63\xFC',
        u'\u7EA9': b'\x63\xFD',
        u'\u7EAA': b'\x4E\xCC',
        u'\u7EAB': b'\x54\xD1',
        u'\u7EAC': b'\x57\xB2',
        u'\u7EAD': b'\x64\x41',
        u'\u7EAF': b'\x4A\xBE',
        u'\u7EB0': b'\x64\x42',
        u'\u7EB1': b'\x55\x54',
        u'\u7EB2': b'\x4C\xD8',
        u'\u7EB3': b'\x52\xC8',
        u'\u7EB5': b'\x5C\x7D',
        u'\u7EB6': b'\x51\xD9',
        u'\u7EB7': b'\x4C\x77',
        u'\u7EB8': b'\x5B\xBC',
        u'\u7EB9': b'\x57\xC5',
        u'\u7EBA': b'\x4C\x64',
        u'\u7EBD': b'\x53\x46',
        u'\u7EBE': b'\x64\x43',
        u'\u7EBF': b'\x58\x7F',
        u'\u7EC0': b'\x64\x44',
        u'\u7EC1': b'\x64\x45',
        u'\u7EC2': b'\x64\x46',
        u'\u7EC3': b'\x51\x57',
        u'\u7EC4': b'\x5C\x8A',
        u'\u7EC5': b'\x55\x91',
        u'\u7EC6': b'\x58\x58',
        u'\u7EC7': b'\x5B\xAE',
        u'\u7EC8': b'\x5B\xD4',
        u'\u7EC9': b'\x64\x47',
        u'\u7ECA': b'\x48\xEC',
        u'\u7ECB': b'\x64\x48',
        u'\u7ECC': b'\x64\x49',
        u'\u7ECD': b'\x55\x7C',
        u'\u7ECE': b'\x59\xEE',
        u'\u7ECF': b'\x4F\xAC',
        u'\u7ED0': b'\x64\x4A',
        u'\u7ED1': b'\x48\xF2',
        u'\u7ED2': b'\x54\xDD',
        u'\u7ED3': b'\x4F\x82',
        u'\u7ED4': b'\x64\x4B',
        u'\u7ED5': b'\x54\xC5',
        u'\u7ED7': b'\x64\x4C',
        u'\u7ED8': b'\x4E\x87',
        u'\u7ED9': b'\x4C\xF7',
        u'\u7EDA': b'\x59\x44',
        u'\u7EDB': b'\x64\x4D',
        u'\u7EDC': b'\x51\xE6',
        u'\u7EDD': b'\x4F\xF7',
        u'\u7EDE': b'\x4F\x6A',
        u'\u7EDF': b'\x57\x53',
        u'\u7EE0': b'\x64\x4E',
        u'\u7EE1': b'\x64\x4F',
        u'\u7EE2': b'\x4F\xED',
        u'\u7EE3': b'\x58\xE4',
        u'\u7EE5': b'\x56\x88',
        u'\u7EE6': b'\x56\xCF',
        u'\u7EE7': b'\x4E\xCB',
        u'\u7EE8': b'\x64\x50',
        u'\u7EE9': b'\x4E\xA7',
        u'\u7EEA': b'\x58\xF6',
        u'\u7EEB': b'\x64\x51',
        u'\u7EED': b'\x58\xF7',
        u'\u7EEE': b'\x64\x52',
        u'\u7EEF': b'\x64\x53',
        u'\u7EF0': b'\x4A\xC1',
        u'\u7EF1': b'\x64\x54',
        u'\u7EF2': b'\x64\x55',
        u'\u7EF3': b'\x55\x9F',
        u'\u7EF4': b'\x57\xAB',
        u'\u7EF5': b'\x52\x81',
        u'\u7EF6': b'\x64\x57',
        u'\u7EF7': b'\x49\x61',
        u'\u7EF8': b'\x4A\x92',
        u'\u7EFA': b'\x64\x58',
        u'\u7EFB': b'\x64\x59',
        u'\u7EFC': b'\x5C\x7B',
        u'\u7EFD': b'\x5B\x60',
        u'\u7EFE': b'\x64\x5A',
        u'\u7EFF': b'\x51\xCB',
        u'\u7F00': b'\x5C\x5A',
        u'\u7F01': b'\x64\x5B',
        u'\u7F02': b'\x64\x5C',
        u'\u7F03': b'\x64\x5D',
        u'\u7F04': b'\x4E\xE9',
        u'\u7F05': b'\x52\x86',
        u'\u7F06': b'\x50\xC1',
        u'\u7F07': b'\x64\x5E',
        u'\u7F08': b'\x64\x5F',
        u'\u7F09': b'\x4E\xA8',
        u'\u7F0B': b'\x64\x60',
        u'\u7F0C': b'\x64\x61',
        u'\u7F0D': b'\x64\x56',
        u'\u7F0E': b'\x4B\xCF',
        u'\u7F0F': b'\x64\x62',
        u'\u7F11': b'\x64\x63',
        u'\u7F12': b'\x64\x64',
        u'\u7F13': b'\x4E\x5A',
        u'\u7F14': b'\x4B\x7E',
        u'\u7F15': b'\x51\xC5',
        u'\u7F16': b'\x49\x81',
        u'\u7F17': b'\x64\x65',
        u'\u7F18': b'\x5A\xB4',
        u'\u7F19': b'\x64\x66',
        u'\u7F1A': b'\x4C\xBE',
        u'\u7F1B': b'\x64\x68',
        u'\u7F1C': b'\x64\x67',
        u'\u7F1D': b'\x4C\x8D',
        u'\u7F1F': b'\x64\x69',
        u'\u7F20': b'\x49\xF7',
        u'\u7F21': b'\x64\x6A',
        u'\u7F22': b'\x64\x6B',
        u'\u7F23': b'\x64\x6C',
        u'\u7F24': b'\x64\x6D',
        u'\u7F25': b'\x64\x6E',
        u'\u7F26': b'\x64\x6F',
        u'\u7F27': b'\x64\x70',
        u'\u7F28': b'\x5A\x47',
        u'\u7F29': b'\x56\x96',
        u'\u7F2A': b'\x64\x71',
        u'\u7F2B': b'\x64\x72',
        u'\u7F2C': b'\x64\x73',
        u'\u7F2D': b'\x64\x74',
        u'\u7F2E': b'\x55\x69',
        u'\u7F2F': b'\x64\x75',
        u'\u7F30': b'\x64\x76',
        u'\u7F31': b'\x64\x77',
        u'\u7F32': b'\x64\x78',
        u'\u7F33': b'\x64\x79',
        u'\u7F34': b'\x4F\x69',
        u'\u7F35': b'\x64\x7A',
        u'\u7F36': b'\x6A\x5E',
        u'\u7F38': b'\x4C\xD6',
        u'\u7F3A': b'\x54\xB0',
        u'\u7F42': b'\x6A\x5F',
        u'\u7F44': b'\x6A\x60',
        u'\u7F45': b'\x6A\x61',
        u'\u7F50': b'\x4D\x7E',
        u'\u7F51': b'\x57\x99',
        u'\u7F54': b'\x5C\xE7',
        u'\u7F55': b'\x4D\xB0',
        u'\u7F57': b'\x51\xDD',
        u'\u7F58': b'\x67\xB6',
        u'\u7F5A': b'\x4C\x43',
        u'\u7F5F': b'\x67\xB8',
        u'\u7F61': b'\x67\xB7',
        u'\u7F62': b'\x48\xD4',
        u'\u7F68': b'\x67\xBA',
        u'\u7F69': b'\x5B\x76',
        u'\u7F6A': b'\x5C\x90',
        u'\u7F6E': b'\x5B\xC2',
        u'\u7F71': b'\x67\xBC',
        u'\u7F72': b'\x55\xEF',
        u'\u7F74': b'\x67\xBB',
        u'\u7F79': b'\x67\xBD',
        u'\u7F7E': b'\x67\xBF',
        u'\u7F81': b'\x67\xBE',
        u'\u7F8A': b'\x59\x93',
        u'\u7F8C': b'\x54\x5C',
        u'\u7F8E': b'\x52\x60',
        u'\u7F94': b'\x4C\xE0',
        u'\u7F9A': b'\x51\x88',
        u'\u7F9D': b'\x6A\xC5',
        u'\u7F9E': b'\x58\xDE',
        u'\u7F9F': b'\x6A\xC6',
        u'\u7FA1': b'\x58\x7B',
        u'\u7FA4': b'\x54\xB9',
        u'\u7FA7': b'\x6A\xC7',
        u'\u7FAF': b'\x6A\xC8',
        u'\u7FB0': b'\x6A\xC9',
        u'\u7FB2': b'\x6A\xCA',
        u'\u7FB8': b'\x5D\x9B',
        u'\u7FB9': b'\x4C\xFD',
        u'\u7FBC': b'\x63\x92',
        u'\u7FBD': b'\x5A\x91',
        u'\u7FBF': b'\x6A\xDF',
        u'\u7FC1': b'\x57\xCB',
        u'\u7FC5': b'\x4A\x82',
        u'\u7FCA': b'\x69\x54',
        u'\u7FCC': b'\x59\xED',
        u'\u7FCE': b'\x6A\xE0',
        u'\u7FD4': b'\x58\x89',
        u'\u7FD5': b'\x6A\xE1',
        u'\u7FD8': b'\x54\x6C',
        u'\u7FDF': b'\x4B\x74',
        u'\u7FE0': b'\x4A\xE3',
        u'\u7FE1': b'\x6A\xE3',
        u'\u7FE5': b'\x6A\xE2',
        u'\u7FE6': b'\x6A\xE4',
        u'\u7FE9': b'\x6A\xE5',
        u'\u7FEE': b'\x6A\xE6',
        u'\u7FF0': b'\x4D\xB1',
        u'\u7FF1': b'\x48\xBE',
        u'\u7FF3': b'\x6A\xE7',
        u'\u7FFB': b'\x4C\x4D',
        u'\u7FFC': b'\x59\xEC',
        u'\u8000': b'\x59\xAA',
        u'\u8001': b'\x50\xCE',
        u'\u8003': b'\x50\x5C',
        u'\u8004': b'\x66\x43',
        u'\u8005': b'\x5B\x7F',
        u'\u8006': b'\x65\xC7',
        u'\u800B': b'\x69\x94',
        u'\u800C': b'\x4B\xF7',
        u'\u800D': b'\x56\x43',
        u'\u8010': b'\x52\xCC',
        u'\u8012': b'\x69\x88',
        u'\u8014': b'\x69\x89',
        u'\u8015': b'\x4C\xFA',
        u'\u8016': b'\x69\x8A',
        u'\u8017': b'\x4D\xC3',
        u'\u8018': b'\x5A\xC4',
        u'\u8019': b'\x48\xD1',
        u'\u801C': b'\x69\x8B',
        u'\u8020': b'\x69\x8C',
        u'\u8022': b'\x69\x8D',
        u'\u8025': b'\x69\x8E',
        u'\u8026': b'\x69\x8F',
        u'\u8027': b'\x69\x90',
        u'\u8028': b'\x69\x92',
        u'\u8029': b'\x69\x91',
        u'\u802A': b'\x53\x75',
        u'\u8031': b'\x69\x93',
        u'\u8033': b'\x4B\xF9',
        u'\u8035': b'\x69\x95',
        u'\u8036': b'\x59\xAD',
        u'\u8037': b'\x5F\xC6',
        u'\u8038': b'\x56\x6A',
        u'\u803B': b'\x4A\x7C',
        u'\u803D': b'\x4B\x42',
        u'\u803F': b'\x4D\x42',
        u'\u8042': b'\x52\xF3',
        u'\u8043': b'\x69\x96',
        u'\u8046': b'\x69\x97',
        u'\u804A': b'\x51\x64',
        u'\u804B': b'\x51\x9C',
        u'\u804C': b'\x5B\xAF',
        u'\u804D': b'\x69\x98',
        u'\u8052': b'\x69\x99',
        u'\u8054': b'\x51\x4A',
        u'\u8058': b'\x53\xB7',
        u'\u805A': b'\x4F\xDA',
        u'\u8069': b'\x69\x9A',
        u'\u806A': b'\x4A\xCE',
        u'\u8071': b'\x69\x9B',
        u'\u807F': b'\x67\x52',
        u'\u8080': b'\x67\x51',
        u'\u8083': b'\x56\x81',
        u'\u8084': b'\x59\xDD',
        u'\u8086': b'\x56\x61',
        u'\u8087': b'\x5B\x78',
        u'\u8089': b'\x54\xE1',
        u'\u808B': b'\x50\xDE',
        u'\u808C': b'\x4E\xA0',
        u'\u8093': b'\x66\x61',
        u'\u8096': b'\x58\xA3',
        u'\u8098': b'\x5B\xE1',
        u'\u809A': b'\x4B\xC6',
        u'\u809B': b'\x4C\xD7',
        u'\u809C': b'\x66\x60',
        u'\u809D': b'\x4C\xCD',
        u'\u809F': b'\x66\x5F',
        u'\u80A0': b'\x4A\x46',
        u'\u80A1': b'\x4D\x69',
        u'\u80A2': b'\x5B\xAA',
        u'\u80A4': b'\x4C\x95',
        u'\u80A5': b'\x4C\x6A',
        u'\u80A9': b'\x4E\xE6',
        u'\u80AA': b'\x4C\x5E',
        u'\u80AB': b'\x66\x66',
        u'\u80AD': b'\x66\x67',
        u'\u80AE': b'\x48\xB8',
        u'\u80AF': b'\x50\x6F',
        u'\u80B1': b'\x66\x65',
        u'\u80B2': b'\x5A\x9E',
        u'\u80B4': b'\x66\x68',
        u'\u80B7': b'\x66\x69',
        u'\u80BA': b'\x4C\x6E',
        u'\u80BC': b'\x66\x62',
        u'\u80BD': b'\x66\x64',
        u'\u80BE': b'\x55\x97',
        u'\u80BF': b'\x5B\xD6',
        u'\u80C0': b'\x5B\x6D',
        u'\u80C1': b'\x58\xB1',
        u'\u80C2': b'\x66\x6F',
        u'\u80C3': b'\x57\xB7',
        u'\u80C4': b'\x66\x70',
        u'\u80C6': b'\x4B\x48',
        u'\u80CC': b'\x49\x53',
        u'\u80CD': b'\x66\x72',
        u'\u80CE': b'\x56\xA4',
        u'\u80D6': b'\x53\x76',
        u'\u80D7': b'\x66\x73',
        u'\u80D9': b'\x66\x71',
        u'\u80DA': b'\x53\x7F',
        u'\u80DB': b'\x66\x6E',
        u'\u80DC': b'\x55\xA3',
        u'\u80DD': b'\x66\x75',
        u'\u80DE': b'\x48\xFA',
        u'\u80E1': b'\x4D\xF9',
        u'\u80E4': b'\x5C\xB6',
        u'\u80E5': b'\x69\x84',
        u'\u80E7': b'\x66\x6A',
        u'\u80E8': b'\x66\x6B',
        u'\u80E9': b'\x66\x6C',
        u'\u80EA': b'\x66\x6D',
        u'\u80EB': b'\x66\x76',
        u'\u80EC': b'\x63\xBF',
        u'\u80ED': b'\x66\x79',
        u'\u80EF': b'\x50\x89',
        u'\u80F0': b'\x59\xC7',
        u'\u80F1': b'\x66\x77',
        u'\u80F2': b'\x66\x7C',
        u'\u80F3': b'\x4C\xEB',
        u'\u80F4': b'\x66\x78',
        u'\u80F6': b'\x4F\x5A',
        u'\u80F8': b'\x58\xD7',
        u'\u80FA': b'\x48\xB6',
        u'\u80FC': b'\x66\x7D',
        u'\u80FD': b'\x52\xDB',
        u'\u8102': b'\x5B\xAB',
        u'\u8106': b'\x4A\xDF',
        u'\u8109': b'\x51\xF5',
        u'\u810A': b'\x4E\xB8',
        u'\u810D': b'\x66\x7A',
        u'\u810E': b'\x66\x7B',
        u'\u810F': b'\x5A\xDF',
        u'\u8110': b'\x53\xE9',
        u'\u8111': b'\x52\xD3',
        u'\u8112': b'\x66\x7F',
        u'\u8113': b'\x53\x47',
        u'\u8114': b'\x5D\x96',
        u'\u8116': b'\x49\xB0',
        u'\u8118': b'\x66\x85',
        u'\u811A': b'\x4F\x65',
        u'\u811E': b'\x66\x83',
        u'\u812C': b'\x66\x84',
        u'\u812F': b'\x4C\xAB',
        u'\u8131': b'\x57\x71',
        u'\u8132': b'\x66\x86',
        u'\u8136': b'\x66\x82',
        u'\u8138': b'\x51\x53',
        u'\u813E': b'\x53\xA1',
        u'\u8146': b'\x56\xF2',
        u'\u8148': b'\x66\x87',
        u'\u814A': b'\x50\xAF',
        u'\u814B': b'\x59\xB7',
        u'\u814C': b'\x66\x88',
        u'\u8150': b'\x4C\xAE',
        u'\u8151': b'\x4C\xAC',
        u'\u8153': b'\x66\x89',
        u'\u8154': b'\x54\x5B',
        u'\u8155': b'\x57\x94',
        u'\u8159': b'\x66\x8B',
        u'\u815A': b'\x66\x8C',
        u'\u8160': b'\x66\x8E',
        u'\u8165': b'\x58\xC7',
        u'\u8167': b'\x66\x93',
        u'\u8169': b'\x66\x8F',
        u'\u816D': b'\x66\x92',
        u'\u816E': b'\x54\xF8',
        u'\u8170': b'\x59\x9D',
        u'\u8171': b'\x66\x8D',
        u'\u8174': b'\x66\x8A',
        u'\u8179': b'\x4C\xB8',
        u'\u817A': b'\x58\x79',
        u'\u817B': b'\x52\xE4',
        u'\u817C': b'\x66\x90',
        u'\u817D': b'\x66\x91',
        u'\u817E': b'\x56\xD9',
        u'\u817F': b'\x57\x68',
        u'\u8180': b'\x48\xF1',
        u'\u8182': b'\x66\x97',
        u'\u8188': b'\x66\x96',
        u'\u818A': b'\x49\xB1',
        u'\u818F': b'\x4C\xDF',
        u'\u8191': b'\x66\x98',
        u'\u8198': b'\x49\x8D',
        u'\u819B': b'\x56\xC4',
        u'\u819C': b'\x52\xA3',
        u'\u819D': b'\x58\x45',
        u'\u81A3': b'\x66\x9A',
        u'\u81A6': b'\x66\xA1',
        u'\u81A8': b'\x53\x93',
        u'\u81AA': b'\x66\x9B',
        u'\u81B3': b'\x55\x65',
        u'\u81BA': b'\x61\xDE',
        u'\u81BB': b'\x66\x9F',
        u'\u81C0': b'\x57\x6E',
        u'\u81C1': b'\x66\xA0',
        u'\u81C2': b'\x49\x7B',
        u'\u81C3': b'\x5A\x57',
        u'\u81C6': b'\x59\xDB',
        u'\u81CA': b'\x66\x9E',
        u'\u81CC': b'\x66\x9C',
        u'\u81E3': b'\x4A\x5C',
        u'\u81E7': b'\x65\xAF',
        u'\u81EA': b'\x5C\x74',
        u'\u81EC': b'\x6A\xAA',
        u'\u81ED': b'\x4A\x95',
        u'\u81F3': b'\x5B\xC0',
        u'\u81F4': b'\x5B\xC1',
        u'\u81FB': b'\x5B\x8A',
        u'\u81FC': b'\x4F\xC9',
        u'\u81FE': b'\x6A\xA6',
        u'\u8200': b'\x59\xA7',
        u'\u8201': b'\x6A\xA7',
        u'\u8202': b'\x6A\xA8',
        u'\u8204': b'\x6A\xA9',
        u'\u8205': b'\x4F\xCA',
        u'\u8206': b'\x5A\x7F',
        u'\u820C': b'\x55\x81',
        u'\u820D': b'\x55\x82',
        u'\u8210': b'\x6A\x62',
        u'\u8212': b'\x55\xE5',
        u'\u8214': b'\x56\xF1',
        u'\u821B': b'\x61\xB5',
        u'\u821C': b'\x56\x54',
        u'\u821E': b'\x57\xE7',
        u'\u821F': b'\x5B\xDA',
        u'\u8221': b'\x6A\xAC',
        u'\u8222': b'\x6A\xAD',
        u'\u8223': b'\x6A\xAE',
        u'\u8228': b'\x6A\xB1',
        u'\u822A': b'\x4D\xBC',
        u'\u822B': b'\x6A\xB2',
        u'\u822C': b'\x48\xE2',
        u'\u822D': b'\x6A\xAF',
        u'\u822F': b'\x6A\xB0',
        u'\u8230': b'\x4F\x42',
        u'\u8231': b'\x49\xD4',
        u'\u8233': b'\x6A\xB5',
        u'\u8234': b'\x6A\xB6',
        u'\u8235': b'\x4B\xE5',
        u'\u8236': b'\x49\xAF',
        u'\u8237': b'\x58\x6F',
        u'\u8238': b'\x6A\xB3',
        u'\u8239': b'\x4A\xAB',
        u'\u823B': b'\x6A\xB4',
        u'\u823E': b'\x6A\xB7',
        u'\u8244': b'\x6A\xB8',
        u'\u8247': b'\x57\x47',
        u'\u8249': b'\x6A\xB9',
        u'\u824B': b'\x6A\xBA',
        u'\u824F': b'\x6A\xBB',
        u'\u8258': b'\x56\x72',
        u'\u825A': b'\x6A\xBC',
        u'\u825F': b'\x6A\xBD',
        u'\u8268': b'\x6A\xBE',
        u'\u826E': b'\x6A\xDD',
        u'\u826F': b'\x51\x5C',
        u'\u8270': b'\x4E\xE7',
        u'\u8272': b'\x55\x4B',
        u'\u8273': b'\x59\x7E',
        u'\u8274': b'\x63\x96',
        u'\u8279': b'\x5E\xB2',
        u'\u827A': b'\x59\xD4',
        u'\u827D': b'\x5E\xB3',
        u'\u827E': b'\x48\xAB',
        u'\u827F': b'\x5E\xB4',
        u'\u8282': b'\x4F\x7A',
        u'\u8284': b'\x5E\xB8',
        u'\u8288': b'\x5C\xC1',
        u'\u828A': b'\x5E\xB6',
        u'\u828B': b'\x5A\x94',
        u'\u828D': b'\x55\x76',
        u'\u828E': b'\x5E\xB9',
        u'\u828F': b'\x5E\xB5',
        u'\u8291': b'\x5E\xBA',
        u'\u8292': b'\x52\x42',
        u'\u8297': b'\x5E\xBB',
        u'\u8298': b'\x5E\xC4',
        u'\u8299': b'\x5E\xBC',
        u'\u829C': b'\x57\xDE',
        u'\u829D': b'\x5B\xA4',
        u'\u829F': b'\x5E\xCE',
        u'\u82A1': b'\x5E\xCC',
        u'\u82A4': b'\x5E\xD1',
        u'\u82A5': b'\x4F\x87',
        u'\u82A6': b'\x51\xAA',
        u'\u82A8': b'\x5E\xB7',
        u'\u82A9': b'\x5E\xCA',
        u'\u82AA': b'\x5E\xCD',
        u'\u82AB': b'\x5E\xBD',
        u'\u82AC': b'\x4C\x72',
        u'\u82AD': b'\x48\xC4',
        u'\u82AE': b'\x5E\xC6',
        u'\u82AF': b'\x58\xBD',
        u'\u82B0': b'\x5E\xC0',
        u'\u82B1': b'\x4E\x48',
        u'\u82B3': b'\x4C\x5C',
        u'\u82B4': b'\x5E\xCB',
        u'\u82B7': b'\x5E\xC5',
        u'\u82B8': b'\x5E\xBE',
        u'\u82B9': b'\x54\x7B',
        u'\u82BD': b'\x59\x5F',
        u'\u82BE': b'\x5E\xBF',
        u'\u82C1': b'\x5E\xC9',
        u'\u82C4': b'\x5E\xCF',
        u'\u82C7': b'\x57\xAC',
        u'\u82C8': b'\x5E\xC1',
        u'\u82CA': b'\x5E\xC2',
        u'\u82CB': b'\x5E\xC7',
        u'\u82CC': b'\x5E\xC8',
        u'\u82CD': b'\x49\xD3',
        u'\u82CE': b'\x5E\xD0',
        u'\u82CF': b'\x56\x75',
        u'\u82D1': b'\x5A\xB6',
        u'\u82D2': b'\x5E\xDA',
        u'\u82D3': b'\x5E\xDE',
        u'\u82D4': b'\x56\xA5',
        u'\u82D5': b'\x5E\xE5',
        u'\u82D7': b'\x52\x88',
        u'\u82D8': b'\x5E\xDB',
        u'\u82DB': b'\x50\x61',
        u'\u82DC': b'\x5E\xD8',
        u'\u82DE': b'\x48\xF9',
        u'\u82DF': b'\x4D\x56',
        u'\u82E0': b'\x5E\xE4',
        u'\u82E1': b'\x5E\xD2',
        u'\u82E3': b'\x5E\xC3',
        u'\u82E4': b'\x5E\xD5',
        u'\u82E5': b'\x54\xF3',
        u'\u82E6': b'\x50\x81',
        u'\u82EB': b'\x55\x5B',
        u'\u82EF': b'\x49\x5D',
        u'\u82F1': b'\x5A\x42',
        u'\u82F4': b'\x5E\xD9',
        u'\u82F7': b'\x5E\xD4',
        u'\u82F9': b'\x53\xBA',
        u'\u82FB': b'\x5E\xDD',
        u'\u8301': b'\x5C\x62',
        u'\u8302': b'\x52\x4F',
        u'\u8303': b'\x4C\x56',
        u'\u8304': b'\x54\x71',
        u'\u8305': b'\x52\x49',
        u'\u8306': b'\x5E\xE1',
        u'\u8307': b'\x5E\xD7',
        u'\u8308': b'\x5E\xEA',
        u'\u8309': b'\x5E\xD3',
        u'\u830C': b'\x5E\xDC',
        u'\u830E': b'\x4F\xA4',
        u'\u830F': b'\x5E\xD6',
        u'\u8311': b'\x5E\xDF',
        u'\u8314': b'\x5E\xE2',
        u'\u8315': b'\x5E\xE3',
        u'\u8317': b'\x5E\xF7',
        u'\u831A': b'\x5E\xE0',
        u'\u831B': b'\x5F\x42',
        u'\u831C': b'\x5E\xE6',
        u'\u8327': b'\x4E\xEA',
        u'\u8328': b'\x4A\xC3',
        u'\u832B': b'\x52\x43',
        u'\u832C': b'\x49\xE6',
        u'\u832D': b'\x5E\xF9',
        u'\u832F': b'\x5E\xF1',
        u'\u8331': b'\x5E\xEE',
        u'\u8333': b'\x5E\xFB',
        u'\u8334': b'\x5E\xED',
        u'\u8335': b'\x59\xEF',
        u'\u8336': b'\x49\xE7',
        u'\u8338': b'\x54\xD6',
        u'\u8339': b'\x54\xE2',
        u'\u833A': b'\x5E\xFA',
        u'\u833C': b'\x5E\xEC',
        u'\u8340': b'\x5E\xF6',
        u'\u8343': b'\x5E\xF4',
        u'\u8346': b'\x4F\xA2',
        u'\u8347': b'\x5E\xF3',
        u'\u8349': b'\x49\xDC',
        u'\u834F': b'\x5E\xF2',
        u'\u8350': b'\x4E\xF5',
        u'\u8351': b'\x5E\xE7',
        u'\u8352': b'\x4E\x64',
        u'\u8354': b'\x50\xF2',
        u'\u835A': b'\x4E\xD3',
        u'\u835B': b'\x5E\xE8',
        u'\u835C': b'\x5E\xE9',
        u'\u835E': b'\x5E\xF0',
        u'\u835F': b'\x5E\xF5',
        u'\u8360': b'\x5E\xF8',
        u'\u8361': b'\x4B\x54',
        u'\u8363': b'\x54\xD8',
        u'\u8364': b'\x4E\x88',
        u'\u8365': b'\x5E\xFD',
        u'\u8366': b'\x5E\xFC',
        u'\u8367': b'\x5A\x4B',
        u'\u8368': b'\x5F\x41',
        u'\u8369': b'\x5F\x43',
        u'\u836A': b'\x5F\x45',
        u'\u836B': b'\x59\xF0',
        u'\u836C': b'\x5F\x44',
        u'\u836D': b'\x5F\x46',
        u'\u836E': b'\x5F\x47',
        u'\u836F': b'\x59\xA8',
        u'\u8377': b'\x4D\xC8',
        u'\u8378': b'\x5F\x49',
        u'\u837B': b'\x5F\x56',
        u'\u837C': b'\x5F\x51',
        u'\u837D': b'\x5F\x54',
        u'\u8385': b'\x5F\x50',
        u'\u8386': b'\x53\xCD',
        u'\u8389': b'\x50\xF1',
        u'\u838E': b'\x55\x4F',
        u'\u8392': b'\x5E\xEB',
        u'\u8393': b'\x5F\x4E',
        u'\u8398': b'\x5F\x57',
        u'\u839B': b'\x5E\xEF',
        u'\u839C': b'\x5F\x4F',
        u'\u839E': b'\x5F\x58',
        u'\u83A0': b'\x5F\x4C',
        u'\u83A8': b'\x5F\x59',
        u'\u83A9': b'\x5F\x53',
        u'\u83AA': b'\x5F\x4D',
        u'\u83AB': b'\x52\xA9',
        u'\u83B0': b'\x5F\x48',
        u'\u83B1': b'\x50\xB2',
        u'\u83B2': b'\x51\x4B',
        u'\u83B3': b'\x5F\x4A',
        u'\u83B4': b'\x5F\x4B',
        u'\u83B6': b'\x5F\x52',
        u'\u83B7': b'\x4E\x92',
        u'\u83B8': b'\x5F\x55',
        u'\u83B9': b'\x5A\x48',
        u'\u83BA': b'\x5F\x5A',
        u'\u83BC': b'\x5F\x5B',
        u'\u83BD': b'\x52\x47',
        u'\u83C0': b'\x5F\x72',
        u'\u83C1': b'\x5F\x5C',
        u'\u83C5': b'\x5F\x71',
        u'\u83C7': b'\x4D\x5D',
        u'\u83CA': b'\x4F\xD4',
        u'\u83CC': b'\x4F\xF9',
        u'\u83CF': b'\x4D\xC9',
        u'\u83D4': b'\x5F\x6A',
        u'\u83D6': b'\x5F\x65',
        u'\u83D8': b'\x5F\x5F',
        u'\u83DC': b'\x49\xCA',
        u'\u83DD': b'\x5F\x63',
        u'\u83DF': b'\x5F\x6B',
        u'\u83E0': b'\x49\xA3',
        u'\u83E1': b'\x5F\x75',
        u'\u83E5': b'\x5F\x5E',
        u'\u83E9': b'\x53\xCF',
        u'\u83EA': b'\x5F\x70',
        u'\u83F0': b'\x5F\x74',
        u'\u83F1': b'\x51\x83',
        u'\u83F2': b'\x4C\x66',
        u'\u83F8': b'\x5F\x6E',
        u'\u83F9': b'\x5F\x6F',
        u'\u83FD': b'\x5F\x64',
        u'\u8401': b'\x5F\x5D',
        u'\u8403': b'\x5F\x6D',
        u'\u8404': b'\x56\xD0',
        u'\u8406': b'\x5F\x69',
        u'\u840B': b'\x5F\x62',
        u'\u840C': b'\x52\x68',
        u'\u840D': b'\x53\xBB',
        u'\u840E': b'\x57\xAD',
        u'\u840F': b'\x5F\x6C',
        u'\u8411': b'\x5F\x68',
        u'\u8418': b'\x5F\x61',
        u'\u841C': b'\x5F\x66',
        u'\u841D': b'\x51\xDB',
        u'\u8424': b'\x5A\x49',
        u'\u8425': b'\x5A\x4A',
        u'\u8426': b'\x5F\x73',
        u'\u8427': b'\x58\x95',
        u'\u8428': b'\x54\xF7',
        u'\u8431': b'\x5F\x87',
        u'\u8438': b'\x5F\x67',
        u'\u843C': b'\x5F\x81',
        u'\u843D': b'\x51\xE3',
        u'\u8446': b'\x5F\x82',
        u'\u8451': b'\x5F\x77',
        u'\u8457': b'\x5B\xF7',
        u'\u8459': b'\x5F\x79',
        u'\u845A': b'\x5F\x78',
        u'\u845B': b'\x4C\xEF',
        u'\u845C': b'\x5F\x76',
        u'\u8461': b'\x53\xCE',
        u'\u8463': b'\x4B\xAC',
        u'\u8469': b'\x5F\x83',
        u'\u846B': b'\x4D\xF8',
        u'\u846C': b'\x5A\xE0',
        u'\u846D': b'\x5F\x88',
        u'\u8471': b'\x4A\xCF',
        u'\u8473': b'\x5F\x7A',
        u'\u8475': b'\x50\x9C',
        u'\u8476': b'\x5F\x84',
        u'\u8478': b'\x5F\x7F',
        u'\u847A': b'\x5F\x7D',
        u'\u8482': b'\x4B\x79',
        u'\u8487': b'\x5F\x7B',
        u'\u8488': b'\x5F\x7C',
        u'\u8489': b'\x5F\x7E',
        u'\u848B': b'\x4F\x4F',
        u'\u848C': b'\x5F\x85',
        u'\u848E': b'\x5F\x86',
        u'\u8497': b'\x5F\x96',
        u'\u8499': b'\x52\x69',
        u'\u849C': b'\x56\x83',
        u'\u84A1': b'\x5F\x93',
        u'\u84AF': b'\x5C\xE0',
        u'\u84B2': b'\x53\xD0',
        u'\u84B4': b'\x5F\x95',
        u'\u84B8': b'\x5B\x95',
        u'\u84B9': b'\x5F\x94',
        u'\u84BA': b'\x5F\x91',
        u'\u84BD': b'\x5F\x8D',
        u'\u84BF': b'\x5F\x90',
        u'\u84C1': b'\x5F\x89',
        u'\u84C4': b'\x58\xED',
        u'\u84C9': b'\x54\xD7',
        u'\u84CA': b'\x5F\x8F',
        u'\u84CD': b'\x5F\x8A',
        u'\u84D0': b'\x5F\x8B',
        u'\u84D1': b'\x56\x93',
        u'\u84D3': b'\x5F\x8E',
        u'\u84D6': b'\x49\x6D',
        u'\u84DD': b'\x50\xB5',
        u'\u84DF': b'\x4E\xBA',
        u'\u84E0': b'\x5F\x92',
        u'\u84E3': b'\x5F\x98',
        u'\u84E5': b'\x5F\x97',
        u'\u84E6': b'\x5F\x8C',
        u'\u84EC': b'\x53\x8F',
        u'\u84F0': b'\x5F\x9C',
        u'\u84FC': b'\x5F\xA3',
        u'\u84FF': b'\x5F\xA2',
        u'\u850C': b'\x5F\x99',
        u'\u8511': b'\x52\x90',
        u'\u8513': b'\x51\xFA',
        u'\u8517': b'\x5B\x82',
        u'\u851A': b'\x57\xB4',
        u'\u851F': b'\x5F\x9E',
        u'\u8521': b'\x49\xCB',
        u'\u852B': b'\x52\xE7',
        u'\u852C': b'\x55\xDE',
        u'\u8537': b'\x54\x5E',
        u'\u8538': b'\x5F\x9B',
        u'\u8539': b'\x5F\x9D',
        u'\u853A': b'\x5F\x9F',
        u'\u853B': b'\x5F\xA1',
        u'\u853C': b'\x48\xA9',
        u'\u853D': b'\x49\x6E',
        u'\u8543': b'\x5F\xAB',
        u'\u8548': b'\x5F\xA5',
        u'\u8549': b'\x4F\x56',
        u'\u854A': b'\x54\xEE',
        u'\u8556': b'\x5F\xA0',
        u'\u8559': b'\x5F\xA4',
        u'\u855E': b'\x5F\xA8',
        u'\u8564': b'\x5F\xA7',
        u'\u8568': b'\x5F\xA6',
        u'\u8572': b'\x5F\xAC',
        u'\u8574': b'\x5A\xCB',
        u'\u8579': b'\x5F\xB2',
        u'\u857A': b'\x5F\xA9',
        u'\u857B': b'\x5F\xAD',
        u'\u857E': b'\x50\xD8',
        u'\u8584': b'\x49\x41',
        u'\u8585': b'\x5F\xB5',
        u'\u8587': b'\x5F\xB0',
        u'\u858F': b'\x5F\xB1',
        u'\u859B': b'\x59\x46',
        u'\u859C': b'\x5F\xB4',
        u'\u85A4': b'\x5F\xAE',
        u'\u85A8': b'\x5F\xAF',
        u'\u85AA': b'\x58\xBC',
        u'\u85AE': b'\x5F\xB3',
        u'\u85AF': b'\x55\xEC',
        u'\u85B0': b'\x5F\xB8',
        u'\u85B7': b'\x5F\xB7',
        u'\u85B9': b'\x5F\xB6',
        u'\u85C1': b'\x5F\xBA',
        u'\u85C9': b'\x4F\x86',
        u'\u85CF': b'\x49\xD7',
        u'\u85D0': b'\x52\x8B',
        u'\u85D3': b'\x5F\xB9',
        u'\u85D5': b'\x53\x5A',
        u'\u85DC': b'\x5F\xBB',
        u'\u85E4': b'\x56\xD8',
        u'\u85E9': b'\x4C\x4A',
        u'\u85FB': b'\x5A\xE4',
        u'\u85FF': b'\x5F\xBC',
        u'\u8605': b'\x5F\xBE',
        u'\u8611': b'\x52\xA1',
        u'\u8616': b'\x5F\xC0',
        u'\u8627': b'\x5F\xBD',
        u'\u8629': b'\x5F\xBF',
        u'\u8638': b'\x5B\x5A',
        u'\u863C': b'\x5F\xC1',
        u'\u864D': b'\x69\xAD',
        u'\u864E': b'\x4E\x42',
        u'\u864F': b'\x51\xB1',
        u'\u8650': b'\x53\x50',
        u'\u8651': b'\x51\xC6',
        u'\u8654': b'\x69\xAE',
        u'\u865A': b'\x58\xE8',
        u'\u865E': b'\x5A\x7D',
        u'\u8662': b'\x66\x5D',
        u'\u866B': b'\x4A\x87',
        u'\u866C': b'\x69\xAF',
        u'\u866E': b'\x69\xB0',
        u'\u8671': b'\x55\xAC',
        u'\u8679': b'\x4D\xE6',
        u'\u867A': b'\x69\xB2',
        u'\u867B': b'\x69\xB4',
        u'\u867C': b'\x69\xB3',
        u'\u867D': b'\x56\x85',
        u'\u867E': b'\x58\x5A',
        u'\u867F': b'\x69\xB1',
        u'\u8680': b'\x55\xB3',
        u'\u8681': b'\x59\xCE',
        u'\u8682': b'\x51\xEB',
        u'\u868A': b'\x57\xC2',
        u'\u868B': b'\x69\xB7',
        u'\u868C': b'\x48\xF5',
        u'\u868D': b'\x69\xB6',
        u'\u8693': b'\x69\xBD',
        u'\u8695': b'\x49\xCE',
        u'\u869C': b'\x59\x61',
        u'\u869D': b'\x69\xB9',
        u'\u86A3': b'\x69\xBB',
        u'\u86A4': b'\x5A\xE8',
        u'\u86A7': b'\x69\xBA',
        u'\u86A8': b'\x69\xB5',
        u'\u86A9': b'\x69\xBE',
        u'\u86AA': b'\x69\xBC',
        u'\u86AC': b'\x69\xB8',
        u'\u86AF': b'\x69\xC6',
        u'\u86B0': b'\x69\xC3',
        u'\u86B1': b'\x69\xC5',
        u'\u86B4': b'\x69\xC9',
        u'\u86B5': b'\x69\xC1',
        u'\u86B6': b'\x69\xBF',
        u'\u86BA': b'\x69\xC4',
        u'\u86C0': b'\x5B\xFA',
        u'\u86C4': b'\x69\xC0',
        u'\u86C6': b'\x54\x9A',
        u'\u86C7': b'\x55\x7F',
        u'\u86C9': b'\x69\xC7',
        u'\u86CA': b'\x4D\x66',
        u'\u86CB': b'\x4B\x50',
        u'\u86CE': b'\x69\xC2',
        u'\u86CF': b'\x69\xC8',
        u'\u86D0': b'\x69\xCF',
        u'\u86D1': b'\x69\xD5',
        u'\u86D4': b'\x4E\x77',
        u'\u86D8': b'\x69\xD4',
        u'\u86D9': b'\x57\x7C',
        u'\u86DB': b'\x5B\xEA',
        u'\u86DE': b'\x69\xD1',
        u'\u86DF': b'\x69\xD3',
        u'\u86E4': b'\x4C\xF1',
        u'\u86E9': b'\x69\xCA',
        u'\u86ED': b'\x69\xCD',
        u'\u86EE': b'\x51\xF8',
        u'\u86F0': b'\x5B\x7D',
        u'\u86F1': b'\x69\xCB',
        u'\u86F2': b'\x69\xCC',
        u'\u86F3': b'\x69\xCE',
        u'\u86F4': b'\x69\xD2',
        u'\u86F8': b'\x69\xD8',
        u'\u86F9': b'\x5A\x5C',
        u'\u86FE': b'\x4B\xE9',
        u'\u8700': b'\x55\xF0',
        u'\u8702': b'\x4C\x85',
        u'\u8703': b'\x69\xD6',
        u'\u8707': b'\x69\xD7',
        u'\u8708': b'\x69\xD9',
        u'\u8709': b'\x69\xDC',
        u'\u870A': b'\x69\xDA',
        u'\u870D': b'\x69\xDB',
        u'\u8712': b'\x59\x71',
        u'\u8713': b'\x69\xD0',
        u'\u8715': b'\x57\x69',
        u'\u8717': b'\x57\xCE',
        u'\u8718': b'\x5B\xA8',
        u'\u871A': b'\x69\xE2',
        u'\u871C': b'\x52\x7B',
        u'\u871E': b'\x69\xDF',
        u'\u8721': b'\x50\xAE',
        u'\u8722': b'\x69\xEB',
        u'\u8723': b'\x69\xDD',
        u'\u8725': b'\x69\xE0',
        u'\u8729': b'\x69\xE7',
        u'\u872E': b'\x69\xE1',
        u'\u8731': b'\x69\xE6',
        u'\u8734': b'\x69\xE5',
        u'\u8737': b'\x69\xE8',
        u'\u873B': b'\x69\xDE',
        u'\u873E': b'\x69\xE3',
        u'\u873F': b'\x69\xE9',
        u'\u8747': b'\x5A\x4C',
        u'\u8748': b'\x69\xE4',
        u'\u8749': b'\x49\xF4',
        u'\u874C': b'\x69\xF1',
        u'\u874E': b'\x58\xAA',
        u'\u8753': b'\x69\xF4',
        u'\u8757': b'\x4E\x68',
        u'\u8759': b'\x69\xF8',
        u'\u8760': b'\x69\xEF',
        u'\u8763': b'\x69\xF5',
        u'\u8764': b'\x69\xF7',
        u'\u8765': b'\x69\xF9',
        u'\u876E': b'\x69\xF2',
        u'\u8770': b'\x69\xF0',
        u'\u8774': b'\x4D\xFA',
        u'\u8776': b'\x4B\x9C',
        u'\u877B': b'\x69\xEE',
        u'\u877C': b'\x69\xF6',
        u'\u877D': b'\x69\xEC',
        u'\u877E': b'\x69\xED',
        u'\u8782': b'\x69\xEA',
        u'\u8783': b'\x6A\x46',
        u'\u8785': b'\x6A\x43',
        u'\u8788': b'\x6A\x42',
        u'\u878B': b'\x69\xF3',
        u'\u878D': b'\x54\xD9',
        u'\u8793': b'\x69\xFA',
        u'\u8797': b'\x6A\x45',
        u'\u879F': b'\x52\x99',
        u'\u87A8': b'\x69\xFC',
        u'\u87AB': b'\x6A\x47',
        u'\u87AC': b'\x6A\x49',
        u'\u87AD': b'\x6A\x44',
        u'\u87AF': b'\x69\xFB',
        u'\u87B3': b'\x6A\x4B',
        u'\u87B5': b'\x6A\x4A',
        u'\u87BA': b'\x51\xDC',
        u'\u87BD': b'\x6A\x4E',
        u'\u87C0': b'\x6A\x50',
        u'\u87C6': b'\x6A\x41',
        u'\u87CA': b'\x6A\x51',
        u'\u87CB': b'\x6A\x4C',
        u'\u87D1': b'\x6A\x4F',
        u'\u87D2': b'\x69\xFD',
        u'\u87D3': b'\x6A\x4D',
        u'\u87DB': b'\x6A\x52',
        u'\u87E0': b'\x6A\x54',
        u'\u87E5': b'\x6A\x48',
        u'\u87EA': b'\x6A\x53',
        u'\u87EE': b'\x6A\x55',
        u'\u87F9': b'\x58\xB6',
        u'\u87FE': b'\x6A\x58',
        u'\u8803': b'\x5D\x9A',
        u'\u880A': b'\x6A\x59',
        u'\u8813': b'\x6A\x57',
        u'\u8815': b'\x54\xE3',
        u'\u8816': b'\x6A\x56',
        u'\u881B': b'\x6A\x5A',
        u'\u8821': b'\x6A\x5B',
        u'\u8822': b'\x4A\xBF',
        u'\u8832': b'\x67\xC2',
        u'\u8839': b'\x6A\x5C',
        u'\u883C': b'\x6A\x5D',
        u'\u8840': b'\x59\x4A',
        u'\u8844': b'\x6A\xAB',
        u'\u8845': b'\x58\xC5',
        u'\u884C': b'\x58\xCF',
        u'\u884D': b'\x59\x7C',
        u'\u8854': b'\x58\x6E',
        u'\u8857': b'\x4F\x76',
        u'\u8859': b'\x59\x63',
        u'\u8861': b'\x4D\xE1',
        u'\u8862': b'\x61\x8A',
        u'\u8863': b'\x59\xC1',
        u'\u8864': b'\x69\x62',
        u'\u8865': b'\x49\xB8',
        u'\u8868': b'\x49\x8E',
        u'\u8869': b'\x69\x63',
        u'\u886B': b'\x55\x60',
        u'\u886C': b'\x4A\x64',
        u'\u886E': b'\x5D\x93',
        u'\u8870': b'\x56\x45',
        u'\u8872': b'\x69\x64',
        u'\u8877': b'\x5B\xD3',
        u'\u887D': b'\x69\x65',
        u'\u887E': b'\x6A\xBF',
        u'\u887F': b'\x69\x66',
        u'\u8881': b'\x5A\xAB',
        u'\u8882': b'\x69\x67',
        u'\u8884': b'\x48\xBF',
        u'\u8885': b'\x6A\xC0',
        u'\u8888': b'\x6A\xC1',
        u'\u888B': b'\x4A\xFB',
        u'\u888D': b'\x53\x7B',
        u'\u8892': b'\x56\xBA',
        u'\u8896': b'\x58\xE3',
        u'\u889C': b'\x57\x81',
        u'\u88A2': b'\x69\x68',
        u'\u88A4': b'\x5D\x94',
        u'\u88AB': b'\x49\x5B',
        u'\u88AD': b'\x58\x4E',
        u'\u88B1': b'\x4C\xA3',
        u'\u88B7': b'\x69\x6A',
        u'\u88BC': b'\x69\x6B',
        u'\u88C1': b'\x49\xC2',
        u'\u88C2': b'\x51\x71',
        u'\u88C5': b'\x5C\x50',
        u'\u88C6': b'\x69\x69',
        u'\u88C9': b'\x69\x6C',
        u'\u88CE': b'\x69\x6E',
        u'\u88D2': b'\x5D\x97',
        u'\u88D4': b'\x59\xE0',
        u'\u88D5': b'\x5A\xA2',
        u'\u88D8': b'\x6A\xC2',
        u'\u88D9': b'\x54\xB8',
        u'\u88DF': b'\x6A\xC3',
        u'\u88E2': b'\x69\x6D',
        u'\u88E3': b'\x69\x6F',
        u'\u88E4': b'\x50\x84',
        u'\u88E5': b'\x69\x70',
        u'\u88E8': b'\x69\x74',
        u'\u88F0': b'\x69\x76',
        u'\u88F1': b'\x69\x71',
        u'\u88F3': b'\x55\x71',
        u'\u88F4': b'\x53\x82',
        u'\u88F8': b'\x51\xE2',
        u'\u88F9': b'\x4D\x9D',
        u'\u88FC': b'\x69\x73',
        u'\u88FE': b'\x69\x75',
        u'\u8902': b'\x4D\x73',
        u'\u890A': b'\x69\x7B',
        u'\u8910': b'\x4D\xD5',
        u'\u8912': b'\x48\xFC',
        u'\u8913': b'\x69\x79',
        u'\u8919': b'\x69\x78',
        u'\u891A': b'\x69\x72',
        u'\u891B': b'\x69\x7A',
        u'\u8921': b'\x69\x77',
        u'\u8925': b'\x54\xEB',
        u'\u892A': b'\x57\x6A',
        u'\u892B': b'\x69\x7D',
        u'\u8930': b'\x63\x5D',
        u'\u8934': b'\x69\x7C',
        u'\u8936': b'\x69\x7E',
        u'\u8941': b'\x69\x7F',
        u'\u8944': b'\x58\x86',
        u'\u895E': b'\x6A\xC4',
        u'\u895F': b'\x4F\x94',
        u'\u8966': b'\x69\x81',
        u'\u897B': b'\x69\x82',
        u'\u897F': b'\x57\xF6',
        u'\u8981': b'\x59\xA9',
        u'\u8983': b'\x69\x9C',
        u'\u8986': b'\x4C\xB1',
        u'\u89C1': b'\x4E\xFA',
        u'\u89C2': b'\x4D\x7B',
        u'\u89C4': b'\x4D\x87',
        u'\u89C5': b'\x52\x79',
        u'\u89C6': b'\x55\xD2',
        u'\u89C7': b'\x65\xE7',
        u'\u89C8': b'\x50\xBF',
        u'\u89C9': b'\x4F\xF4',
        u'\u89CA': b'\x65\xE8',
        u'\u89CB': b'\x65\xE9',
        u'\u89CC': b'\x65\xEA',
        u'\u89CE': b'\x65\xEB',
        u'\u89CF': b'\x65\xEC',
        u'\u89D0': b'\x65\xED',
        u'\u89D1': b'\x65\xEE',
        u'\u89D2': b'\x4F\x67',
        u'\u89D6': b'\x6B\x9C',
        u'\u89DA': b'\x6B\x9E',
        u'\u89DC': b'\x6B\x9F',
        u'\u89DE': b'\x6B\x9D',
        u'\u89E3': b'\x4F\x83',
        u'\u89E5': b'\x6B\xA0',
        u'\u89E6': b'\x4A\xA4',
        u'\u89EB': b'\x6B\xA1',
        u'\u89EF': b'\x6B\xA2',
        u'\u89F3': b'\x66\xB1',
        u'\u8A00': b'\x59\x74',
        u'\u8A07': b'\x5D\x8B',
        u'\u8A3E': b'\x6B\xA3',
        u'\u8A48': b'\x67\xB9',
        u'\u8A79': b'\x5B\x52',
        u'\u8A89': b'\x5A\x9F',
        u'\u8A8A': b'\x56\xDB',
        u'\u8A93': b'\x55\xC3',
        u'\u8B07': b'\x63\x60',
        u'\u8B26': b'\x6B\xA4',
        u'\u8B66': b'\x4F\xAE',
        u'\u8B6C': b'\x53\xA8',
        u'\u8BA0': b'\x5D\xA4',
        u'\u8BA1': b'\x4E\xC5',
        u'\u8BA2': b'\x4B\xA8',
        u'\u8BA3': b'\x4C\xBB',
        u'\u8BA4': b'\x54\xCE',
        u'\u8BA5': b'\x4E\xA4',
        u'\u8BA6': b'\x5D\xA5',
        u'\u8BA7': b'\x5D\xA6',
        u'\u8BA8': b'\x56\xD5',
        u'\u8BA9': b'\x54\xC2',
        u'\u8BAA': b'\x5D\xA7',
        u'\u8BAB': b'\x53\xFC',
        u'\u8BAD': b'\x59\x55',
        u'\u8BAE': b'\x59\xE8',
        u'\u8BAF': b'\x59\x56',
        u'\u8BB0': b'\x4E\xC6',
        u'\u8BB2': b'\x4F\x52',
        u'\u8BB3': b'\x4E\x85',
        u'\u8BB4': b'\x5D\xA8',
        u'\u8BB5': b'\x5D\xA9',
        u'\u8BB6': b'\x59\x68',
        u'\u8BB7': b'\x5D\xAA',
        u'\u8BB8': b'\x58\xEC',
        u'\u8BB9': b'\x4B\xEE',
        u'\u8BBA': b'\x51\xDA',
        u'\u8BBC': b'\x56\x6F',
        u'\u8BBD': b'\x4C\x8E',
        u'\u8BBE': b'\x55\x89',
        u'\u8BBF': b'\x4C\x63',
        u'\u8BC0': b'\x4F\xF6',
        u'\u8BC1': b'\x5B\xA3',
        u'\u8BC2': b'\x5D\xAB',
        u'\u8BC3': b'\x5D\xAC',
        u'\u8BC4': b'\x53\xBF',
        u'\u8BC5': b'\x5C\x88',
        u'\u8BC6': b'\x55\xB5',
        u'\u8BC8': b'\x5B\x49',
        u'\u8BC9': b'\x56\x7F',
        u'\u8BCA': b'\x5B\x90',
        u'\u8BCB': b'\x5D\xAD',
        u'\u8BCC': b'\x5B\xDE',
        u'\u8BCD': b'\x4A\xC9',
        u'\u8BCE': b'\x5D\xAF',
        u'\u8BCF': b'\x5D\xAE',
        u'\u8BD1': b'\x59\xEA',
        u'\u8BD2': b'\x5D\xB0',
        u'\u8BD3': b'\x5D\xB1',
        u'\u8BD4': b'\x5D\xB2',
        u'\u8BD5': b'\x55\xD3',
        u'\u8BD6': b'\x5D\xB3',
        u'\u8BD7': b'\x55\xAA',
        u'\u8BD8': b'\x5D\xB4',
        u'\u8BD9': b'\x5D\xB5',
        u'\u8BDA': b'\x4A\x6F',
        u'\u8BDB': b'\x5B\xEE',
        u'\u8BDC': b'\x5D\xB6',
        u'\u8BDD': b'\x4E\x50',
        u'\u8BDE': b'\x4B\x4E',
        u'\u8BDF': b'\x5D\xB7',
        u'\u8BE0': b'\x5D\xB8',
        u'\u8BE1': b'\x4D\x8F',
        u'\u8BE2': b'\x59\x4F',
        u'\u8BE3': b'\x59\xE7',
        u'\u8BE4': b'\x5D\xB9',
        u'\u8BE5': b'\x4C\xC2',
        u'\u8BE6': b'\x58\x8B',
        u'\u8BE7': b'\x49\xEE',
        u'\u8BE8': b'\x5D\xBA',
        u'\u8BE9': b'\x5D\xBB',
        u'\u8BEB': b'\x4F\x8C',
        u'\u8BEC': b'\x57\xDB',
        u'\u8BED': b'\x5A\x90',
        u'\u8BEE': b'\x5D\xBC',
        u'\u8BEF': b'\x57\xF2',
        u'\u8BF0': b'\x5D\xBD',
        u'\u8BF1': b'\x5A\x75',
        u'\u8BF2': b'\x4E\x86',
        u'\u8BF3': b'\x5D\xBE',
        u'\u8BF4': b'\x56\x55',
        u'\u8BF5': b'\x56\x70',
        u'\u8BF6': b'\x5D\xBF',
        u'\u8BF7': b'\x54\x8C',
        u'\u8BF8': b'\x5B\xED',
        u'\u8BF9': b'\x5D\xC0',
        u'\u8BFA': b'\x53\x55',
        u'\u8BFB': b'\x4B\xC0',
        u'\u8BFC': b'\x5D\xC1',
        u'\u8BFD': b'\x4C\x6C',
        u'\u8BFE': b'\x50\x6E',
        u'\u8BFF': b'\x5D\xC2',
        u'\u8C00': b'\x5D\xC3',
        u'\u8C01': b'\x56\x4D',
        u'\u8C02': b'\x5D\xC4',
        u'\u8C03': b'\x4B\x98',
        u'\u8C04': b'\x5D\xC5',
        u'\u8C05': b'\x51\x62',
        u'\u8C06': b'\x5C\x5B',
        u'\u8C07': b'\x5D\xC6',
        u'\u8C08': b'\x56\xB7',
        u'\u8C0A': b'\x59\xE9',
        u'\u8C0B': b'\x52\xB0',
        u'\u8C0C': b'\x5D\xC7',
        u'\u8C0D': b'\x4B\x9E',
        u'\u8C0E': b'\x4E\x71',
        u'\u8C0F': b'\x5D\xC8',
        u'\u8C10': b'\x58\xB2',
        u'\u8C11': b'\x5D\xC9',
        u'\u8C12': b'\x5D\xCA',
        u'\u8C13': b'\x57\xBC',
        u'\u8C14': b'\x5D\xCB',
        u'\u8C15': b'\x5D\xCC',
        u'\u8C16': b'\x5D\xCD',
        u'\u8C17': b'\x49\xF6',
        u'\u8C18': b'\x5D\xD0',
        u'\u8C19': b'\x5D\xCE',
        u'\u8C1A': b'\x59\x89',
        u'\u8C1B': b'\x5D\xCF',
        u'\u8C1C': b'\x52\x75',
        u'\u8C1D': b'\x5D\xD1',
        u'\u8C1F': b'\x5D\xD2',
        u'\u8C20': b'\x5D\xD3',
        u'\u8C21': b'\x5D\xD4',
        u'\u8C22': b'\x58\xBA',
        u'\u8C23': b'\x59\xA4',
        u'\u8C24': b'\x48\xF8',
        u'\u8C25': b'\x5D\xD5',
        u'\u8C26': b'\x54\x4B',
        u'\u8C27': b'\x5D\xD6',
        u'\u8C28': b'\x4F\x98',
        u'\u8C29': b'\x52\x41',
        u'\u8C2A': b'\x5D\xD7',
        u'\u8C2B': b'\x5D\xD8',
        u'\u8C2C': b'\x52\x9E',
        u'\u8C2D': b'\x56\xB6',
        u'\u8C2E': b'\x5D\xD9',
        u'\u8C2F': b'\x5D\xDA',
        u'\u8C30': b'\x50\xBD',
        u'\u8C31': b'\x53\xD6',
        u'\u8C32': b'\x5D\xDB',
        u'\u8C33': b'\x5D\xDC',
        u'\u8C34': b'\x54\x54',
        u'\u8C35': b'\x5D\xDD',
        u'\u8C36': b'\x5D\xDE',
        u'\u8C37': b'\x4D\x68',
        u'\u8C41': b'\x4E\x8E',
        u'\u8C46': b'\x4B\xB8',
        u'\u8C47': b'\x6A\xF7',
        u'\u8C49': b'\x6A\xF8',
        u'\u8C4C': b'\x57\x84',
        u'\u8C55': b'\x6B\x59',
        u'\u8C5A': b'\x66\x81',
        u'\u8C61': b'\x58\x94',
        u'\u8C62': b'\x4E\x5F',
        u'\u8C6A': b'\x4D\xBF',
        u'\u8C6B': b'\x5A\xA4',
        u'\u8C73': b'\x61\x79',
        u'\u8C78': b'\x6B\x95',
        u'\u8C79': b'\x49\x4A',
        u'\u8C7A': b'\x49\xF1',
        u'\u8C82': b'\x6B\x96',
        u'\u8C85': b'\x6B\x98',
        u'\u8C89': b'\x4D\xD0',
        u'\u8C8A': b'\x6B\x97',
        u'\u8C8C': b'\x52\x52',
        u'\u8C94': b'\x6B\x9A',
        u'\u8C98': b'\x6B\x99',
        u'\u8D1D': b'\x49\x54',
        u'\u8D1E': b'\x5B\x8B',
        u'\u8D1F': b'\x4C\xB9',
        u'\u8D21': b'\x4D\x51',
        u'\u8D22': b'\x49\xC5',
        u'\u8D23': b'\x5A\xEF',
        u'\u8D24': b'\x58\x6D',
        u'\u8D25': b'\x48\xDB',
        u'\u8D26': b'\x5B\x6B',
        u'\u8D27': b'\x4E\x96',
        u'\u8D28': b'\x5B\xC9',
        u'\u8D29': b'\x4C\x57',
        u'\u8D2A': b'\x56\xAF',
        u'\u8D2B': b'\x53\xB5',
        u'\u8D2C': b'\x49\x82',
        u'\u8D2D': b'\x4D\x5A',
        u'\u8D2E': b'\x5B\xFB',
        u'\u8D2F': b'\x4D\x82',
        u'\u8D30': b'\x4C\x41',
        u'\u8D31': b'\x4E\xF9',
        u'\u8D32': b'\x65\xD9',
        u'\u8D33': b'\x65\xDA',
        u'\u8D34': b'\x56\xF8',
        u'\u8D35': b'\x4D\x94',
        u'\u8D36': b'\x65\xDB',
        u'\u8D37': b'\x4A\xFA',
        u'\u8D38': b'\x52\x53',
        u'\u8D39': b'\x4C\x71',
        u'\u8D3A': b'\x4D\xD7',
        u'\u8D3B': b'\x65\xDC',
        u'\u8D3C': b'\x5A\xF3',
        u'\u8D3D': b'\x65\xDD',
        u'\u8D3E': b'\x4E\xD5',
        u'\u8D3F': b'\x4E\x7F',
        u'\u8D40': b'\x65\xDE',
        u'\u8D41': b'\x51\x7E',
        u'\u8D42': b'\x51\xB7',
        u'\u8D43': b'\x5A\xDE',
        u'\u8D44': b'\x5C\x6A',
        u'\u8D45': b'\x65\xDF',
        u'\u8D46': b'\x65\xE0',
        u'\u8D47': b'\x65\xE3',
        u'\u8D48': b'\x65\xE1',
        u'\u8D49': b'\x65\xE2',
        u'\u8D4A': b'\x55\x7E',
        u'\u8D4B': b'\x4C\xB2',
        u'\u8D4C': b'\x4B\xC3',
        u'\u8D4D': b'\x65\xE4',
        u'\u8D4E': b'\x55\xE9',
        u'\u8D4F': b'\x55\x6D',
        u'\u8D50': b'\x4A\xCC',
        u'\u8D53': b'\x61\xD8',
        u'\u8D54': b'\x53\x83',
        u'\u8D55': b'\x65\xE5',
        u'\u8D56': b'\x50\xB4',
        u'\u8D58': b'\x5C\x58',
        u'\u8D59': b'\x65\xE6',
        u'\u8D5A': b'\x5C\x4C',
        u'\u8D5B': b'\x54\xFB',
        u'\u8D5C': b'\x5C\xD2',
        u'\u8D5D': b'\x5C\xCC',
        u'\u8D5E': b'\x5A\xDD',
        u'\u8D60': b'\x5A\xF8',
        u'\u8D61': b'\x55\x64',
        u'\u8D62': b'\x5A\x4E',
        u'\u8D63': b'\x4C\xD2',
        u'\u8D64': b'\x4A\x81',
        u'\u8D66': b'\x55\x83',
        u'\u8D67': b'\x6A\xF5',
        u'\u8D6B': b'\x4D\xD4',
        u'\u8D6D': b'\x6A\xF6',
        u'\u8D70': b'\x5C\x7F',
        u'\u8D73': b'\x6A\xF0',
        u'\u8D74': b'\x4C\xAF',
        u'\u8D75': b'\x5B\x74',
        u'\u8D76': b'\x4C\xCE',
        u'\u8D77': b'\x53\xEF',
        u'\u8D81': b'\x4A\x63',
        u'\u8D84': b'\x6A\xF1',
        u'\u8D85': b'\x4A\x4C',
        u'\u8D8A': b'\x5A\xBC',
        u'\u8D8B': b'\x54\x98',
        u'\u8D91': b'\x6A\xF3',
        u'\u8D94': b'\x6A\xF2',
        u'\u8D9F': b'\x56\xCA',
        u'\u8DA3': b'\x54\xA3',
        u'\u8DB1': b'\x6A\xF4',
        u'\u8DB3': b'\x5C\x84',
        u'\u8DB4': b'\x53\x5F',
        u'\u8DB5': b'\x6B\x60',
        u'\u8DB8': b'\x6B\x5B',
        u'\u8DBA': b'\x6B\x63',
        u'\u8DBC': b'\x6B\x62',
        u'\u8DBE': b'\x5B\xB9',
        u'\u8DBF': b'\x6B\x61',
        u'\u8DC3': b'\x5A\xBD',
        u'\u8DC4': b'\x6B\x64',
        u'\u8DC6': b'\x6B\x6C',
        u'\u8DCB': b'\x48\xCE',
        u'\u8DCC': b'\x4B\x99',
        u'\u8DCE': b'\x6B\x69',
        u'\u8DCF': b'\x6B\x6A',
        u'\u8DD1': b'\x53\x7C',
        u'\u8DD6': b'\x6B\x65',
        u'\u8DD7': b'\x6B\x66',
        u'\u8DDA': b'\x6B\x67',
        u'\u8DDB': b'\x6B\x6B',
        u'\u8DDD': b'\x4F\xDF',
        u'\u8DDE': b'\x6B\x68',
        u'\u8DDF': b'\x4C\xF9',
        u'\u8DE3': b'\x6B\x70',
        u'\u8DE4': b'\x6B\x73',
        u'\u8DE8': b'\x50\x88',
        u'\u8DEA': b'\x4D\x93',
        u'\u8DEB': b'\x6B\x5C',
        u'\u8DEC': b'\x6B\x6D',
        u'\u8DEF': b'\x51\xB6',
        u'\u8DF3': b'\x56\xF7',
        u'\u8DF5': b'\x4E\xF8',
        u'\u8DF7': b'\x6B\x6E',
        u'\u8DF8': b'\x6B\x6F',
        u'\u8DF9': b'\x6B\x71',
        u'\u8DFA': b'\x4B\xE4',
        u'\u8DFB': b'\x6B\x72',
        u'\u8DFD': b'\x6B\x75',
        u'\u8E05': b'\x6B\x5D',
        u'\u8E09': b'\x6B\x74',
        u'\u8E0A': b'\x5A\x5B',
        u'\u8E0C': b'\x4A\x8D',
        u'\u8E0F': b'\x56\xA3',
        u'\u8E14': b'\x6B\x76',
        u'\u8E1D': b'\x6B\x77',
        u'\u8E1E': b'\x4F\xE0',
        u'\u8E1F': b'\x6B\x78',
        u'\u8E22': b'\x56\xDE',
        u'\u8E23': b'\x6B\x7B',
        u'\u8E29': b'\x49\xC7',
        u'\u8E2A': b'\x5C\x79',
        u'\u8E2C': b'\x6B\x79',
        u'\u8E2E': b'\x6B\x7A',
        u'\u8E2F': b'\x6B\x7C',
        u'\u8E31': b'\x6B\x83',
        u'\u8E35': b'\x6B\x81',
        u'\u8E39': b'\x6B\x7F',
        u'\u8E3A': b'\x6B\x7D',
        u'\u8E3D': b'\x6B\x82',
        u'\u8E40': b'\x6B\x7E',
        u'\u8E41': b'\x6B\x85',
        u'\u8E42': b'\x6B\x86',
        u'\u8E44': b'\x56\xE2',
        u'\u8E47': b'\x63\x5F',
        u'\u8E48': b'\x4B\x58',
        u'\u8E49': b'\x6B\x84',
        u'\u8E4A': b'\x6B\x89',
        u'\u8E4B': b'\x56\xA2',
        u'\u8E51': b'\x6B\x87',
        u'\u8E52': b'\x6B\x88',
        u'\u8E59': b'\x6B\x5E',
        u'\u8E66': b'\x49\x64',
        u'\u8E69': b'\x6B\x5F',
        u'\u8E6C': b'\x4B\x65',
        u'\u8E6D': b'\x49\xE3',
        u'\u8E6F': b'\x6B\x8D',
        u'\u8E70': b'\x6B\x8A',
        u'\u8E72': b'\x4B\xD6',
        u'\u8E74': b'\x6B\x8E',
        u'\u8E76': b'\x6B\x8B',
        u'\u8E7C': b'\x6B\x8C',
        u'\u8E7F': b'\x4A\xD9',
        u'\u8E81': b'\x5A\xE9',
        u'\u8E85': b'\x6B\x8F',
        u'\u8E87': b'\x4A\x9A',
        u'\u8E8F': b'\x6B\x90',
        u'\u8E90': b'\x6B\x92',
        u'\u8E94': b'\x6B\x91',
        u'\u8E9C': b'\x6B\x93',
        u'\u8E9E': b'\x6B\x94',
        u'\u8EAB': b'\x55\x8E',
        u'\u8EAC': b'\x4D\x4A',
        u'\u8EAF': b'\x54\x9C',
        u'\u8EB2': b'\x4B\xE2',
        u'\u8EBA': b'\x56\xC8',
        u'\u8ECE': b'\x65\xA5',
        u'\u8F66': b'\x4A\x55',
        u'\u8F67': b'\x5A\xFD',
        u'\u8F68': b'\x4D\x8D',
        u'\u8F69': b'\x58\xF8',
        u'\u8F6B': b'\x65\x8E',
        u'\u8F6C': b'\x5C\x4A',
        u'\u8F6D': b'\x65\x8F',
        u'\u8F6E': b'\x51\xD5',
        u'\u8F6F': b'\x54\xEC',
        u'\u8F70': b'\x4D\xE3',
        u'\u8F71': b'\x65\x90',
        u'\u8F72': b'\x65\x91',
        u'\u8F73': b'\x65\x92',
        u'\u8F74': b'\x5B\xE0',
        u'\u8F75': b'\x65\x93',
        u'\u8F76': b'\x65\x94',
        u'\u8F77': b'\x65\x96',
        u'\u8F78': b'\x65\x95',
        u'\u8F79': b'\x65\x97',
        u'\u8F7A': b'\x65\x98',
        u'\u8F7B': b'\x54\x82',
        u'\u8F7C': b'\x65\x99',
        u'\u8F7D': b'\x5A\xD7',
        u'\u8F7E': b'\x65\x9A',
        u'\u8F7F': b'\x4F\x6E',
        u'\u8F81': b'\x65\x9B',
        u'\u8F82': b'\x65\x9C',
        u'\u8F83': b'\x4F\x6F',
        u'\u8F84': b'\x65\x9D',
        u'\u8F85': b'\x4C\xA7',
        u'\u8F86': b'\x51\x5E',
        u'\u8F87': b'\x65\x9E',
        u'\u8F88': b'\x49\x52',
        u'\u8F89': b'\x4E\x74',
        u'\u8F8A': b'\x4D\x96',
        u'\u8F8B': b'\x65\x9F',
        u'\u8F8D': b'\x65\xA0',
        u'\u8F8E': b'\x65\xA1',
        u'\u8F8F': b'\x65\xA2',
        u'\u8F90': b'\x4C\x99',
        u'\u8F91': b'\x4E\xAC',
        u'\u8F93': b'\x55\xE3',
        u'\u8F94': b'\x60\xCD',
        u'\u8F95': b'\x5A\xAE',
        u'\u8F96': b'\x58\x5D',
        u'\u8F97': b'\x5B\x57',
        u'\u8F98': b'\x65\xA3',
        u'\u8F99': b'\x5B\x7E',
        u'\u8F9A': b'\x65\xA4',
        u'\u8F9B': b'\x58\xC0',
        u'\u8F9C': b'\x4D\x5C',
        u'\u8F9E': b'\x4A\xC6',
        u'\u8F9F': b'\x49\x79',
        u'\u8FA3': b'\x50\xB0',
        u'\u8FA8': b'\x49\x87',
        u'\u8FA9': b'\x49\x88',
        u'\u8FAB': b'\x49\x89',
        u'\u8FB0': b'\x4A\x5D',
        u'\u8FB1': b'\x54\xE7',
        u'\u8FB6': b'\x63\x61',
        u'\u8FB9': b'\x49\x7F',
        u'\u8FBD': b'\x51\x69',
        u'\u8FBE': b'\x4A\xEE',
        u'\u8FC1': b'\x54\x48',
        u'\u8FC2': b'\x5A\x78',
        u'\u8FC4': b'\x53\xF8',
        u'\u8FC5': b'\x59\x58',
        u'\u8FC7': b'\x4D\x9E',
        u'\u8FC8': b'\x51\xF4',
        u'\u8FCE': b'\x5A\x4D',
        u'\u8FD0': b'\x5A\xCA',
        u'\u8FD1': b'\x4F\x9D',
        u'\u8FD3': b'\x63\x62',
        u'\u8FD4': b'\x4C\x55',
        u'\u8FD5': b'\x63\x63',
        u'\u8FD8': b'\x4E\x59',
        u'\u8FD9': b'\x5B\x83',
        u'\u8FDB': b'\x4F\x99',
        u'\u8FDC': b'\x5A\xB5',
        u'\u8FDD': b'\x57\xA4',
        u'\u8FDE': b'\x51\x4C',
        u'\u8FDF': b'\x4A\x79',
        u'\u8FE2': b'\x56\xF5',
        u'\u8FE4': b'\x63\x66',
        u'\u8FE5': b'\x63\x64',
        u'\u8FE6': b'\x63\x68',
        u'\u8FE8': b'\x63\x6A',
        u'\u8FE9': b'\x63\x67',
        u'\u8FEA': b'\x4B\x6F',
        u'\u8FEB': b'\x53\xC7',
        u'\u8FED': b'\x4B\x9D',
        u'\u8FEE': b'\x63\x65',
        u'\u8FF0': b'\x55\xF5',
        u'\u8FF3': b'\x63\x69',
        u'\u8FF7': b'\x52\x74',
        u'\u8FF8': b'\x49\x65',
        u'\u8FF9': b'\x4E\xA2',
        u'\u8FFD': b'\x5C\x57',
        u'\u9000': b'\x57\x6B',
        u'\u9001': b'\x56\x6D',
        u'\u9002': b'\x55\xC9',
        u'\u9003': b'\x56\xD2',
        u'\u9004': b'\x63\x6C',
        u'\u9005': b'\x63\x6B',
        u'\u9006': b'\x52\xE5',
        u'\u9009': b'\x59\x41',
        u'\u900A': b'\x59\x57',
        u'\u900B': b'\x63\x6D',
        u'\u900D': b'\x63\x70',
        u'\u900F': b'\x57\x58',
        u'\u9010': b'\x5B\xEF',
        u'\u9011': b'\x63\x6F',
        u'\u9012': b'\x4B\x7D',
        u'\u9014': b'\x57\x5E',
        u'\u9016': b'\x63\x71',
        u'\u9017': b'\x4B\xB9',
        u'\u901A': b'\x57\x48',
        u'\u901B': b'\x4D\x85',
        u'\u901D': b'\x55\xC4',
        u'\u901E': b'\x4A\x71',
        u'\u901F': b'\x56\x79',
        u'\u9020': b'\x5A\xEB',
        u'\u9021': b'\x63\x72',
        u'\u9022': b'\x4C\x8B',
        u'\u9026': b'\x63\x6E',
        u'\u902D': b'\x63\x75',
        u'\u902E': b'\x4A\xFD',
        u'\u902F': b'\x63\x76',
        u'\u9035': b'\x63\x73',
        u'\u9036': b'\x63\x74',
        u'\u9038': b'\x59\xDC',
        u'\u903B': b'\x51\xDE',
        u'\u903C': b'\x49\x66',
        u'\u903E': b'\x5A\x83',
        u'\u9041': b'\x4B\xDC',
        u'\u9042': b'\x56\x8D',
        u'\u9044': b'\x63\x77',
        u'\u9047': b'\x5A\x97',
        u'\u904D': b'\x49\x8A',
        u'\u904F': b'\x4B\xF3',
        u'\u9050': b'\x63\x7A',
        u'\u9051': b'\x63\x78',
        u'\u9052': b'\x63\x79',
        u'\u9053': b'\x4B\x60',
        u'\u9057': b'\x59\xC4',
        u'\u9058': b'\x63\x7C',
        u'\u905B': b'\x63\x7E',
        u'\u9062': b'\x63\x7D',
        u'\u9063': b'\x54\x52',
        u'\u9065': b'\x59\xA2',
        u'\u9068': b'\x63\x7B',
        u'\u906D': b'\x5A\xE1',
        u'\u906E': b'\x5B\x7A',
        u'\u9074': b'\x63\x81',
        u'\u9075': b'\x5C\x92',
        u'\u907D': b'\x63\x82',
        u'\u907F': b'\x49\x7C',
        u'\u9080': b'\x59\x9C',
        u'\u9082': b'\x63\x83',
        u'\u9083': b'\x63\x85',
        u'\u9088': b'\x63\x84',
        u'\u908B': b'\x63\x86',
        u'\u9091': b'\x59\xD7',
        u'\u9093': b'\x4B\x6B',
        u'\u9095': b'\x64\x7F',
        u'\u9097': b'\x5D\xF4',
        u'\u9099': b'\x5D\xF7',
        u'\u909B': b'\x5D\xF5',
        u'\u909D': b'\x5D\xF6',
        u'\u90A1': b'\x5D\xF9',
        u'\u90A2': b'\x58\xCE',
        u'\u90A3': b'\x52\xC6',
        u'\u90A6': b'\x48\xED',
        u'\u90AA': b'\x58\xAF',
        u'\u90AC': b'\x5D\xF8',
        u'\u90AE': b'\x5A\x6A',
        u'\u90AF': b'\x4D\xA9',
        u'\u90B0': b'\x5E\x42',
        u'\u90B1': b'\x54\x92',
        u'\u90B3': b'\x5D\xFB',
        u'\u90B4': b'\x5D\xFA',
        u'\u90B5': b'\x55\x7B',
        u'\u90B6': b'\x5D\xFC',
        u'\u90B8': b'\x5E\x41',
        u'\u90B9': b'\x5C\x7E',
        u'\u90BA': b'\x5D\xFD',
        u'\u90BB': b'\x51\x7A',
        u'\u90BE': b'\x5E\x45',
        u'\u90C1': b'\x5A\x95',
        u'\u90C4': b'\x5E\x47',
        u'\u90C5': b'\x5E\x44',
        u'\u90C7': b'\x5E\x48',
        u'\u90CA': b'\x4F\x5C',
        u'\u90CE': b'\x50\xC8',
        u'\u90CF': b'\x5E\x43',
        u'\u90D0': b'\x5E\x46',
        u'\u90D1': b'\x5B\xA2',
        u'\u90D3': b'\x5E\x49',
        u'\u90D7': b'\x5E\x4D',
        u'\u90DB': b'\x5E\x4E',
        u'\u90DC': b'\x5E\x4C',
        u'\u90DD': b'\x4D\xC1',
        u'\u90E1': b'\x50\x44',
        u'\u90E2': b'\x5E\x4B',
        u'\u90E6': b'\x5E\x4A',
        u'\u90E7': b'\x5A\xC6',
        u'\u90E8': b'\x49\xBE',
        u'\u90EB': b'\x5E\x4F',
        u'\u90ED': b'\x4D\x9A',
        u'\u90EF': b'\x5E\x50',
        u'\u90F4': b'\x4A\x5B',
        u'\u90F8': b'\x4B\x46',
        u'\u90FD': b'\x4B\xBB',
        u'\u90FE': b'\x5E\x51',
        u'\u9102': b'\x4B\xF4',
        u'\u9104': b'\x5E\x52',
        u'\u9119': b'\x49\x69',
        u'\u911E': b'\x5E\x54',
        u'\u9122': b'\x5E\x53',
        u'\u9123': b'\x5E\x55',
        u'\u912F': b'\x5E\x57',
        u'\u9131': b'\x5E\x56',
        u'\u9139': b'\x5E\x58',
        u'\u9143': b'\x5E\x59',
        u'\u9146': b'\x5E\x5A',
        u'\u9149': b'\x5A\x6F',
        u'\u914A': b'\x6A\xF9',
        u'\u914B': b'\x54\x96',
        u'\u914C': b'\x5C\x63',
        u'\u914D': b'\x53\x85',
        u'\u914E': b'\x6A\xFB',
        u'\u914F': b'\x6A\xFC',
        u'\u9150': b'\x6A\xFA',
        u'\u9152': b'\x4F\xC5',
        u'\u9157': b'\x58\xEE',
        u'\u915A': b'\x4C\x73',
        u'\u915D': b'\x5A\xCC',
        u'\u915E': b'\x56\xA9',
        u'\u9161': b'\x6B\x42',
        u'\u9162': b'\x6B\x41',
        u'\u9163': b'\x4D\xA7',
        u'\u9164': b'\x6A\xFD',
        u'\u9165': b'\x56\x76',
        u'\u9169': b'\x6B\x44',
        u'\u916A': b'\x50\xD1',
        u'\u916C': b'\x4A\x8B',
        u'\u916E': b'\x57\x4A',
        u'\u916F': b'\x6B\x45',
        u'\u9170': b'\x6B\x43',
        u'\u9171': b'\x4F\x54',
        u'\u9172': b'\x6B\x48',
        u'\u9174': b'\x6B\x49',
        u'\u9175': b'\x4F\x6D',
        u'\u9176': b'\x52\x58',
        u'\u9177': b'\x50\x82',
        u'\u9178': b'\x56\x82',
        u'\u9179': b'\x6B\x4A',
        u'\u917D': b'\x6B\x46',
        u'\u917E': b'\x6B\x47',
        u'\u917F': b'\x52\xEF',
        u'\u9185': b'\x6B\x4C',
        u'\u9187': b'\x4A\xBB',
        u'\u9189': b'\x5C\x8E',
        u'\u918B': b'\x4A\xD6',
        u'\u918C': b'\x6B\x4B',
        u'\u918D': b'\x6B\x4E',
        u'\u9190': b'\x6B\x4D',
        u'\u9191': b'\x6B\x4F',
        u'\u9192': b'\x58\xD0',
        u'\u919A': b'\x52\x71',
        u'\u919B': b'\x54\xA8',
        u'\u91A2': b'\x6B\x50',
        u'\u91A3': b'\x6B\x51',
        u'\u91AA': b'\x6B\x52',
        u'\u91AD': b'\x6B\x53',
        u'\u91AE': b'\x6B\x54',
        u'\u91AF': b'\x6B\x55',
        u'\u91B4': b'\x6B\x57',
        u'\u91B5': b'\x6B\x56',
        u'\u91BA': b'\x6B\x58',
        u'\u91C7': b'\x49\xC8',
        u'\u91C9': b'\x5A\x74',
        u'\u91CA': b'\x55\xCC',
        u'\u91CC': b'\x50\xEE',
        u'\u91CD': b'\x5B\xD7',
        u'\u91CE': b'\x59\xAF',
        u'\u91CF': b'\x51\x5F',
        u'\u91D1': b'\x4F\x91',
        u'\u91DC': b'\x4C\xA9',
        u'\u9274': b'\x4E\xF7',
        u'\u928E': b'\x6B\xC5',
        u'\u92AE': b'\x6B\xC6',
        u'\u92C8': b'\x6B\xC7',
        u'\u933E': b'\x6B\xC8',
        u'\u936A': b'\x6B\xC9',
        u'\u938F': b'\x6B\xCB',
        u'\u93CA': b'\x6B\xCA',
        u'\u93D6': b'\x6C\x8A',
        u'\u943E': b'\x6B\xCC',
        u'\u946B': b'\x6B\xCD',
        u'\u9485': b'\x67\xC3',
        u'\u9486': b'\x67\xC4',
        u'\u9487': b'\x67\xC5',
        u'\u9488': b'\x5B\x8C',
        u'\u9489': b'\x4B\xA3',
        u'\u948A': b'\x67\xC7',
        u'\u948B': b'\x67\xC6',
        u'\u948C': b'\x67\xC8',
        u'\u948D': b'\x67\xC9',
        u'\u948E': b'\x54\x45',
        u'\u948F': b'\x67\xCA',
        u'\u9490': b'\x67\xCB',
        u'\u9492': b'\x4C\x50',
        u'\u9493': b'\x4B\x97',
        u'\u9494': b'\x67\xCC',
        u'\u9495': b'\x67\xCE',
        u'\u9497': b'\x67\xCD',
        u'\u9499': b'\x4C\xC5',
        u'\u949A': b'\x67\xCF',
        u'\u949B': b'\x67\xD0',
        u'\u949C': b'\x67\xD1',
        u'\u949D': b'\x4B\xDA',
        u'\u949E': b'\x4A\x4E',
        u'\u949F': b'\x5B\xD2',
        u'\u94A0': b'\x52\xC5',
        u'\u94A1': b'\x49\x55',
        u'\u94A2': b'\x4C\xD5',
        u'\u94A3': b'\x67\xD2',
        u'\u94A4': b'\x67\xD3',
        u'\u94A5': b'\x5A\xBE',
        u'\u94A6': b'\x54\x75',
        u'\u94A7': b'\x4F\xFA',
        u'\u94A8': b'\x57\xD8',
        u'\u94A9': b'\x4D\x53',
        u'\u94AA': b'\x67\xD5',
        u'\u94AB': b'\x67\xD4',
        u'\u94AC': b'\x67\xD7',
        u'\u94AD': b'\x67\xD6',
        u'\u94AE': b'\x53\x45',
        u'\u94AF': b'\x67\xD8',
        u'\u94B0': b'\x67\xD9',
        u'\u94B1': b'\x54\x4E',
        u'\u94B2': b'\x67\xDA',
        u'\u94B3': b'\x54\x4F',
        u'\u94B4': b'\x67\xDB',
        u'\u94B5': b'\x49\xA6',
        u'\u94B6': b'\x67\xDC',
        u'\u94B7': b'\x67\xDD',
        u'\u94B8': b'\x67\xDE',
        u'\u94B9': b'\x67\xDF',
        u'\u94BA': b'\x67\xE0',
        u'\u94BB': b'\x5C\x8B',
        u'\u94BC': b'\x67\xE1',
        u'\u94BD': b'\x67\xE2',
        u'\u94BE': b'\x4E\xD7',
        u'\u94BF': b'\x67\xE3',
        u'\u94C0': b'\x5A\x6B',
        u'\u94C1': b'\x56\xF9',
        u'\u94C2': b'\x49\xAB',
        u'\u94C3': b'\x51\x86',
        u'\u94C4': b'\x67\xE4',
        u'\u94C5': b'\x54\x46',
        u'\u94C6': b'\x52\x4D',
        u'\u94C8': b'\x67\xE5',
        u'\u94C9': b'\x67\xE6',
        u'\u94CA': b'\x67\xE7',
        u'\u94CB': b'\x67\xE8',
        u'\u94CC': b'\x67\xE9',
        u'\u94CD': b'\x67\xEA',
        u'\u94CE': b'\x67\xEB',
        u'\u94D0': b'\x67\xEC',
        u'\u94D1': b'\x67\xED',
        u'\u94D2': b'\x67\xEE',
        u'\u94D5': b'\x67\xEF',
        u'\u94D6': b'\x67\xF0',
        u'\u94D7': b'\x67\xF1',
        u'\u94D8': b'\x67\xF3',
        u'\u94D9': b'\x67\xF2',
        u'\u94DB': b'\x67\xF4',
        u'\u94DC': b'\x57\x4D',
        u'\u94DD': b'\x51\xC0',
        u'\u94DE': b'\x67\xF5',
        u'\u94DF': b'\x67\xF6',
        u'\u94E0': b'\x67\xF7',
        u'\u94E1': b'\x5B\x41',
        u'\u94E2': b'\x67\xF8',
        u'\u94E3': b'\x58\x53',
        u'\u94E4': b'\x67\xF9',
        u'\u94E5': b'\x67\xFA',
        u'\u94E7': b'\x67\xFB',
        u'\u94E8': b'\x67\xFC',
        u'\u94E9': b'\x68\x41',
        u'\u94EA': b'\x67\xFD',
        u'\u94EB': b'\x68\x42',
        u'\u94EC': b'\x4C\xF4',
        u'\u94ED': b'\x52\x9B',
        u'\u94EE': b'\x68\x43',
        u'\u94EF': b'\x68\x44',
        u'\u94F0': b'\x4F\x62',
        u'\u94F1': b'\x59\xBE',
        u'\u94F2': b'\x49\xF8',
        u'\u94F3': b'\x68\x45',
        u'\u94F4': b'\x68\x46',
        u'\u94F5': b'\x68\x47',
        u'\u94F6': b'\x59\xF7',
        u'\u94F7': b'\x68\x48',
        u'\u94F8': b'\x5B\xFC',
        u'\u94F9': b'\x68\x49',
        u'\u94FA': b'\x53\xCB',
        u'\u94FC': b'\x68\x4A',
        u'\u94FD': b'\x68\x4B',
        u'\u94FE': b'\x51\x54',
        u'\u94FF': b'\x68\x4C',
        u'\u9500': b'\x58\x9B',
        u'\u9501': b'\x56\x99',
        u'\u9502': b'\x68\x4E',
        u'\u9503': b'\x68\x4D',
        u'\u9504': b'\x4A\x9B',
        u'\u9505': b'\x4D\x99',
        u'\u9506': b'\x68\x4F',
        u'\u9507': b'\x68\x50',
        u'\u9508': b'\x58\xE1',
        u'\u9509': b'\x68\x51',
        u'\u950A': b'\x68\x52',
        u'\u950B': b'\x4C\x87',
        u'\u950C': b'\x58\xBE',
        u'\u950D': b'\x68\x53',
        u'\u950E': b'\x68\x54',
        u'\u950F': b'\x68\x55',
        u'\u9510': b'\x54\xF0',
        u'\u9511': b'\x56\xDF',
        u'\u9512': b'\x68\x56',
        u'\u9513': b'\x68\x57',
        u'\u9514': b'\x68\x58',
        u'\u9515': b'\x68\x59',
        u'\u9516': b'\x68\x5A',
        u'\u9517': b'\x5B\x81',
        u'\u9518': b'\x68\x5B',
        u'\u9519': b'\x4A\xEC',
        u'\u951A': b'\x52\x4A',
        u'\u951B': b'\x68\x5C',
        u'\u951D': b'\x68\x5D',
        u'\u951E': b'\x68\x5E',
        u'\u951F': b'\x68\x5F',
        u'\u9521': b'\x57\xFC',
        u'\u9522': b'\x68\x60',
        u'\u9523': b'\x51\xDF',
        u'\u9524': b'\x4A\xB7',
        u'\u9525': b'\x5C\x56',
        u'\u9526': b'\x4F\x96',
        u'\u9528': b'\x58\x67',
        u'\u9529': b'\x68\x63',
        u'\u952A': b'\x68\x61',
        u'\u952B': b'\x68\x62',
        u'\u952C': b'\x68\x64',
        u'\u952D': b'\x4B\xA6',
        u'\u952E': b'\x4E\xFB',
        u'\u952F': b'\x4F\xE1',
        u'\u9530': b'\x52\x6C',
        u'\u9531': b'\x68\x65',
        u'\u9532': b'\x68\x66',
        u'\u9534': b'\x68\x67',
        u'\u9535': b'\x68\x6F',
        u'\u9536': b'\x68\x68',
        u'\u9537': b'\x68\x69',
        u'\u9538': b'\x68\x6A',
        u'\u9539': b'\x54\x62',
        u'\u953A': b'\x68\x92',
        u'\u953B': b'\x4B\xCC',
        u'\u953C': b'\x68\x6B',
        u'\u953E': b'\x68\x6C',
        u'\u953F': b'\x68\x6D',
        u'\u9540': b'\x4B\xC5',
        u'\u9541': b'\x52\x5E',
        u'\u9542': b'\x68\x6E',
        u'\u9544': b'\x68\x70',
        u'\u9545': b'\x68\x71',
        u'\u9546': b'\x68\x72',
        u'\u9547': b'\x5B\x93',
        u'\u9549': b'\x68\x73',
        u'\u954A': b'\x52\xF6',
        u'\u954C': b'\x68\x74',
        u'\u954D': b'\x52\xF7',
        u'\u954E': b'\x68\x75',
        u'\u954F': b'\x68\x76',
        u'\u9550': b'\x4C\xE3',
        u'\u9551': b'\x48\xF6',
        u'\u9552': b'\x68\x77',
        u'\u9553': b'\x68\x78',
        u'\u9554': b'\x68\x79',
        u'\u9556': b'\x68\x7A',
        u'\u9557': b'\x68\x7B',
        u'\u9558': b'\x68\x7C',
        u'\u9559': b'\x68\x7D',
        u'\u955B': b'\x68\x7E',
        u'\u955C': b'\x4F\xB4',
        u'\u955D': b'\x68\x82',
        u'\u955E': b'\x68\x7F',
        u'\u955F': b'\x68\x81',
        u'\u9561': b'\x68\x83',
        u'\u9562': b'\x68\x84',
        u'\u9563': b'\x51\x6D',
        u'\u9564': b'\x68\x85',
        u'\u9565': b'\x68\x86',
        u'\u9566': b'\x68\x87',
        u'\u9567': b'\x68\x88',
        u'\u9568': b'\x68\x89',
        u'\u9569': b'\x68\x8A',
        u'\u956A': b'\x68\x8B',
        u'\u956B': b'\x68\x8C',
        u'\u956C': b'\x68\x8D',
        u'\u956D': b'\x50\xD7',
        u'\u956F': b'\x68\x8E',
        u'\u9570': b'\x51\x4D',
        u'\u9571': b'\x68\x8F',
        u'\u9572': b'\x68\x90',
        u'\u9573': b'\x68\x91',
        u'\u9576': b'\x58\x83',
        u'\u957F': b'\x4A\x44',
        u'\u95E8': b'\x52\x65',
        u'\u95E9': b'\x62\x65',
        u'\u95EA': b'\x55\x61',
        u'\u95EB': b'\x62\x66',
        u'\u95ED': b'\x49\x75',
        u'\u95EE': b'\x57\xC9',
        u'\u95EF': b'\x4A\xB2',
        u'\u95F0': b'\x54\xF1',
        u'\u95F1': b'\x62\x67',
        u'\u95F2': b'\x58\x70',
        u'\u95F3': b'\x62\x68',
        u'\u95F4': b'\x4E\xE3',
        u'\u95F5': b'\x62\x69',
        u'\u95F6': b'\x62\x6A',
        u'\u95F7': b'\x52\x66',
        u'\u95F8': b'\x5B\x42',
        u'\u95F9': b'\x52\xD5',
        u'\u95FA': b'\x4D\x8C',
        u'\u95FB': b'\x57\xC4',
        u'\u95FC': b'\x62\x6B',
        u'\u95FD': b'\x52\x97',
        u'\u95FE': b'\x62\x6C',
        u'\u9600': b'\x4C\x47',
        u'\u9601': b'\x4C\xF2',
        u'\u9602': b'\x4D\xD1',
        u'\u9603': b'\x62\x6D',
        u'\u9604': b'\x62\x6E',
        u'\u9605': b'\x5A\xC3',
        u'\u9606': b'\x62\x6F',
        u'\u9608': b'\x62\x70',
        u'\u9609': b'\x59\x6B',
        u'\u960A': b'\x62\x71',
        u'\u960B': b'\x62\x72',
        u'\u960C': b'\x62\x73',
        u'\u960D': b'\x62\x74',
        u'\u960E': b'\x59\x76',
        u'\u960F': b'\x62\x75',
        u'\u9610': b'\x49\xFA',
        u'\u9611': b'\x50\xBA',
        u'\u9612': b'\x62\x76',
        u'\u9614': b'\x50\xAA',
        u'\u9615': b'\x62\x77',
        u'\u9616': b'\x62\x78',
        u'\u9617': b'\x62\x79',
        u'\u9619': b'\x62\x7A',
        u'\u961A': b'\x62\x7B',
        u'\u961C': b'\x4C\xB6',
        u'\u961D': b'\x5D\xE1',
        u'\u961F': b'\x4B\xD2',
        u'\u9621': b'\x5D\xE3',
        u'\u9622': b'\x5D\xE2',
        u'\u962A': b'\x5D\xE5',
        u'\u962E': b'\x54\xED',
        u'\u9631': b'\x5D\xE4',
        u'\u9632': b'\x4C\x60',
        u'\u9633': b'\x59\x95',
        u'\u9634': b'\x59\xF4',
        u'\u9635': b'\x5B\x94',
        u'\u9636': b'\x4F\x77',
        u'\u963B': b'\x5C\x89',
        u'\u963C': b'\x5D\xE7',
        u'\u963D': b'\x5D\xE6',
        u'\u963F': b'\x48\xA1',
        u'\u9640': b'\x57\x73',
        u'\u9642': b'\x5D\xE8',
        u'\u9644': b'\x4C\xBC',
        u'\u9645': b'\x4E\xC9',
        u'\u9646': b'\x51\xBC',
        u'\u9647': b'\x51\xA3',
        u'\u9648': b'\x4A\x62',
        u'\u9649': b'\x5D\xE9',
        u'\u964B': b'\x51\xA9',
        u'\u964C': b'\x52\xAF',
        u'\u964D': b'\x4F\x55',
        u'\u9650': b'\x58\x7E',
        u'\u9654': b'\x5D\xEA',
        u'\u9655': b'\x55\x62',
        u'\u965B': b'\x49\x7D',
        u'\u965F': b'\x5D\xEB',
        u'\u9661': b'\x4B\xB7',
        u'\u9662': b'\x5A\xB9',
        u'\u9664': b'\x4A\x9E',
        u'\u9667': b'\x5D\xEC',
        u'\u9668': b'\x5A\xC8',
        u'\u9669': b'\x58\x75',
        u'\u966A': b'\x53\x84',
        u'\u966C': b'\x5D\xED',
        u'\u9672': b'\x5D\xEE',
        u'\u9674': b'\x5D\xEF',
        u'\u9675': b'\x51\x8B',
        u'\u9676': b'\x56\xD4',
        u'\u9677': b'\x58\x7D',
        u'\u9685': b'\x5A\x88',
        u'\u9686': b'\x51\xA0',
        u'\u9688': b'\x5D\xF0',
        u'\u968B': b'\x56\x86',
        u'\u968D': b'\x5D\xF1',
        u'\u968F': b'\x56\x87',
        u'\u9690': b'\x59\xFD',
        u'\u9694': b'\x4C\xF3',
        u'\u9697': b'\x5D\xF2',
        u'\u9698': b'\x48\xAE',
        u'\u9699': b'\x58\x56',
        u'\u969C': b'\x5B\x6F',
        u'\u96A7': b'\x56\x8E',
        u'\u96B0': b'\x5D\xF3',
        u'\u96B3': b'\x62\x64',
        u'\u96B6': b'\x51\x45',
        u'\u96B9': b'\x6B\xBE',
        u'\u96BC': b'\x6B\xBF',
        u'\u96BD': b'\x6B\xC0',
        u'\u96BE': b'\x52\xD0',
        u'\u96C0': b'\x54\xB7',
        u'\u96C1': b'\x59\x84',
        u'\u96C4': b'\x58\xDA',
        u'\u96C5': b'\x59\x65',
        u'\u96C6': b'\x4E\xAE',
        u'\u96C7': b'\x4D\x6D',
        u'\u96C9': b'\x68\x95',
        u'\u96CC': b'\x4A\xC5',
        u'\u96CD': b'\x5A\x5A',
        u'\u96CE': b'\x6B\xC1',
        u'\u96CF': b'\x4A\x9C',
        u'\u96D2': b'\x6B\xC2',
        u'\u96D5': b'\x4B\x92',
        u'\u96E0': b'\x6B\xC4',
        u'\u96E8': b'\x5A\x8B',
        u'\u96E9': b'\x6B\xA6',
        u'\u96EA': b'\x59\x49',
        u'\u96EF': b'\x6B\xA8',
        u'\u96F3': b'\x6B\xA7',
        u'\u96F6': b'\x51\x84',
        u'\u96F7': b'\x50\xD6',
        u'\u96F9': b'\x49\x42',
        u'\u96FE': b'\x57\xEC',
        u'\u9700': b'\x58\xE7',
        u'\u9701': b'\x6B\xAA',
        u'\u9704': b'\x58\x97',
        u'\u9706': b'\x6B\xA9',
        u'\u9707': b'\x5B\x91',
        u'\u9708': b'\x6B\xAB',
        u'\u9709': b'\x52\x59',
        u'\u970D': b'\x4E\x95',
        u'\u970E': b'\x6B\xAD',
        u'\u970F': b'\x6B\xAC',
        u'\u9713': b'\x52\xDD',
        u'\u9716': b'\x51\x78',
        u'\u971C': b'\x56\x4A',
        u'\u971E': b'\x58\x5C',
        u'\u972A': b'\x6B\xAE',
        u'\u972D': b'\x6B\xAF',
        u'\u9730': b'\x6B\xB0',
        u'\u9732': b'\x51\xB5',
        u'\u9738': b'\x48\xD3',
        u'\u9739': b'\x53\x9A',
        u'\u973E': b'\x6B\xB1',
        u'\u9752': b'\x54\x81',
        u'\u9753': b'\x6B\xA5',
        u'\u9756': b'\x4F\xB7',
        u'\u9759': b'\x4F\xB1',
        u'\u975B': b'\x4B\x86',
        u'\u975E': b'\x4C\x67',
        u'\u9760': b'\x50\x5F',
        u'\u9761': b'\x52\x72',
        u'\u9762': b'\x52\x87',
        u'\u9765': b'\x5C\xCB',
        u'\u9769': b'\x4C\xEE',
        u'\u9773': b'\x4F\x9A',
        u'\u9774': b'\x59\x45',
        u'\u9776': b'\x48\xCF',
        u'\u977C': b'\x6C\x50',
        u'\u9785': b'\x6C\x51',
        u'\u978B': b'\x58\xAB',
        u'\u978D': b'\x48\xAF',
        u'\u9791': b'\x6C\x52',
        u'\u9792': b'\x6C\x53',
        u'\u9794': b'\x6C\x54',
        u'\u9798': b'\x54\x6A',
        u'\u97A0': b'\x4F\xCE',
        u'\u97A3': b'\x6C\x57',
        u'\u97AB': b'\x6C\x56',
        u'\u97AD': b'\x49\x7E',
        u'\u97AF': b'\x6C\x55',
        u'\u97B2': b'\x6C\x58',
        u'\u97B4': b'\x6C\x59',
        u'\u97E6': b'\x57\xA3',
        u'\u97E7': b'\x54\xCC',
        u'\u97E9': b'\x4D\xAA',
        u'\u97EA': b'\x64\xB7',
        u'\u97EB': b'\x64\xB8',
        u'\u97EC': b'\x64\xB9',
        u'\u97ED': b'\x4F\xC1',
        u'\u97F3': b'\x59\xF3',
        u'\u97F5': b'\x5A\xCE',
        u'\u97F6': b'\x55\x78',
        u'\u9875': b'\x59\xB2',
        u'\u9876': b'\x4B\xA4',
        u'\u9877': b'\x54\x8B',
        u'\u9878': b'\x69\x9D',
        u'\u9879': b'\x58\x8F',
        u'\u987A': b'\x56\x53',
        u'\u987B': b'\x58\xEA',
        u'\u987C': b'\x64\x90',
        u'\u987D': b'\x57\x88',
        u'\u987E': b'\x4D\x6B',
        u'\u987F': b'\x4B\xD8',
        u'\u9880': b'\x69\x9E',
        u'\u9881': b'\x48\xE3',
        u'\u9882': b'\x56\x6C',
        u'\u9883': b'\x69\x9F',
        u'\u9884': b'\x5A\xA3',
        u'\u9885': b'\x51\xAC',
        u'\u9886': b'\x51\x8D',
        u'\u9887': b'\x53\xC3',
        u'\u9888': b'\x4F\xB0',
        u'\u9889': b'\x69\xA0',
        u'\u988A': b'\x4E\xD4',
        u'\u988C': b'\x69\xA1',
        u'\u988D': b'\x69\xA2',
        u'\u988F': b'\x69\xA3',
        u'\u9890': b'\x59\xC2',
        u'\u9891': b'\x53\xB4',
        u'\u9893': b'\x57\x67',
        u'\u9894': b'\x69\xA4',
        u'\u9896': b'\x5A\x51',
        u'\u9897': b'\x50\x65',
        u'\u9898': b'\x56\xE1',
        u'\u989A': b'\x69\xA5',
        u'\u989B': b'\x69\xA6',
        u'\u989C': b'\x59\x75',
        u'\u989D': b'\x4B\xED',
        u'\u989E': b'\x69\xA7',
        u'\u989F': b'\x69\xA8',
        u'\u98A0': b'\x4B\x7F',
        u'\u98A1': b'\x69\xA9',
        u'\u98A2': b'\x69\xAA',
        u'\u98A4': b'\x49\xFB',
        u'\u98A5': b'\x69\xAB',
        u'\u98A6': b'\x69\xAC',
        u'\u98A7': b'\x54\xA6',
        u'\u98CE': b'\x4C\x88',
        u'\u98D1': b'\x66\xA8',
        u'\u98D2': b'\x66\xA9',
        u'\u98D3': b'\x66\xAA',
        u'\u98D5': b'\x66\xAB',
        u'\u98D8': b'\x53\xAD',
        u'\u98D9': b'\x66\xAC',
        u'\u98DA': b'\x66\xAD',
        u'\u98DE': b'\x4C\x69',
        u'\u98DF': b'\x55\xB2',
        u'\u98E7': b'\x61\xB7',
        u'\u98E8': b'\x6C\x6F',
        u'\u990D': b'\x6C\x70',
        u'\u9910': b'\x49\xCC',
        u'\u992E': b'\x6C\x71',
        u'\u9954': b'\x6C\x73',
        u'\u9955': b'\x6C\x72',
        u'\u9963': b'\x61\xBA',
        u'\u9965': b'\x4E\xA1',
        u'\u9967': b'\x61\xBB',
        u'\u9968': b'\x61\xBC',
        u'\u9969': b'\x61\xBD',
        u'\u996A': b'\x61\xBE',
        u'\u996B': b'\x61\xBF',
        u'\u996C': b'\x61\xC0',
        u'\u996D': b'\x4C\x59',
        u'\u996E': b'\x59\xFA',
        u'\u996F': b'\x4F\x44',
        u'\u9970': b'\x55\xCD',
        u'\u9971': b'\x49\x45',
        u'\u9972': b'\x56\x67',
        u'\u9974': b'\x61\xC1',
        u'\u9975': b'\x4B\xFB',
        u'\u9976': b'\x54\xC3',
        u'\u9977': b'\x61\xC2',
        u'\u997A': b'\x4F\x68',
        u'\u997C': b'\x49\x9E',
        u'\u997D': b'\x61\xC3',
        u'\u997F': b'\x4B\xF5',
        u'\u9980': b'\x61\xC4',
        u'\u9981': b'\x52\xD8',
        u'\u9984': b'\x61\xC5',
        u'\u9985': b'\x58\x7A',
        u'\u9986': b'\x4D\x7D',
        u'\u9987': b'\x61\xC6',
        u'\u9988': b'\x50\xA0',
        u'\u998A': b'\x61\xC7',
        u'\u998B': b'\x49\xF5',
        u'\u998D': b'\x61\xC8',
        u'\u998F': b'\x51\x94',
        u'\u9990': b'\x61\xC9',
        u'\u9991': b'\x61\xCA',
        u'\u9992': b'\x51\xF7',
        u'\u9993': b'\x61\xCB',
        u'\u9994': b'\x61\xCC',
        u'\u9995': b'\x61\xCD',
        u'\u9996': b'\x55\xD6',
        u'\u9997': b'\x5C\xB7',
        u'\u9998': b'\x5D\x86',
        u'\u9999': b'\x58\x84',
        u'\u99A5': b'\x68\xA4',
        u'\u99A8': b'\x5E\xAF',
        u'\u9A6C': b'\x51\xEC',
        u'\u9A6D': b'\x5A\xA5',
        u'\u9A6E': b'\x57\x74',
        u'\u9A6F': b'\x59\x51',
        u'\u9A70': b'\x4A\x7B',
        u'\u9A71': b'\x54\x9E',
        u'\u9A73': b'\x49\xB4',
        u'\u9A74': b'\x51\xBE',
        u'\u9A75': b'\x63\xDF',
        u'\u9A76': b'\x55\xBA',
        u'\u9A77': b'\x63\xE0',
        u'\u9A78': b'\x63\xE1',
        u'\u9A79': b'\x4F\xD3',
        u'\u9A7A': b'\x63\xE2',
        u'\u9A7B': b'\x5C\x44',
        u'\u9A7C': b'\x57\x75',
        u'\u9A7D': b'\x63\xE4',
        u'\u9A7E': b'\x4E\xDC',
        u'\u9A7F': b'\x63\xE3',
        u'\u9A80': b'\x63\xE5',
        u'\u9A81': b'\x63\xE6',
        u'\u9A82': b'\x51\xED',
        u'\u9A84': b'\x4F\x5E',
        u'\u9A85': b'\x63\xE7',
        u'\u9A86': b'\x51\xE5',
        u'\u9A87': b'\x4D\xA6',
        u'\u9A88': b'\x63\xE8',
        u'\u9A8A': b'\x63\xE9',
        u'\u9A8B': b'\x4A\x72',
        u'\u9A8C': b'\x59\x8A',
        u'\u9A8F': b'\x50\x45',
        u'\u9A90': b'\x63\xEA',
        u'\u9A91': b'\x53\xEE',
        u'\u9A92': b'\x63\xEB',
        u'\u9A93': b'\x63\xEC',
        u'\u9A96': b'\x63\xED',
        u'\u9A97': b'\x53\xAC',
        u'\u9A98': b'\x63\xEE',
        u'\u9A9A': b'\x55\x47',
        u'\u9A9B': b'\x63\xEF',
        u'\u9A9C': b'\x63\xF0',
        u'\u9A9D': b'\x63\xF1',
        u'\u9A9E': b'\x63\x59',
        u'\u9A9F': b'\x63\xF2',
        u'\u9AA0': b'\x63\xF3',
        u'\u9AA1': b'\x51\xE1',
        u'\u9AA2': b'\x63\xF4',
        u'\u9AA3': b'\x63\xF5',
        u'\u9AA4': b'\x5B\xE7',
        u'\u9AA5': b'\x63\xF6',
        u'\u9AA7': b'\x63\xF7',
        u'\u9AA8': b'\x4D\x67',
        u'\u9AB0': b'\x6C\x5B',
        u'\u9AB1': b'\x6C\x5A',
        u'\u9AB6': b'\x6C\x5E',
        u'\u9AB7': b'\x6C\x5C',
        u'\u9AB8': b'\x4D\xA0',
        u'\u9ABA': b'\x6C\x5F',
        u'\u9ABC': b'\x6C\x60',
        u'\u9AC0': b'\x6C\x62',
        u'\u9AC1': b'\x6C\x61',
        u'\u9AC2': b'\x6C\x64',
        u'\u9AC5': b'\x6C\x63',
        u'\u9ACB': b'\x6C\x65',
        u'\u9ACC': b'\x6C\x66',
        u'\u9AD1': b'\x6C\x67',
        u'\u9AD3': b'\x56\x89',
        u'\u9AD8': b'\x4C\xDE',
        u'\u9ADF': b'\x6C\x74',
        u'\u9AE1': b'\x6C\x75',
        u'\u9AE6': b'\x6C\x76',
        u'\u9AEB': b'\x6C\x78',
        u'\u9AED': b'\x6C\x7A',
        u'\u9AEF': b'\x6C\x77',
        u'\u9AF9': b'\x6C\x7B',
        u'\u9AFB': b'\x6C\x79',
        u'\u9B03': b'\x5C\x77',
        u'\u9B08': b'\x6C\x7C',
        u'\u9B0F': b'\x6C\x7D',
        u'\u9B13': b'\x6C\x7E',
        u'\u9B1F': b'\x6C\x7F',
        u'\u9B23': b'\x6C\x81',
        u'\u9B2F': b'\x5E\x6B',
        u'\u9B32': b'\x5C\xA9',
        u'\u9B3B': b'\x63\x98',
        u'\u9B3C': b'\x4D\x8E',
        u'\u9B41': b'\x50\x9E',
        u'\u9B42': b'\x4E\x8B',
        u'\u9B43': b'\x6C\x69',
        u'\u9B44': b'\x53\xC6',
        u'\u9B45': b'\x6C\x68',
        u'\u9B47': b'\x6C\x6A',
        u'\u9B48': b'\x6C\x6C',
        u'\u9B49': b'\x6C\x6B',
        u'\u9B4D': b'\x6C\x6D',
        u'\u9B4F': b'\x57\xB9',
        u'\u9B51': b'\x6C\x6E',
        u'\u9B54': b'\x52\xA6',
        u'\u9C7C': b'\x5A\x84',
        u'\u9C7F': b'\x6B\xCE',
        u'\u9C81': b'\x51\xB2',
        u'\u9C82': b'\x6B\xCF',
        u'\u9C85': b'\x6B\xD0',
        u'\u9C86': b'\x6B\xD1',
        u'\u9C87': b'\x6B\xD2',
        u'\u9C88': b'\x6B\xD3',
        u'\u9C8B': b'\x6B\xD5',
        u'\u9C8D': b'\x49\x4B',
        u'\u9C8E': b'\x6B\xD6',
        u'\u9C90': b'\x6B\xD7',
        u'\u9C91': b'\x6B\xD8',
        u'\u9C92': b'\x6B\xD9',
        u'\u9C94': b'\x6B\xDA',
        u'\u9C95': b'\x6B\xDB',
        u'\u9C9A': b'\x6B\xDC',
        u'\u9C9B': b'\x6B\xDD',
        u'\u9C9C': b'\x58\x6A',
        u'\u9C9E': b'\x6B\xDE',
        u'\u9C9F': b'\x6B\xDF',
        u'\u9CA0': b'\x6B\xE0',
        u'\u9CA1': b'\x6B\xE1',
        u'\u9CA2': b'\x6B\xE2',
        u'\u9CA3': b'\x6B\xE3',
        u'\u9CA4': b'\x50\xEF',
        u'\u9CA5': b'\x6B\xE4',
        u'\u9CA6': b'\x6B\xE5',
        u'\u9CA7': b'\x6B\xE6',
        u'\u9CA8': b'\x6B\xE7',
        u'\u9CA9': b'\x6B\xE8',
        u'\u9CAB': b'\x6B\xE9',
        u'\u9CAD': b'\x6B\xEA',
        u'\u9CAE': b'\x6B\xEB',
        u'\u9CB0': b'\x6B\xEC',
        u'\u9CB1': b'\x6B\xED',
        u'\u9CB2': b'\x6B\xEE',
        u'\u9CB3': b'\x6B\xEF',
        u'\u9CB4': b'\x6B\xF0',
        u'\u9CB5': b'\x6B\xF1',
        u'\u9CB6': b'\x6B\xF2',
        u'\u9CB7': b'\x6B\xF3',
        u'\u9CB8': b'\x4F\xA7',
        u'\u9CBA': b'\x6B\xF4',
        u'\u9CBB': b'\x6B\xF5',
        u'\u9CBC': b'\x6B\xF6',
        u'\u9CBD': b'\x6B\xF7',
        u'\u9CC3': b'\x54\xF9',
        u'\u9CC4': b'\x6B\xF8',
        u'\u9CC5': b'\x6B\xF9',
        u'\u9CC6': b'\x6B\xFA',
        u'\u9CC7': b'\x6B\xFB',
        u'\u9CCA': b'\x6B\xFC',
        u'\u9CCB': b'\x6B\xFD',
        u'\u9CCC': b'\x6C\x41',
        u'\u9CCD': b'\x6C\x42',
        u'\u9CCE': b'\x6C\x43',
        u'\u9CCF': b'\x6C\x44',
        u'\u9CD0': b'\x6C\x45',
        u'\u9CD3': b'\x6C\x46',
        u'\u9CD4': b'\x6C\x47',
        u'\u9CD5': b'\x6C\x48',
        u'\u9CD6': b'\x49\x8F',
        u'\u9CD7': b'\x6C\x49',
        u'\u9CD8': b'\x6C\x4A',
        u'\u9CD9': b'\x6C\x4B',
        u'\u9CDC': b'\x6C\x4C',
        u'\u9CDD': b'\x6C\x4D',
        u'\u9CDE': b'\x51\x7B',
        u'\u9CDF': b'\x6C\x4E',
        u'\u9CE2': b'\x6C\x4F',
        u'\u9E1F': b'\x52\xF0',
        u'\u9E20': b'\x68\xAE',
        u'\u9E21': b'\x4E\xA5',
        u'\u9E22': b'\x68\xAF',
        u'\u9E23': b'\x52\x9A',
        u'\u9E25': b'\x53\x58',
        u'\u9E26': b'\x59\x5B',
        u'\u9E28': b'\x68\xB0',
        u'\u9E29': b'\x68\xB1',
        u'\u9E2A': b'\x68\xB2',
        u'\u9E2B': b'\x68\xB3',
        u'\u9E2C': b'\x68\xB4',
        u'\u9E2D': b'\x59\x5C',
        u'\u9E2F': b'\x59\x8D',
        u'\u9E31': b'\x68\xB6',
        u'\u9E32': b'\x68\xB5',
        u'\u9E33': b'\x5A\xA6',
        u'\u9E35': b'\x57\x72',
        u'\u9E36': b'\x68\xB7',
        u'\u9E37': b'\x68\xB9',
        u'\u9E38': b'\x68\xB8',
        u'\u9E39': b'\x68\xBA',
        u'\u9E3A': b'\x68\xBB',
        u'\u9E3D': b'\x4C\xEA',
        u'\u9E3E': b'\x68\xBC',
        u'\u9E3F': b'\x4D\xE7',
        u'\u9E41': b'\x68\xBD',
        u'\u9E42': b'\x68\xBE',
        u'\u9E43': b'\x4F\xE8',
        u'\u9E44': b'\x68\xBF',
        u'\u9E45': b'\x4B\xEB',
        u'\u9E46': b'\x68\xC0',
        u'\u9E47': b'\x68\xC1',
        u'\u9E48': b'\x68\xC2',
        u'\u9E49': b'\x68\xC3',
        u'\u9E4A': b'\x54\xB4',
        u'\u9E4B': b'\x68\xC4',
        u'\u9E4C': b'\x68\xC5',
        u'\u9E4E': b'\x68\xC6',
        u'\u9E4F': b'\x53\x95',
        u'\u9E51': b'\x68\xC7',
        u'\u9E55': b'\x68\xC8',
        u'\u9E57': b'\x68\xC9',
        u'\u9E58': b'\x6C\x5D',
        u'\u9E5A': b'\x68\xCA',
        u'\u9E5B': b'\x68\xCB',
        u'\u9E5C': b'\x68\xCC',
        u'\u9E5E': b'\x68\xCD',
        u'\u9E63': b'\x68\xCE',
        u'\u9E64': b'\x4D\xD6',
        u'\u9E66': b'\x68\xCF',
        u'\u9E67': b'\x68\xD0',
        u'\u9E68': b'\x68\xD1',
        u'\u9E69': b'\x68\xD2',
        u'\u9E6A': b'\x68\xD3',
        u'\u9E6B': b'\x68\xD4',
        u'\u9E6C': b'\x68\xD5',
        u'\u9E6D': b'\x68\xD7',
        u'\u9E70': b'\x5A\x45',
        u'\u9E71': b'\x68\xD6',
        u'\u9E73': b'\x68\xD8',
        u'\u9E7E': b'\x6B\x5A',
        u'\u9E7F': b'\x51\xB8',
        u'\u9E82': b'\x6C\x85',
        u'\u9E87': b'\x6C\x86',
        u'\u9E88': b'\x6C\x87',
        u'\u9E8B': b'\x6C\x88',
        u'\u9E92': b'\x6C\x89',
        u'\u9E93': b'\x51\xB3',
        u'\u9E9D': b'\x6C\x8B',
        u'\u9E9F': b'\x6C\x8C',
        u'\u9EA6': b'\x51\xF2',
        u'\u9EB4': b'\x6A\xEF',
        u'\u9EB8': b'\x6A\xEE',
        u'\u9EBB': b'\x51\xE8',
        u'\u9EBD': b'\x6C\x82',
        u'\u9EBE': b'\x6C\x83',
        u'\u9EC4': b'\x4E\x66',
        u'\u9EC9': b'\x5D\x85',
        u'\u9ECD': b'\x55\xF1',
        u'\u9ECE': b'\x50\xE7',
        u'\u9ECF': b'\x68\xA3',
        u'\u9ED1': b'\x4D\xD9',
        u'\u9ED4': b'\x54\x4D',
        u'\u9ED8': b'\x52\xAB',
        u'\u9EDB': b'\x6C\x8D',
        u'\u9EDC': b'\x6C\x8E',
        u'\u9EDD': b'\x6C\x8F',
        u'\u9EDF': b'\x6C\x91',
        u'\u9EE0': b'\x6C\x90',
        u'\u9EE2': b'\x6C\x92',
        u'\u9EE5': b'\x6C\x95',
        u'\u9EE7': b'\x6C\x94',
        u'\u9EE9': b'\x6C\x93',
        u'\u9EEA': b'\x6C\x96',
        u'\u9EEF': b'\x6C\x97',
        u'\u9EF9': b'\x67\x8A',
        u'\u9EFB': b'\x67\x8B',
        u'\u9EFC': b'\x67\x8C',
        u'\u9EFE': b'\x6B\xBB',
        u'\u9F0B': b'\x6B\xBC',
        u'\u9F0D': b'\x6B\xBD',
        u'\u9F0E': b'\x4B\xA5',
        u'\u9F10': b'\x5C\xBD',
        u'\u9F13': b'\x4D\x64',
        u'\u9F17': b'\x5C\xBA',
        u'\u9F19': b'\x5E\xB0',
        u'\u9F20': b'\x55\xF2',
        u'\u9F22': b'\x6C\x98',
        u'\u9F2C': b'\x6C\x99',
        u'\u9F2F': b'\x6C\x9A',
        u'\u9F37': b'\x6C\x9C',
        u'\u9F39': b'\x6C\x9B',
        u'\u9F3B': b'\x49\x67',
        u'\u9F3D': b'\x6C\x9D',
        u'\u9F3E': b'\x6C\x9E',
        u'\u9F44': b'\x6C\x9F',
        u'\u9F50': b'\x53\xEA',
        u'\u9F51': b'\x66\xB3',
        u'\u9F7F': b'\x4A\x7D',
        u'\u9F80': b'\x6B\xB2',
        u'\u9F83': b'\x6B\xB3',
        u'\u9F84': b'\x51\x85',
        u'\u9F85': b'\x6B\xB4',
        u'\u9F86': b'\x6B\xB5',
        u'\u9F87': b'\x6B\xB6',
        u'\u9F88': b'\x6B\xB7',
        u'\u9F89': b'\x6B\xB8',
        u'\u9F8A': b'\x6B\xB9',
        u'\u9F8B': b'\x54\xA2',
        u'\u9F8C': b'\x6B\xBA',
        u'\u9F99': b'\x51\x9B',
        u'\u9F9A': b'\x4D\x48',
        u'\u9F9B': b'\x67\x89',
        u'\u9F9F': b'\x4D\x8B',
        u'\u9FA0': b'\x5D\x7F',
        u'\uE000': b'\x76\x41',
        u'\uE001': b'\x76\x42',
        u'\uE002': b'\x76\x43',
        u'\uE003': b'\x76\x44',
        u'\uE004': b'\x76\x45',
        u'\uE005': b'\x76\x46',
        u'\uE006': b'\x76\x47',
        u'\uE007': b'\x76\x48',
        u'\uE008': b'\x76\x49',
        u'\uE009': b'\x76\x4A',
        u'\uE00A': b'\x76\x4B',
        u'\uE00B': b'\x76\x4C',
        u'\uE00C': b'\x76\x4D',
        u'\uE00D': b'\x76\x4E',
        u'\uE00E': b'\x76\x4F',
        u'\uE00F': b'\x76\x50',
        u'\uE010': b'\x76\x51',
        u'\uE011': b'\x76\x52',
        u'\uE012': b'\x76\x53',
        u'\uE013': b'\x76\x54',
        u'\uE014': b'\x76\x55',
        u'\uE015': b'\x76\x56',
        u'\uE016': b'\x76\x57',
        u'\uE017': b'\x76\x58',
        u'\uE018': b'\x76\x59',
        u'\uE019': b'\x76\x5A',
        u'\uE01A': b'\x76\x5B',
        u'\uE01B': b'\x76\x5C',
        u'\uE01C': b'\x76\x5D',
        u'\uE01D': b'\x76\x5E',
        u'\uE01E': b'\x76\x5F',
        u'\uE01F': b'\x76\x60',
        u'\uE020': b'\x76\x61',
        u'\uE021': b'\x76\x62',
        u'\uE022': b'\x76\x63',
        u'\uE023': b'\x76\x64',
        u'\uE024': b'\x76\x65',
        u'\uE025': b'\x76\x66',
        u'\uE026': b'\x76\x67',
        u'\uE027': b'\x76\x68',
        u'\uE028': b'\x76\x69',
        u'\uE029': b'\x76\x6A',
        u'\uE02A': b'\x76\x6B',
        u'\uE02B': b'\x76\x6C',
        u'\uE02C': b'\x76\x6D',
        u'\uE02D': b'\x76\x6E',
        u'\uE02E': b'\x76\x6F',
        u'\uE02F': b'\x76\x70',
        u'\uE030': b'\x76\x71',
        u'\uE031': b'\x76\x72',
        u'\uE032': b'\x76\x73',
        u'\uE033': b'\x76\x74',
        u'\uE034': b'\x76\x75',
        u'\uE035': b'\x76\x76',
        u'\uE036': b'\x76\x77',
        u'\uE037': b'\x76\x78',
        u'\uE038': b'\x76\x79',
        u'\uE039': b'\x76\x7A',
        u'\uE03A': b'\x76\x7B',
        u'\uE03B': b'\x76\x7C',
        u'\uE03C': b'\x76\x7D',
        u'\uE03D': b'\x76\x7E',
        u'\uE03E': b'\x76\x7F',
        u'\uE03F': b'\x76\x81',
        u'\uE040': b'\x76\x82',
        u'\uE041': b'\x76\x83',
        u'\uE042': b'\x76\x84',
        u'\uE043': b'\x76\x85',
        u'\uE044': b'\x76\x86',
        u'\uE045': b'\x76\x87',
        u'\uE046': b'\x76\x88',
        u'\uE047': b'\x76\x89',
        u'\uE048': b'\x76\x8A',
        u'\uE049': b'\x76\x8B',
        u'\uE04A': b'\x76\x8C',
        u'\uE04B': b'\x76\x8D',
        u'\uE04C': b'\x76\x8E',
        u'\uE04D': b'\x76\x8F',
        u'\uE04E': b'\x76\x90',
        u'\uE04F': b'\x76\x91',
        u'\uE050': b'\x76\x92',
        u'\uE051': b'\x76\x93',
        u'\uE052': b'\x76\x94',
        u'\uE053': b'\x76\x95',
        u'\uE054': b'\x76\x96',
        u'\uE055': b'\x76\x97',
        u'\uE056': b'\x76\x98',
        u'\uE057': b'\x76\x99',
        u'\uE058': b'\x76\x9A',
        u'\uE059': b'\x76\x9B',
        u'\uE05A': b'\x76\x9C',
        u'\uE05B': b'\x76\x9D',
        u'\uE05C': b'\x76\x9E',
        u'\uE05D': b'\x76\x9F',
        u'\uE05E': b'\x76\xA0',
        u'\uE05F': b'\x76\xA1',
        u'\uE060': b'\x76\xA2',
        u'\uE061': b'\x76\xA3',
        u'\uE062': b'\x76\xA4',
        u'\uE063': b'\x76\xA5',
        u'\uE064': b'\x76\xA6',
        u'\uE065': b'\x76\xA7',
        u'\uE066': b'\x76\xA8',
        u'\uE067': b'\x76\xA9',
        u'\uE068': b'\x76\xAA',
        u'\uE069': b'\x76\xAB',
        u'\uE06A': b'\x76\xAC',
        u'\uE06B': b'\x76\xAD',
        u'\uE06C': b'\x76\xAE',
        u'\uE06D': b'\x76\xAF',
        u'\uE06E': b'\x76\xB0',
        u'\uE06F': b'\x76\xB1',
        u'\uE070': b'\x76\xB2',
        u'\uE071': b'\x76\xB3',
        u'\uE072': b'\x76\xB4',
        u'\uE073': b'\x76\xB5',
        u'\uE074': b'\x76\xB6',
        u'\uE075': b'\x76\xB7',
        u'\uE076': b'\x76\xB8',
        u'\uE077': b'\x76\xB9',
        u'\uE078': b'\x76\xBA',
        u'\uE079': b'\x76\xBB',
        u'\uE07A': b'\x76\xBC',
        u'\uE07B': b'\x76\xBD',
        u'\uE07C': b'\x76\xBE',
        u'\uE07D': b'\x76\xBF',
        u'\uE07E': b'\x76\xC0',
        u'\uE07F': b'\x76\xC1',
        u'\uE080': b'\x76\xC2',
        u'\uE081': b'\x76\xC3',
        u'\uE082': b'\x76\xC4',
        u'\uE083': b'\x76\xC5',
        u'\uE084': b'\x76\xC6',
        u'\uE085': b'\x76\xC7',
        u'\uE086': b'\x76\xC8',
        u'\uE087': b'\x76\xC9',
        u'\uE088': b'\x76\xCA',
        u'\uE089': b'\x76\xCB',
        u'\uE08A': b'\x76\xCC',
        u'\uE08B': b'\x76\xCD',
        u'\uE08C': b'\x76\xCE',
        u'\uE08D': b'\x76\xCF',
        u'\uE08E': b'\x76\xD0',
        u'\uE08F': b'\x76\xD1',
        u'\uE090': b'\x76\xD2',
        u'\uE091': b'\x76\xD3',
        u'\uE092': b'\x76\xD4',
        u'\uE093': b'\x76\xD5',
        u'\uE094': b'\x76\xD6',
        u'\uE095': b'\x76\xD7',
        u'\uE096': b'\x76\xD8',
        u'\uE097': b'\x76\xD9',
        u'\uE098': b'\x76\xDA',
        u'\uE099': b'\x76\xDB',
        u'\uE09A': b'\x76\xDC',
        u'\uE09B': b'\x76\xDD',
        u'\uE09C': b'\x76\xDE',
        u'\uE09D': b'\x76\xDF',
        u'\uE09E': b'\x76\xE0',
        u'\uE09F': b'\x76\xE1',
        u'\uE0A0': b'\x76\xE2',
        u'\uE0A1': b'\x76\xE3',
        u'\uE0A2': b'\x76\xE4',
        u'\uE0A3': b'\x76\xE5',
        u'\uE0A4': b'\x76\xE6',
        u'\uE0A5': b'\x76\xE7',
        u'\uE0A6': b'\x76\xE8',
        u'\uE0A7': b'\x76\xE9',
        u'\uE0A8': b'\x76\xEA',
        u'\uE0A9': b'\x76\xEB',
        u'\uE0AA': b'\x76\xEC',
        u'\uE0AB': b'\x76\xED',
        u'\uE0AC': b'\x76\xEE',
        u'\uE0AD': b'\x76\xEF',
        u'\uE0AE': b'\x76\xF0',
        u'\uE0AF': b'\x76\xF1',
        u'\uE0B0': b'\x76\xF2',
        u'\uE0B1': b'\x76\xF3',
        u'\uE0B2': b'\x76\xF4',
        u'\uE0B3': b'\x76\xF5',
        u'\uE0B4': b'\x76\xF6',
        u'\uE0B5': b'\x76\xF7',
        u'\uE0B6': b'\x76\xF8',
        u'\uE0B7': b'\x76\xF9',
        u'\uE0B8': b'\x76\xFA',
        u'\uE0B9': b'\x76\xFB',
        u'\uE0BA': b'\x76\xFC',
        u'\uE0BB': b'\x76\xFD',
        u'\uE0BC': b'\x77\x41',
        u'\uE0BD': b'\x77\x42',
        u'\uE0BE': b'\x77\x43',
        u'\uE0BF': b'\x77\x44',
        u'\uE0C0': b'\x77\x45',
        u'\uE0C1': b'\x77\x46',
        u'\uE0C2': b'\x77\x47',
        u'\uE0C3': b'\x77\x48',
        u'\uE0C4': b'\x77\x49',
        u'\uE0C5': b'\x77\x4A',
        u'\uE0C6': b'\x77\x4B',
        u'\uE0C7': b'\x77\x4C',
        u'\uE0C8': b'\x77\x4D',
        u'\uE0C9': b'\x77\x4E',
        u'\uE0CA': b'\x77\x4F',
        u'\uE0CB': b'\x77\x50',
        u'\uE0CC': b'\x77\x51',
        u'\uE0CD': b'\x77\x52',
        u'\uE0CE': b'\x77\x53',
        u'\uE0CF': b'\x77\x54',
        u'\uE0D0': b'\x77\x55',
        u'\uE0D1': b'\x77\x56',
        u'\uE0D2': b'\x77\x57',
        u'\uE0D3': b'\x77\x58',
        u'\uE0D4': b'\x77\x59',
        u'\uE0D5': b'\x77\x5A',
        u'\uE0D6': b'\x77\x5B',
        u'\uE0D7': b'\x77\x5C',
        u'\uE0D8': b'\x77\x5D',
        u'\uE0D9': b'\x77\x5E',
        u'\uE0DA': b'\x77\x5F',
        u'\uE0DB': b'\x77\x60',
        u'\uE0DC': b'\x77\x61',
        u'\uE0DD': b'\x77\x62',
        u'\uE0DE': b'\x77\x63',
        u'\uE0DF': b'\x77\x64',
        u'\uE0E0': b'\x77\x65',
        u'\uE0E1': b'\x77\x66',
        u'\uE0E2': b'\x77\x67',
        u'\uE0E3': b'\x77\x68',
        u'\uE0E4': b'\x77\x69',
        u'\uE0E5': b'\x77\x6A',
        u'\uE0E6': b'\x77\x6B',
        u'\uE0E7': b'\x77\x6C',
        u'\uE0E8': b'\x77\x6D',
        u'\uE0E9': b'\x77\x6E',
        u'\uE0EA': b'\x77\x6F',
        u'\uE0EB': b'\x77\x70',
        u'\uE0EC': b'\x77\x71',
        u'\uE0ED': b'\x77\x72',
        u'\uE0EE': b'\x77\x73',
        u'\uE0EF': b'\x77\x74',
        u'\uE0F0': b'\x77\x75',
        u'\uE0F1': b'\x77\x76',
        u'\uE0F2': b'\x77\x77',
        u'\uE0F3': b'\x77\x78',
        u'\uE0F4': b'\x77\x79',
        u'\uE0F5': b'\x77\x7A',
        u'\uE0F6': b'\x77\x7B',
        u'\uE0F7': b'\x77\x7C',
        u'\uE0F8': b'\x77\x7D',
        u'\uE0F9': b'\x77\x7E',
        u'\uE0FA': b'\x77\x7F',
        u'\uE0FB': b'\x77\x81',
        u'\uE0FC': b'\x77\x82',
        u'\uE0FD': b'\x77\x83',
        u'\uE0FE': b'\x77\x84',
        u'\uE0FF': b'\x77\x85',
        u'\uE100': b'\x77\x86',
        u'\uE101': b'\x77\x87',
        u'\uE102': b'\x77\x88',
        u'\uE103': b'\x77\x89',
        u'\uE104': b'\x77\x8A',
        u'\uE105': b'\x77\x8B',
        u'\uE106': b'\x77\x8C',
        u'\uE107': b'\x77\x8D',
        u'\uE108': b'\x77\x8E',
        u'\uE109': b'\x77\x8F',
        u'\uE10A': b'\x77\x90',
        u'\uE10B': b'\x77\x91',
        u'\uE10C': b'\x77\x92',
        u'\uE10D': b'\x77\x93',
        u'\uE10E': b'\x77\x94',
        u'\uE10F': b'\x77\x95',
        u'\uE110': b'\x77\x96',
        u'\uE111': b'\x77\x97',
        u'\uE112': b'\x77\x98',
        u'\uE113': b'\x77\x99',
        u'\uE114': b'\x77\x9A',
        u'\uE115': b'\x77\x9B',
        u'\uE116': b'\x77\x9C',
        u'\uE117': b'\x77\x9D',
        u'\uE118': b'\x77\x9E',
        u'\uE119': b'\x77\x9F',
        u'\uE11A': b'\x77\xA0',
        u'\uE11B': b'\x77\xA1',
        u'\uE11C': b'\x77\xA2',
        u'\uE11D': b'\x77\xA3',
        u'\uE11E': b'\x77\xA4',
        u'\uE11F': b'\x77\xA5',
        u'\uE120': b'\x77\xA6',
        u'\uE121': b'\x77\xA7',
        u'\uE122': b'\x77\xA8',
        u'\uE123': b'\x77\xA9',
        u'\uE124': b'\x77\xAA',
        u'\uE125': b'\x77\xAB',
        u'\uE126': b'\x77\xAC',
        u'\uE127': b'\x77\xAD',
        u'\uE128': b'\x77\xAE',
        u'\uE129': b'\x77\xAF',
        u'\uE12A': b'\x77\xB0',
        u'\uE12B': b'\x77\xB1',
        u'\uE12C': b'\x77\xB2',
        u'\uE12D': b'\x77\xB3',
        u'\uE12E': b'\x77\xB4',
        u'\uE12F': b'\x77\xB5',
        u'\uE130': b'\x77\xB6',
        u'\uE131': b'\x77\xB7',
        u'\uE132': b'\x77\xB8',
        u'\uE133': b'\x77\xB9',
        u'\uE134': b'\x77\xBA',
        u'\uE135': b'\x77\xBB',
        u'\uE136': b'\x77\xBC',
        u'\uE137': b'\x77\xBD',
        u'\uE138': b'\x77\xBE',
        u'\uE139': b'\x77\xBF',
        u'\uE13A': b'\x77\xC0',
        u'\uE13B': b'\x77\xC1',
        u'\uE13C': b'\x77\xC2',
        u'\uE13D': b'\x77\xC3',
        u'\uE13E': b'\x77\xC4',
        u'\uE13F': b'\x77\xC5',
        u'\uE140': b'\x77\xC6',
        u'\uE141': b'\x77\xC7',
        u'\uE142': b'\x77\xC8',
        u'\uE143': b'\x77\xC9',
        u'\uE144': b'\x77\xCA',
        u'\uE145': b'\x77\xCB',
        u'\uE146': b'\x77\xCC',
        u'\uE147': b'\x77\xCD',
        u'\uE148': b'\x77\xCE',
        u'\uE149': b'\x77\xCF',
        u'\uE14A': b'\x77\xD0',
        u'\uE14B': b'\x77\xD1',
        u'\uE14C': b'\x77\xD2',
        u'\uE14D': b'\x77\xD3',
        u'\uE14E': b'\x77\xD4',
        u'\uE14F': b'\x77\xD5',
        u'\uE150': b'\x77\xD6',
        u'\uE151': b'\x77\xD7',
        u'\uE152': b'\x77\xD8',
        u'\uE153': b'\x77\xD9',
        u'\uE154': b'\x77\xDA',
        u'\uE155': b'\x77\xDB',
        u'\uE156': b'\x77\xDC',
        u'\uE157': b'\x77\xDD',
        u'\uE158': b'\x77\xDE',
        u'\uE159': b'\x77\xDF',
        u'\uE15A': b'\x77\xE0',
        u'\uE15B': b'\x77\xE1',
        u'\uE15C': b'\x77\xE2',
        u'\uE15D': b'\x77\xE3',
        u'\uE15E': b'\x77\xE4',
        u'\uE15F': b'\x77\xE5',
        u'\uE160': b'\x77\xE6',
        u'\uE161': b'\x77\xE7',
        u'\uE162': b'\x77\xE8',
        u'\uE163': b'\x77\xE9',
        u'\uE164': b'\x77\xEA',
        u'\uE165': b'\x77\xEB',
        u'\uE166': b'\x77\xEC',
        u'\uE167': b'\x77\xED',
        u'\uE168': b'\x77\xEE',
        u'\uE169': b'\x77\xEF',
        u'\uE16A': b'\x77\xF0',
        u'\uE16B': b'\x77\xF1',
        u'\uE16C': b'\x77\xF2',
        u'\uE16D': b'\x77\xF3',
        u'\uE16E': b'\x77\xF4',
        u'\uE16F': b'\x77\xF5',
        u'\uE170': b'\x77\xF6',
        u'\uE171': b'\x77\xF7',
        u'\uE172': b'\x77\xF8',
        u'\uE173': b'\x77\xF9',
        u'\uE174': b'\x77\xFA',
        u'\uE175': b'\x77\xFB',
        u'\uE176': b'\x77\xFC',
        u'\uE177': b'\x77\xFD',
        u'\uE178': b'\x78\x41',
        u'\uE179': b'\x78\x42',
        u'\uE17A': b'\x78\x43',
        u'\uE17B': b'\x78\x44',
        u'\uE17C': b'\x78\x45',
        u'\uE17D': b'\x78\x46',
        u'\uE17E': b'\x78\x47',
        u'\uE17F': b'\x78\x48',
        u'\uE180': b'\x78\x49',
        u'\uE181': b'\x78\x4A',
        u'\uE182': b'\x78\x4B',
        u'\uE183': b'\x78\x4C',
        u'\uE184': b'\x78\x4D',
        u'\uE185': b'\x78\x4E',
        u'\uE186': b'\x78\x4F',
        u'\uE187': b'\x78\x50',
        u'\uE188': b'\x78\x51',
        u'\uE189': b'\x78\x52',
        u'\uE18A': b'\x78\x53',
        u'\uE18B': b'\x78\x54',
        u'\uE18C': b'\x78\x55',
        u'\uE18D': b'\x78\x56',
        u'\uE18E': b'\x78\x57',
        u'\uE18F': b'\x78\x58',
        u'\uE190': b'\x78\x59',
        u'\uE191': b'\x78\x5A',
        u'\uE192': b'\x78\x5B',
        u'\uE193': b'\x78\x5C',
        u'\uE194': b'\x78\x5D',
        u'\uE195': b'\x78\x5E',
        u'\uE196': b'\x78\x5F',
        u'\uE197': b'\x78\x60',
        u'\uE198': b'\x78\x61',
        u'\uE199': b'\x78\x62',
        u'\uE19A': b'\x78\x63',
        u'\uE19B': b'\x78\x64',
        u'\uE19C': b'\x78\x65',
        u'\uE19D': b'\x78\x66',
        u'\uE19E': b'\x78\x67',
        u'\uE19F': b'\x78\x68',
        u'\uE1A0': b'\x78\x69',
        u'\uE1A1': b'\x78\x6A',
        u'\uE1A2': b'\x78\x6B',
        u'\uE1A3': b'\x78\x6C',
        u'\uE1A4': b'\x78\x6D',
        u'\uE1A5': b'\x78\x6E',
        u'\uE1A6': b'\x78\x6F',
        u'\uE1A7': b'\x78\x70',
        u'\uE1A8': b'\x78\x71',
        u'\uE1A9': b'\x78\x72',
        u'\uE1AA': b'\x78\x73',
        u'\uE1AB': b'\x78\x74',
        u'\uE1AC': b'\x78\x75',
        u'\uE1AD': b'\x78\x76',
        u'\uE1AE': b'\x78\x77',
        u'\uE1AF': b'\x78\x78',
        u'\uE1B0': b'\x78\x79',
        u'\uE1B1': b'\x78\x7A',
        u'\uE1B2': b'\x78\x7B',
        u'\uE1B3': b'\x78\x7C',
        u'\uE1B4': b'\x78\x7D',
        u'\uE1B5': b'\x78\x7E',
        u'\uE1B6': b'\x78\x7F',
        u'\uE1B7': b'\x78\x81',
        u'\uE1B8': b'\x78\x82',
        u'\uE1B9': b'\x78\x83',
        u'\uE1BA': b'\x78\x84',
        u'\uE1BB': b'\x78\x85',
        u'\uE1BC': b'\x78\x86',
        u'\uE1BD': b'\x78\x87',
        u'\uE1BE': b'\x78\x88',
        u'\uE1BF': b'\x78\x89',
        u'\uE1C0': b'\x78\x8A',
        u'\uE1C1': b'\x78\x8B',
        u'\uE1C2': b'\x78\x8C',
        u'\uE1C3': b'\x78\x8D',
        u'\uE1C4': b'\x78\x8E',
        u'\uE1C5': b'\x78\x8F',
        u'\uE1C6': b'\x78\x90',
        u'\uE1C7': b'\x78\x91',
        u'\uE1C8': b'\x78\x92',
        u'\uE1C9': b'\x78\x93',
        u'\uE1CA': b'\x78\x94',
        u'\uE1CB': b'\x78\x95',
        u'\uE1CC': b'\x78\x96',
        u'\uE1CD': b'\x78\x97',
        u'\uE1CE': b'\x78\x98',
        u'\uE1CF': b'\x78\x99',
        u'\uE1D0': b'\x78\x9A',
        u'\uE1D1': b'\x78\x9B',
        u'\uE1D2': b'\x78\x9C',
        u'\uE1D3': b'\x78\x9D',
        u'\uE1D4': b'\x78\x9E',
        u'\uE1D5': b'\x78\x9F',
        u'\uE1D6': b'\x78\xA0',
        u'\uE1D7': b'\x78\xA1',
        u'\uE1D8': b'\x78\xA2',
        u'\uE1D9': b'\x78\xA3',
        u'\uE1DA': b'\x78\xA4',
        u'\uE1DB': b'\x78\xA5',
        u'\uE1DC': b'\x78\xA6',
        u'\uE1DD': b'\x78\xA7',
        u'\uE1DE': b'\x78\xA8',
        u'\uE1DF': b'\x78\xA9',
        u'\uE1E0': b'\x78\xAA',
        u'\uE1E1': b'\x78\xAB',
        u'\uE1E2': b'\x78\xAC',
        u'\uE1E3': b'\x78\xAD',
        u'\uE1E4': b'\x78\xAE',
        u'\uE1E5': b'\x78\xAF',
        u'\uE1E6': b'\x78\xB0',
        u'\uE1E7': b'\x78\xB1',
        u'\uE1E8': b'\x78\xB2',
        u'\uE1E9': b'\x78\xB3',
        u'\uE1EA': b'\x78\xB4',
        u'\uE1EB': b'\x78\xB5',
        u'\uE1EC': b'\x78\xB6',
        u'\uE1ED': b'\x78\xB7',
        u'\uE1EE': b'\x78\xB8',
        u'\uE1EF': b'\x78\xB9',
        u'\uE1F0': b'\x78\xBA',
        u'\uE1F1': b'\x78\xBB',
        u'\uE1F2': b'\x78\xBC',
        u'\uE1F3': b'\x78\xBD',
        u'\uE1F4': b'\x78\xBE',
        u'\uE1F5': b'\x78\xBF',
        u'\uE1F6': b'\x78\xC0',
        u'\uE1F7': b'\x78\xC1',
        u'\uE1F8': b'\x78\xC2',
        u'\uE1F9': b'\x78\xC3',
        u'\uE1FA': b'\x78\xC4',
        u'\uE1FB': b'\x78\xC5',
        u'\uE1FC': b'\x78\xC6',
        u'\uE1FD': b'\x78\xC7',
        u'\uE1FE': b'\x78\xC8',
        u'\uE1FF': b'\x78\xC9',
        u'\uE200': b'\x78\xCA',
        u'\uE201': b'\x78\xCB',
        u'\uE202': b'\x78\xCC',
        u'\uE203': b'\x78\xCD',
        u'\uE204': b'\x78\xCE',
        u'\uE205': b'\x78\xCF',
        u'\uE206': b'\x78\xD0',
        u'\uE207': b'\x78\xD1',
        u'\uE208': b'\x78\xD2',
        u'\uE209': b'\x78\xD3',
        u'\uE20A': b'\x78\xD4',
        u'\uE20B': b'\x78\xD5',
        u'\uE20C': b'\x78\xD6',
        u'\uE20D': b'\x78\xD7',
        u'\uE20E': b'\x78\xD8',
        u'\uE20F': b'\x78\xD9',
        u'\uE210': b'\x78\xDA',
        u'\uE211': b'\x78\xDB',
        u'\uE212': b'\x78\xDC',
        u'\uE213': b'\x78\xDD',
        u'\uE214': b'\x78\xDE',
        u'\uE215': b'\x78\xDF',
        u'\uE216': b'\x78\xE0',
        u'\uE217': b'\x78\xE1',
        u'\uE218': b'\x78\xE2',
        u'\uE219': b'\x78\xE3',
        u'\uE21A': b'\x78\xE4',
        u'\uE21B': b'\x78\xE5',
        u'\uE21C': b'\x78\xE6',
        u'\uE21D': b'\x78\xE7',
        u'\uE21E': b'\x78\xE8',
        u'\uE21F': b'\x78\xE9',
        u'\uE220': b'\x78\xEA',
        u'\uE221': b'\x78\xEB',
        u'\uE222': b'\x78\xEC',
        u'\uE223': b'\x78\xED',
        u'\uE224': b'\x78\xEE',
        u'\uE225': b'\x78\xEF',
        u'\uE226': b'\x78\xF0',
        u'\uE227': b'\x78\xF1',
        u'\uE228': b'\x78\xF2',
        u'\uE229': b'\x78\xF3',
        u'\uE22A': b'\x78\xF4',
        u'\uE22B': b'\x78\xF5',
        u'\uE22C': b'\x78\xF6',
        u'\uE22D': b'\x78\xF7',
        u'\uE22E': b'\x78\xF8',
        u'\uE22F': b'\x78\xF9',
        u'\uE230': b'\x78\xFA',
        u'\uE231': b'\x78\xFB',
        u'\uE232': b'\x78\xFC',
        u'\uE233': b'\x78\xFD',
        u'\uE234': b'\x79\x41',
        u'\uE235': b'\x79\x42',
        u'\uE236': b'\x79\x43',
        u'\uE237': b'\x79\x44',
        u'\uE238': b'\x79\x45',
        u'\uE239': b'\x79\x46',
        u'\uE23A': b'\x79\x47',
        u'\uE23B': b'\x79\x48',
        u'\uE23C': b'\x79\x49',
        u'\uE23D': b'\x79\x4A',
        u'\uE23E': b'\x79\x4B',
        u'\uE23F': b'\x79\x4C',
        u'\uE240': b'\x79\x4D',
        u'\uE241': b'\x79\x4E',
        u'\uE242': b'\x79\x4F',
        u'\uE243': b'\x79\x50',
        u'\uE244': b'\x79\x51',
        u'\uE245': b'\x79\x52',
        u'\uE246': b'\x79\x53',
        u'\uE247': b'\x79\x54',
        u'\uE248': b'\x79\x55',
        u'\uE249': b'\x79\x56',
        u'\uE24A': b'\x79\x57',
        u'\uE24B': b'\x79\x58',
        u'\uE24C': b'\x79\x59',
        u'\uE24D': b'\x79\x5A',
        u'\uE24E': b'\x79\x5B',
        u'\uE24F': b'\x79\x5C',
        u'\uE250': b'\x79\x5D',
        u'\uE251': b'\x79\x5E',
        u'\uE252': b'\x79\x5F',
        u'\uE253': b'\x79\x60',
        u'\uE254': b'\x79\x61',
        u'\uE255': b'\x79\x62',
        u'\uE256': b'\x79\x63',
        u'\uE257': b'\x79\x64',
        u'\uE258': b'\x79\x65',
        u'\uE259': b'\x79\x66',
        u'\uE25A': b'\x79\x67',
        u'\uE25B': b'\x79\x68',
        u'\uE25C': b'\x79\x69',
        u'\uE25D': b'\x79\x6A',
        u'\uE25E': b'\x79\x6B',
        u'\uE25F': b'\x79\x6C',
        u'\uE260': b'\x79\x6D',
        u'\uE261': b'\x79\x6E',
        u'\uE262': b'\x79\x6F',
        u'\uE263': b'\x79\x70',
        u'\uE264': b'\x79\x71',
        u'\uE265': b'\x79\x72',
        u'\uE266': b'\x79\x73',
        u'\uE267': b'\x79\x74',
        u'\uE268': b'\x79\x75',
        u'\uE269': b'\x79\x76',
        u'\uE26A': b'\x79\x77',
        u'\uE26B': b'\x79\x78',
        u'\uE26C': b'\x79\x79',
        u'\uE26D': b'\x79\x7A',
        u'\uE26E': b'\x79\x7B',
        u'\uE26F': b'\x79\x7C',
        u'\uE270': b'\x79\x7D',
        u'\uE271': b'\x79\x7E',
        u'\uE272': b'\x79\x7F',
        u'\uE273': b'\x79\x81',
        u'\uE274': b'\x79\x82',
        u'\uE275': b'\x79\x83',
        u'\uE276': b'\x79\x84',
        u'\uE277': b'\x79\x85',
        u'\uE278': b'\x79\x86',
        u'\uE279': b'\x79\x87',
        u'\uE27A': b'\x79\x88',
        u'\uE27B': b'\x79\x89',
        u'\uE27C': b'\x79\x8A',
        u'\uE27D': b'\x79\x8B',
        u'\uE27E': b'\x79\x8C',
        u'\uE27F': b'\x79\x8D',
        u'\uE280': b'\x79\x8E',
        u'\uE281': b'\x79\x8F',
        u'\uE282': b'\x79\x90',
        u'\uE283': b'\x79\x91',
        u'\uE284': b'\x79\x92',
        u'\uE285': b'\x79\x93',
        u'\uE286': b'\x79\x94',
        u'\uE287': b'\x79\x95',
        u'\uE288': b'\x79\x96',
        u'\uE289': b'\x79\x97',
        u'\uE28A': b'\x79\x98',
        u'\uE28B': b'\x79\x99',
        u'\uE28C': b'\x79\x9A',
        u'\uE28D': b'\x79\x9B',
        u'\uE28E': b'\x79\x9C',
        u'\uE28F': b'\x79\x9D',
        u'\uE290': b'\x79\x9E',
        u'\uE291': b'\x79\x9F',
        u'\uE292': b'\x79\xA0',
        u'\uE293': b'\x79\xA1',
        u'\uE294': b'\x79\xA2',
        u'\uE295': b'\x79\xA3',
        u'\uE296': b'\x79\xA4',
        u'\uE297': b'\x79\xA5',
        u'\uE298': b'\x79\xA6',
        u'\uE299': b'\x79\xA7',
        u'\uE29A': b'\x79\xA8',
        u'\uE29B': b'\x79\xA9',
        u'\uE29C': b'\x79\xAA',
        u'\uE29D': b'\x79\xAB',
        u'\uE29E': b'\x79\xAC',
        u'\uE29F': b'\x79\xAD',
        u'\uE2A0': b'\x79\xAE',
        u'\uE2A1': b'\x79\xAF',
        u'\uE2A2': b'\x79\xB0',
        u'\uE2A3': b'\x79\xB1',
        u'\uE2A4': b'\x79\xB2',
        u'\uE2A5': b'\x79\xB3',
        u'\uE2A6': b'\x79\xB4',
        u'\uE2A7': b'\x79\xB5',
        u'\uE2A8': b'\x79\xB6',
        u'\uE2A9': b'\x79\xB7',
        u'\uE2AA': b'\x79\xB8',
        u'\uE2AB': b'\x79\xB9',
        u'\uE2AC': b'\x79\xBA',
        u'\uE2AD': b'\x79\xBB',
        u'\uE2AE': b'\x79\xBC',
        u'\uE2AF': b'\x79\xBD',
        u'\uE2B0': b'\x79\xBE',
        u'\uE2B1': b'\x79\xBF',
        u'\uE2B2': b'\x79\xC0',
        u'\uE2B3': b'\x79\xC1',
        u'\uE2B4': b'\x79\xC2',
        u'\uE2B5': b'\x79\xC3',
        u'\uE2B6': b'\x79\xC4',
        u'\uE2B7': b'\x79\xC5',
        u'\uE2B8': b'\x79\xC6',
        u'\uE2B9': b'\x79\xC7',
        u'\uE2BA': b'\x79\xC8',
        u'\uE2BB': b'\x79\xC9',
        u'\uE2BC': b'\x79\xCA',
        u'\uE2BD': b'\x79\xCB',
        u'\uE2BE': b'\x79\xCC',
        u'\uE2BF': b'\x79\xCD',
        u'\uE2C0': b'\x79\xCE',
        u'\uE2C1': b'\x79\xCF',
        u'\uE2C2': b'\x79\xD0',
        u'\uE2C3': b'\x79\xD1',
        u'\uE2C4': b'\x79\xD2',
        u'\uE2C5': b'\x79\xD3',
        u'\uE2C6': b'\x79\xD4',
        u'\uE2C7': b'\x79\xD5',
        u'\uE2C8': b'\x79\xD6',
        u'\uE2C9': b'\x79\xD7',
        u'\uE2CA': b'\x79\xD8',
        u'\uE2CB': b'\x79\xD9',
        u'\uE2CC': b'\x79\xDA',
        u'\uE2CD': b'\x79\xDB',
        u'\uE2CE': b'\x79\xDC',
        u'\uE2CF': b'\x79\xDD',
        u'\uE2D0': b'\x79\xDE',
        u'\uE2D1': b'\x79\xDF',
        u'\uE2D2': b'\x79\xE0',
        u'\uE2D3': b'\x79\xE1',
        u'\uE2D4': b'\x79\xE2',
        u'\uE2D5': b'\x79\xE3',
        u'\uE2D6': b'\x79\xE4',
        u'\uE2D7': b'\x79\xE5',
        u'\uE2D8': b'\x79\xE6',
        u'\uE2D9': b'\x79\xE7',
        u'\uE2DA': b'\x79\xE8',
        u'\uE2DB': b'\x79\xE9',
        u'\uE2DC': b'\x79\xEA',
        u'\uE2DD': b'\x79\xEB',
        u'\uE2DE': b'\x79\xEC',
        u'\uE2DF': b'\x79\xED',
        u'\uE2E0': b'\x79\xEE',
        u'\uE2E1': b'\x79\xEF',
        u'\uE2E2': b'\x79\xF0',
        u'\uE2E3': b'\x79\xF1',
        u'\uE2E4': b'\x79\xF2',
        u'\uE2E5': b'\x79\xF3',
        u'\uE2E6': b'\x79\xF4',
        u'\uE2E7': b'\x79\xF5',
        u'\uE2E8': b'\x79\xF6',
        u'\uE2E9': b'\x79\xF7',
        u'\uE2EA': b'\x79\xF8',
        u'\uE2EB': b'\x79\xF9',
        u'\uE2EC': b'\x79\xFA',
        u'\uE2ED': b'\x79\xFB',
        u'\uE2EE': b'\x79\xFC',
        u'\uE2EF': b'\x79\xFD',
        u'\uE2F0': b'\x7A\x41',
        u'\uE2F1': b'\x7A\x42',
        u'\uE2F2': b'\x7A\x43',
        u'\uE2F3': b'\x7A\x44',
        u'\uE2F4': b'\x7A\x45',
        u'\uE2F5': b'\x7A\x46',
        u'\uE2F6': b'\x7A\x47',
        u'\uE2F7': b'\x7A\x48',
        u'\uE2F8': b'\x7A\x49',
        u'\uE2F9': b'\x7A\x4A',
        u'\uE2FA': b'\x7A\x4B',
        u'\uE2FB': b'\x7A\x4C',
        u'\uE2FC': b'\x7A\x4D',
        u'\uE2FD': b'\x7A\x4E',
        u'\uE2FE': b'\x7A\x4F',
        u'\uE2FF': b'\x7A\x50',
        u'\uE300': b'\x7A\x51',
        u'\uE301': b'\x7A\x52',
        u'\uE302': b'\x7A\x53',
        u'\uE303': b'\x7A\x54',
        u'\uE304': b'\x7A\x55',
        u'\uE305': b'\x7A\x56',
        u'\uE306': b'\x7A\x57',
        u'\uE307': b'\x7A\x58',
        u'\uE308': b'\x7A\x59',
        u'\uE309': b'\x7A\x5A',
        u'\uE30A': b'\x7A\x5B',
        u'\uE30B': b'\x7A\x5C',
        u'\uE30C': b'\x7A\x5D',
        u'\uE30D': b'\x7A\x5E',
        u'\uE30E': b'\x7A\x5F',
        u'\uE30F': b'\x7A\x60',
        u'\uE310': b'\x7A\x61',
        u'\uE311': b'\x7A\x62',
        u'\uE312': b'\x7A\x63',
        u'\uE313': b'\x7A\x64',
        u'\uE314': b'\x7A\x65',
        u'\uE315': b'\x7A\x66',
        u'\uE316': b'\x7A\x67',
        u'\uE317': b'\x7A\x68',
        u'\uE318': b'\x7A\x69',
        u'\uE319': b'\x7A\x6A',
        u'\uE31A': b'\x7A\x6B',
        u'\uE31B': b'\x7A\x6C',
        u'\uE31C': b'\x7A\x6D',
        u'\uE31D': b'\x7A\x6E',
        u'\uE31E': b'\x7A\x6F',
        u'\uE31F': b'\x7A\x70',
        u'\uE320': b'\x7A\x71',
        u'\uE321': b'\x7A\x72',
        u'\uE322': b'\x7A\x73',
        u'\uE323': b'\x7A\x74',
        u'\uE324': b'\x7A\x75',
        u'\uE325': b'\x7A\x76',
        u'\uE326': b'\x7A\x77',
        u'\uE327': b'\x7A\x78',
        u'\uE328': b'\x7A\x79',
        u'\uE329': b'\x7A\x7A',
        u'\uE32A': b'\x7A\x7B',
        u'\uE32B': b'\x7A\x7C',
        u'\uE32C': b'\x7A\x7D',
        u'\uE32D': b'\x7A\x7E',
        u'\uE32E': b'\x7A\x7F',
        u'\uE32F': b'\x7A\x81',
        u'\uE330': b'\x7A\x82',
        u'\uE331': b'\x7A\x83',
        u'\uE332': b'\x7A\x84',
        u'\uE333': b'\x7A\x85',
        u'\uE334': b'\x7A\x86',
        u'\uE335': b'\x7A\x87',
        u'\uE336': b'\x7A\x88',
        u'\uE337': b'\x7A\x89',
        u'\uE338': b'\x7A\x8A',
        u'\uE339': b'\x7A\x8B',
        u'\uE33A': b'\x7A\x8C',
        u'\uE33B': b'\x7A\x8D',
        u'\uE33C': b'\x7A\x8E',
        u'\uE33D': b'\x7A\x8F',
        u'\uE33E': b'\x7A\x90',
        u'\uE33F': b'\x7A\x91',
        u'\uE340': b'\x7A\x92',
        u'\uE341': b'\x7A\x93',
        u'\uE342': b'\x7A\x94',
        u'\uE343': b'\x7A\x95',
        u'\uE344': b'\x7A\x96',
        u'\uE345': b'\x7A\x97',
        u'\uE346': b'\x7A\x98',
        u'\uE347': b'\x7A\x99',
        u'\uE348': b'\x7A\x9A',
        u'\uE349': b'\x7A\x9B',
        u'\uE34A': b'\x7A\x9C',
        u'\uE34B': b'\x7A\x9D',
        u'\uE34C': b'\x7A\x9E',
        u'\uE34D': b'\x7A\x9F',
        u'\uE34E': b'\x7A\xA0',
        u'\uE34F': b'\x7A\xA1',
        u'\uE350': b'\x7A\xA2',
        u'\uE351': b'\x7A\xA3',
        u'\uE352': b'\x7A\xA4',
        u'\uE353': b'\x7A\xA5',
        u'\uE354': b'\x7A\xA6',
        u'\uE355': b'\x7A\xA7',
        u'\uE356': b'\x7A\xA8',
        u'\uE357': b'\x7A\xA9',
        u'\uE358': b'\x7A\xAA',
        u'\uE359': b'\x7A\xAB',
        u'\uE35A': b'\x7A\xAC',
        u'\uE35B': b'\x7A\xAD',
        u'\uE35C': b'\x7A\xAE',
        u'\uE35D': b'\x7A\xAF',
        u'\uE35E': b'\x7A\xB0',
        u'\uE35F': b'\x7A\xB1',
        u'\uE360': b'\x7A\xB2',
        u'\uE361': b'\x7A\xB3',
        u'\uE362': b'\x7A\xB4',
        u'\uE363': b'\x7A\xB5',
        u'\uE364': b'\x7A\xB6',
        u'\uE365': b'\x7A\xB7',
        u'\uE366': b'\x7A\xB8',
        u'\uE367': b'\x7A\xB9',
        u'\uE368': b'\x7A\xBA',
        u'\uE369': b'\x7A\xBB',
        u'\uE36A': b'\x7A\xBC',
        u'\uE36B': b'\x7A\xBD',
        u'\uE36C': b'\x7A\xBE',
        u'\uE36D': b'\x7A\xBF',
        u'\uE36E': b'\x7A\xC0',
        u'\uE36F': b'\x7A\xC1',
        u'\uE370': b'\x7A\xC2',
        u'\uE371': b'\x7A\xC3',
        u'\uE372': b'\x7A\xC4',
        u'\uE373': b'\x7A\xC5',
        u'\uE374': b'\x7A\xC6',
        u'\uE375': b'\x7A\xC7',
        u'\uE376': b'\x7A\xC8',
        u'\uE377': b'\x7A\xC9',
        u'\uE378': b'\x7A\xCA',
        u'\uE379': b'\x7A\xCB',
        u'\uE37A': b'\x7A\xCC',
        u'\uE37B': b'\x7A\xCD',
        u'\uE37C': b'\x7A\xCE',
        u'\uE37D': b'\x7A\xCF',
        u'\uE37E': b'\x7A\xD0',
        u'\uE37F': b'\x7A\xD1',
        u'\uE380': b'\x7A\xD2',
        u'\uE381': b'\x7A\xD3',
        u'\uE382': b'\x7A\xD4',
        u'\uE383': b'\x7A\xD5',
        u'\uE384': b'\x7A\xD6',
        u'\uE385': b'\x7A\xD7',
        u'\uE386': b'\x7A\xD8',
        u'\uE387': b'\x7A\xD9',
        u'\uE388': b'\x7A\xDA',
        u'\uE389': b'\x7A\xDB',
        u'\uE38A': b'\x7A\xDC',
        u'\uE38B': b'\x7A\xDD',
        u'\uE38C': b'\x7A\xDE',
        u'\uE38D': b'\x7A\xDF',
        u'\uE38E': b'\x7A\xE0',
        u'\uE38F': b'\x7A\xE1',
        u'\uE390': b'\x7A\xE2',
        u'\uE391': b'\x7A\xE3',
        u'\uE392': b'\x7A\xE4',
        u'\uE393': b'\x7A\xE5',
        u'\uE394': b'\x7A\xE6',
        u'\uE395': b'\x7A\xE7',
        u'\uE396': b'\x7A\xE8',
        u'\uE397': b'\x7A\xE9',
        u'\uE398': b'\x7A\xEA',
        u'\uE399': b'\x7A\xEB',
        u'\uE39A': b'\x7A\xEC',
        u'\uE39B': b'\x7A\xED',
        u'\uE39C': b'\x7A\xEE',
        u'\uE39D': b'\x7A\xEF',
        u'\uE39E': b'\x7A\xF0',
        u'\uE39F': b'\x7A\xF1',
        u'\uE3A0': b'\x7A\xF2',
        u'\uE3A1': b'\x7A\xF3',
        u'\uE3A2': b'\x7A\xF4',
        u'\uE3A3': b'\x7A\xF5',
        u'\uE3A4': b'\x7A\xF6',
        u'\uE3A5': b'\x7A\xF7',
        u'\uE3A6': b'\x7A\xF8',
        u'\uE3A7': b'\x7A\xF9',
        u'\uE3A8': b'\x7A\xFA',
        u'\uE3A9': b'\x7A\xFB',
        u'\uE3AA': b'\x7A\xFC',
        u'\uE3AB': b'\x7A\xFD',
        u'\uE3AC': b'\x7B\x41',
        u'\uE3AD': b'\x7B\x42',
        u'\uE3AE': b'\x7B\x43',
        u'\uE3AF': b'\x7B\x44',
        u'\uE3B0': b'\x7B\x45',
        u'\uE3B1': b'\x7B\x46',
        u'\uE3B2': b'\x7B\x47',
        u'\uE3B3': b'\x7B\x48',
        u'\uE3B4': b'\x7B\x49',
        u'\uE3B5': b'\x7B\x4A',
        u'\uE3B6': b'\x7B\x4B',
        u'\uE3B7': b'\x7B\x4C',
        u'\uE3B8': b'\x7B\x4D',
        u'\uE3B9': b'\x7B\x4E',
        u'\uE3BA': b'\x7B\x4F',
        u'\uE3BB': b'\x7B\x50',
        u'\uE3BC': b'\x7B\x51',
        u'\uE3BD': b'\x7B\x52',
        u'\uE3BE': b'\x7B\x53',
        u'\uE3BF': b'\x7B\x54',
        u'\uE3C0': b'\x7B\x55',
        u'\uE3C1': b'\x7B\x56',
        u'\uE3C2': b'\x7B\x57',
        u'\uE3C3': b'\x7B\x58',
        u'\uE3C4': b'\x7B\x59',
        u'\uE3C5': b'\x7B\x5A',
        u'\uE3C6': b'\x7B\x5B',
        u'\uE3C7': b'\x7B\x5C',
        u'\uE3C8': b'\x7B\x5D',
        u'\uE3C9': b'\x7B\x5E',
        u'\uE3CA': b'\x7B\x5F',
        u'\uE3CB': b'\x7B\x60',
        u'\uE3CC': b'\x7B\x61',
        u'\uE3CD': b'\x7B\x62',
        u'\uE3CE': b'\x7B\x63',
        u'\uE3CF': b'\x7B\x64',
        u'\uE3D0': b'\x7B\x65',
        u'\uE3D1': b'\x7B\x66',
        u'\uE3D2': b'\x7B\x67',
        u'\uE3D3': b'\x7B\x68',
        u'\uE3D4': b'\x7B\x69',
        u'\uE3D5': b'\x7B\x6A',
        u'\uE3D6': b'\x7B\x6B',
        u'\uE3D7': b'\x7B\x6C',
        u'\uE3D8': b'\x7B\x6D',
        u'\uE3D9': b'\x7B\x6E',
        u'\uE3DA': b'\x7B\x6F',
        u'\uE3DB': b'\x7B\x70',
        u'\uE3DC': b'\x7B\x71',
        u'\uE3DD': b'\x7B\x72',
        u'\uE3DE': b'\x7B\x73',
        u'\uE3DF': b'\x7B\x74',
        u'\uE3E0': b'\x7B\x75',
        u'\uE3E1': b'\x7B\x76',
        u'\uE3E2': b'\x7B\x77',
        u'\uE3E3': b'\x7B\x78',
        u'\uE3E4': b'\x7B\x79',
        u'\uE3E5': b'\x7B\x7A',
        u'\uE3E6': b'\x7B\x7B',
        u'\uE3E7': b'\x7B\x7C',
        u'\uE3E8': b'\x7B\x7D',
        u'\uE3E9': b'\x7B\x7E',
        u'\uE3EA': b'\x7B\x7F',
        u'\uE3EB': b'\x7B\x81',
        u'\uE3EC': b'\x7B\x82',
        u'\uE3ED': b'\x7B\x83',
        u'\uE3EE': b'\x7B\x84',
        u'\uE3EF': b'\x7B\x85',
        u'\uE3F0': b'\x7B\x86',
        u'\uE3F1': b'\x7B\x87',
        u'\uE3F2': b'\x7B\x88',
        u'\uE3F3': b'\x7B\x89',
        u'\uE3F4': b'\x7B\x8A',
        u'\uE3F5': b'\x7B\x8B',
        u'\uE3F6': b'\x7B\x8C',
        u'\uE3F7': b'\x7B\x8D',
        u'\uE3F8': b'\x7B\x8E',
        u'\uE3F9': b'\x7B\x8F',
        u'\uE3FA': b'\x7B\x90',
        u'\uE3FB': b'\x7B\x91',
        u'\uE3FC': b'\x7B\x92',
        u'\uE3FD': b'\x7B\x93',
        u'\uE3FE': b'\x7B\x94',
        u'\uE3FF': b'\x7B\x95',
        u'\uE400': b'\x7B\x96',
        u'\uE401': b'\x7B\x97',
        u'\uE402': b'\x7B\x98',
        u'\uE403': b'\x7B\x99',
        u'\uE404': b'\x7B\x9A',
        u'\uE405': b'\x7B\x9B',
        u'\uE406': b'\x7B\x9C',
        u'\uE407': b'\x7B\x9D',
        u'\uE408': b'\x7B\x9E',
        u'\uE409': b'\x7B\x9F',
        u'\uE40A': b'\x7B\xA0',
        u'\uE40B': b'\x7B\xA1',
        u'\uE40C': b'\x7B\xA2',
        u'\uE40D': b'\x7B\xA3',
        u'\uE40E': b'\x7B\xA4',
        u'\uE40F': b'\x7B\xA5',
        u'\uE410': b'\x7B\xA6',
        u'\uE411': b'\x7B\xA7',
        u'\uE412': b'\x7B\xA8',
        u'\uE413': b'\x7B\xA9',
        u'\uE414': b'\x7B\xAA',
        u'\uE415': b'\x7B\xAB',
        u'\uE416': b'\x7B\xAC',
        u'\uE417': b'\x7B\xAD',
        u'\uE418': b'\x7B\xAE',
        u'\uE419': b'\x7B\xAF',
        u'\uE41A': b'\x7B\xB0',
        u'\uE41B': b'\x7B\xB1',
        u'\uE41C': b'\x7B\xB2',
        u'\uE41D': b'\x7B\xB3',
        u'\uE41E': b'\x7B\xB4',
        u'\uE41F': b'\x7B\xB5',
        u'\uE420': b'\x7B\xB6',
        u'\uE421': b'\x7B\xB7',
        u'\uE422': b'\x7B\xB8',
        u'\uE423': b'\x7B\xB9',
        u'\uE424': b'\x7B\xBA',
        u'\uE425': b'\x7B\xBB',
        u'\uE426': b'\x7B\xBC',
        u'\uE427': b'\x7B\xBD',
        u'\uE428': b'\x7B\xBE',
        u'\uE429': b'\x7B\xBF',
        u'\uE42A': b'\x7B\xC0',
        u'\uE42B': b'\x7B\xC1',
        u'\uE42C': b'\x7B\xC2',
        u'\uE42D': b'\x7B\xC3',
        u'\uE42E': b'\x7B\xC4',
        u'\uE42F': b'\x7B\xC5',
        u'\uE430': b'\x7B\xC6',
        u'\uE431': b'\x7B\xC7',
        u'\uE432': b'\x7B\xC8',
        u'\uE433': b'\x7B\xC9',
        u'\uE434': b'\x7B\xCA',
        u'\uE435': b'\x7B\xCB',
        u'\uE436': b'\x7B\xCC',
        u'\uE437': b'\x7B\xCD',
        u'\uE438': b'\x7B\xCE',
        u'\uE439': b'\x7B\xCF',
        u'\uE43A': b'\x7B\xD0',
        u'\uE43B': b'\x7B\xD1',
        u'\uE43C': b'\x7B\xD2',
        u'\uE43D': b'\x7B\xD3',
        u'\uE43E': b'\x7B\xD4',
        u'\uE43F': b'\x7B\xD5',
        u'\uE440': b'\x7B\xD6',
        u'\uE441': b'\x7B\xD7',
        u'\uE442': b'\x7B\xD8',
        u'\uE443': b'\x7B\xD9',
        u'\uE444': b'\x7B\xDA',
        u'\uE445': b'\x7B\xDB',
        u'\uE446': b'\x7B\xDC',
        u'\uE447': b'\x7B\xDD',
        u'\uE448': b'\x7B\xDE',
        u'\uE449': b'\x7B\xDF',
        u'\uE44A': b'\x7B\xE0',
        u'\uE44B': b'\x7B\xE1',
        u'\uE44C': b'\x7B\xE2',
        u'\uE44D': b'\x7B\xE3',
        u'\uE44E': b'\x7B\xE4',
        u'\uE44F': b'\x7B\xE5',
        u'\uE450': b'\x7B\xE6',
        u'\uE451': b'\x7B\xE7',
        u'\uE452': b'\x7B\xE8',
        u'\uE453': b'\x7B\xE9',
        u'\uE454': b'\x7B\xEA',
        u'\uE455': b'\x7B\xEB',
        u'\uE456': b'\x7B\xEC',
        u'\uE457': b'\x7B\xED',
        u'\uE458': b'\x7B\xEE',
        u'\uE459': b'\x7B\xEF',
        u'\uE45A': b'\x7B\xF0',
        u'\uE45B': b'\x7B\xF1',
        u'\uE45C': b'\x7B\xF2',
        u'\uE45D': b'\x7B\xF3',
        u'\uE45E': b'\x7B\xF4',
        u'\uE45F': b'\x7B\xF5',
        u'\uE460': b'\x7B\xF6',
        u'\uE461': b'\x7B\xF7',
        u'\uE462': b'\x7B\xF8',
        u'\uE463': b'\x7B\xF9',
        u'\uE464': b'\x7B\xFA',
        u'\uE465': b'\x7B\xFB',
        u'\uE466': b'\x7B\xFC',
        u'\uE467': b'\x7B\xFD',
        u'\uE468': b'\x7C\x41',
        u'\uE469': b'\x7C\x42',
        u'\uE46A': b'\x7C\x43',
        u'\uE46B': b'\x7C\x44',
        u'\uE46C': b'\x7C\x45',
        u'\uE46D': b'\x7C\x46',
        u'\uE46E': b'\x7C\x47',
        u'\uE46F': b'\x7C\x48',
        u'\uE470': b'\x7C\x49',
        u'\uE471': b'\x7C\x4A',
        u'\uE472': b'\x7C\x4B',
        u'\uE473': b'\x7C\x4C',
        u'\uE474': b'\x7C\x4D',
        u'\uE475': b'\x7C\x4E',
        u'\uE476': b'\x7C\x4F',
        u'\uE477': b'\x7C\x50',
        u'\uE478': b'\x7C\x51',
        u'\uE479': b'\x7C\x52',
        u'\uE47A': b'\x7C\x53',
        u'\uE47B': b'\x7C\x54',
        u'\uE47C': b'\x7C\x55',
        u'\uE47D': b'\x7C\x56',
        u'\uE47E': b'\x7C\x57',
        u'\uE47F': b'\x7C\x58',
        u'\uE480': b'\x7C\x59',
        u'\uE481': b'\x7C\x5A',
        u'\uE482': b'\x7C\x5B',
        u'\uE483': b'\x7C\x5C',
        u'\uE484': b'\x7C\x5D',
        u'\uE485': b'\x7C\x5E',
        u'\uE486': b'\x7C\x5F',
        u'\uE487': b'\x7C\x60',
        u'\uE488': b'\x7C\x61',
        u'\uE489': b'\x7C\x62',
        u'\uE48A': b'\x7C\x63',
        u'\uE48B': b'\x7C\x64',
        u'\uE48C': b'\x7C\x65',
        u'\uE48D': b'\x7C\x66',
        u'\uE48E': b'\x7C\x67',
        u'\uE48F': b'\x7C\x68',
        u'\uE490': b'\x7C\x69',
        u'\uE491': b'\x7C\x6A',
        u'\uE492': b'\x7C\x6B',
        u'\uE493': b'\x7C\x6C',
        u'\uE494': b'\x7C\x6D',
        u'\uE495': b'\x7C\x6E',
        u'\uE496': b'\x7C\x6F',
        u'\uE497': b'\x7C\x70',
        u'\uE498': b'\x7C\x71',
        u'\uE499': b'\x7C\x72',
        u'\uE49A': b'\x7C\x73',
        u'\uE49B': b'\x7C\x74',
        u'\uE49C': b'\x7C\x75',
        u'\uE49D': b'\x7C\x76',
        u'\uE49E': b'\x7C\x77',
        u'\uE49F': b'\x7C\x78',
        u'\uE4A0': b'\x7C\x79',
        u'\uE4A1': b'\x7C\x7A',
        u'\uE4A2': b'\x7C\x7B',
        u'\uE4A3': b'\x7C\x7C',
        u'\uE4A4': b'\x7C\x7D',
        u'\uE4A5': b'\x7C\x7E',
        u'\uE4A6': b'\x7C\x7F',
        u'\uE4A7': b'\x7C\x81',
        u'\uE4A8': b'\x7C\x82',
        u'\uE4A9': b'\x7C\x83',
        u'\uE4AA': b'\x7C\x84',
        u'\uE4AB': b'\x7C\x85',
        u'\uE4AC': b'\x7C\x86',
        u'\uE4AD': b'\x7C\x87',
        u'\uE4AE': b'\x7C\x88',
        u'\uE4AF': b'\x7C\x89',
        u'\uE4B0': b'\x7C\x8A',
        u'\uE4B1': b'\x7C\x8B',
        u'\uE4B2': b'\x7C\x8C',
        u'\uE4B3': b'\x7C\x8D',
        u'\uE4B4': b'\x7C\x8E',
        u'\uE4B5': b'\x7C\x8F',
        u'\uE4B6': b'\x7C\x90',
        u'\uE4B7': b'\x7C\x91',
        u'\uE4B8': b'\x7C\x92',
        u'\uE4B9': b'\x7C\x93',
        u'\uE4BA': b'\x7C\x94',
        u'\uE4BB': b'\x7C\x95',
        u'\uE4BC': b'\x7C\x96',
        u'\uE4BD': b'\x7C\x97',
        u'\uE4BE': b'\x7C\x98',
        u'\uE4BF': b'\x7C\x99',
        u'\uE4C0': b'\x7C\x9A',
        u'\uE4C1': b'\x7C\x9B',
        u'\uE4C2': b'\x7C\x9C',
        u'\uE4C3': b'\x7C\x9D',
        u'\uE4C4': b'\x7C\x9E',
        u'\uE4C5': b'\x7C\x9F',
        u'\uE4C6': b'\x7C\xA0',
        u'\uE4C7': b'\x7C\xA1',
        u'\uE4C8': b'\x7C\xA2',
        u'\uE4C9': b'\x7C\xA3',
        u'\uE4CA': b'\x7C\xA4',
        u'\uE4CB': b'\x7C\xA5',
        u'\uE4CC': b'\x7C\xA6',
        u'\uE4CD': b'\x7C\xA7',
        u'\uE4CE': b'\x7C\xA8',
        u'\uE4CF': b'\x7C\xA9',
        u'\uE4D0': b'\x7C\xAA',
        u'\uE4D1': b'\x7C\xAB',
        u'\uE4D2': b'\x7C\xAC',
        u'\uE4D3': b'\x7C\xAD',
        u'\uE4D4': b'\x7C\xAE',
        u'\uE4D5': b'\x7C\xAF',
        u'\uE4D6': b'\x7C\xB0',
        u'\uE4D7': b'\x7C\xB1',
        u'\uE4D8': b'\x7C\xB2',
        u'\uE4D9': b'\x7C\xB3',
        u'\uE4DA': b'\x7C\xB4',
        u'\uE4DB': b'\x7C\xB5',
        u'\uE4DC': b'\x7C\xB6',
        u'\uE4DD': b'\x7C\xB7',
        u'\uE4DE': b'\x7C\xB8',
        u'\uE4DF': b'\x7C\xB9',
        u'\uE4E0': b'\x7C\xBA',
        u'\uE4E1': b'\x7C\xBB',
        u'\uE4E2': b'\x7C\xBC',
        u'\uE4E3': b'\x7C\xBD',
        u'\uE4E4': b'\x7C\xBE',
        u'\uE4E5': b'\x7C\xBF',
        u'\uE4E6': b'\x7C\xC0',
        u'\uE4E7': b'\x7C\xC1',
        u'\uE4E8': b'\x7C\xC2',
        u'\uE4E9': b'\x7C\xC3',
        u'\uE4EA': b'\x7C\xC4',
        u'\uE4EB': b'\x7C\xC5',
        u'\uE4EC': b'\x7C\xC6',
        u'\uE4ED': b'\x7C\xC7',
        u'\uE4EE': b'\x7C\xC8',
        u'\uE4EF': b'\x7C\xC9',
        u'\uE4F0': b'\x7C\xCA',
        u'\uE4F1': b'\x7C\xCB',
        u'\uE4F2': b'\x7C\xCC',
        u'\uE4F3': b'\x7C\xCD',
        u'\uE4F4': b'\x7C\xCE',
        u'\uE4F5': b'\x7C\xCF',
        u'\uE4F6': b'\x7C\xD0',
        u'\uE4F7': b'\x7C\xD1',
        u'\uE4F8': b'\x7C\xD2',
        u'\uE4F9': b'\x7C\xD3',
        u'\uE4FA': b'\x7C\xD4',
        u'\uE4FB': b'\x7C\xD5',
        u'\uE4FC': b'\x7C\xD6',
        u'\uE4FD': b'\x7C\xD7',
        u'\uE4FE': b'\x7C\xD8',
        u'\uE4FF': b'\x7C\xD9',
        u'\uE500': b'\x7C\xDA',
        u'\uE501': b'\x7C\xDB',
        u'\uE502': b'\x7C\xDC',
        u'\uE503': b'\x7C\xDD',
        u'\uE504': b'\x7C\xDE',
        u'\uE505': b'\x7C\xDF',
        u'\uE506': b'\x7C\xE0',
        u'\uE507': b'\x7C\xE1',
        u'\uE508': b'\x7C\xE2',
        u'\uE509': b'\x7C\xE3',
        u'\uE50A': b'\x7C\xE4',
        u'\uE50B': b'\x7C\xE5',
        u'\uE50C': b'\x7C\xE6',
        u'\uE50D': b'\x7C\xE7',
        u'\uE50E': b'\x7C\xE8',
        u'\uE50F': b'\x7C\xE9',
        u'\uE510': b'\x7C\xEA',
        u'\uE511': b'\x7C\xEB',
        u'\uE512': b'\x7C\xEC',
        u'\uE513': b'\x7C\xED',
        u'\uE514': b'\x7C\xEE',
        u'\uE515': b'\x7C\xEF',
        u'\uE516': b'\x7C\xF0',
        u'\uE517': b'\x7C\xF1',
        u'\uE518': b'\x7C\xF2',
        u'\uE519': b'\x7C\xF3',
        u'\uE51A': b'\x7C\xF4',
        u'\uE51B': b'\x7C\xF5',
        u'\uE51C': b'\x7C\xF6',
        u'\uE51D': b'\x7C\xF7',
        u'\uE51E': b'\x7C\xF8',
        u'\uE51F': b'\x7C\xF9',
        u'\uE520': b'\x7C\xFA',
        u'\uE521': b'\x7C\xFB',
        u'\uE522': b'\x7C\xFC',
        u'\uE523': b'\x7C\xFD',
        u'\uE524': b'\x7D\x41',
        u'\uE525': b'\x7D\x42',
        u'\uE526': b'\x7D\x43',
        u'\uE527': b'\x7D\x44',
        u'\uE528': b'\x7D\x45',
        u'\uE529': b'\x7D\x46',
        u'\uE52A': b'\x7D\x47',
        u'\uE52B': b'\x7D\x48',
        u'\uE52C': b'\x7D\x49',
        u'\uE52D': b'\x7D\x4A',
        u'\uE52E': b'\x7D\x4B',
        u'\uE52F': b'\x7D\x4C',
        u'\uE530': b'\x7D\x4D',
        u'\uE531': b'\x7D\x4E',
        u'\uE532': b'\x7D\x4F',
        u'\uE533': b'\x7D\x50',
        u'\uE534': b'\x7D\x51',
        u'\uE535': b'\x7D\x52',
        u'\uE536': b'\x7D\x53',
        u'\uE537': b'\x7D\x54',
        u'\uE538': b'\x7D\x55',
        u'\uE539': b'\x7D\x56',
        u'\uE53A': b'\x7D\x57',
        u'\uE53B': b'\x7D\x58',
        u'\uE53C': b'\x7D\x59',
        u'\uE53D': b'\x7D\x5A',
        u'\uE53E': b'\x7D\x5B',
        u'\uE53F': b'\x7D\x5C',
        u'\uE540': b'\x7D\x5D',
        u'\uE541': b'\x7D\x5E',
        u'\uE542': b'\x7D\x5F',
        u'\uE543': b'\x7D\x60',
        u'\uE544': b'\x7D\x61',
        u'\uE545': b'\x7D\x62',
        u'\uE546': b'\x7D\x63',
        u'\uE547': b'\x7D\x64',
        u'\uE548': b'\x7D\x65',
        u'\uE549': b'\x7D\x66',
        u'\uE54A': b'\x7D\x67',
        u'\uE54B': b'\x7D\x68',
        u'\uE54C': b'\x7D\x69',
        u'\uE54D': b'\x7D\x6A',
        u'\uE54E': b'\x7D\x6B',
        u'\uE54F': b'\x7D\x6C',
        u'\uE550': b'\x7D\x6D',
        u'\uE551': b'\x7D\x6E',
        u'\uE552': b'\x7D\x6F',
        u'\uE553': b'\x7D\x70',
        u'\uE554': b'\x7D\x71',
        u'\uE555': b'\x7D\x72',
        u'\uE556': b'\x7D\x73',
        u'\uE557': b'\x7D\x74',
        u'\uE558': b'\x7D\x75',
        u'\uE559': b'\x7D\x76',
        u'\uE55A': b'\x7D\x77',
        u'\uE55B': b'\x7D\x78',
        u'\uE55C': b'\x7D\x79',
        u'\uE55D': b'\x7D\x7A',
        u'\uE55E': b'\x7D\x7B',
        u'\uE55F': b'\x7D\x7C',
        u'\uE560': b'\x7D\x7D',
        u'\uE561': b'\x7D\x7E',
        u'\uE562': b'\x7D\x7F',
        u'\uE563': b'\x7D\x81',
        u'\uE564': b'\x7D\x82',
        u'\uE565': b'\x7D\x83',
        u'\uE566': b'\x7D\x84',
        u'\uE567': b'\x7D\x85',
        u'\uE568': b'\x7D\x86',
        u'\uE569': b'\x7D\x87',
        u'\uE56A': b'\x7D\x88',
        u'\uE56B': b'\x7D\x89',
        u'\uE56C': b'\x7D\x8A',
        u'\uE56D': b'\x7D\x8B',
        u'\uE56E': b'\x7D\x8C',
        u'\uE56F': b'\x7D\x8D',
        u'\uE570': b'\x7D\x8E',
        u'\uE571': b'\x7D\x8F',
        u'\uE572': b'\x7D\x90',
        u'\uE573': b'\x7D\x91',
        u'\uE574': b'\x7D\x92',
        u'\uE575': b'\x7D\x93',
        u'\uE576': b'\x7D\x94',
        u'\uE577': b'\x7D\x95',
        u'\uE578': b'\x7D\x96',
        u'\uE579': b'\x7D\x97',
        u'\uE57A': b'\x7D\x98',
        u'\uE57B': b'\x7D\x99',
        u'\uE57C': b'\x7D\x9A',
        u'\uE57D': b'\x7D\x9B',
        u'\uE57E': b'\x7D\x9C',
        u'\uE57F': b'\x7D\x9D',
        u'\uE580': b'\x7D\x9E',
        u'\uE581': b'\x7D\x9F',
        u'\uE582': b'\x7D\xA0',
        u'\uE583': b'\x7D\xA1',
        u'\uE584': b'\x7D\xA2',
        u'\uE585': b'\x7D\xA3',
        u'\uE586': b'\x7D\xA4',
        u'\uE587': b'\x7D\xA5',
        u'\uE588': b'\x7D\xA6',
        u'\uE589': b'\x7D\xA7',
        u'\uE58A': b'\x7D\xA8',
        u'\uE58B': b'\x7D\xA9',
        u'\uE58C': b'\x7D\xAA',
        u'\uE58D': b'\x7D\xAB',
        u'\uE58E': b'\x7D\xAC',
        u'\uE58F': b'\x7D\xAD',
        u'\uE590': b'\x7D\xAE',
        u'\uE591': b'\x7D\xAF',
        u'\uE592': b'\x7D\xB0',
        u'\uE593': b'\x7D\xB1',
        u'\uE594': b'\x7D\xB2',
        u'\uE595': b'\x7D\xB3',
        u'\uE596': b'\x7D\xB4',
        u'\uE597': b'\x7D\xB5',
        u'\uE598': b'\x7D\xB6',
        u'\uE599': b'\x7D\xB7',
        u'\uE59A': b'\x7D\xB8',
        u'\uE59B': b'\x7D\xB9',
        u'\uE59C': b'\x7D\xBA',
        u'\uE59D': b'\x7D\xBB',
        u'\uE59E': b'\x7D\xBC',
        u'\uE59F': b'\x7D\xBD',
        u'\uE5A0': b'\x7D\xBE',
        u'\uE5A1': b'\x7D\xBF',
        u'\uE5A2': b'\x7D\xC0',
        u'\uE5A3': b'\x7D\xC1',
        u'\uE5A4': b'\x7D\xC2',
        u'\uE5A5': b'\x7D\xC3',
        u'\uE5A6': b'\x7D\xC4',
        u'\uE5A7': b'\x7D\xC5',
        u'\uE5A8': b'\x7D\xC6',
        u'\uE5A9': b'\x7D\xC7',
        u'\uE5AA': b'\x7D\xC8',
        u'\uE5AB': b'\x7D\xC9',
        u'\uE5AC': b'\x7D\xCA',
        u'\uE5AD': b'\x7D\xCB',
        u'\uE5AE': b'\x7D\xCC',
        u'\uE5AF': b'\x7D\xCD',
        u'\uE5B0': b'\x7D\xCE',
        u'\uE5B1': b'\x7D\xCF',
        u'\uE5B2': b'\x7D\xD0',
        u'\uE5B3': b'\x7D\xD1',
        u'\uE5B4': b'\x7D\xD2',
        u'\uE5B5': b'\x7D\xD3',
        u'\uE5B6': b'\x7D\xD4',
        u'\uE5B7': b'\x7D\xD5',
        u'\uE5B8': b'\x7D\xD6',
        u'\uE5B9': b'\x7D\xD7',
        u'\uE5BA': b'\x7D\xD8',
        u'\uE5BB': b'\x7D\xD9',
        u'\uE5BC': b'\x7D\xDA',
        u'\uE5BD': b'\x7D\xDB',
        u'\uE5BE': b'\x7D\xDC',
        u'\uE5BF': b'\x7D\xDD',
        u'\uE5C0': b'\x7D\xDE',
        u'\uE5C1': b'\x7D\xDF',
        u'\uE5C2': b'\x7D\xE0',
        u'\uE5C3': b'\x7D\xE1',
        u'\uE5C4': b'\x7D\xE2',
        u'\uE5C5': b'\x7D\xE3',
        u'\uE5C6': b'\x7D\xE4',
        u'\uE5C7': b'\x7D\xE5',
        u'\uE5C8': b'\x7D\xE6',
        u'\uE5C9': b'\x7D\xE7',
        u'\uE5CA': b'\x7D\xE8',
        u'\uE5CB': b'\x7D\xE9',
        u'\uE5CC': b'\x7D\xEA',
        u'\uE5CD': b'\x7D\xEB',
        u'\uE5CE': b'\x7D\xEC',
        u'\uE5CF': b'\x7D\xED',
        u'\uE5D0': b'\x7D\xEE',
        u'\uE5D1': b'\x7D\xEF',
        u'\uE5D2': b'\x7D\xF0',
        u'\uE5D3': b'\x7D\xF1',
        u'\uE5D4': b'\x7D\xF2',
        u'\uE5D5': b'\x7D\xF3',
        u'\uE5D6': b'\x7D\xF4',
        u'\uE5D7': b'\x7D\xF5',
        u'\uE5D8': b'\x7D\xF6',
        u'\uE5D9': b'\x7D\xF7',
        u'\uE5DA': b'\x7D\xF8',
        u'\uE5DB': b'\x7D\xF9',
        u'\uE5DC': b'\x7D\xFA',
        u'\uE5DD': b'\x7D\xFB',
        u'\uE5DE': b'\x7D\xFC',
        u'\uE5DF': b'\x7D\xFD',
        u'\uE5E0': b'\x7E\x41',
        u'\uE5E1': b'\x7E\x42',
        u'\uE5E2': b'\x7E\x43',
        u'\uE5E3': b'\x7E\x44',
        u'\uE5E4': b'\x7E\x45',
        u'\uE5E5': b'\x7E\x46',
        u'\uE5E6': b'\x7E\x47',
        u'\uE5E7': b'\x7E\x48',
        u'\uE5E8': b'\x7E\x49',
        u'\uE5E9': b'\x7E\x4A',
        u'\uE5EA': b'\x7E\x4B',
        u'\uE5EB': b'\x7E\x4C',
        u'\uE5EC': b'\x7E\x4D',
        u'\uE5ED': b'\x7E\x4E',
        u'\uE5EE': b'\x7E\x4F',
        u'\uE5EF': b'\x7E\x50',
        u'\uE5F0': b'\x7E\x51',
        u'\uE5F1': b'\x7E\x52',
        u'\uE5F2': b'\x7E\x53',
        u'\uE5F3': b'\x7E\x54',
        u'\uE5F4': b'\x7E\x55',
        u'\uE5F5': b'\x7E\x56',
        u'\uE5F6': b'\x7E\x57',
        u'\uE5F7': b'\x7E\x58',
        u'\uE5F8': b'\x7E\x59',
        u'\uE5F9': b'\x7E\x5A',
        u'\uE5FA': b'\x7E\x5B',
        u'\uE5FB': b'\x7E\x5C',
        u'\uE5FC': b'\x7E\x5D',
        u'\uE5FD': b'\x7E\x5E',
        u'\uE5FE': b'\x7E\x5F',
        u'\uE5FF': b'\x7E\x60',
        u'\uE600': b'\x7E\x61',
        u'\uE601': b'\x7E\x62',
        u'\uE602': b'\x7E\x63',
        u'\uE603': b'\x7E\x64',
        u'\uE604': b'\x7E\x65',
        u'\uE605': b'\x7E\x66',
        u'\uE606': b'\x7E\x67',
        u'\uE607': b'\x7E\x68',
        u'\uE608': b'\x7E\x69',
        u'\uE609': b'\x7E\x6A',
        u'\uE60A': b'\x7E\x6B',
        u'\uE60B': b'\x7E\x6C',
        u'\uE60C': b'\x7E\x6D',
        u'\uE60D': b'\x7E\x6E',
        u'\uE60E': b'\x7E\x6F',
        u'\uE60F': b'\x7E\x70',
        u'\uE610': b'\x7E\x71',
        u'\uE611': b'\x7E\x72',
        u'\uE612': b'\x7E\x73',
        u'\uE613': b'\x7E\x74',
        u'\uE614': b'\x7E\x75',
        u'\uE615': b'\x7E\x76',
        u'\uE616': b'\x7E\x77',
        u'\uE617': b'\x7E\x78',
        u'\uE618': b'\x7E\x79',
        u'\uE619': b'\x7E\x7A',
        u'\uE61A': b'\x7E\x7B',
        u'\uE61B': b'\x7E\x7C',
        u'\uE61C': b'\x7E\x7D',
        u'\uE61D': b'\x7E\x7E',
        u'\uE61E': b'\x7E\x7F',
        u'\uE61F': b'\x7E\x81',
        u'\uE620': b'\x7E\x82',
        u'\uE621': b'\x7E\x83',
        u'\uE622': b'\x7E\x84',
        u'\uE623': b'\x7E\x85',
        u'\uE624': b'\x7E\x86',
        u'\uE625': b'\x7E\x87',
        u'\uE626': b'\x7E\x88',
        u'\uE627': b'\x7E\x89',
        u'\uE628': b'\x7E\x8A',
        u'\uE629': b'\x7E\x8B',
        u'\uE62A': b'\x7E\x8C',
        u'\uE62B': b'\x7E\x8D',
        u'\uE62C': b'\x7E\x8E',
        u'\uE62D': b'\x7E\x8F',
        u'\uE62E': b'\x7E\x90',
        u'\uE62F': b'\x7E\x91',
        u'\uE630': b'\x7E\x92',
        u'\uE631': b'\x7E\x93',
        u'\uE632': b'\x7E\x94',
        u'\uE633': b'\x7E\x95',
        u'\uE634': b'\x7E\x96',
        u'\uE635': b'\x7E\x97',
        u'\uE636': b'\x7E\x98',
        u'\uE637': b'\x7E\x99',
        u'\uE638': b'\x7E\x9A',
        u'\uE639': b'\x7E\x9B',
        u'\uE63A': b'\x7E\x9C',
        u'\uE63B': b'\x7E\x9D',
        u'\uE63C': b'\x7E\x9E',
        u'\uE63D': b'\x7E\x9F',
        u'\uE63E': b'\x7E\xA0',
        u'\uE63F': b'\x7E\xA1',
        u'\uE640': b'\x7E\xA2',
        u'\uE641': b'\x7E\xA3',
        u'\uE642': b'\x7E\xA4',
        u'\uE643': b'\x7E\xA5',
        u'\uE644': b'\x7E\xA6',
        u'\uE645': b'\x7E\xA7',
        u'\uE646': b'\x7E\xA8',
        u'\uE647': b'\x7E\xA9',
        u'\uE648': b'\x7E\xAA',
        u'\uE649': b'\x7E\xAB',
        u'\uE64A': b'\x7E\xAC',
        u'\uE64B': b'\x7E\xAD',
        u'\uE64C': b'\x7E\xAE',
        u'\uE64D': b'\x7E\xAF',
        u'\uE64E': b'\x7E\xB0',
        u'\uE64F': b'\x7E\xB1',
        u'\uE650': b'\x7E\xB2',
        u'\uE651': b'\x7E\xB3',
        u'\uE652': b'\x7E\xB4',
        u'\uE653': b'\x7E\xB5',
        u'\uE654': b'\x7E\xB6',
        u'\uE655': b'\x7E\xB7',
        u'\uE656': b'\x7E\xB8',
        u'\uE657': b'\x7E\xB9',
        u'\uE658': b'\x7E\xBA',
        u'\uE659': b'\x7E\xBB',
        u'\uE65A': b'\x7E\xBC',
        u'\uE65B': b'\x7E\xBD',
        u'\uE65C': b'\x7E\xBE',
        u'\uE65D': b'\x7E\xBF',
        u'\uE65E': b'\x7E\xC0',
        u'\uE65F': b'\x7E\xC1',
        u'\uE660': b'\x7E\xC2',
        u'\uE661': b'\x7E\xC3',
        u'\uE662': b'\x7E\xC4',
        u'\uE663': b'\x7E\xC5',
        u'\uE664': b'\x7E\xC6',
        u'\uE665': b'\x7E\xC7',
        u'\uE666': b'\x7E\xC8',
        u'\uE667': b'\x7E\xC9',
        u'\uE668': b'\x7E\xCA',
        u'\uE669': b'\x7E\xCB',
        u'\uE66A': b'\x7E\xCC',
        u'\uE66B': b'\x7E\xCD',
        u'\uE66C': b'\x7E\xCE',
        u'\uE66D': b'\x7E\xCF',
        u'\uE66E': b'\x7E\xD0',
        u'\uE66F': b'\x7E\xD1',
        u'\uE670': b'\x7E\xD2',
        u'\uE671': b'\x7E\xD3',
        u'\uE672': b'\x7E\xD4',
        u'\uE673': b'\x7E\xD5',
        u'\uE674': b'\x7E\xD6',
        u'\uE675': b'\x7E\xD7',
        u'\uE676': b'\x7E\xD8',
        u'\uE677': b'\x7E\xD9',
        u'\uE678': b'\x7E\xDA',
        u'\uE679': b'\x7E\xDB',
        u'\uE67A': b'\x7E\xDC',
        u'\uE67B': b'\x7E\xDD',
        u'\uE67C': b'\x7E\xDE',
        u'\uE67D': b'\x7E\xDF',
        u'\uE67E': b'\x7E\xE0',
        u'\uE67F': b'\x7E\xE1',
        u'\uE680': b'\x7E\xE2',
        u'\uE681': b'\x7E\xE3',
        u'\uE682': b'\x7E\xE4',
        u'\uE683': b'\x7E\xE5',
        u'\uE684': b'\x7E\xE6',
        u'\uE685': b'\x7E\xE7',
        u'\uE686': b'\x7E\xE8',
        u'\uE687': b'\x7E\xE9',
        u'\uE688': b'\x7E\xEA',
        u'\uE689': b'\x7E\xEB',
        u'\uE68A': b'\x7E\xEC',
        u'\uE68B': b'\x7E\xED',
        u'\uE68C': b'\x7E\xEE',
        u'\uE68D': b'\x7E\xEF',
        u'\uE68E': b'\x7E\xF0',
        u'\uE68F': b'\x7E\xF1',
        u'\uE690': b'\x7E\xF2',
        u'\uE691': b'\x7E\xF3',
        u'\uE692': b'\x7E\xF4',
        u'\uE693': b'\x7E\xF5',
        u'\uE694': b'\x7E\xF6',
        u'\uE695': b'\x7E\xF7',
        u'\uE696': b'\x7E\xF8',
        u'\uE697': b'\x7E\xF9',
        u'\uE698': b'\x7E\xFA',
        u'\uE699': b'\x7E\xFB',
        u'\uE69A': b'\x7E\xFC',
        u'\uE69B': b'\x7E\xFD',
        u'\uE69C': b'\x7F\x41',
        u'\uE69D': b'\x7F\x42',
        u'\uE69E': b'\x7F\x43',
        u'\uE69F': b'\x7F\x44',
        u'\uE6A0': b'\x7F\x45',
        u'\uE6A1': b'\x7F\x46',
        u'\uE6A2': b'\x7F\x47',
        u'\uE6A3': b'\x7F\x48',
        u'\uE6A4': b'\x7F\x49',
        u'\uE6A5': b'\x7F\x4A',
        u'\uE6A6': b'\x7F\x4B',
        u'\uE6A7': b'\x7F\x4C',
        u'\uE6A8': b'\x7F\x4D',
        u'\uE6A9': b'\x7F\x4E',
        u'\uE6AA': b'\x7F\x4F',
        u'\uE6AB': b'\x7F\x50',
        u'\uE6AC': b'\x7F\x51',
        u'\uE6AD': b'\x7F\x52',
        u'\uE6AE': b'\x7F\x53',
        u'\uE6AF': b'\x7F\x54',
        u'\uE6B0': b'\x7F\x55',
        u'\uE6B1': b'\x7F\x56',
        u'\uE6B2': b'\x7F\x57',
        u'\uE6B3': b'\x7F\x58',
        u'\uE6B4': b'\x7F\x59',
        u'\uE6B5': b'\x7F\x5A',
        u'\uE6B6': b'\x7F\x5B',
        u'\uE6B7': b'\x7F\x5C',
        u'\uE6B8': b'\x7F\x5D',
        u'\uE6B9': b'\x7F\x5E',
        u'\uE6BA': b'\x7F\x5F',
        u'\uE6BB': b'\x7F\x60',
        u'\uE6BC': b'\x7F\x61',
        u'\uE6BD': b'\x7F\x62',
        u'\uE6BE': b'\x7F\x63',
        u'\uE6BF': b'\x7F\x64',
        u'\uE6C0': b'\x7F\x65',
        u'\uE6C1': b'\x7F\x66',
        u'\uE6C2': b'\x7F\x67',
        u'\uE6C3': b'\x7F\x68',
        u'\uE6C4': b'\x7F\x69',
        u'\uE6C5': b'\x7F\x6A',
        u'\uE6C6': b'\x7F\x6B',
        u'\uE6C7': b'\x7F\x6C',
        u'\uE6C8': b'\x7F\x6D',
        u'\uE6C9': b'\x7F\x6E',
        u'\uE6CA': b'\x7F\x6F',
        u'\uE6CB': b'\x7F\x70',
        u'\uE6CC': b'\x7F\x71',
        u'\uE6CD': b'\x7F\x72',
        u'\uE6CE': b'\x7F\x73',
        u'\uE6CF': b'\x7F\x74',
        u'\uE6D0': b'\x7F\x75',
        u'\uE6D1': b'\x7F\x76',
        u'\uE6D2': b'\x7F\x77',
        u'\uE6D3': b'\x7F\x78',
        u'\uE6D4': b'\x7F\x79',
        u'\uE6D5': b'\x7F\x7A',
        u'\uE6D6': b'\x7F\x7B',
        u'\uE6D7': b'\x7F\x7C',
        u'\uE6D8': b'\x7F\x7D',
        u'\uE6D9': b'\x7F\x7E',
        u'\uE6DA': b'\x7F\x7F',
        u'\uE6DB': b'\x7F\x81',
        u'\uE6DC': b'\x7F\x82',
        u'\uE6DD': b'\x7F\x83',
        u'\uE6DE': b'\x7F\x84',
        u'\uE6DF': b'\x7F\x85',
        u'\uE6E0': b'\x7F\x86',
        u'\uE6E1': b'\x7F\x87',
        u'\uE6E2': b'\x7F\x88',
        u'\uE6E3': b'\x7F\x89',
        u'\uE6E4': b'\x7F\x8A',
        u'\uE6E5': b'\x7F\x8B',
        u'\uE6E6': b'\x7F\x8C',
        u'\uE6E7': b'\x7F\x8D',
        u'\uE6E8': b'\x7F\x8E',
        u'\uE6E9': b'\x7F\x8F',
        u'\uE6EA': b'\x7F\x90',
        u'\uE6EB': b'\x7F\x91',
        u'\uE6EC': b'\x7F\x92',
        u'\uE6ED': b'\x7F\x93',
        u'\uE6EE': b'\x7F\x94',
        u'\uE6EF': b'\x7F\x95',
        u'\uE6F0': b'\x7F\x96',
        u'\uE6F1': b'\x7F\x97',
        u'\uE6F2': b'\x7F\x98',
        u'\uE6F3': b'\x7F\x99',
        u'\uE6F4': b'\x7F\x9A',
        u'\uE6F5': b'\x7F\x9B',
        u'\uE6F6': b'\x7F\x9C',
        u'\uE6F7': b'\x7F\x9D',
        u'\uE6F8': b'\x7F\x9E',
        u'\uE6F9': b'\x7F\x9F',
        u'\uE6FA': b'\x7F\xA0',
        u'\uE6FB': b'\x7F\xA1',
        u'\uE6FC': b'\x7F\xA2',
        u'\uE6FD': b'\x7F\xA3',
        u'\uE6FE': b'\x7F\xA4',
        u'\uE6FF': b'\x7F\xA5',
        u'\uE700': b'\x7F\xA6',
        u'\uE701': b'\x7F\xA7',
        u'\uE702': b'\x7F\xA8',
        u'\uE703': b'\x7F\xA9',
        u'\uE704': b'\x7F\xAA',
        u'\uE705': b'\x7F\xAB',
        u'\uE706': b'\x7F\xAC',
        u'\uE707': b'\x7F\xAD',
        u'\uE708': b'\x7F\xAE',
        u'\uE709': b'\x7F\xAF',
        u'\uE70A': b'\x7F\xB0',
        u'\uE70B': b'\x7F\xB1',
        u'\uE70C': b'\x7F\xB2',
        u'\uE70D': b'\x7F\xB3',
        u'\uE70E': b'\x7F\xB4',
        u'\uE70F': b'\x7F\xB5',
        u'\uE710': b'\x7F\xB6',
        u'\uE711': b'\x7F\xB7',
        u'\uE712': b'\x7F\xB8',
        u'\uE713': b'\x7F\xB9',
        u'\uE714': b'\x7F\xBA',
        u'\uE715': b'\x7F\xBB',
        u'\uE716': b'\x7F\xBC',
        u'\uE717': b'\x7F\xBD',
        u'\uE718': b'\x7F\xBE',
        u'\uE719': b'\x7F\xBF',
        u'\uE71A': b'\x7F\xC0',
        u'\uE71B': b'\x7F\xC1',
        u'\uE71C': b'\x7F\xC2',
        u'\uE71D': b'\x7F\xC3',
        u'\uE71E': b'\x7F\xC4',
        u'\uE71F': b'\x7F\xC5',
        u'\uE720': b'\x7F\xC6',
        u'\uE721': b'\x7F\xC7',
        u'\uE722': b'\x7F\xC8',
        u'\uE723': b'\x7F\xC9',
        u'\uE724': b'\x7F\xCA',
        u'\uE725': b'\x7F\xCB',
        u'\uE726': b'\x7F\xCC',
        u'\uE727': b'\x7F\xCD',
        u'\uE728': b'\x7F\xCE',
        u'\uE729': b'\x7F\xCF',
        u'\uE72A': b'\x7F\xD0',
        u'\uE72B': b'\x7F\xD1',
        u'\uE72C': b'\x7F\xD2',
        u'\uE72D': b'\x7F\xD3',
        u'\uE72E': b'\x7F\xD4',
        u'\uE72F': b'\x7F\xD5',
        u'\uE730': b'\x7F\xD6',
        u'\uE731': b'\x7F\xD7',
        u'\uE732': b'\x7F\xD8',
        u'\uE733': b'\x7F\xD9',
        u'\uE734': b'\x7F\xDA',
        u'\uE735': b'\x7F\xDB',
        u'\uE736': b'\x7F\xDC',
        u'\uE737': b'\x7F\xDD',
        u'\uE738': b'\x7F\xDE',
        u'\uE739': b'\x7F\xDF',
        u'\uE73A': b'\x7F\xE0',
        u'\uE73B': b'\x7F\xE1',
        u'\uE73C': b'\x7F\xE2',
        u'\uE73D': b'\x7F\xE3',
        u'\uE73E': b'\x7F\xE4',
        u'\uE73F': b'\x7F\xE5',
        u'\uE740': b'\x7F\xE6',
        u'\uE741': b'\x7F\xE7',
        u'\uE742': b'\x7F\xE8',
        u'\uE743': b'\x7F\xE9',
        u'\uE744': b'\x7F\xEA',
        u'\uE745': b'\x7F\xEB',
        u'\uE746': b'\x7F\xEC',
        u'\uE747': b'\x7F\xED',
        u'\uE748': b'\x7F\xEE',
        u'\uE749': b'\x7F\xEF',
        u'\uE74A': b'\x7F\xF0',
        u'\uE74B': b'\x7F\xF1',
        u'\uE74C': b'\x7F\xF2',
        u'\uE74D': b'\x7F\xF3',
        u'\uE74E': b'\x7F\xF4',
        u'\uE74F': b'\x7F\xF5',
        u'\uE750': b'\x7F\xF6',
        u'\uE751': b'\x7F\xF7',
        u'\uE752': b'\x7F\xF8',
        u'\uE753': b'\x7F\xF9',
        u'\uE754': b'\x7F\xFA',
        u'\uE755': b'\x7F\xFB',
        u'\uE756': b'\x7F\xFC',
        u'\uE757': b'\x7F\xFD',
        u'\uF83D': b'\x43\x5B',
        u'\uF83E': b'\x44\x5C',
        u'\uFF01': b'\x42\x5A',
        u'\uFF02': b'\x42\x7F',
        u'\uFF03': b'\x42\x7B',
        u'\uFF04': b'\x42\xE0',
        u'\uFF05': b'\x42\x6C',
        u'\uFF06': b'\x42\x50',
        u'\uFF07': b'\x42\x7D',
        u'\uFF08': b'\x42\x4D',
        u'\uFF09': b'\x42\x5D',
        u'\uFF0A': b'\x42\x5C',
        u'\uFF0B': b'\x42\x4E',
        u'\uFF0C': b'\x42\x6B',
        u'\uFF0D': b'\x42\x60',
        u'\uFF0E': b'\x42\x4B',
        u'\uFF0F': b'\x42\x61',
        u'\uFF10': b'\x42\xF0',
        u'\uFF11': b'\x42\xF1',
        u'\uFF12': b'\x42\xF2',
        u'\uFF13': b'\x42\xF3',
        u'\uFF14': b'\x42\xF4',
        u'\uFF15': b'\x42\xF5',
        u'\uFF16': b'\x42\xF6',
        u'\uFF17': b'\x42\xF7',
        u'\uFF18': b'\x42\xF8',
        u'\uFF19': b'\x42\xF9',
        u'\uFF1A': b'\x42\x7A',
        u'\uFF1B': b'\x42\x5E',
        u'\uFF1C': b'\x42\x4C',
        u'\uFF1D': b'\x42\x7E',
        u'\uFF1E': b'\x42\x6E',
        u'\uFF1F': b'\x42\x6F',
        u'\uFF20': b'\x42\x7C',
        u'\uFF21': b'\x42\xC1',
        u'\uFF22': b'\x42\xC2',
        u'\uFF23': b'\x42\xC3',
        u'\uFF24': b'\x42\xC4',
        u'\uFF25': b'\x42\xC5',
        u'\uFF26': b'\x42\xC6',
        u'\uFF27': b'\x42\xC7',
        u'\uFF28': b'\x42\xC8',
        u'\uFF29': b'\x42\xC9',
        u'\uFF2A': b'\x42\xD1',
        u'\uFF2B': b'\x42\xD2',
        u'\uFF2C': b'\x42\xD3',
        u'\uFF2D': b'\x42\xD4',
        u'\uFF2E': b'\x42\xD5',
        u'\uFF2F': b'\x42\xD6',
        u'\uFF30': b'\x42\xD7',
        u'\uFF31': b'\x42\xD8',
        u'\uFF32': b'\x42\xD9',
        u'\uFF33': b'\x42\xE2',
        u'\uFF34': b'\x42\xE3',
        u'\uFF35': b'\x42\xE4',
        u'\uFF36': b'\x42\xE5',
        u'\uFF37': b'\x42\xE6',
        u'\uFF38': b'\x42\xE7',
        u'\uFF39': b'\x42\xE8',
        u'\uFF3A': b'\x42\xE9',
        u'\uFF3B': b'\x44\x44',
        u'\uFF3C': b'\x43\xE0',
        u'\uFF3D': b'\x44\x45',
        u'\uFF3E': b'\x44\x70',
        u'\uFF3F': b'\x42\x6D',
        u'\uFF40': b'\x42\x79',
        u'\uFF41': b'\x42\x81',
        u'\uFF42': b'\x42\x82',
        u'\uFF43': b'\x42\x83',
        u'\uFF44': b'\x42\x84',
        u'\uFF45': b'\x42\x85',
        u'\uFF46': b'\x42\x86',
        u'\uFF47': b'\x42\x87',
        u'\uFF48': b'\x42\x88',
        u'\uFF49': b'\x42\x89',
        u'\uFF4A': b'\x42\x91',
        u'\uFF4B': b'\x42\x92',
        u'\uFF4C': b'\x42\x93',
        u'\uFF4D': b'\x42\x94',
        u'\uFF4E': b'\x42\x95',
        u'\uFF4F': b'\x42\x96',
        u'\uFF50': b'\x42\x97',
        u'\uFF51': b'\x42\x98',
        u'\uFF52': b'\x42\x99',
        u'\uFF53': b'\x42\xA2',
        u'\uFF54': b'\x42\xA3',
        u'\uFF55': b'\x42\xA4',
        u'\uFF56': b'\x42\xA5',
        u'\uFF57': b'\x42\xA6',
        u'\uFF58': b'\x42\xA7',
        u'\uFF59': b'\x42\xA8',
        u'\uFF5A': b'\x42\xA9',
        u'\uFF5B': b'\x42\xC0',
        u'\uFF5C': b'\x42\x4F',
        u'\uFF5D': b'\x42\xD0',
        u'\uFF5E': b'\x43\xA1',
        u'\uFFE0': b'\x43\x4A',
        u'\uFFE1': b'\x42\x4A',
        u'\uFFE2': b'\x42\x5F',
        u'\uFFE3': b'\x42\xA1',
        u'\uFFE4': b'\x42\x6A',
        u'\uFFE5': b'\x42\x5B',
    }
    C2U = {U2C[k]: k for k in U2C}

    def ibm935_encode(src, errors='strict'):
        word_flag = False
        buf = []
        for idx in range(len(src)):
            u = src[idx]
            c = U2C.get(u, b'\x6f')
            if not word_flag and len(c) > 1:
                buf.append(b'\x0e')
                word_flag = True
            elif word_flag and len(c) == 1:
                buf.append(b'\x0f')
                word_flag = False
            buf.append(c)

        if word_flag:
            buf.append(b'\x0f')

        return b''.join(buf), len(src)

    def ibm935_decode(src, errors='strict'):
        read_length = 1
        buf = []
        idx = 0
        while idx < len(src):
            if src[idx] == b'\x0e'[0]:
                read_length = 2
                idx += 1
                continue

            if src[idx] == b'\x0f'[0]:
                read_length = 1
                idx += 1
                continue

            c = src[idx: idx + read_length]
            if len(c) < read_length:
                # source bytes were truncated
                break

            u = C2U.get(c, '?')
            buf.append(u)
            idx += read_length

        return ''.join(buf), len(src)

    class Codec(codecs.Codec):
        def encode(self, src, errors='strict'):
            return ibm935_encode(src, errors)

        def decode(self, src, errors='strict'):
            return ibm935_decode(src, errors)

    # todo(Eric Wong): to handle discrete double-bytes
    class IncrementalEncoder(codecs.IncrementalEncoder):
        def encode(self, src, final=False):
            return ibm935_encode(src, self.errors)[0]

    # todo(Eric Wong): to handle discrete double-bytes
    class IncrementalDecoder(codecs.IncrementalDecoder):
        def decode(self, src, final=False):
            return ibm935_decode(src, self.errors)[0]

    class StreamWriter(Codec, codecs.StreamWriter):
        pass

    class StreamReader(Codec, codecs.StreamReader):
        pass

    codec_name = 'ibm935'

    def search_func(name):
        if name == codec_name:
            return codecs.CodecInfo(
                name=codec_name,
                encode=ibm935_encode,
                decode=ibm935_decode,
                incrementalencoder=IncrementalEncoder,
                incrementaldecoder=IncrementalDecoder,
                streamwriter=StreamWriter,
                streamreader=StreamReader,
            )

    codecs.register(search_func)
